#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 2779
#define LARGE_STATE_COUNT 125
#define SYMBOL_COUNT 158
#define ALIAS_COUNT 1
#define TOKEN_COUNT 98
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 15
#define MAX_ALIAS_SEQUENCE_LENGTH 10

enum {
  sym_word = 1,
  anon_sym_LF = 2,
  anon_sym_for = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_while = 8,
  anon_sym_do = 9,
  anon_sym_done = 10,
  anon_sym_if = 11,
  anon_sym_then = 12,
  anon_sym_fi = 13,
  anon_sym_elif = 14,
  anon_sym_else = 15,
  anon_sym_case = 16,
  anon_sym_esac = 17,
  anon_sym_PIPE = 18,
  anon_sym_RPAREN = 19,
  anon_sym_SEMI_SEMI = 20,
  anon_sym_function = 21,
  anon_sym_LPAREN = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_PIPE_AMP = 25,
  anon_sym_AMP_AMP = 26,
  anon_sym_PIPE_PIPE = 27,
  anon_sym_BANG = 28,
  anon_sym_LBRACK = 29,
  anon_sym_RBRACK = 30,
  anon_sym_LBRACK_LBRACK = 31,
  anon_sym_RBRACK_RBRACK = 32,
  anon_sym_declare = 33,
  anon_sym_typeset = 34,
  anon_sym_export = 35,
  anon_sym_readonly = 36,
  anon_sym_local = 37,
  anon_sym_unset = 38,
  anon_sym_unsetenv = 39,
  anon_sym_EQ_TILDE = 40,
  anon_sym_EQ_EQ = 41,
  anon_sym_EQ = 42,
  anon_sym_PLUS_EQ = 43,
  anon_sym_LT = 44,
  anon_sym_GT = 45,
  anon_sym_GT_GT = 46,
  anon_sym_AMP_GT = 47,
  anon_sym_AMP_GT_GT = 48,
  anon_sym_LT_AMP = 49,
  anon_sym_GT_AMP = 50,
  anon_sym_LT_LT = 51,
  anon_sym_LT_LT_DASH = 52,
  anon_sym_LT_LT_LT = 53,
  anon_sym_BANG_EQ = 54,
  anon_sym_PLUS = 55,
  anon_sym_DASH = 56,
  anon_sym_DASH_EQ = 57,
  anon_sym_LT_EQ = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_PLUS_PLUS = 60,
  anon_sym_DASH_DASH = 61,
  anon_sym_DOLLAR = 62,
  sym__special_character = 63,
  anon_sym_DQUOTE = 64,
  sym__string_content = 65,
  sym_raw_string = 66,
  sym_ansii_c_string = 67,
  anon_sym_POUND = 68,
  anon_sym_DOLLAR_LBRACE = 69,
  anon_sym_SLASH = 70,
  anon_sym_COLON = 71,
  anon_sym_COLON_QMARK = 72,
  anon_sym_COLON_DASH = 73,
  anon_sym_PERCENT = 74,
  anon_sym_DOLLAR_LPAREN = 75,
  anon_sym_BQUOTE = 76,
  anon_sym_LT_LPAREN = 77,
  anon_sym_GT_LPAREN = 78,
  sym_comment = 79,
  aux_sym__simple_variable_name_token1 = 80,
  anon_sym_STAR = 81,
  anon_sym_AT = 82,
  anon_sym_QMARK = 83,
  anon_sym_0 = 84,
  anon_sym__ = 85,
  sym_test_operator = 86,
  anon_sym_AMP = 87,
  sym_heredoc_start = 88,
  sym__simple_heredoc_body = 89,
  sym__heredoc_body_beginning = 90,
  sym__heredoc_body_middle = 91,
  sym__heredoc_body_end = 92,
  sym_file_descriptor = 93,
  sym__empty_value = 94,
  sym__concat = 95,
  sym_variable_name = 96,
  sym_regex = 97,
  sym_program = 98,
  sym__statements = 99,
  aux_sym__statements2 = 100,
  sym__terminated_statement = 101,
  sym_redirected_statement = 102,
  sym_for_statement = 103,
  sym_c_style_for_statement = 104,
  sym_while_statement = 105,
  sym_do_group = 106,
  sym_if_statement = 107,
  sym_elif_clause = 108,
  sym_else_clause = 109,
  sym_case_statement = 110,
  sym_case_item = 111,
  sym_last_case_item = 112,
  sym_function_definition = 113,
  sym_compound_statement = 114,
  sym_subshell = 115,
  sym_pipeline = 116,
  sym_list = 117,
  sym_negated_command = 118,
  sym_test_command = 119,
  sym_declaration_command = 120,
  sym_unset_command = 121,
  sym_command = 122,
  sym_command_name = 123,
  sym_variable_assignment = 124,
  sym_subscript = 125,
  sym_file_redirect = 126,
  sym_heredoc_redirect = 127,
  sym_heredoc_body = 128,
  sym_herestring_redirect = 129,
  sym__expression = 130,
  sym_binary_expression = 131,
  sym_unary_expression = 132,
  sym_postfix_expression = 133,
  sym_parenthesized_expression = 134,
  sym_concatenation = 135,
  sym_string = 136,
  sym_array = 137,
  sym_simple_expansion = 138,
  sym_string_expansion = 139,
  sym_expansion = 140,
  sym_command_substitution = 141,
  sym_process_substitution = 142,
  aux_sym__statements_repeat1 = 143,
  aux_sym_redirected_statement_repeat1 = 144,
  aux_sym_for_statement_repeat1 = 145,
  aux_sym_if_statement_repeat1 = 146,
  aux_sym_case_statement_repeat1 = 147,
  aux_sym_case_item_repeat1 = 148,
  aux_sym_declaration_command_repeat1 = 149,
  aux_sym_unset_command_repeat1 = 150,
  aux_sym_command_repeat1 = 151,
  aux_sym_command_repeat2 = 152,
  aux_sym_heredoc_body_repeat1 = 153,
  aux_sym__literal_repeat1 = 154,
  aux_sym_concatenation_repeat1 = 155,
  aux_sym_string_repeat1 = 156,
  aux_sym_expansion_repeat1 = 157,
  alias_sym_special_variable_name = 158,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_LF] = "\n",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_function] = "function",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym__string_content] = "_string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansii_c_string] = "ansii_c_string",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON] = ":",
  [anon_sym_COLON_QMARK] = ":?",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [anon_sym_STAR] = "special_variable_name",
  [anon_sym_AT] = "special_variable_name",
  [anon_sym_QMARK] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_test_operator] = "test_operator",
  [anon_sym_AMP] = "&",
  [sym_heredoc_start] = "heredoc_start",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym__heredoc_body_middle] = "_heredoc_body_middle",
  [sym__heredoc_body_end] = "_heredoc_body_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_regex] = "regex",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__statements2] = "_statements2",
  [sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym_heredoc_body] = "heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_array] = "array",
  [sym_simple_expansion] = "simple_expansion",
  [sym_string_expansion] = "string_expansion",
  [sym_expansion] = "expansion",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_expansion_repeat1] = "expansion_repeat1",
  [alias_sym_special_variable_name] = "special_variable_name",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__string_content] = sym__string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansii_c_string] = sym_ansii_c_string,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AT] = anon_sym_STAR,
  [anon_sym_QMARK] = anon_sym_STAR,
  [anon_sym_0] = anon_sym_STAR,
  [anon_sym__] = anon_sym_STAR,
  [sym_test_operator] = sym_test_operator,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym__heredoc_body_middle] = sym__heredoc_body_middle,
  [sym__heredoc_body_end] = sym__heredoc_body_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_regex] = sym_regex,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__statements2] = aux_sym__statements2,
  [sym__terminated_statement] = sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_array] = sym_array,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_string_expansion] = sym_string_expansion,
  [sym_expansion] = sym_expansion,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_expansion_repeat1] = aux_sym_expansion_repeat1,
  [alias_sym_special_variable_name] = alias_sym_special_variable_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansii_c_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements2] = {
    .visible = false,
    .named = false,
  },
  [sym__terminated_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_string_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_special_variable_name] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_argument = 1,
  field_body = 2,
  field_condition = 3,
  field_descriptor = 4,
  field_destination = 5,
  field_index = 6,
  field_initializer = 7,
  field_left = 8,
  field_name = 9,
  field_operator = 10,
  field_redirect = 11,
  field_right = 12,
  field_update = 13,
  field_value = 14,
  field_variable = 15,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[56] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 7, .length = 1},
  [11] = {.index = 8, .length = 2},
  [12] = {.index = 8, .length = 2},
  [13] = {.index = 10, .length = 2},
  [14] = {.index = 10, .length = 2},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 2},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 22, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 26, .length = 3},
  [26] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 3},
  [35] = {.index = 39, .length = 1},
  [36] = {.index = 39, .length = 1},
  [38] = {.index = 40, .length = 1},
  [39] = {.index = 41, .length = 2},
  [40] = {.index = 43, .length = 2},
  [41] = {.index = 45, .length = 2},
  [42] = {.index = 47, .length = 2},
  [43] = {.index = 49, .length = 2},
  [44] = {.index = 47, .length = 2},
  [45] = {.index = 51, .length = 2},
  [46] = {.index = 53, .length = 2},
  [47] = {.index = 55, .length = 3},
  [48] = {.index = 58, .length = 2},
  [49] = {.index = 60, .length = 3},
  [50] = {.index = 63, .length = 3},
  [51] = {.index = 66, .length = 3},
  [52] = {.index = 69, .length = 3},
  [53] = {.index = 72, .length = 3},
  [54] = {.index = 75, .length = 4},
  [55] = {.index = 79, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_destination, 1},
  [2] =
    {field_body, 0},
    {field_redirect, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
  [7] =
    {field_name, 1},
  [8] =
    {field_descriptor, 0},
    {field_destination, 2},
  [10] =
    {field_name, 0},
    {field_value, 2},
  [12] =
    {field_body, 2},
    {field_condition, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_argument, 0},
    {field_argument, 1},
  [18] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [20] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
  [22] =
    {field_index, 2},
    {field_name, 0},
  [24] =
    {field_body, 3},
    {field_variable, 1},
  [26] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [29] =
    {field_condition, 1},
  [30] =
    {field_body, 3},
    {field_name, 0},
  [32] =
    {field_value, 1},
  [33] =
    {field_body, 4},
    {field_name, 1},
  [35] =
    {field_body, 5},
  [36] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [39] =
    {field_value, 0},
  [40] =
    {field_body, 6},
  [41] =
    {field_body, 6},
    {field_update, 4},
  [43] =
    {field_body, 6},
    {field_condition, 3},
  [45] =
    {field_body, 6},
    {field_initializer, 2},
  [47] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [49] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [51] =
    {field_body, 7},
    {field_update, 4},
  [53] =
    {field_body, 7},
    {field_condition, 3},
  [55] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [58] =
    {field_body, 7},
    {field_initializer, 2},
  [60] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [63] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [66] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [69] =
    {field_body, 8},
    {field_initializer, 2},
    {field_update, 5},
  [72] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
  [75] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [79] =
    {field_body, 9},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
};

static TSSymbol ts_alias_sequences[56][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_word,
  },
  [4] = {
    [1] = sym_word,
  },
  [5] = {
    [1] = alias_sym_special_variable_name,
  },
  [9] = {
    [0] = sym_word,
  },
  [12] = {
    [2] = sym_word,
  },
  [14] = {
    [2] = sym_word,
  },
  [17] = {
    [1] = sym_word,
  },
  [19] = {
    [1] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [27] = {
    [2] = alias_sym_special_variable_name,
  },
  [30] = {
    [1] = sym_word,
  },
  [32] = {
    [3] = sym_word,
  },
  [36] = {
    [0] = sym_word,
  },
  [37] = {
    [4] = sym_word,
  },
  [44] = {
    [0] = sym_word,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(122);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '%') ADVANCE(234);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(155);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '/') ADVANCE(230);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ':') ADVANCE(231);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']') ADVANCE(167);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == 'i') ADVANCE(265);
      if (lookahead == '{') ADVANCE(156);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '}') ADVANCE(157);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(184);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') SKIP(79)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == 'e') ADVANCE(248);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') SKIP(99)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == 'i') ADVANCE(247);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') SKIP(106)
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(62);
      if (lookahead == 'i') ADVANCE(61);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '!') ADVANCE(163);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '+') ADVANCE(201);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '=') ADVANCE(176);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') SKIP(81)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '+') ADVANCE(201);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '=') ADVANCE(176);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') SKIP(90)
      if (lookahead == '|') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(154);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(243);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(243);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(154);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(154);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(243);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(77);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(136);
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(89);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '%') ADVANCE(234);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(155);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '/') ADVANCE(230);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ':') ADVANCE(231);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']') ADVANCE(167);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == 'i') ADVANCE(265);
      if (lookahead == '{') ADVANCE(156);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '}') ADVANCE(157);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '%') ADVANCE(234);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ':') ADVANCE(231);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '}') ADVANCE(157);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(57);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(57);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(155);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '{') ADVANCE(156);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(57);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(155);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '{') ADVANCE(156);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(57);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(155);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == ']') ADVANCE(217);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '{') ADVANCE(156);
      if (lookahead == '}') ADVANCE(157);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(154);
      if (lookahead == ')') ADVANCE(53);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') SKIP(101)
      if (lookahead == ']') ADVANCE(167);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '}') ADVANCE(157);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(224);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(222);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(224);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(163);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(46);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '+') ADVANCE(201);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '=') ADVANCE(176);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') SKIP(108)
      if (lookahead == ']') ADVANCE(167);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(163);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(46);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(53);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '+') ADVANCE(201);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '=') ADVANCE(176);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') SKIP(84)
      if (lookahead == ']') ADVANCE(58);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(216);
      if (lookahead == '&') ADVANCE(46);
      if (lookahead == '(') ADVANCE(50);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '+') ADVANCE(201);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '=') ADVANCE(176);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') SKIP(93)
      if (lookahead == ']') ADVANCE(218);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(151);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '&') ADVANCE(46);
      if (lookahead == '(') ADVANCE(154);
      if (lookahead == ')') ADVANCE(53);
      if (lookahead == '+') ADVANCE(201);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '=') ADVANCE(176);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '\\') SKIP(97)
      if (lookahead == ']') ADVANCE(58);
      if (lookahead == '{') ADVANCE(156);
      if (lookahead == '|') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '&') ADVANCE(46);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '+') ADVANCE(201);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '=') ADVANCE(176);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') SKIP(94)
      if (lookahead == 'e') ADVANCE(62);
      if (lookahead == 'i') ADVANCE(61);
      if (lookahead == '|') ADVANCE(151);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '&') ADVANCE(46);
      if (lookahead == ')') ADVANCE(53);
      if (lookahead == '+') ADVANCE(201);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '=') ADVANCE(176);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') SKIP(95)
      if (lookahead == '|') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 35:
      if (lookahead == '!') ADVANCE(55);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '&') ADVANCE(46);
      if (lookahead == '+') ADVANCE(201);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '<') ADVANCE(185);
      if (lookahead == '=') ADVANCE(176);
      if (lookahead == '>') ADVANCE(189);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') SKIP(96)
      if (lookahead == ']') ADVANCE(167);
      if (lookahead == '|') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      END_STATE();
    case 36:
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '%') ADVANCE(234);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '/') ADVANCE(230);
      if (lookahead == ':') ADVANCE(231);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '}') ADVANCE(157);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 37:
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '%') ADVANCE(234);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == ':') ADVANCE(231);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '}') ADVANCE(157);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(57);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(155);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 39:
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(57);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(154);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(268);
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '}') ADVANCE(157);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == ']') ADVANCE(167);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 42:
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 43:
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(220);
      if (lookahead == '$') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(223);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 44:
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(57);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '+') ADVANCE(56);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '[') ADVANCE(165);
      if (lookahead == '\\') SKIP(105)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 45:
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == ';') ADVANCE(143);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == '{') ADVANCE(156);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(268);
      END_STATE();
    case 46:
      if (lookahead == '&') ADVANCE(159);
      END_STATE();
    case 47:
      if (lookahead == '\'') ADVANCE(225);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '\'') ADVANCE(226);
      if (lookahead == '\\') ADVANCE(49);
      if (lookahead != 0) ADVANCE(48);
      END_STATE();
    case 49:
      if (lookahead == '\'') ADVANCE(227);
      if (lookahead == '\\') ADVANCE(49);
      if (lookahead != 0) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == '(') ADVANCE(141);
      END_STATE();
    case 51:
      if (lookahead == '(') ADVANCE(237);
      END_STATE();
    case 52:
      if (lookahead == '(') ADVANCE(238);
      END_STATE();
    case 53:
      if (lookahead == ')') ADVANCE(142);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(153);
      END_STATE();
    case 55:
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 56:
      if (lookahead == '=') ADVANCE(178);
      END_STATE();
    case 57:
      if (lookahead == '>') ADVANCE(191);
      END_STATE();
    case 58:
      if (lookahead == ']') ADVANCE(169);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(60);
      END_STATE();
    case 60:
      if (lookahead == 'c') ADVANCE(145);
      END_STATE();
    case 61:
      if (lookahead == 'n') ADVANCE(138);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 63:
      if (lookahead == '|') ADVANCE(160);
      END_STATE();
    case 64:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 65:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 66:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 67:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 68:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 69:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 70:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 71:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 72:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 73:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 74:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 75:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 76:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 77:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 78:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 79:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 80:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 81:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 82:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 83:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 84:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      END_STATE();
    case 85:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 86:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 87:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 88:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 89:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 90:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 91:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 92:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(42)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 93:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      END_STATE();
    case 94:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 95:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 96:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      END_STATE();
    case 97:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      END_STATE();
    case 98:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 99:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 100:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 101:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      END_STATE();
    case 102:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 103:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(222);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 104:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(223);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 105:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      END_STATE();
    case 106:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 107:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(45)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 108:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      END_STATE();
    case 109:
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 110:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(268);
      END_STATE();
    case 111:
      if (eof) ADVANCE(122);
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(111)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 112:
      if (eof) ADVANCE(122);
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(184);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') SKIP(120)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(112)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 113:
      if (eof) ADVANCE(122);
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(184);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') SKIP(121)
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(62);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(113)
      END_STATE();
    case 114:
      if (eof) ADVANCE(122);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(114)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 115:
      if (eof) ADVANCE(122);
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(154);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(115)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 116:
      if (eof) ADVANCE(122);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(251);
      if (lookahead == '-') ADVANCE(205);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(255);
      if (lookahead == '@') ADVANCE(253);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(116)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 117:
      if (eof) ADVANCE(122);
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(77);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(117)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 118:
      if (eof) ADVANCE(122);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(144);
      if (lookahead == '<') ADVANCE(51);
      if (lookahead == '>') ADVANCE(52);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(118)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 119:
      if (eof) ADVANCE(122);
      if (lookahead == '!') ADVANCE(164);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(240);
      if (lookahead == '$') ADVANCE(215);
      if (lookahead == '&') ADVANCE(57);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(155);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == ';') ADVANCE(54);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(217);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '{') ADVANCE(156);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(119)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 120:
      if (eof) ADVANCE(122);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(112)
      END_STATE();
    case 121:
      if (eof) ADVANCE(122);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(113)
      END_STATE();
    case 122:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '\\') ADVANCE(68);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '-') ADVANCE(204);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(82);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '\\') ADVANCE(70);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '\\') ADVANCE(71);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(72);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(73);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(74);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '\\') ADVANCE(75);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(77);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(78);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(136);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '\\') ADVANCE(91);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(153);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(158);
      if (lookahead == '|') ADVANCE(160);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(160);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(141);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(199);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(168);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == '~') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(172);
      if (lookahead == '~') ADVANCE(170);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(193);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(193);
      if (lookahead == '(') ADVANCE(237);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(193);
      if (lookahead == '(') ADVANCE(237);
      if (lookahead == '<') ADVANCE(195);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(193);
      if (lookahead == '(') ADVANCE(237);
      if (lookahead == '<') ADVANCE(195);
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(193);
      if (lookahead == '<') ADVANCE(195);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(194);
      if (lookahead == '(') ADVANCE(238);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(194);
      if (lookahead == '(') ADVANCE(238);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(194);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(209);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(192);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '<') ADVANCE(197);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(211);
      if (lookahead == '=') ADVANCE(179);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(210);
      if (lookahead == '=') ADVANCE(178);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(213);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '\\') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(212);
      if (lookahead == '=') ADVANCE(206);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(48);
      if (lookahead == '(') ADVANCE(235);
      if (lookahead == '{') ADVANCE(229);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(235);
      if (lookahead == '{') ADVANCE(229);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(169);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(239);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(220);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(224);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '*') ADVANCE(250);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(254);
      if (lookahead == '@') ADVANCE(252);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(222);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(224);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '"') ADVANCE(219);
      if (lookahead == '#') ADVANCE(220);
      if (lookahead == '$') ADVANCE(216);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '`') ADVANCE(236);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(223);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\\') ADVANCE(109);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(224);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_ansii_c_string);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_ansii_c_string);
      if (lookahead == '\'') ADVANCE(226);
      if (lookahead == '\\') ADVANCE(49);
      if (lookahead != 0) ADVANCE(48);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(233);
      if (lookahead == '?') ADVANCE(232);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead != 0) ADVANCE(220);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(240);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == 'a') ADVANCE(242);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == 'c') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == 's') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(244);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(249);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == '~') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == 'c') ADVANCE(147);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == 'n') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead == 's') ADVANCE(263);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_test_operator);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(159);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(159);
      if (lookahead == '>') ADVANCE(191);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'l') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 't') ADVANCE(9);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'w') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(12);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(15);
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'h') ADVANCE(23);
      if (lookahead == 'y') ADVANCE(24);
      END_STATE();
    case 10:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(26);
      END_STATE();
    case 12:
      if (lookahead == 's') ADVANCE(27);
      END_STATE();
    case 13:
      if (lookahead == 'c') ADVANCE(28);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 16:
      if (lookahead == 'p') ADVANCE(32);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 18:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(36);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(38);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(39);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(44);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 36:
      if (lookahead == 'd') ADVANCE(49);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 70:
      if (lookahead == 'y') ADVANCE(74);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 72:
      if (lookahead == 'v') ADVANCE(75);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 119, .external_lex_state = 2},
  [2] = {.lex_state = 119, .external_lex_state = 2},
  [3] = {.lex_state = 119, .external_lex_state = 2},
  [4] = {.lex_state = 119, .external_lex_state = 2},
  [5] = {.lex_state = 119, .external_lex_state = 2},
  [6] = {.lex_state = 119, .external_lex_state = 2},
  [7] = {.lex_state = 119, .external_lex_state = 2},
  [8] = {.lex_state = 23, .external_lex_state = 2},
  [9] = {.lex_state = 23, .external_lex_state = 2},
  [10] = {.lex_state = 23, .external_lex_state = 2},
  [11] = {.lex_state = 23, .external_lex_state = 2},
  [12] = {.lex_state = 119, .external_lex_state = 2},
  [13] = {.lex_state = 119, .external_lex_state = 2},
  [14] = {.lex_state = 119, .external_lex_state = 2},
  [15] = {.lex_state = 119, .external_lex_state = 2},
  [16] = {.lex_state = 119, .external_lex_state = 2},
  [17] = {.lex_state = 119, .external_lex_state = 2},
  [18] = {.lex_state = 119, .external_lex_state = 2},
  [19] = {.lex_state = 119, .external_lex_state = 2},
  [20] = {.lex_state = 119, .external_lex_state = 2},
  [21] = {.lex_state = 119, .external_lex_state = 2},
  [22] = {.lex_state = 119, .external_lex_state = 2},
  [23] = {.lex_state = 119, .external_lex_state = 2},
  [24] = {.lex_state = 119, .external_lex_state = 2},
  [25] = {.lex_state = 119, .external_lex_state = 2},
  [26] = {.lex_state = 119, .external_lex_state = 2},
  [27] = {.lex_state = 119, .external_lex_state = 2},
  [28] = {.lex_state = 119, .external_lex_state = 2},
  [29] = {.lex_state = 119, .external_lex_state = 2},
  [30] = {.lex_state = 119, .external_lex_state = 2},
  [31] = {.lex_state = 119, .external_lex_state = 2},
  [32] = {.lex_state = 119, .external_lex_state = 2},
  [33] = {.lex_state = 119, .external_lex_state = 2},
  [34] = {.lex_state = 119, .external_lex_state = 2},
  [35] = {.lex_state = 119, .external_lex_state = 2},
  [36] = {.lex_state = 119, .external_lex_state = 2},
  [37] = {.lex_state = 119, .external_lex_state = 2},
  [38] = {.lex_state = 119, .external_lex_state = 2},
  [39] = {.lex_state = 119, .external_lex_state = 2},
  [40] = {.lex_state = 119, .external_lex_state = 2},
  [41] = {.lex_state = 119, .external_lex_state = 2},
  [42] = {.lex_state = 119, .external_lex_state = 2},
  [43] = {.lex_state = 119, .external_lex_state = 2},
  [44] = {.lex_state = 119, .external_lex_state = 2},
  [45] = {.lex_state = 119, .external_lex_state = 2},
  [46] = {.lex_state = 119, .external_lex_state = 2},
  [47] = {.lex_state = 119, .external_lex_state = 2},
  [48] = {.lex_state = 119, .external_lex_state = 2},
  [49] = {.lex_state = 119, .external_lex_state = 2},
  [50] = {.lex_state = 119, .external_lex_state = 2},
  [51] = {.lex_state = 119, .external_lex_state = 2},
  [52] = {.lex_state = 119, .external_lex_state = 2},
  [53] = {.lex_state = 119, .external_lex_state = 2},
  [54] = {.lex_state = 119, .external_lex_state = 2},
  [55] = {.lex_state = 119, .external_lex_state = 2},
  [56] = {.lex_state = 119, .external_lex_state = 2},
  [57] = {.lex_state = 24, .external_lex_state = 3},
  [58] = {.lex_state = 119, .external_lex_state = 2},
  [59] = {.lex_state = 119, .external_lex_state = 2},
  [60] = {.lex_state = 119, .external_lex_state = 2},
  [61] = {.lex_state = 119, .external_lex_state = 2},
  [62] = {.lex_state = 119, .external_lex_state = 2},
  [63] = {.lex_state = 119, .external_lex_state = 2},
  [64] = {.lex_state = 24, .external_lex_state = 3},
  [65] = {.lex_state = 119, .external_lex_state = 2},
  [66] = {.lex_state = 119, .external_lex_state = 2},
  [67] = {.lex_state = 119, .external_lex_state = 2},
  [68] = {.lex_state = 119, .external_lex_state = 2},
  [69] = {.lex_state = 119, .external_lex_state = 2},
  [70] = {.lex_state = 119, .external_lex_state = 2},
  [71] = {.lex_state = 119, .external_lex_state = 2},
  [72] = {.lex_state = 119, .external_lex_state = 2},
  [73] = {.lex_state = 119, .external_lex_state = 2},
  [74] = {.lex_state = 119, .external_lex_state = 2},
  [75] = {.lex_state = 119, .external_lex_state = 2},
  [76] = {.lex_state = 119, .external_lex_state = 2},
  [77] = {.lex_state = 119, .external_lex_state = 2},
  [78] = {.lex_state = 119, .external_lex_state = 2},
  [79] = {.lex_state = 119, .external_lex_state = 2},
  [80] = {.lex_state = 119, .external_lex_state = 2},
  [81] = {.lex_state = 119, .external_lex_state = 2},
  [82] = {.lex_state = 119, .external_lex_state = 2},
  [83] = {.lex_state = 119, .external_lex_state = 2},
  [84] = {.lex_state = 24, .external_lex_state = 3},
  [85] = {.lex_state = 119, .external_lex_state = 2},
  [86] = {.lex_state = 119, .external_lex_state = 2},
  [87] = {.lex_state = 119, .external_lex_state = 2},
  [88] = {.lex_state = 119, .external_lex_state = 2},
  [89] = {.lex_state = 119, .external_lex_state = 2},
  [90] = {.lex_state = 119, .external_lex_state = 2},
  [91] = {.lex_state = 119, .external_lex_state = 2},
  [92] = {.lex_state = 119, .external_lex_state = 2},
  [93] = {.lex_state = 119, .external_lex_state = 2},
  [94] = {.lex_state = 119, .external_lex_state = 2},
  [95] = {.lex_state = 119, .external_lex_state = 2},
  [96] = {.lex_state = 119, .external_lex_state = 2},
  [97] = {.lex_state = 119, .external_lex_state = 2},
  [98] = {.lex_state = 24, .external_lex_state = 3},
  [99] = {.lex_state = 24, .external_lex_state = 3},
  [100] = {.lex_state = 119, .external_lex_state = 2},
  [101] = {.lex_state = 119, .external_lex_state = 2},
  [102] = {.lex_state = 119, .external_lex_state = 2},
  [103] = {.lex_state = 119, .external_lex_state = 2},
  [104] = {.lex_state = 119, .external_lex_state = 2},
  [105] = {.lex_state = 119, .external_lex_state = 2},
  [106] = {.lex_state = 119, .external_lex_state = 2},
  [107] = {.lex_state = 119, .external_lex_state = 2},
  [108] = {.lex_state = 119, .external_lex_state = 2},
  [109] = {.lex_state = 119, .external_lex_state = 2},
  [110] = {.lex_state = 119, .external_lex_state = 2},
  [111] = {.lex_state = 119, .external_lex_state = 2},
  [112] = {.lex_state = 119, .external_lex_state = 2},
  [113] = {.lex_state = 119, .external_lex_state = 2},
  [114] = {.lex_state = 119, .external_lex_state = 2},
  [115] = {.lex_state = 119, .external_lex_state = 2},
  [116] = {.lex_state = 119, .external_lex_state = 2},
  [117] = {.lex_state = 119, .external_lex_state = 2},
  [118] = {.lex_state = 119, .external_lex_state = 2},
  [119] = {.lex_state = 119, .external_lex_state = 2},
  [120] = {.lex_state = 119, .external_lex_state = 2},
  [121] = {.lex_state = 119, .external_lex_state = 2},
  [122] = {.lex_state = 119, .external_lex_state = 2},
  [123] = {.lex_state = 119, .external_lex_state = 2},
  [124] = {.lex_state = 119, .external_lex_state = 2},
  [125] = {.lex_state = 119, .external_lex_state = 4},
  [126] = {.lex_state = 111, .external_lex_state = 5},
  [127] = {.lex_state = 8, .external_lex_state = 5},
  [128] = {.lex_state = 111, .external_lex_state = 5},
  [129] = {.lex_state = 111, .external_lex_state = 5},
  [130] = {.lex_state = 8, .external_lex_state = 5},
  [131] = {.lex_state = 111, .external_lex_state = 5},
  [132] = {.lex_state = 8, .external_lex_state = 5},
  [133] = {.lex_state = 111, .external_lex_state = 5},
  [134] = {.lex_state = 111, .external_lex_state = 5},
  [135] = {.lex_state = 111, .external_lex_state = 5},
  [136] = {.lex_state = 111, .external_lex_state = 5},
  [137] = {.lex_state = 114, .external_lex_state = 6},
  [138] = {.lex_state = 10, .external_lex_state = 6},
  [139] = {.lex_state = 114, .external_lex_state = 6},
  [140] = {.lex_state = 23, .external_lex_state = 4},
  [141] = {.lex_state = 23, .external_lex_state = 4},
  [142] = {.lex_state = 119, .external_lex_state = 4},
  [143] = {.lex_state = 119, .external_lex_state = 2},
  [144] = {.lex_state = 115, .external_lex_state = 6},
  [145] = {.lex_state = 119, .external_lex_state = 4},
  [146] = {.lex_state = 24, .external_lex_state = 7},
  [147] = {.lex_state = 116, .external_lex_state = 5},
  [148] = {.lex_state = 119, .external_lex_state = 4},
  [149] = {.lex_state = 119, .external_lex_state = 4},
  [150] = {.lex_state = 13, .external_lex_state = 6},
  [151] = {.lex_state = 115, .external_lex_state = 6},
  [152] = {.lex_state = 13, .external_lex_state = 6},
  [153] = {.lex_state = 115, .external_lex_state = 6},
  [154] = {.lex_state = 116, .external_lex_state = 5},
  [155] = {.lex_state = 119, .external_lex_state = 2},
  [156] = {.lex_state = 14, .external_lex_state = 5},
  [157] = {.lex_state = 116, .external_lex_state = 5},
  [158] = {.lex_state = 115, .external_lex_state = 6},
  [159] = {.lex_state = 115, .external_lex_state = 6},
  [160] = {.lex_state = 13, .external_lex_state = 6},
  [161] = {.lex_state = 14, .external_lex_state = 5},
  [162] = {.lex_state = 115, .external_lex_state = 6},
  [163] = {.lex_state = 115, .external_lex_state = 6},
  [164] = {.lex_state = 13, .external_lex_state = 6},
  [165] = {.lex_state = 115, .external_lex_state = 6},
  [166] = {.lex_state = 115, .external_lex_state = 6},
  [167] = {.lex_state = 13, .external_lex_state = 6},
  [168] = {.lex_state = 115, .external_lex_state = 6},
  [169] = {.lex_state = 119, .external_lex_state = 4},
  [170] = {.lex_state = 119, .external_lex_state = 4},
  [171] = {.lex_state = 116, .external_lex_state = 5},
  [172] = {.lex_state = 115, .external_lex_state = 6},
  [173] = {.lex_state = 111, .external_lex_state = 6},
  [174] = {.lex_state = 115, .external_lex_state = 6},
  [175] = {.lex_state = 116, .external_lex_state = 6},
  [176] = {.lex_state = 14, .external_lex_state = 6},
  [177] = {.lex_state = 111, .external_lex_state = 6},
  [178] = {.lex_state = 8, .external_lex_state = 6},
  [179] = {.lex_state = 116, .external_lex_state = 6},
  [180] = {.lex_state = 8, .external_lex_state = 6},
  [181] = {.lex_state = 111, .external_lex_state = 6},
  [182] = {.lex_state = 119, .external_lex_state = 4},
  [183] = {.lex_state = 119, .external_lex_state = 4},
  [184] = {.lex_state = 111, .external_lex_state = 6},
  [185] = {.lex_state = 119, .external_lex_state = 4},
  [186] = {.lex_state = 111, .external_lex_state = 6},
  [187] = {.lex_state = 111, .external_lex_state = 6},
  [188] = {.lex_state = 115, .external_lex_state = 6},
  [189] = {.lex_state = 115, .external_lex_state = 6},
  [190] = {.lex_state = 8, .external_lex_state = 6},
  [191] = {.lex_state = 23, .external_lex_state = 2},
  [192] = {.lex_state = 119, .external_lex_state = 2},
  [193] = {.lex_state = 23, .external_lex_state = 2},
  [194] = {.lex_state = 38, .external_lex_state = 2},
  [195] = {.lex_state = 38, .external_lex_state = 2},
  [196] = {.lex_state = 119, .external_lex_state = 2},
  [197] = {.lex_state = 111, .external_lex_state = 6},
  [198] = {.lex_state = 23, .external_lex_state = 2},
  [199] = {.lex_state = 38, .external_lex_state = 2},
  [200] = {.lex_state = 119, .external_lex_state = 2},
  [201] = {.lex_state = 38, .external_lex_state = 2},
  [202] = {.lex_state = 111, .external_lex_state = 6},
  [203] = {.lex_state = 119, .external_lex_state = 2},
  [204] = {.lex_state = 23, .external_lex_state = 2},
  [205] = {.lex_state = 24, .external_lex_state = 3},
  [206] = {.lex_state = 24, .external_lex_state = 3},
  [207] = {.lex_state = 119, .external_lex_state = 2},
  [208] = {.lex_state = 119, .external_lex_state = 2},
  [209] = {.lex_state = 119, .external_lex_state = 2},
  [210] = {.lex_state = 119, .external_lex_state = 2},
  [211] = {.lex_state = 119, .external_lex_state = 2},
  [212] = {.lex_state = 119, .external_lex_state = 2},
  [213] = {.lex_state = 119, .external_lex_state = 2},
  [214] = {.lex_state = 119, .external_lex_state = 2},
  [215] = {.lex_state = 119, .external_lex_state = 2},
  [216] = {.lex_state = 119, .external_lex_state = 2},
  [217] = {.lex_state = 117, .external_lex_state = 5},
  [218] = {.lex_state = 16, .external_lex_state = 5},
  [219] = {.lex_state = 13, .external_lex_state = 8},
  [220] = {.lex_state = 117, .external_lex_state = 5},
  [221] = {.lex_state = 117, .external_lex_state = 5},
  [222] = {.lex_state = 117, .external_lex_state = 5},
  [223] = {.lex_state = 117, .external_lex_state = 5},
  [224] = {.lex_state = 117, .external_lex_state = 5},
  [225] = {.lex_state = 16, .external_lex_state = 5},
  [226] = {.lex_state = 16, .external_lex_state = 5},
  [227] = {.lex_state = 117, .external_lex_state = 5},
  [228] = {.lex_state = 115, .external_lex_state = 8},
  [229] = {.lex_state = 115, .external_lex_state = 8},
  [230] = {.lex_state = 16, .external_lex_state = 5},
  [231] = {.lex_state = 117, .external_lex_state = 5},
  [232] = {.lex_state = 111, .external_lex_state = 9},
  [233] = {.lex_state = 117, .external_lex_state = 5},
  [234] = {.lex_state = 117, .external_lex_state = 5},
  [235] = {.lex_state = 115, .external_lex_state = 8},
  [236] = {.lex_state = 115, .external_lex_state = 8},
  [237] = {.lex_state = 115, .external_lex_state = 8},
  [238] = {.lex_state = 117, .external_lex_state = 5},
  [239] = {.lex_state = 8, .external_lex_state = 9},
  [240] = {.lex_state = 115, .external_lex_state = 8},
  [241] = {.lex_state = 111, .external_lex_state = 9},
  [242] = {.lex_state = 117, .external_lex_state = 5},
  [243] = {.lex_state = 111, .external_lex_state = 9},
  [244] = {.lex_state = 111, .external_lex_state = 9},
  [245] = {.lex_state = 13, .external_lex_state = 8},
  [246] = {.lex_state = 8, .external_lex_state = 9},
  [247] = {.lex_state = 111, .external_lex_state = 9},
  [248] = {.lex_state = 115, .external_lex_state = 8},
  [249] = {.lex_state = 117, .external_lex_state = 5},
  [250] = {.lex_state = 115, .external_lex_state = 8},
  [251] = {.lex_state = 8, .external_lex_state = 9},
  [252] = {.lex_state = 111, .external_lex_state = 9},
  [253] = {.lex_state = 117, .external_lex_state = 5},
  [254] = {.lex_state = 117, .external_lex_state = 5},
  [255] = {.lex_state = 115, .external_lex_state = 8},
  [256] = {.lex_state = 115, .external_lex_state = 8},
  [257] = {.lex_state = 13, .external_lex_state = 8},
  [258] = {.lex_state = 117, .external_lex_state = 5},
  [259] = {.lex_state = 115, .external_lex_state = 8},
  [260] = {.lex_state = 115, .external_lex_state = 8},
  [261] = {.lex_state = 13, .external_lex_state = 8},
  [262] = {.lex_state = 111, .external_lex_state = 9},
  [263] = {.lex_state = 8, .external_lex_state = 9},
  [264] = {.lex_state = 111, .external_lex_state = 9},
  [265] = {.lex_state = 13, .external_lex_state = 8},
  [266] = {.lex_state = 8, .external_lex_state = 9},
  [267] = {.lex_state = 111, .external_lex_state = 9},
  [268] = {.lex_state = 117, .external_lex_state = 5},
  [269] = {.lex_state = 111, .external_lex_state = 9},
  [270] = {.lex_state = 13, .external_lex_state = 8},
  [271] = {.lex_state = 117, .external_lex_state = 5},
  [272] = {.lex_state = 13, .external_lex_state = 8},
  [273] = {.lex_state = 115, .external_lex_state = 8},
  [274] = {.lex_state = 115, .external_lex_state = 8},
  [275] = {.lex_state = 117, .external_lex_state = 9},
  [276] = {.lex_state = 115, .external_lex_state = 8},
  [277] = {.lex_state = 115, .external_lex_state = 8},
  [278] = {.lex_state = 13, .external_lex_state = 8},
  [279] = {.lex_state = 13, .external_lex_state = 8},
  [280] = {.lex_state = 115, .external_lex_state = 8},
  [281] = {.lex_state = 115, .external_lex_state = 8},
  [282] = {.lex_state = 115, .external_lex_state = 8},
  [283] = {.lex_state = 115, .external_lex_state = 8},
  [284] = {.lex_state = 115, .external_lex_state = 8},
  [285] = {.lex_state = 115, .external_lex_state = 8},
  [286] = {.lex_state = 115, .external_lex_state = 8},
  [287] = {.lex_state = 115, .external_lex_state = 8},
  [288] = {.lex_state = 115, .external_lex_state = 8},
  [289] = {.lex_state = 115, .external_lex_state = 8},
  [290] = {.lex_state = 115, .external_lex_state = 8},
  [291] = {.lex_state = 115, .external_lex_state = 8},
  [292] = {.lex_state = 13, .external_lex_state = 8},
  [293] = {.lex_state = 13, .external_lex_state = 8},
  [294] = {.lex_state = 13, .external_lex_state = 8},
  [295] = {.lex_state = 13, .external_lex_state = 8},
  [296] = {.lex_state = 115, .external_lex_state = 8},
  [297] = {.lex_state = 115, .external_lex_state = 8},
  [298] = {.lex_state = 115, .external_lex_state = 8},
  [299] = {.lex_state = 115, .external_lex_state = 8},
  [300] = {.lex_state = 13, .external_lex_state = 6},
  [301] = {.lex_state = 111, .external_lex_state = 9},
  [302] = {.lex_state = 112, .external_lex_state = 6},
  [303] = {.lex_state = 8, .external_lex_state = 9},
  [304] = {.lex_state = 117, .external_lex_state = 9},
  [305] = {.lex_state = 111, .external_lex_state = 5},
  [306] = {.lex_state = 115, .external_lex_state = 8},
  [307] = {.lex_state = 115, .external_lex_state = 8},
  [308] = {.lex_state = 115, .external_lex_state = 8},
  [309] = {.lex_state = 115, .external_lex_state = 8},
  [310] = {.lex_state = 115, .external_lex_state = 8},
  [311] = {.lex_state = 115, .external_lex_state = 8},
  [312] = {.lex_state = 115, .external_lex_state = 8},
  [313] = {.lex_state = 117, .external_lex_state = 9},
  [314] = {.lex_state = 8, .external_lex_state = 9},
  [315] = {.lex_state = 117, .external_lex_state = 9},
  [316] = {.lex_state = 115, .external_lex_state = 8},
  [317] = {.lex_state = 115, .external_lex_state = 8},
  [318] = {.lex_state = 111, .external_lex_state = 8},
  [319] = {.lex_state = 115, .external_lex_state = 8},
  [320] = {.lex_state = 8, .external_lex_state = 9},
  [321] = {.lex_state = 115, .external_lex_state = 8},
  [322] = {.lex_state = 8, .external_lex_state = 9},
  [323] = {.lex_state = 115, .external_lex_state = 8},
  [324] = {.lex_state = 115, .external_lex_state = 8},
  [325] = {.lex_state = 115, .external_lex_state = 8},
  [326] = {.lex_state = 8, .external_lex_state = 9},
  [327] = {.lex_state = 8, .external_lex_state = 9},
  [328] = {.lex_state = 115, .external_lex_state = 8},
  [329] = {.lex_state = 111, .external_lex_state = 5},
  [330] = {.lex_state = 111, .external_lex_state = 5},
  [331] = {.lex_state = 13, .external_lex_state = 8},
  [332] = {.lex_state = 13, .external_lex_state = 8},
  [333] = {.lex_state = 8, .external_lex_state = 8},
  [334] = {.lex_state = 115, .external_lex_state = 6},
  [335] = {.lex_state = 111, .external_lex_state = 9},
  [336] = {.lex_state = 111, .external_lex_state = 9},
  [337] = {.lex_state = 13, .external_lex_state = 6},
  [338] = {.lex_state = 111, .external_lex_state = 9},
  [339] = {.lex_state = 111, .external_lex_state = 9},
  [340] = {.lex_state = 111, .external_lex_state = 9},
  [341] = {.lex_state = 111, .external_lex_state = 9},
  [342] = {.lex_state = 111, .external_lex_state = 9},
  [343] = {.lex_state = 111, .external_lex_state = 8},
  [344] = {.lex_state = 111, .external_lex_state = 9},
  [345] = {.lex_state = 115, .external_lex_state = 8},
  [346] = {.lex_state = 111, .external_lex_state = 9},
  [347] = {.lex_state = 115, .external_lex_state = 8},
  [348] = {.lex_state = 115, .external_lex_state = 8},
  [349] = {.lex_state = 115, .external_lex_state = 8},
  [350] = {.lex_state = 111, .external_lex_state = 9},
  [351] = {.lex_state = 13, .external_lex_state = 6},
  [352] = {.lex_state = 111, .external_lex_state = 9},
  [353] = {.lex_state = 8, .external_lex_state = 8},
  [354] = {.lex_state = 8, .external_lex_state = 5},
  [355] = {.lex_state = 111, .external_lex_state = 9},
  [356] = {.lex_state = 111, .external_lex_state = 9},
  [357] = {.lex_state = 111, .external_lex_state = 9},
  [358] = {.lex_state = 8, .external_lex_state = 8},
  [359] = {.lex_state = 13, .external_lex_state = 6},
  [360] = {.lex_state = 115, .external_lex_state = 8},
  [361] = {.lex_state = 115, .external_lex_state = 8},
  [362] = {.lex_state = 111, .external_lex_state = 9},
  [363] = {.lex_state = 111, .external_lex_state = 9},
  [364] = {.lex_state = 111, .external_lex_state = 9},
  [365] = {.lex_state = 13, .external_lex_state = 8},
  [366] = {.lex_state = 111, .external_lex_state = 9},
  [367] = {.lex_state = 111, .external_lex_state = 9},
  [368] = {.lex_state = 111, .external_lex_state = 9},
  [369] = {.lex_state = 16, .external_lex_state = 9},
  [370] = {.lex_state = 111, .external_lex_state = 9},
  [371] = {.lex_state = 13, .external_lex_state = 8},
  [372] = {.lex_state = 13, .external_lex_state = 8},
  [373] = {.lex_state = 13, .external_lex_state = 8},
  [374] = {.lex_state = 115, .external_lex_state = 6},
  [375] = {.lex_state = 111, .external_lex_state = 8},
  [376] = {.lex_state = 13, .external_lex_state = 8},
  [377] = {.lex_state = 111, .external_lex_state = 9},
  [378] = {.lex_state = 13, .external_lex_state = 8},
  [379] = {.lex_state = 13, .external_lex_state = 8},
  [380] = {.lex_state = 13, .external_lex_state = 8},
  [381] = {.lex_state = 13, .external_lex_state = 8},
  [382] = {.lex_state = 13, .external_lex_state = 8},
  [383] = {.lex_state = 13, .external_lex_state = 8},
  [384] = {.lex_state = 13, .external_lex_state = 8},
  [385] = {.lex_state = 13, .external_lex_state = 8},
  [386] = {.lex_state = 13, .external_lex_state = 8},
  [387] = {.lex_state = 111, .external_lex_state = 9},
  [388] = {.lex_state = 13, .external_lex_state = 8},
  [389] = {.lex_state = 13, .external_lex_state = 8},
  [390] = {.lex_state = 111, .external_lex_state = 9},
  [391] = {.lex_state = 13, .external_lex_state = 8},
  [392] = {.lex_state = 111, .external_lex_state = 9},
  [393] = {.lex_state = 111, .external_lex_state = 9},
  [394] = {.lex_state = 8, .external_lex_state = 9},
  [395] = {.lex_state = 8, .external_lex_state = 9},
  [396] = {.lex_state = 16, .external_lex_state = 9},
  [397] = {.lex_state = 8, .external_lex_state = 5},
  [398] = {.lex_state = 111, .external_lex_state = 9},
  [399] = {.lex_state = 111, .external_lex_state = 9},
  [400] = {.lex_state = 111, .external_lex_state = 9},
  [401] = {.lex_state = 16, .external_lex_state = 9},
  [402] = {.lex_state = 111, .external_lex_state = 9},
  [403] = {.lex_state = 115, .external_lex_state = 8},
  [404] = {.lex_state = 115, .external_lex_state = 8},
  [405] = {.lex_state = 115, .external_lex_state = 8},
  [406] = {.lex_state = 111, .external_lex_state = 9},
  [407] = {.lex_state = 8, .external_lex_state = 9},
  [408] = {.lex_state = 111, .external_lex_state = 9},
  [409] = {.lex_state = 115, .external_lex_state = 8},
  [410] = {.lex_state = 8, .external_lex_state = 9},
  [411] = {.lex_state = 111, .external_lex_state = 9},
  [412] = {.lex_state = 8, .external_lex_state = 9},
  [413] = {.lex_state = 115, .external_lex_state = 6},
  [414] = {.lex_state = 111, .external_lex_state = 9},
  [415] = {.lex_state = 111, .external_lex_state = 9},
  [416] = {.lex_state = 111, .external_lex_state = 9},
  [417] = {.lex_state = 8, .external_lex_state = 9},
  [418] = {.lex_state = 115, .external_lex_state = 8},
  [419] = {.lex_state = 111, .external_lex_state = 9},
  [420] = {.lex_state = 111, .external_lex_state = 5},
  [421] = {.lex_state = 111, .external_lex_state = 8},
  [422] = {.lex_state = 111, .external_lex_state = 9},
  [423] = {.lex_state = 111, .external_lex_state = 9},
  [424] = {.lex_state = 8, .external_lex_state = 9},
  [425] = {.lex_state = 111, .external_lex_state = 9},
  [426] = {.lex_state = 8, .external_lex_state = 9},
  [427] = {.lex_state = 111, .external_lex_state = 9},
  [428] = {.lex_state = 111, .external_lex_state = 8},
  [429] = {.lex_state = 8, .external_lex_state = 9},
  [430] = {.lex_state = 8, .external_lex_state = 9},
  [431] = {.lex_state = 111, .external_lex_state = 5},
  [432] = {.lex_state = 115, .external_lex_state = 8},
  [433] = {.lex_state = 115, .external_lex_state = 8},
  [434] = {.lex_state = 8, .external_lex_state = 5},
  [435] = {.lex_state = 111, .external_lex_state = 8},
  [436] = {.lex_state = 111, .external_lex_state = 8},
  [437] = {.lex_state = 117, .external_lex_state = 9},
  [438] = {.lex_state = 111, .external_lex_state = 9},
  [439] = {.lex_state = 8, .external_lex_state = 9},
  [440] = {.lex_state = 111, .external_lex_state = 9},
  [441] = {.lex_state = 115, .external_lex_state = 6},
  [442] = {.lex_state = 111, .external_lex_state = 9},
  [443] = {.lex_state = 115, .external_lex_state = 6},
  [444] = {.lex_state = 111, .external_lex_state = 9},
  [445] = {.lex_state = 8, .external_lex_state = 9},
  [446] = {.lex_state = 8, .external_lex_state = 9},
  [447] = {.lex_state = 8, .external_lex_state = 9},
  [448] = {.lex_state = 8, .external_lex_state = 9},
  [449] = {.lex_state = 8, .external_lex_state = 9},
  [450] = {.lex_state = 8, .external_lex_state = 9},
  [451] = {.lex_state = 117, .external_lex_state = 9},
  [452] = {.lex_state = 8, .external_lex_state = 9},
  [453] = {.lex_state = 115, .external_lex_state = 6},
  [454] = {.lex_state = 8, .external_lex_state = 9},
  [455] = {.lex_state = 8, .external_lex_state = 8},
  [456] = {.lex_state = 115, .external_lex_state = 6},
  [457] = {.lex_state = 111, .external_lex_state = 9},
  [458] = {.lex_state = 111, .external_lex_state = 9},
  [459] = {.lex_state = 115, .external_lex_state = 8},
  [460] = {.lex_state = 16, .external_lex_state = 9},
  [461] = {.lex_state = 115, .external_lex_state = 8},
  [462] = {.lex_state = 115, .external_lex_state = 8},
  [463] = {.lex_state = 115, .external_lex_state = 8},
  [464] = {.lex_state = 111, .external_lex_state = 9},
  [465] = {.lex_state = 111, .external_lex_state = 8},
  [466] = {.lex_state = 111, .external_lex_state = 5},
  [467] = {.lex_state = 115, .external_lex_state = 6},
  [468] = {.lex_state = 111, .external_lex_state = 9},
  [469] = {.lex_state = 117, .external_lex_state = 9},
  [470] = {.lex_state = 117, .external_lex_state = 9},
  [471] = {.lex_state = 16, .external_lex_state = 9},
  [472] = {.lex_state = 111, .external_lex_state = 8},
  [473] = {.lex_state = 16, .external_lex_state = 9},
  [474] = {.lex_state = 16, .external_lex_state = 9},
  [475] = {.lex_state = 16, .external_lex_state = 9},
  [476] = {.lex_state = 16, .external_lex_state = 9},
  [477] = {.lex_state = 16, .external_lex_state = 9},
  [478] = {.lex_state = 16, .external_lex_state = 9},
  [479] = {.lex_state = 16, .external_lex_state = 9},
  [480] = {.lex_state = 16, .external_lex_state = 9},
  [481] = {.lex_state = 16, .external_lex_state = 9},
  [482] = {.lex_state = 16, .external_lex_state = 5},
  [483] = {.lex_state = 111, .external_lex_state = 8},
  [484] = {.lex_state = 16, .external_lex_state = 9},
  [485] = {.lex_state = 16, .external_lex_state = 9},
  [486] = {.lex_state = 8, .external_lex_state = 8},
  [487] = {.lex_state = 8, .external_lex_state = 8},
  [488] = {.lex_state = 8, .external_lex_state = 8},
  [489] = {.lex_state = 8, .external_lex_state = 8},
  [490] = {.lex_state = 8, .external_lex_state = 8},
  [491] = {.lex_state = 8, .external_lex_state = 8},
  [492] = {.lex_state = 8, .external_lex_state = 8},
  [493] = {.lex_state = 8, .external_lex_state = 8},
  [494] = {.lex_state = 115, .external_lex_state = 6},
  [495] = {.lex_state = 8, .external_lex_state = 8},
  [496] = {.lex_state = 8, .external_lex_state = 8},
  [497] = {.lex_state = 111, .external_lex_state = 8},
  [498] = {.lex_state = 8, .external_lex_state = 8},
  [499] = {.lex_state = 8, .external_lex_state = 8},
  [500] = {.lex_state = 8, .external_lex_state = 8},
  [501] = {.lex_state = 8, .external_lex_state = 8},
  [502] = {.lex_state = 8, .external_lex_state = 8},
  [503] = {.lex_state = 8, .external_lex_state = 8},
  [504] = {.lex_state = 8, .external_lex_state = 8},
  [505] = {.lex_state = 111, .external_lex_state = 8},
  [506] = {.lex_state = 8, .external_lex_state = 6},
  [507] = {.lex_state = 111, .external_lex_state = 8},
  [508] = {.lex_state = 8, .external_lex_state = 8},
  [509] = {.lex_state = 8, .external_lex_state = 8},
  [510] = {.lex_state = 117, .external_lex_state = 9},
  [511] = {.lex_state = 16, .external_lex_state = 9},
  [512] = {.lex_state = 16, .external_lex_state = 9},
  [513] = {.lex_state = 16, .external_lex_state = 9},
  [514] = {.lex_state = 117, .external_lex_state = 5},
  [515] = {.lex_state = 111, .external_lex_state = 8},
  [516] = {.lex_state = 16, .external_lex_state = 9},
  [517] = {.lex_state = 117, .external_lex_state = 9},
  [518] = {.lex_state = 111, .external_lex_state = 8},
  [519] = {.lex_state = 16, .external_lex_state = 9},
  [520] = {.lex_state = 16, .external_lex_state = 9},
  [521] = {.lex_state = 2, .external_lex_state = 6},
  [522] = {.lex_state = 115, .external_lex_state = 6},
  [523] = {.lex_state = 117, .external_lex_state = 9},
  [524] = {.lex_state = 117, .external_lex_state = 9},
  [525] = {.lex_state = 117, .external_lex_state = 9},
  [526] = {.lex_state = 117, .external_lex_state = 9},
  [527] = {.lex_state = 16, .external_lex_state = 9},
  [528] = {.lex_state = 117, .external_lex_state = 9},
  [529] = {.lex_state = 16, .external_lex_state = 9},
  [530] = {.lex_state = 111, .external_lex_state = 6},
  [531] = {.lex_state = 111, .external_lex_state = 8},
  [532] = {.lex_state = 117, .external_lex_state = 9},
  [533] = {.lex_state = 39, .external_lex_state = 2},
  [534] = {.lex_state = 115, .external_lex_state = 6},
  [535] = {.lex_state = 16, .external_lex_state = 9},
  [536] = {.lex_state = 117, .external_lex_state = 9},
  [537] = {.lex_state = 16, .external_lex_state = 9},
  [538] = {.lex_state = 39, .external_lex_state = 2},
  [539] = {.lex_state = 8, .external_lex_state = 5},
  [540] = {.lex_state = 16, .external_lex_state = 9},
  [541] = {.lex_state = 117, .external_lex_state = 9},
  [542] = {.lex_state = 111, .external_lex_state = 8},
  [543] = {.lex_state = 16, .external_lex_state = 9},
  [544] = {.lex_state = 117, .external_lex_state = 9},
  [545] = {.lex_state = 115, .external_lex_state = 6},
  [546] = {.lex_state = 117, .external_lex_state = 9},
  [547] = {.lex_state = 117, .external_lex_state = 9},
  [548] = {.lex_state = 117, .external_lex_state = 9},
  [549] = {.lex_state = 117, .external_lex_state = 9},
  [550] = {.lex_state = 117, .external_lex_state = 9},
  [551] = {.lex_state = 117, .external_lex_state = 9},
  [552] = {.lex_state = 117, .external_lex_state = 9},
  [553] = {.lex_state = 117, .external_lex_state = 9},
  [554] = {.lex_state = 117, .external_lex_state = 9},
  [555] = {.lex_state = 117, .external_lex_state = 9},
  [556] = {.lex_state = 117, .external_lex_state = 9},
  [557] = {.lex_state = 117, .external_lex_state = 9},
  [558] = {.lex_state = 117, .external_lex_state = 9},
  [559] = {.lex_state = 8, .external_lex_state = 8},
  [560] = {.lex_state = 117, .external_lex_state = 9},
  [561] = {.lex_state = 8, .external_lex_state = 8},
  [562] = {.lex_state = 39, .external_lex_state = 2},
  [563] = {.lex_state = 111, .external_lex_state = 8},
  [564] = {.lex_state = 117, .external_lex_state = 5},
  [565] = {.lex_state = 5, .external_lex_state = 10},
  [566] = {.lex_state = 111, .external_lex_state = 8},
  [567] = {.lex_state = 111, .external_lex_state = 8},
  [568] = {.lex_state = 111, .external_lex_state = 6},
  [569] = {.lex_state = 115, .external_lex_state = 6},
  [570] = {.lex_state = 115, .external_lex_state = 6},
  [571] = {.lex_state = 111, .external_lex_state = 8},
  [572] = {.lex_state = 111, .external_lex_state = 8},
  [573] = {.lex_state = 13, .external_lex_state = 6},
  [574] = {.lex_state = 117, .external_lex_state = 5},
  [575] = {.lex_state = 39, .external_lex_state = 2},
  [576] = {.lex_state = 111, .external_lex_state = 6},
  [577] = {.lex_state = 8, .external_lex_state = 8},
  [578] = {.lex_state = 111, .external_lex_state = 5},
  [579] = {.lex_state = 111, .external_lex_state = 6},
  [580] = {.lex_state = 111, .external_lex_state = 8},
  [581] = {.lex_state = 112, .external_lex_state = 6},
  [582] = {.lex_state = 111, .external_lex_state = 8},
  [583] = {.lex_state = 111, .external_lex_state = 8},
  [584] = {.lex_state = 8, .external_lex_state = 6},
  [585] = {.lex_state = 8, .external_lex_state = 8},
  [586] = {.lex_state = 111, .external_lex_state = 8},
  [587] = {.lex_state = 13, .external_lex_state = 6},
  [588] = {.lex_state = 111, .external_lex_state = 8},
  [589] = {.lex_state = 111, .external_lex_state = 8},
  [590] = {.lex_state = 111, .external_lex_state = 8},
  [591] = {.lex_state = 111, .external_lex_state = 8},
  [592] = {.lex_state = 111, .external_lex_state = 8},
  [593] = {.lex_state = 111, .external_lex_state = 8},
  [594] = {.lex_state = 111, .external_lex_state = 8},
  [595] = {.lex_state = 111, .external_lex_state = 8},
  [596] = {.lex_state = 8, .external_lex_state = 5},
  [597] = {.lex_state = 111, .external_lex_state = 8},
  [598] = {.lex_state = 13, .external_lex_state = 6},
  [599] = {.lex_state = 111, .external_lex_state = 8},
  [600] = {.lex_state = 111, .external_lex_state = 8},
  [601] = {.lex_state = 8, .external_lex_state = 8},
  [602] = {.lex_state = 111, .external_lex_state = 8},
  [603] = {.lex_state = 8, .external_lex_state = 5},
  [604] = {.lex_state = 115, .external_lex_state = 6},
  [605] = {.lex_state = 111, .external_lex_state = 8},
  [606] = {.lex_state = 111, .external_lex_state = 8},
  [607] = {.lex_state = 111, .external_lex_state = 8},
  [608] = {.lex_state = 8, .external_lex_state = 8},
  [609] = {.lex_state = 111, .external_lex_state = 8},
  [610] = {.lex_state = 111, .external_lex_state = 8},
  [611] = {.lex_state = 111, .external_lex_state = 8},
  [612] = {.lex_state = 111, .external_lex_state = 8},
  [613] = {.lex_state = 111, .external_lex_state = 8},
  [614] = {.lex_state = 8, .external_lex_state = 5},
  [615] = {.lex_state = 111, .external_lex_state = 5},
  [616] = {.lex_state = 111, .external_lex_state = 8},
  [617] = {.lex_state = 111, .external_lex_state = 8},
  [618] = {.lex_state = 111, .external_lex_state = 8},
  [619] = {.lex_state = 111, .external_lex_state = 8},
  [620] = {.lex_state = 117, .external_lex_state = 9},
  [621] = {.lex_state = 117, .external_lex_state = 9},
  [622] = {.lex_state = 115, .external_lex_state = 6},
  [623] = {.lex_state = 16, .external_lex_state = 5},
  [624] = {.lex_state = 117, .external_lex_state = 9},
  [625] = {.lex_state = 111, .external_lex_state = 8},
  [626] = {.lex_state = 117, .external_lex_state = 9},
  [627] = {.lex_state = 111, .external_lex_state = 8},
  [628] = {.lex_state = 117, .external_lex_state = 9},
  [629] = {.lex_state = 111, .external_lex_state = 8},
  [630] = {.lex_state = 111, .external_lex_state = 5},
  [631] = {.lex_state = 13, .external_lex_state = 6},
  [632] = {.lex_state = 111, .external_lex_state = 5},
  [633] = {.lex_state = 111, .external_lex_state = 5},
  [634] = {.lex_state = 111, .external_lex_state = 8},
  [635] = {.lex_state = 111, .external_lex_state = 8},
  [636] = {.lex_state = 111, .external_lex_state = 5},
  [637] = {.lex_state = 111, .external_lex_state = 5},
  [638] = {.lex_state = 111, .external_lex_state = 8},
  [639] = {.lex_state = 111, .external_lex_state = 8},
  [640] = {.lex_state = 111, .external_lex_state = 8},
  [641] = {.lex_state = 117, .external_lex_state = 5},
  [642] = {.lex_state = 117, .external_lex_state = 9},
  [643] = {.lex_state = 117, .external_lex_state = 9},
  [644] = {.lex_state = 117, .external_lex_state = 9},
  [645] = {.lex_state = 117, .external_lex_state = 9},
  [646] = {.lex_state = 117, .external_lex_state = 9},
  [647] = {.lex_state = 117, .external_lex_state = 9},
  [648] = {.lex_state = 16, .external_lex_state = 9},
  [649] = {.lex_state = 117, .external_lex_state = 9},
  [650] = {.lex_state = 117, .external_lex_state = 9},
  [651] = {.lex_state = 111, .external_lex_state = 5},
  [652] = {.lex_state = 117, .external_lex_state = 9},
  [653] = {.lex_state = 117, .external_lex_state = 9},
  [654] = {.lex_state = 117, .external_lex_state = 9},
  [655] = {.lex_state = 117, .external_lex_state = 9},
  [656] = {.lex_state = 117, .external_lex_state = 9},
  [657] = {.lex_state = 117, .external_lex_state = 9},
  [658] = {.lex_state = 117, .external_lex_state = 9},
  [659] = {.lex_state = 117, .external_lex_state = 9},
  [660] = {.lex_state = 117, .external_lex_state = 9},
  [661] = {.lex_state = 117, .external_lex_state = 9},
  [662] = {.lex_state = 117, .external_lex_state = 9},
  [663] = {.lex_state = 117, .external_lex_state = 9},
  [664] = {.lex_state = 117, .external_lex_state = 5},
  [665] = {.lex_state = 117, .external_lex_state = 5},
  [666] = {.lex_state = 16, .external_lex_state = 5},
  [667] = {.lex_state = 117, .external_lex_state = 5},
  [668] = {.lex_state = 117, .external_lex_state = 5},
  [669] = {.lex_state = 16, .external_lex_state = 5},
  [670] = {.lex_state = 16, .external_lex_state = 5},
  [671] = {.lex_state = 16, .external_lex_state = 5},
  [672] = {.lex_state = 8, .external_lex_state = 6},
  [673] = {.lex_state = 117, .external_lex_state = 5},
  [674] = {.lex_state = 111, .external_lex_state = 6},
  [675] = {.lex_state = 111, .external_lex_state = 6},
  [676] = {.lex_state = 117, .external_lex_state = 5},
  [677] = {.lex_state = 117, .external_lex_state = 5},
  [678] = {.lex_state = 117, .external_lex_state = 5},
  [679] = {.lex_state = 7, .external_lex_state = 10},
  [680] = {.lex_state = 7, .external_lex_state = 10},
  [681] = {.lex_state = 7, .external_lex_state = 10},
  [682] = {.lex_state = 21, .external_lex_state = 2},
  [683] = {.lex_state = 7, .external_lex_state = 10},
  [684] = {.lex_state = 30},
  [685] = {.lex_state = 7, .external_lex_state = 10},
  [686] = {.lex_state = 7, .external_lex_state = 10},
  [687] = {.lex_state = 29, .external_lex_state = 11},
  [688] = {.lex_state = 29},
  [689] = {.lex_state = 36, .external_lex_state = 12},
  [690] = {.lex_state = 36, .external_lex_state = 12},
  [691] = {.lex_state = 36, .external_lex_state = 12},
  [692] = {.lex_state = 36, .external_lex_state = 12},
  [693] = {.lex_state = 37, .external_lex_state = 13},
  [694] = {.lex_state = 37, .external_lex_state = 13},
  [695] = {.lex_state = 37, .external_lex_state = 13},
  [696] = {.lex_state = 37, .external_lex_state = 13},
  [697] = {.lex_state = 37, .external_lex_state = 13},
  [698] = {.lex_state = 36, .external_lex_state = 12},
  [699] = {.lex_state = 36, .external_lex_state = 12},
  [700] = {.lex_state = 36, .external_lex_state = 12},
  [701] = {.lex_state = 36, .external_lex_state = 12},
  [702] = {.lex_state = 37, .external_lex_state = 13},
  [703] = {.lex_state = 37, .external_lex_state = 13},
  [704] = {.lex_state = 37, .external_lex_state = 13},
  [705] = {.lex_state = 37, .external_lex_state = 13},
  [706] = {.lex_state = 37, .external_lex_state = 13},
  [707] = {.lex_state = 36, .external_lex_state = 12},
  [708] = {.lex_state = 36, .external_lex_state = 12},
  [709] = {.lex_state = 36, .external_lex_state = 12},
  [710] = {.lex_state = 37, .external_lex_state = 13},
  [711] = {.lex_state = 36, .external_lex_state = 12},
  [712] = {.lex_state = 37, .external_lex_state = 13},
  [713] = {.lex_state = 36, .external_lex_state = 12},
  [714] = {.lex_state = 37, .external_lex_state = 13},
  [715] = {.lex_state = 36, .external_lex_state = 12},
  [716] = {.lex_state = 37, .external_lex_state = 13},
  [717] = {.lex_state = 36, .external_lex_state = 12},
  [718] = {.lex_state = 37, .external_lex_state = 13},
  [719] = {.lex_state = 37, .external_lex_state = 13},
  [720] = {.lex_state = 37, .external_lex_state = 13},
  [721] = {.lex_state = 36, .external_lex_state = 12},
  [722] = {.lex_state = 36, .external_lex_state = 12},
  [723] = {.lex_state = 37, .external_lex_state = 13},
  [724] = {.lex_state = 36, .external_lex_state = 12},
  [725] = {.lex_state = 37, .external_lex_state = 13},
  [726] = {.lex_state = 37, .external_lex_state = 13},
  [727] = {.lex_state = 36, .external_lex_state = 12},
  [728] = {.lex_state = 37, .external_lex_state = 13},
  [729] = {.lex_state = 37, .external_lex_state = 13},
  [730] = {.lex_state = 36, .external_lex_state = 12},
  [731] = {.lex_state = 37, .external_lex_state = 13},
  [732] = {.lex_state = 37, .external_lex_state = 13},
  [733] = {.lex_state = 36, .external_lex_state = 12},
  [734] = {.lex_state = 37, .external_lex_state = 13},
  [735] = {.lex_state = 37, .external_lex_state = 13},
  [736] = {.lex_state = 37, .external_lex_state = 13},
  [737] = {.lex_state = 36, .external_lex_state = 12},
  [738] = {.lex_state = 36, .external_lex_state = 12},
  [739] = {.lex_state = 37, .external_lex_state = 13},
  [740] = {.lex_state = 37, .external_lex_state = 13},
  [741] = {.lex_state = 36, .external_lex_state = 12},
  [742] = {.lex_state = 36, .external_lex_state = 12},
  [743] = {.lex_state = 37, .external_lex_state = 13},
  [744] = {.lex_state = 37, .external_lex_state = 13},
  [745] = {.lex_state = 37, .external_lex_state = 13},
  [746] = {.lex_state = 36, .external_lex_state = 12},
  [747] = {.lex_state = 36, .external_lex_state = 12},
  [748] = {.lex_state = 36, .external_lex_state = 12},
  [749] = {.lex_state = 36, .external_lex_state = 12},
  [750] = {.lex_state = 36, .external_lex_state = 12},
  [751] = {.lex_state = 36, .external_lex_state = 12},
  [752] = {.lex_state = 37, .external_lex_state = 13},
  [753] = {.lex_state = 37, .external_lex_state = 13},
  [754] = {.lex_state = 37, .external_lex_state = 13},
  [755] = {.lex_state = 37, .external_lex_state = 13},
  [756] = {.lex_state = 36, .external_lex_state = 12},
  [757] = {.lex_state = 37, .external_lex_state = 13},
  [758] = {.lex_state = 37, .external_lex_state = 13},
  [759] = {.lex_state = 36, .external_lex_state = 12},
  [760] = {.lex_state = 36, .external_lex_state = 12},
  [761] = {.lex_state = 36, .external_lex_state = 12},
  [762] = {.lex_state = 37, .external_lex_state = 13},
  [763] = {.lex_state = 37, .external_lex_state = 13},
  [764] = {.lex_state = 37, .external_lex_state = 13},
  [765] = {.lex_state = 37, .external_lex_state = 13},
  [766] = {.lex_state = 37, .external_lex_state = 13},
  [767] = {.lex_state = 36, .external_lex_state = 12},
  [768] = {.lex_state = 36, .external_lex_state = 12},
  [769] = {.lex_state = 36, .external_lex_state = 12},
  [770] = {.lex_state = 36, .external_lex_state = 12},
  [771] = {.lex_state = 36, .external_lex_state = 12},
  [772] = {.lex_state = 36, .external_lex_state = 12},
  [773] = {.lex_state = 36, .external_lex_state = 12},
  [774] = {.lex_state = 37, .external_lex_state = 13},
  [775] = {.lex_state = 37, .external_lex_state = 13},
  [776] = {.lex_state = 37, .external_lex_state = 13},
  [777] = {.lex_state = 36, .external_lex_state = 12},
  [778] = {.lex_state = 37, .external_lex_state = 13},
  [779] = {.lex_state = 36, .external_lex_state = 12},
  [780] = {.lex_state = 36, .external_lex_state = 12},
  [781] = {.lex_state = 36, .external_lex_state = 12},
  [782] = {.lex_state = 37, .external_lex_state = 13},
  [783] = {.lex_state = 36, .external_lex_state = 12},
  [784] = {.lex_state = 37, .external_lex_state = 13},
  [785] = {.lex_state = 36, .external_lex_state = 12},
  [786] = {.lex_state = 37, .external_lex_state = 13},
  [787] = {.lex_state = 37, .external_lex_state = 13},
  [788] = {.lex_state = 37, .external_lex_state = 13},
  [789] = {.lex_state = 37, .external_lex_state = 13},
  [790] = {.lex_state = 37, .external_lex_state = 13},
  [791] = {.lex_state = 36, .external_lex_state = 12},
  [792] = {.lex_state = 36, .external_lex_state = 12},
  [793] = {.lex_state = 36, .external_lex_state = 12},
  [794] = {.lex_state = 37, .external_lex_state = 13},
  [795] = {.lex_state = 36, .external_lex_state = 12},
  [796] = {.lex_state = 37, .external_lex_state = 13},
  [797] = {.lex_state = 37, .external_lex_state = 13},
  [798] = {.lex_state = 37, .external_lex_state = 13},
  [799] = {.lex_state = 37, .external_lex_state = 13},
  [800] = {.lex_state = 36, .external_lex_state = 12},
  [801] = {.lex_state = 36, .external_lex_state = 12},
  [802] = {.lex_state = 37, .external_lex_state = 13},
  [803] = {.lex_state = 36, .external_lex_state = 12},
  [804] = {.lex_state = 36, .external_lex_state = 12},
  [805] = {.lex_state = 37, .external_lex_state = 13},
  [806] = {.lex_state = 36, .external_lex_state = 12},
  [807] = {.lex_state = 36, .external_lex_state = 12},
  [808] = {.lex_state = 36, .external_lex_state = 12},
  [809] = {.lex_state = 37, .external_lex_state = 13},
  [810] = {.lex_state = 37, .external_lex_state = 13},
  [811] = {.lex_state = 37, .external_lex_state = 13},
  [812] = {.lex_state = 36, .external_lex_state = 12},
  [813] = {.lex_state = 36, .external_lex_state = 12},
  [814] = {.lex_state = 36, .external_lex_state = 12},
  [815] = {.lex_state = 37, .external_lex_state = 13},
  [816] = {.lex_state = 37, .external_lex_state = 13},
  [817] = {.lex_state = 37, .external_lex_state = 13},
  [818] = {.lex_state = 36, .external_lex_state = 12},
  [819] = {.lex_state = 37, .external_lex_state = 13},
  [820] = {.lex_state = 36, .external_lex_state = 12},
  [821] = {.lex_state = 36, .external_lex_state = 12},
  [822] = {.lex_state = 37, .external_lex_state = 13},
  [823] = {.lex_state = 36, .external_lex_state = 12},
  [824] = {.lex_state = 36, .external_lex_state = 12},
  [825] = {.lex_state = 36, .external_lex_state = 12},
  [826] = {.lex_state = 36, .external_lex_state = 12},
  [827] = {.lex_state = 36, .external_lex_state = 12},
  [828] = {.lex_state = 37, .external_lex_state = 13},
  [829] = {.lex_state = 37, .external_lex_state = 13},
  [830] = {.lex_state = 37, .external_lex_state = 13},
  [831] = {.lex_state = 37, .external_lex_state = 13},
  [832] = {.lex_state = 37, .external_lex_state = 13},
  [833] = {.lex_state = 36, .external_lex_state = 12},
  [834] = {.lex_state = 36, .external_lex_state = 12},
  [835] = {.lex_state = 36, .external_lex_state = 12},
  [836] = {.lex_state = 36, .external_lex_state = 12},
  [837] = {.lex_state = 37, .external_lex_state = 13},
  [838] = {.lex_state = 37, .external_lex_state = 13},
  [839] = {.lex_state = 37, .external_lex_state = 13},
  [840] = {.lex_state = 37, .external_lex_state = 13},
  [841] = {.lex_state = 36, .external_lex_state = 12},
  [842] = {.lex_state = 36, .external_lex_state = 12},
  [843] = {.lex_state = 36, .external_lex_state = 12},
  [844] = {.lex_state = 36, .external_lex_state = 12},
  [845] = {.lex_state = 37, .external_lex_state = 13},
  [846] = {.lex_state = 37, .external_lex_state = 13},
  [847] = {.lex_state = 37, .external_lex_state = 13},
  [848] = {.lex_state = 37, .external_lex_state = 13},
  [849] = {.lex_state = 37, .external_lex_state = 13},
  [850] = {.lex_state = 37, .external_lex_state = 13},
  [851] = {.lex_state = 36, .external_lex_state = 12},
  [852] = {.lex_state = 36, .external_lex_state = 12},
  [853] = {.lex_state = 36, .external_lex_state = 12},
  [854] = {.lex_state = 36, .external_lex_state = 12},
  [855] = {.lex_state = 37, .external_lex_state = 13},
  [856] = {.lex_state = 37, .external_lex_state = 13},
  [857] = {.lex_state = 37, .external_lex_state = 13},
  [858] = {.lex_state = 37, .external_lex_state = 13},
  [859] = {.lex_state = 36, .external_lex_state = 12},
  [860] = {.lex_state = 36, .external_lex_state = 12},
  [861] = {.lex_state = 36, .external_lex_state = 12},
  [862] = {.lex_state = 36, .external_lex_state = 12},
  [863] = {.lex_state = 36, .external_lex_state = 12},
  [864] = {.lex_state = 36, .external_lex_state = 12},
  [865] = {.lex_state = 37, .external_lex_state = 13},
  [866] = {.lex_state = 37, .external_lex_state = 13},
  [867] = {.lex_state = 37, .external_lex_state = 13},
  [868] = {.lex_state = 37, .external_lex_state = 13},
  [869] = {.lex_state = 36, .external_lex_state = 12},
  [870] = {.lex_state = 36, .external_lex_state = 12},
  [871] = {.lex_state = 36, .external_lex_state = 12},
  [872] = {.lex_state = 36, .external_lex_state = 12},
  [873] = {.lex_state = 37, .external_lex_state = 13},
  [874] = {.lex_state = 37, .external_lex_state = 13},
  [875] = {.lex_state = 37, .external_lex_state = 13},
  [876] = {.lex_state = 37, .external_lex_state = 13},
  [877] = {.lex_state = 36, .external_lex_state = 12},
  [878] = {.lex_state = 36, .external_lex_state = 12},
  [879] = {.lex_state = 36, .external_lex_state = 12},
  [880] = {.lex_state = 36, .external_lex_state = 12},
  [881] = {.lex_state = 37, .external_lex_state = 13},
  [882] = {.lex_state = 37, .external_lex_state = 13},
  [883] = {.lex_state = 37, .external_lex_state = 13},
  [884] = {.lex_state = 37, .external_lex_state = 13},
  [885] = {.lex_state = 36, .external_lex_state = 12},
  [886] = {.lex_state = 36, .external_lex_state = 12},
  [887] = {.lex_state = 36, .external_lex_state = 12},
  [888] = {.lex_state = 36, .external_lex_state = 12},
  [889] = {.lex_state = 37, .external_lex_state = 13},
  [890] = {.lex_state = 37, .external_lex_state = 13},
  [891] = {.lex_state = 37, .external_lex_state = 13},
  [892] = {.lex_state = 37, .external_lex_state = 13},
  [893] = {.lex_state = 36, .external_lex_state = 12},
  [894] = {.lex_state = 36, .external_lex_state = 12},
  [895] = {.lex_state = 36, .external_lex_state = 12},
  [896] = {.lex_state = 36, .external_lex_state = 12},
  [897] = {.lex_state = 37, .external_lex_state = 12},
  [898] = {.lex_state = 37, .external_lex_state = 12},
  [899] = {.lex_state = 37, .external_lex_state = 12},
  [900] = {.lex_state = 37, .external_lex_state = 12},
  [901] = {.lex_state = 37, .external_lex_state = 12},
  [902] = {.lex_state = 37, .external_lex_state = 12},
  [903] = {.lex_state = 37, .external_lex_state = 12},
  [904] = {.lex_state = 37, .external_lex_state = 12},
  [905] = {.lex_state = 37, .external_lex_state = 12},
  [906] = {.lex_state = 37, .external_lex_state = 12},
  [907] = {.lex_state = 37, .external_lex_state = 12},
  [908] = {.lex_state = 37, .external_lex_state = 12},
  [909] = {.lex_state = 37, .external_lex_state = 12},
  [910] = {.lex_state = 37, .external_lex_state = 12},
  [911] = {.lex_state = 37, .external_lex_state = 12},
  [912] = {.lex_state = 37, .external_lex_state = 12},
  [913] = {.lex_state = 37, .external_lex_state = 12},
  [914] = {.lex_state = 37, .external_lex_state = 12},
  [915] = {.lex_state = 37, .external_lex_state = 12},
  [916] = {.lex_state = 37, .external_lex_state = 12},
  [917] = {.lex_state = 37, .external_lex_state = 12},
  [918] = {.lex_state = 37, .external_lex_state = 12},
  [919] = {.lex_state = 37, .external_lex_state = 12},
  [920] = {.lex_state = 37, .external_lex_state = 12},
  [921] = {.lex_state = 37, .external_lex_state = 12},
  [922] = {.lex_state = 37, .external_lex_state = 12},
  [923] = {.lex_state = 37, .external_lex_state = 12},
  [924] = {.lex_state = 37, .external_lex_state = 12},
  [925] = {.lex_state = 37, .external_lex_state = 12},
  [926] = {.lex_state = 37, .external_lex_state = 12},
  [927] = {.lex_state = 37, .external_lex_state = 12},
  [928] = {.lex_state = 37, .external_lex_state = 12},
  [929] = {.lex_state = 37, .external_lex_state = 12},
  [930] = {.lex_state = 37, .external_lex_state = 12},
  [931] = {.lex_state = 37, .external_lex_state = 12},
  [932] = {.lex_state = 37, .external_lex_state = 12},
  [933] = {.lex_state = 37, .external_lex_state = 12},
  [934] = {.lex_state = 37, .external_lex_state = 12},
  [935] = {.lex_state = 37, .external_lex_state = 12},
  [936] = {.lex_state = 37, .external_lex_state = 12},
  [937] = {.lex_state = 37, .external_lex_state = 12},
  [938] = {.lex_state = 37, .external_lex_state = 12},
  [939] = {.lex_state = 37, .external_lex_state = 12},
  [940] = {.lex_state = 37, .external_lex_state = 12},
  [941] = {.lex_state = 37, .external_lex_state = 12},
  [942] = {.lex_state = 37, .external_lex_state = 12},
  [943] = {.lex_state = 37, .external_lex_state = 12},
  [944] = {.lex_state = 37, .external_lex_state = 12},
  [945] = {.lex_state = 25},
  [946] = {.lex_state = 37, .external_lex_state = 12},
  [947] = {.lex_state = 37, .external_lex_state = 12},
  [948] = {.lex_state = 37, .external_lex_state = 12},
  [949] = {.lex_state = 37, .external_lex_state = 12},
  [950] = {.lex_state = 37, .external_lex_state = 12},
  [951] = {.lex_state = 37, .external_lex_state = 12},
  [952] = {.lex_state = 37, .external_lex_state = 12},
  [953] = {.lex_state = 37, .external_lex_state = 12},
  [954] = {.lex_state = 37, .external_lex_state = 12},
  [955] = {.lex_state = 37, .external_lex_state = 12},
  [956] = {.lex_state = 37, .external_lex_state = 12},
  [957] = {.lex_state = 37, .external_lex_state = 12},
  [958] = {.lex_state = 37, .external_lex_state = 12},
  [959] = {.lex_state = 37, .external_lex_state = 12},
  [960] = {.lex_state = 37, .external_lex_state = 12},
  [961] = {.lex_state = 37, .external_lex_state = 12},
  [962] = {.lex_state = 37, .external_lex_state = 12},
  [963] = {.lex_state = 37, .external_lex_state = 12},
  [964] = {.lex_state = 37, .external_lex_state = 12},
  [965] = {.lex_state = 37, .external_lex_state = 12},
  [966] = {.lex_state = 37, .external_lex_state = 12},
  [967] = {.lex_state = 37, .external_lex_state = 12},
  [968] = {.lex_state = 37, .external_lex_state = 12},
  [969] = {.lex_state = 37, .external_lex_state = 12},
  [970] = {.lex_state = 37, .external_lex_state = 12},
  [971] = {.lex_state = 37, .external_lex_state = 12},
  [972] = {.lex_state = 37, .external_lex_state = 12},
  [973] = {.lex_state = 37, .external_lex_state = 12},
  [974] = {.lex_state = 37, .external_lex_state = 12},
  [975] = {.lex_state = 37, .external_lex_state = 12},
  [976] = {.lex_state = 37, .external_lex_state = 12},
  [977] = {.lex_state = 37, .external_lex_state = 12},
  [978] = {.lex_state = 37, .external_lex_state = 12},
  [979] = {.lex_state = 37, .external_lex_state = 12},
  [980] = {.lex_state = 37, .external_lex_state = 12},
  [981] = {.lex_state = 37, .external_lex_state = 12},
  [982] = {.lex_state = 37, .external_lex_state = 12},
  [983] = {.lex_state = 37, .external_lex_state = 12},
  [984] = {.lex_state = 37, .external_lex_state = 12},
  [985] = {.lex_state = 37, .external_lex_state = 12},
  [986] = {.lex_state = 37, .external_lex_state = 12},
  [987] = {.lex_state = 37, .external_lex_state = 12},
  [988] = {.lex_state = 37, .external_lex_state = 12},
  [989] = {.lex_state = 37, .external_lex_state = 12},
  [990] = {.lex_state = 37, .external_lex_state = 12},
  [991] = {.lex_state = 37, .external_lex_state = 12},
  [992] = {.lex_state = 37, .external_lex_state = 12},
  [993] = {.lex_state = 37, .external_lex_state = 12},
  [994] = {.lex_state = 37, .external_lex_state = 12},
  [995] = {.lex_state = 37, .external_lex_state = 12},
  [996] = {.lex_state = 37, .external_lex_state = 12},
  [997] = {.lex_state = 37, .external_lex_state = 12},
  [998] = {.lex_state = 37, .external_lex_state = 12},
  [999] = {.lex_state = 37, .external_lex_state = 12},
  [1000] = {.lex_state = 37, .external_lex_state = 12},
  [1001] = {.lex_state = 37, .external_lex_state = 12},
  [1002] = {.lex_state = 37, .external_lex_state = 12},
  [1003] = {.lex_state = 37, .external_lex_state = 12},
  [1004] = {.lex_state = 37, .external_lex_state = 12},
  [1005] = {.lex_state = 37, .external_lex_state = 12},
  [1006] = {.lex_state = 37, .external_lex_state = 12},
  [1007] = {.lex_state = 37, .external_lex_state = 12},
  [1008] = {.lex_state = 37, .external_lex_state = 12},
  [1009] = {.lex_state = 37, .external_lex_state = 12},
  [1010] = {.lex_state = 37, .external_lex_state = 12},
  [1011] = {.lex_state = 37, .external_lex_state = 12},
  [1012] = {.lex_state = 37, .external_lex_state = 12},
  [1013] = {.lex_state = 37, .external_lex_state = 12},
  [1014] = {.lex_state = 37, .external_lex_state = 12},
  [1015] = {.lex_state = 37, .external_lex_state = 12},
  [1016] = {.lex_state = 37, .external_lex_state = 12},
  [1017] = {.lex_state = 37, .external_lex_state = 12},
  [1018] = {.lex_state = 37, .external_lex_state = 12},
  [1019] = {.lex_state = 37, .external_lex_state = 12},
  [1020] = {.lex_state = 37, .external_lex_state = 12},
  [1021] = {.lex_state = 37, .external_lex_state = 12},
  [1022] = {.lex_state = 37, .external_lex_state = 12},
  [1023] = {.lex_state = 37, .external_lex_state = 12},
  [1024] = {.lex_state = 37, .external_lex_state = 12},
  [1025] = {.lex_state = 37, .external_lex_state = 12},
  [1026] = {.lex_state = 37, .external_lex_state = 12},
  [1027] = {.lex_state = 37, .external_lex_state = 12},
  [1028] = {.lex_state = 37, .external_lex_state = 12},
  [1029] = {.lex_state = 37, .external_lex_state = 12},
  [1030] = {.lex_state = 37, .external_lex_state = 12},
  [1031] = {.lex_state = 37, .external_lex_state = 12},
  [1032] = {.lex_state = 37, .external_lex_state = 12},
  [1033] = {.lex_state = 37, .external_lex_state = 12},
  [1034] = {.lex_state = 37, .external_lex_state = 12},
  [1035] = {.lex_state = 37, .external_lex_state = 12},
  [1036] = {.lex_state = 37, .external_lex_state = 12},
  [1037] = {.lex_state = 37, .external_lex_state = 12},
  [1038] = {.lex_state = 25},
  [1039] = {.lex_state = 37, .external_lex_state = 12},
  [1040] = {.lex_state = 37, .external_lex_state = 12},
  [1041] = {.lex_state = 37, .external_lex_state = 12},
  [1042] = {.lex_state = 37, .external_lex_state = 12},
  [1043] = {.lex_state = 37, .external_lex_state = 12},
  [1044] = {.lex_state = 37, .external_lex_state = 12},
  [1045] = {.lex_state = 37, .external_lex_state = 12},
  [1046] = {.lex_state = 37, .external_lex_state = 12},
  [1047] = {.lex_state = 37, .external_lex_state = 12},
  [1048] = {.lex_state = 37, .external_lex_state = 12},
  [1049] = {.lex_state = 37, .external_lex_state = 12},
  [1050] = {.lex_state = 37, .external_lex_state = 12},
  [1051] = {.lex_state = 37, .external_lex_state = 12},
  [1052] = {.lex_state = 37, .external_lex_state = 12},
  [1053] = {.lex_state = 37, .external_lex_state = 12},
  [1054] = {.lex_state = 37, .external_lex_state = 12},
  [1055] = {.lex_state = 37, .external_lex_state = 12},
  [1056] = {.lex_state = 37, .external_lex_state = 12},
  [1057] = {.lex_state = 37, .external_lex_state = 12},
  [1058] = {.lex_state = 37, .external_lex_state = 12},
  [1059] = {.lex_state = 37, .external_lex_state = 12},
  [1060] = {.lex_state = 37, .external_lex_state = 12},
  [1061] = {.lex_state = 37, .external_lex_state = 12},
  [1062] = {.lex_state = 37, .external_lex_state = 12},
  [1063] = {.lex_state = 37, .external_lex_state = 12},
  [1064] = {.lex_state = 37, .external_lex_state = 12},
  [1065] = {.lex_state = 37, .external_lex_state = 12},
  [1066] = {.lex_state = 37, .external_lex_state = 12},
  [1067] = {.lex_state = 37, .external_lex_state = 12},
  [1068] = {.lex_state = 37, .external_lex_state = 12},
  [1069] = {.lex_state = 37, .external_lex_state = 12},
  [1070] = {.lex_state = 37, .external_lex_state = 12},
  [1071] = {.lex_state = 37, .external_lex_state = 12},
  [1072] = {.lex_state = 37, .external_lex_state = 12},
  [1073] = {.lex_state = 37, .external_lex_state = 12},
  [1074] = {.lex_state = 37, .external_lex_state = 12},
  [1075] = {.lex_state = 37, .external_lex_state = 12},
  [1076] = {.lex_state = 37, .external_lex_state = 12},
  [1077] = {.lex_state = 37, .external_lex_state = 12},
  [1078] = {.lex_state = 37, .external_lex_state = 12},
  [1079] = {.lex_state = 25, .external_lex_state = 14},
  [1080] = {.lex_state = 37, .external_lex_state = 12},
  [1081] = {.lex_state = 37, .external_lex_state = 12},
  [1082] = {.lex_state = 37, .external_lex_state = 12},
  [1083] = {.lex_state = 37, .external_lex_state = 12},
  [1084] = {.lex_state = 37, .external_lex_state = 12},
  [1085] = {.lex_state = 37, .external_lex_state = 12},
  [1086] = {.lex_state = 37, .external_lex_state = 12},
  [1087] = {.lex_state = 37, .external_lex_state = 12},
  [1088] = {.lex_state = 37, .external_lex_state = 12},
  [1089] = {.lex_state = 37, .external_lex_state = 12},
  [1090] = {.lex_state = 37, .external_lex_state = 12},
  [1091] = {.lex_state = 37, .external_lex_state = 12},
  [1092] = {.lex_state = 37, .external_lex_state = 12},
  [1093] = {.lex_state = 37, .external_lex_state = 12},
  [1094] = {.lex_state = 37, .external_lex_state = 12},
  [1095] = {.lex_state = 37, .external_lex_state = 12},
  [1096] = {.lex_state = 37, .external_lex_state = 12},
  [1097] = {.lex_state = 37, .external_lex_state = 12},
  [1098] = {.lex_state = 37, .external_lex_state = 12},
  [1099] = {.lex_state = 37, .external_lex_state = 12},
  [1100] = {.lex_state = 37, .external_lex_state = 12},
  [1101] = {.lex_state = 37, .external_lex_state = 12},
  [1102] = {.lex_state = 37, .external_lex_state = 12},
  [1103] = {.lex_state = 37, .external_lex_state = 12},
  [1104] = {.lex_state = 37, .external_lex_state = 12},
  [1105] = {.lex_state = 37, .external_lex_state = 12},
  [1106] = {.lex_state = 37, .external_lex_state = 12},
  [1107] = {.lex_state = 37, .external_lex_state = 12},
  [1108] = {.lex_state = 37, .external_lex_state = 12},
  [1109] = {.lex_state = 37, .external_lex_state = 12},
  [1110] = {.lex_state = 25},
  [1111] = {.lex_state = 37, .external_lex_state = 12},
  [1112] = {.lex_state = 37, .external_lex_state = 12},
  [1113] = {.lex_state = 37, .external_lex_state = 12},
  [1114] = {.lex_state = 37, .external_lex_state = 12},
  [1115] = {.lex_state = 37, .external_lex_state = 12},
  [1116] = {.lex_state = 37, .external_lex_state = 12},
  [1117] = {.lex_state = 37, .external_lex_state = 12},
  [1118] = {.lex_state = 37, .external_lex_state = 12},
  [1119] = {.lex_state = 37, .external_lex_state = 12},
  [1120] = {.lex_state = 37, .external_lex_state = 12},
  [1121] = {.lex_state = 37, .external_lex_state = 12},
  [1122] = {.lex_state = 25, .external_lex_state = 14},
  [1123] = {.lex_state = 37, .external_lex_state = 12},
  [1124] = {.lex_state = 37, .external_lex_state = 12},
  [1125] = {.lex_state = 37, .external_lex_state = 12},
  [1126] = {.lex_state = 37, .external_lex_state = 12},
  [1127] = {.lex_state = 37, .external_lex_state = 12},
  [1128] = {.lex_state = 37, .external_lex_state = 12},
  [1129] = {.lex_state = 37, .external_lex_state = 12},
  [1130] = {.lex_state = 37, .external_lex_state = 12},
  [1131] = {.lex_state = 37, .external_lex_state = 12},
  [1132] = {.lex_state = 37, .external_lex_state = 12},
  [1133] = {.lex_state = 37, .external_lex_state = 12},
  [1134] = {.lex_state = 37, .external_lex_state = 12},
  [1135] = {.lex_state = 37, .external_lex_state = 12},
  [1136] = {.lex_state = 37, .external_lex_state = 12},
  [1137] = {.lex_state = 37, .external_lex_state = 12},
  [1138] = {.lex_state = 25},
  [1139] = {.lex_state = 37, .external_lex_state = 12},
  [1140] = {.lex_state = 37, .external_lex_state = 12},
  [1141] = {.lex_state = 37, .external_lex_state = 12},
  [1142] = {.lex_state = 37, .external_lex_state = 12},
  [1143] = {.lex_state = 37, .external_lex_state = 12},
  [1144] = {.lex_state = 37, .external_lex_state = 12},
  [1145] = {.lex_state = 37, .external_lex_state = 12},
  [1146] = {.lex_state = 37, .external_lex_state = 12},
  [1147] = {.lex_state = 37, .external_lex_state = 12},
  [1148] = {.lex_state = 37, .external_lex_state = 12},
  [1149] = {.lex_state = 37, .external_lex_state = 12},
  [1150] = {.lex_state = 37, .external_lex_state = 12},
  [1151] = {.lex_state = 37, .external_lex_state = 12},
  [1152] = {.lex_state = 37, .external_lex_state = 12},
  [1153] = {.lex_state = 37, .external_lex_state = 12},
  [1154] = {.lex_state = 37, .external_lex_state = 12},
  [1155] = {.lex_state = 37, .external_lex_state = 12},
  [1156] = {.lex_state = 37, .external_lex_state = 12},
  [1157] = {.lex_state = 37, .external_lex_state = 12},
  [1158] = {.lex_state = 37, .external_lex_state = 12},
  [1159] = {.lex_state = 37, .external_lex_state = 12},
  [1160] = {.lex_state = 37, .external_lex_state = 12},
  [1161] = {.lex_state = 37, .external_lex_state = 12},
  [1162] = {.lex_state = 37, .external_lex_state = 12},
  [1163] = {.lex_state = 37, .external_lex_state = 12},
  [1164] = {.lex_state = 37, .external_lex_state = 12},
  [1165] = {.lex_state = 37, .external_lex_state = 12},
  [1166] = {.lex_state = 37, .external_lex_state = 12},
  [1167] = {.lex_state = 37, .external_lex_state = 12},
  [1168] = {.lex_state = 37, .external_lex_state = 12},
  [1169] = {.lex_state = 37, .external_lex_state = 12},
  [1170] = {.lex_state = 37, .external_lex_state = 12},
  [1171] = {.lex_state = 37, .external_lex_state = 12},
  [1172] = {.lex_state = 37, .external_lex_state = 12},
  [1173] = {.lex_state = 37, .external_lex_state = 12},
  [1174] = {.lex_state = 37, .external_lex_state = 12},
  [1175] = {.lex_state = 37, .external_lex_state = 12},
  [1176] = {.lex_state = 37, .external_lex_state = 12},
  [1177] = {.lex_state = 37, .external_lex_state = 12},
  [1178] = {.lex_state = 37, .external_lex_state = 12},
  [1179] = {.lex_state = 37, .external_lex_state = 12},
  [1180] = {.lex_state = 37, .external_lex_state = 12},
  [1181] = {.lex_state = 37, .external_lex_state = 12},
  [1182] = {.lex_state = 37, .external_lex_state = 12},
  [1183] = {.lex_state = 37, .external_lex_state = 12},
  [1184] = {.lex_state = 37, .external_lex_state = 12},
  [1185] = {.lex_state = 37, .external_lex_state = 12},
  [1186] = {.lex_state = 37, .external_lex_state = 12},
  [1187] = {.lex_state = 37, .external_lex_state = 12},
  [1188] = {.lex_state = 37, .external_lex_state = 12},
  [1189] = {.lex_state = 37, .external_lex_state = 12},
  [1190] = {.lex_state = 37, .external_lex_state = 12},
  [1191] = {.lex_state = 37, .external_lex_state = 12},
  [1192] = {.lex_state = 37, .external_lex_state = 12},
  [1193] = {.lex_state = 37, .external_lex_state = 12},
  [1194] = {.lex_state = 37, .external_lex_state = 12},
  [1195] = {.lex_state = 37, .external_lex_state = 12},
  [1196] = {.lex_state = 37, .external_lex_state = 12},
  [1197] = {.lex_state = 37, .external_lex_state = 12},
  [1198] = {.lex_state = 37, .external_lex_state = 12},
  [1199] = {.lex_state = 37, .external_lex_state = 12},
  [1200] = {.lex_state = 37, .external_lex_state = 12},
  [1201] = {.lex_state = 37, .external_lex_state = 12},
  [1202] = {.lex_state = 37, .external_lex_state = 12},
  [1203] = {.lex_state = 37, .external_lex_state = 12},
  [1204] = {.lex_state = 37, .external_lex_state = 12},
  [1205] = {.lex_state = 37, .external_lex_state = 12},
  [1206] = {.lex_state = 37, .external_lex_state = 12},
  [1207] = {.lex_state = 37, .external_lex_state = 12},
  [1208] = {.lex_state = 37, .external_lex_state = 12},
  [1209] = {.lex_state = 37, .external_lex_state = 12},
  [1210] = {.lex_state = 37, .external_lex_state = 12},
  [1211] = {.lex_state = 37, .external_lex_state = 12},
  [1212] = {.lex_state = 37, .external_lex_state = 12},
  [1213] = {.lex_state = 37, .external_lex_state = 12},
  [1214] = {.lex_state = 37, .external_lex_state = 12},
  [1215] = {.lex_state = 37, .external_lex_state = 12},
  [1216] = {.lex_state = 25, .external_lex_state = 14},
  [1217] = {.lex_state = 37, .external_lex_state = 12},
  [1218] = {.lex_state = 37, .external_lex_state = 12},
  [1219] = {.lex_state = 37, .external_lex_state = 12},
  [1220] = {.lex_state = 37, .external_lex_state = 12},
  [1221] = {.lex_state = 37, .external_lex_state = 12},
  [1222] = {.lex_state = 37, .external_lex_state = 12},
  [1223] = {.lex_state = 37, .external_lex_state = 12},
  [1224] = {.lex_state = 25, .external_lex_state = 14},
  [1225] = {.lex_state = 37, .external_lex_state = 12},
  [1226] = {.lex_state = 37, .external_lex_state = 12},
  [1227] = {.lex_state = 37, .external_lex_state = 12},
  [1228] = {.lex_state = 37, .external_lex_state = 12},
  [1229] = {.lex_state = 25},
  [1230] = {.lex_state = 37, .external_lex_state = 12},
  [1231] = {.lex_state = 37, .external_lex_state = 12},
  [1232] = {.lex_state = 37, .external_lex_state = 12},
  [1233] = {.lex_state = 37, .external_lex_state = 12},
  [1234] = {.lex_state = 25},
  [1235] = {.lex_state = 37, .external_lex_state = 12},
  [1236] = {.lex_state = 37, .external_lex_state = 12},
  [1237] = {.lex_state = 25, .external_lex_state = 14},
  [1238] = {.lex_state = 37, .external_lex_state = 12},
  [1239] = {.lex_state = 37, .external_lex_state = 12},
  [1240] = {.lex_state = 37, .external_lex_state = 12},
  [1241] = {.lex_state = 37, .external_lex_state = 12},
  [1242] = {.lex_state = 37, .external_lex_state = 12},
  [1243] = {.lex_state = 37, .external_lex_state = 12},
  [1244] = {.lex_state = 37, .external_lex_state = 12},
  [1245] = {.lex_state = 37, .external_lex_state = 12},
  [1246] = {.lex_state = 25},
  [1247] = {.lex_state = 37, .external_lex_state = 12},
  [1248] = {.lex_state = 37, .external_lex_state = 12},
  [1249] = {.lex_state = 37, .external_lex_state = 12},
  [1250] = {.lex_state = 37, .external_lex_state = 12},
  [1251] = {.lex_state = 37, .external_lex_state = 12},
  [1252] = {.lex_state = 37, .external_lex_state = 12},
  [1253] = {.lex_state = 37, .external_lex_state = 12},
  [1254] = {.lex_state = 37, .external_lex_state = 12},
  [1255] = {.lex_state = 37, .external_lex_state = 12},
  [1256] = {.lex_state = 37, .external_lex_state = 12},
  [1257] = {.lex_state = 37, .external_lex_state = 12},
  [1258] = {.lex_state = 37, .external_lex_state = 12},
  [1259] = {.lex_state = 37, .external_lex_state = 12},
  [1260] = {.lex_state = 37, .external_lex_state = 12},
  [1261] = {.lex_state = 37, .external_lex_state = 12},
  [1262] = {.lex_state = 37, .external_lex_state = 12},
  [1263] = {.lex_state = 37, .external_lex_state = 12},
  [1264] = {.lex_state = 37, .external_lex_state = 12},
  [1265] = {.lex_state = 37, .external_lex_state = 12},
  [1266] = {.lex_state = 37, .external_lex_state = 12},
  [1267] = {.lex_state = 25},
  [1268] = {.lex_state = 37, .external_lex_state = 12},
  [1269] = {.lex_state = 37, .external_lex_state = 12},
  [1270] = {.lex_state = 37, .external_lex_state = 12},
  [1271] = {.lex_state = 37, .external_lex_state = 12},
  [1272] = {.lex_state = 37, .external_lex_state = 12},
  [1273] = {.lex_state = 37, .external_lex_state = 12},
  [1274] = {.lex_state = 37, .external_lex_state = 12},
  [1275] = {.lex_state = 25},
  [1276] = {.lex_state = 25},
  [1277] = {.lex_state = 25},
  [1278] = {.lex_state = 25},
  [1279] = {.lex_state = 25},
  [1280] = {.lex_state = 25},
  [1281] = {.lex_state = 25},
  [1282] = {.lex_state = 25},
  [1283] = {.lex_state = 25},
  [1284] = {.lex_state = 25},
  [1285] = {.lex_state = 25},
  [1286] = {.lex_state = 25},
  [1287] = {.lex_state = 25},
  [1288] = {.lex_state = 25},
  [1289] = {.lex_state = 25},
  [1290] = {.lex_state = 25},
  [1291] = {.lex_state = 25},
  [1292] = {.lex_state = 25},
  [1293] = {.lex_state = 25},
  [1294] = {.lex_state = 20, .external_lex_state = 12},
  [1295] = {.lex_state = 25},
  [1296] = {.lex_state = 113, .external_lex_state = 6},
  [1297] = {.lex_state = 113, .external_lex_state = 6},
  [1298] = {.lex_state = 113, .external_lex_state = 6},
  [1299] = {.lex_state = 17, .external_lex_state = 10},
  [1300] = {.lex_state = 113, .external_lex_state = 6},
  [1301] = {.lex_state = 113, .external_lex_state = 6},
  [1302] = {.lex_state = 113, .external_lex_state = 6},
  [1303] = {.lex_state = 113, .external_lex_state = 6},
  [1304] = {.lex_state = 113, .external_lex_state = 6},
  [1305] = {.lex_state = 113, .external_lex_state = 8},
  [1306] = {.lex_state = 113, .external_lex_state = 6},
  [1307] = {.lex_state = 113, .external_lex_state = 6},
  [1308] = {.lex_state = 113, .external_lex_state = 6},
  [1309] = {.lex_state = 113, .external_lex_state = 6},
  [1310] = {.lex_state = 39, .external_lex_state = 2},
  [1311] = {.lex_state = 113, .external_lex_state = 6},
  [1312] = {.lex_state = 113, .external_lex_state = 6},
  [1313] = {.lex_state = 6, .external_lex_state = 15},
  [1314] = {.lex_state = 113, .external_lex_state = 6},
  [1315] = {.lex_state = 113, .external_lex_state = 8},
  [1316] = {.lex_state = 118, .external_lex_state = 10},
  [1317] = {.lex_state = 113, .external_lex_state = 6},
  [1318] = {.lex_state = 118, .external_lex_state = 10},
  [1319] = {.lex_state = 113, .external_lex_state = 6},
  [1320] = {.lex_state = 113, .external_lex_state = 6},
  [1321] = {.lex_state = 113, .external_lex_state = 6},
  [1322] = {.lex_state = 113, .external_lex_state = 6},
  [1323] = {.lex_state = 118, .external_lex_state = 10},
  [1324] = {.lex_state = 113, .external_lex_state = 6},
  [1325] = {.lex_state = 113, .external_lex_state = 6},
  [1326] = {.lex_state = 113, .external_lex_state = 6},
  [1327] = {.lex_state = 113, .external_lex_state = 6},
  [1328] = {.lex_state = 113, .external_lex_state = 6},
  [1329] = {.lex_state = 113, .external_lex_state = 8},
  [1330] = {.lex_state = 113, .external_lex_state = 8},
  [1331] = {.lex_state = 6, .external_lex_state = 15},
  [1332] = {.lex_state = 6, .external_lex_state = 15},
  [1333] = {.lex_state = 113, .external_lex_state = 8},
  [1334] = {.lex_state = 39, .external_lex_state = 16},
  [1335] = {.lex_state = 113, .external_lex_state = 6},
  [1336] = {.lex_state = 6, .external_lex_state = 10},
  [1337] = {.lex_state = 39, .external_lex_state = 16},
  [1338] = {.lex_state = 113, .external_lex_state = 8},
  [1339] = {.lex_state = 42},
  [1340] = {.lex_state = 6, .external_lex_state = 15},
  [1341] = {.lex_state = 39, .external_lex_state = 16},
  [1342] = {.lex_state = 42},
  [1343] = {.lex_state = 42},
  [1344] = {.lex_state = 113, .external_lex_state = 6},
  [1345] = {.lex_state = 42},
  [1346] = {.lex_state = 113, .external_lex_state = 6},
  [1347] = {.lex_state = 113, .external_lex_state = 6},
  [1348] = {.lex_state = 39, .external_lex_state = 16},
  [1349] = {.lex_state = 42},
  [1350] = {.lex_state = 42},
  [1351] = {.lex_state = 42},
  [1352] = {.lex_state = 6, .external_lex_state = 10},
  [1353] = {.lex_state = 113, .external_lex_state = 8},
  [1354] = {.lex_state = 113, .external_lex_state = 8},
  [1355] = {.lex_state = 113, .external_lex_state = 8},
  [1356] = {.lex_state = 113, .external_lex_state = 8},
  [1357] = {.lex_state = 113, .external_lex_state = 8},
  [1358] = {.lex_state = 113, .external_lex_state = 8},
  [1359] = {.lex_state = 113, .external_lex_state = 8},
  [1360] = {.lex_state = 113, .external_lex_state = 8},
  [1361] = {.lex_state = 113, .external_lex_state = 8},
  [1362] = {.lex_state = 113, .external_lex_state = 8},
  [1363] = {.lex_state = 113, .external_lex_state = 8},
  [1364] = {.lex_state = 113, .external_lex_state = 8},
  [1365] = {.lex_state = 113, .external_lex_state = 8},
  [1366] = {.lex_state = 113, .external_lex_state = 8},
  [1367] = {.lex_state = 113, .external_lex_state = 8},
  [1368] = {.lex_state = 113, .external_lex_state = 8},
  [1369] = {.lex_state = 113, .external_lex_state = 8},
  [1370] = {.lex_state = 113, .external_lex_state = 8},
  [1371] = {.lex_state = 42},
  [1372] = {.lex_state = 113, .external_lex_state = 8},
  [1373] = {.lex_state = 39, .external_lex_state = 16},
  [1374] = {.lex_state = 113, .external_lex_state = 8},
  [1375] = {.lex_state = 113, .external_lex_state = 8},
  [1376] = {.lex_state = 113, .external_lex_state = 6},
  [1377] = {.lex_state = 113, .external_lex_state = 6},
  [1378] = {.lex_state = 113, .external_lex_state = 8},
  [1379] = {.lex_state = 113, .external_lex_state = 8},
  [1380] = {.lex_state = 113, .external_lex_state = 8},
  [1381] = {.lex_state = 113, .external_lex_state = 8},
  [1382] = {.lex_state = 113, .external_lex_state = 8},
  [1383] = {.lex_state = 113, .external_lex_state = 6},
  [1384] = {.lex_state = 113, .external_lex_state = 8},
  [1385] = {.lex_state = 39, .external_lex_state = 16},
  [1386] = {.lex_state = 6, .external_lex_state = 15},
  [1387] = {.lex_state = 113, .external_lex_state = 6},
  [1388] = {.lex_state = 39, .external_lex_state = 17},
  [1389] = {.lex_state = 113, .external_lex_state = 8},
  [1390] = {.lex_state = 113, .external_lex_state = 6},
  [1391] = {.lex_state = 113, .external_lex_state = 6},
  [1392] = {.lex_state = 113, .external_lex_state = 6},
  [1393] = {.lex_state = 113, .external_lex_state = 6},
  [1394] = {.lex_state = 113, .external_lex_state = 6},
  [1395] = {.lex_state = 113, .external_lex_state = 6},
  [1396] = {.lex_state = 113, .external_lex_state = 6},
  [1397] = {.lex_state = 113, .external_lex_state = 8},
  [1398] = {.lex_state = 113, .external_lex_state = 8},
  [1399] = {.lex_state = 6, .external_lex_state = 15},
  [1400] = {.lex_state = 39},
  [1401] = {.lex_state = 113, .external_lex_state = 6},
  [1402] = {.lex_state = 39},
  [1403] = {.lex_state = 113, .external_lex_state = 6},
  [1404] = {.lex_state = 113, .external_lex_state = 6},
  [1405] = {.lex_state = 113, .external_lex_state = 6},
  [1406] = {.lex_state = 113, .external_lex_state = 6},
  [1407] = {.lex_state = 6, .external_lex_state = 15},
  [1408] = {.lex_state = 113, .external_lex_state = 6},
  [1409] = {.lex_state = 39},
  [1410] = {.lex_state = 113, .external_lex_state = 6},
  [1411] = {.lex_state = 113, .external_lex_state = 6},
  [1412] = {.lex_state = 113, .external_lex_state = 6},
  [1413] = {.lex_state = 113, .external_lex_state = 6},
  [1414] = {.lex_state = 113, .external_lex_state = 6},
  [1415] = {.lex_state = 6, .external_lex_state = 15},
  [1416] = {.lex_state = 113, .external_lex_state = 6},
  [1417] = {.lex_state = 6, .external_lex_state = 15},
  [1418] = {.lex_state = 6, .external_lex_state = 15},
  [1419] = {.lex_state = 113, .external_lex_state = 6},
  [1420] = {.lex_state = 113, .external_lex_state = 6},
  [1421] = {.lex_state = 39, .external_lex_state = 2},
  [1422] = {.lex_state = 113, .external_lex_state = 6},
  [1423] = {.lex_state = 39},
  [1424] = {.lex_state = 6, .external_lex_state = 15},
  [1425] = {.lex_state = 39, .external_lex_state = 17},
  [1426] = {.lex_state = 113, .external_lex_state = 8},
  [1427] = {.lex_state = 113, .external_lex_state = 6},
  [1428] = {.lex_state = 113, .external_lex_state = 6},
  [1429] = {.lex_state = 39, .external_lex_state = 16},
  [1430] = {.lex_state = 39, .external_lex_state = 16},
  [1431] = {.lex_state = 39, .external_lex_state = 16},
  [1432] = {.lex_state = 39, .external_lex_state = 17},
  [1433] = {.lex_state = 39, .external_lex_state = 16},
  [1434] = {.lex_state = 39, .external_lex_state = 16},
  [1435] = {.lex_state = 39, .external_lex_state = 2},
  [1436] = {.lex_state = 113, .external_lex_state = 6},
  [1437] = {.lex_state = 113, .external_lex_state = 6},
  [1438] = {.lex_state = 113, .external_lex_state = 6},
  [1439] = {.lex_state = 113, .external_lex_state = 6},
  [1440] = {.lex_state = 39, .external_lex_state = 17},
  [1441] = {.lex_state = 113, .external_lex_state = 6},
  [1442] = {.lex_state = 113, .external_lex_state = 6},
  [1443] = {.lex_state = 113, .external_lex_state = 8},
  [1444] = {.lex_state = 39, .external_lex_state = 16},
  [1445] = {.lex_state = 39, .external_lex_state = 16},
  [1446] = {.lex_state = 39, .external_lex_state = 16},
  [1447] = {.lex_state = 39, .external_lex_state = 17},
  [1448] = {.lex_state = 39, .external_lex_state = 16},
  [1449] = {.lex_state = 39, .external_lex_state = 2},
  [1450] = {.lex_state = 39, .external_lex_state = 16},
  [1451] = {.lex_state = 21},
  [1452] = {.lex_state = 39, .external_lex_state = 16},
  [1453] = {.lex_state = 113, .external_lex_state = 6},
  [1454] = {.lex_state = 6, .external_lex_state = 15},
  [1455] = {.lex_state = 6, .external_lex_state = 15},
  [1456] = {.lex_state = 39, .external_lex_state = 16},
  [1457] = {.lex_state = 39, .external_lex_state = 16},
  [1458] = {.lex_state = 6, .external_lex_state = 15},
  [1459] = {.lex_state = 6, .external_lex_state = 15},
  [1460] = {.lex_state = 6, .external_lex_state = 15},
  [1461] = {.lex_state = 6, .external_lex_state = 15},
  [1462] = {.lex_state = 39, .external_lex_state = 16},
  [1463] = {.lex_state = 6, .external_lex_state = 15},
  [1464] = {.lex_state = 6, .external_lex_state = 15},
  [1465] = {.lex_state = 6, .external_lex_state = 15},
  [1466] = {.lex_state = 6, .external_lex_state = 15},
  [1467] = {.lex_state = 6, .external_lex_state = 15},
  [1468] = {.lex_state = 6, .external_lex_state = 15},
  [1469] = {.lex_state = 6, .external_lex_state = 15},
  [1470] = {.lex_state = 6, .external_lex_state = 15},
  [1471] = {.lex_state = 113, .external_lex_state = 6},
  [1472] = {.lex_state = 6, .external_lex_state = 15},
  [1473] = {.lex_state = 6, .external_lex_state = 15},
  [1474] = {.lex_state = 6, .external_lex_state = 15},
  [1475] = {.lex_state = 39, .external_lex_state = 17},
  [1476] = {.lex_state = 39, .external_lex_state = 16},
  [1477] = {.lex_state = 113, .external_lex_state = 6},
  [1478] = {.lex_state = 113, .external_lex_state = 6},
  [1479] = {.lex_state = 6, .external_lex_state = 15},
  [1480] = {.lex_state = 113, .external_lex_state = 6},
  [1481] = {.lex_state = 39, .external_lex_state = 16},
  [1482] = {.lex_state = 39, .external_lex_state = 16},
  [1483] = {.lex_state = 113, .external_lex_state = 8},
  [1484] = {.lex_state = 39, .external_lex_state = 16},
  [1485] = {.lex_state = 6, .external_lex_state = 10},
  [1486] = {.lex_state = 113, .external_lex_state = 6},
  [1487] = {.lex_state = 39, .external_lex_state = 16},
  [1488] = {.lex_state = 113, .external_lex_state = 6},
  [1489] = {.lex_state = 39},
  [1490] = {.lex_state = 39, .external_lex_state = 16},
  [1491] = {.lex_state = 113, .external_lex_state = 6},
  [1492] = {.lex_state = 113, .external_lex_state = 6},
  [1493] = {.lex_state = 39},
  [1494] = {.lex_state = 39},
  [1495] = {.lex_state = 39, .external_lex_state = 16},
  [1496] = {.lex_state = 113, .external_lex_state = 6},
  [1497] = {.lex_state = 39, .external_lex_state = 16},
  [1498] = {.lex_state = 113, .external_lex_state = 6},
  [1499] = {.lex_state = 39, .external_lex_state = 16},
  [1500] = {.lex_state = 39, .external_lex_state = 16},
  [1501] = {.lex_state = 113, .external_lex_state = 8},
  [1502] = {.lex_state = 39, .external_lex_state = 16},
  [1503] = {.lex_state = 113, .external_lex_state = 6},
  [1504] = {.lex_state = 113, .external_lex_state = 6},
  [1505] = {.lex_state = 39, .external_lex_state = 17},
  [1506] = {.lex_state = 113, .external_lex_state = 8},
  [1507] = {.lex_state = 113, .external_lex_state = 8},
  [1508] = {.lex_state = 113, .external_lex_state = 6},
  [1509] = {.lex_state = 113, .external_lex_state = 6},
  [1510] = {.lex_state = 113, .external_lex_state = 6},
  [1511] = {.lex_state = 39},
  [1512] = {.lex_state = 113, .external_lex_state = 6},
  [1513] = {.lex_state = 113, .external_lex_state = 6},
  [1514] = {.lex_state = 39},
  [1515] = {.lex_state = 31, .external_lex_state = 18},
  [1516] = {.lex_state = 113, .external_lex_state = 8},
  [1517] = {.lex_state = 39, .external_lex_state = 2},
  [1518] = {.lex_state = 39, .external_lex_state = 2},
  [1519] = {.lex_state = 113, .external_lex_state = 8},
  [1520] = {.lex_state = 39, .external_lex_state = 2},
  [1521] = {.lex_state = 113, .external_lex_state = 8},
  [1522] = {.lex_state = 37, .external_lex_state = 19},
  [1523] = {.lex_state = 37, .external_lex_state = 19},
  [1524] = {.lex_state = 6, .external_lex_state = 10},
  [1525] = {.lex_state = 31, .external_lex_state = 18},
  [1526] = {.lex_state = 39},
  [1527] = {.lex_state = 33},
  [1528] = {.lex_state = 113, .external_lex_state = 8},
  [1529] = {.lex_state = 113, .external_lex_state = 8},
  [1530] = {.lex_state = 113, .external_lex_state = 8},
  [1531] = {.lex_state = 37, .external_lex_state = 19},
  [1532] = {.lex_state = 39, .external_lex_state = 2},
  [1533] = {.lex_state = 33, .external_lex_state = 18},
  [1534] = {.lex_state = 113, .external_lex_state = 8},
  [1535] = {.lex_state = 6, .external_lex_state = 10},
  [1536] = {.lex_state = 39, .external_lex_state = 2},
  [1537] = {.lex_state = 39, .external_lex_state = 2},
  [1538] = {.lex_state = 113, .external_lex_state = 8},
  [1539] = {.lex_state = 39},
  [1540] = {.lex_state = 39},
  [1541] = {.lex_state = 113, .external_lex_state = 8},
  [1542] = {.lex_state = 39, .external_lex_state = 2},
  [1543] = {.lex_state = 39, .external_lex_state = 2},
  [1544] = {.lex_state = 39},
  [1545] = {.lex_state = 39, .external_lex_state = 2},
  [1546] = {.lex_state = 113, .external_lex_state = 8},
  [1547] = {.lex_state = 113, .external_lex_state = 8},
  [1548] = {.lex_state = 6, .external_lex_state = 10},
  [1549] = {.lex_state = 34, .external_lex_state = 18},
  [1550] = {.lex_state = 39, .external_lex_state = 2},
  [1551] = {.lex_state = 39},
  [1552] = {.lex_state = 39, .external_lex_state = 2},
  [1553] = {.lex_state = 39, .external_lex_state = 2},
  [1554] = {.lex_state = 113, .external_lex_state = 8},
  [1555] = {.lex_state = 113, .external_lex_state = 8},
  [1556] = {.lex_state = 113, .external_lex_state = 8},
  [1557] = {.lex_state = 113, .external_lex_state = 8},
  [1558] = {.lex_state = 39},
  [1559] = {.lex_state = 113, .external_lex_state = 8},
  [1560] = {.lex_state = 39, .external_lex_state = 2},
  [1561] = {.lex_state = 35, .external_lex_state = 20},
  [1562] = {.lex_state = 113, .external_lex_state = 8},
  [1563] = {.lex_state = 32, .external_lex_state = 18},
  [1564] = {.lex_state = 39, .external_lex_state = 2},
  [1565] = {.lex_state = 113, .external_lex_state = 8},
  [1566] = {.lex_state = 113, .external_lex_state = 8},
  [1567] = {.lex_state = 37, .external_lex_state = 19},
  [1568] = {.lex_state = 39, .external_lex_state = 2},
  [1569] = {.lex_state = 39},
  [1570] = {.lex_state = 39},
  [1571] = {.lex_state = 113, .external_lex_state = 8},
  [1572] = {.lex_state = 32, .external_lex_state = 18},
  [1573] = {.lex_state = 113, .external_lex_state = 8},
  [1574] = {.lex_state = 113, .external_lex_state = 8},
  [1575] = {.lex_state = 39},
  [1576] = {.lex_state = 113, .external_lex_state = 8},
  [1577] = {.lex_state = 113, .external_lex_state = 8},
  [1578] = {.lex_state = 39, .external_lex_state = 2},
  [1579] = {.lex_state = 6, .external_lex_state = 10},
  [1580] = {.lex_state = 113, .external_lex_state = 6},
  [1581] = {.lex_state = 39},
  [1582] = {.lex_state = 113, .external_lex_state = 8},
  [1583] = {.lex_state = 39, .external_lex_state = 2},
  [1584] = {.lex_state = 39, .external_lex_state = 2},
  [1585] = {.lex_state = 39, .external_lex_state = 2},
  [1586] = {.lex_state = 39, .external_lex_state = 2},
  [1587] = {.lex_state = 39, .external_lex_state = 2},
  [1588] = {.lex_state = 39, .external_lex_state = 2},
  [1589] = {.lex_state = 39},
  [1590] = {.lex_state = 32, .external_lex_state = 18},
  [1591] = {.lex_state = 6, .external_lex_state = 10},
  [1592] = {.lex_state = 39, .external_lex_state = 2},
  [1593] = {.lex_state = 39, .external_lex_state = 2},
  [1594] = {.lex_state = 39, .external_lex_state = 2},
  [1595] = {.lex_state = 39},
  [1596] = {.lex_state = 36, .external_lex_state = 19},
  [1597] = {.lex_state = 39, .external_lex_state = 2},
  [1598] = {.lex_state = 36, .external_lex_state = 19},
  [1599] = {.lex_state = 39},
  [1600] = {.lex_state = 39},
  [1601] = {.lex_state = 39},
  [1602] = {.lex_state = 39, .external_lex_state = 2},
  [1603] = {.lex_state = 39, .external_lex_state = 2},
  [1604] = {.lex_state = 39, .external_lex_state = 2},
  [1605] = {.lex_state = 36, .external_lex_state = 19},
  [1606] = {.lex_state = 6, .external_lex_state = 10},
  [1607] = {.lex_state = 36, .external_lex_state = 19},
  [1608] = {.lex_state = 6, .external_lex_state = 10},
  [1609] = {.lex_state = 6, .external_lex_state = 10},
  [1610] = {.lex_state = 6, .external_lex_state = 10},
  [1611] = {.lex_state = 6, .external_lex_state = 10},
  [1612] = {.lex_state = 39, .external_lex_state = 2},
  [1613] = {.lex_state = 6, .external_lex_state = 10},
  [1614] = {.lex_state = 40, .external_lex_state = 12},
  [1615] = {.lex_state = 113, .external_lex_state = 6},
  [1616] = {.lex_state = 39},
  [1617] = {.lex_state = 113, .external_lex_state = 6},
  [1618] = {.lex_state = 40, .external_lex_state = 12},
  [1619] = {.lex_state = 40, .external_lex_state = 12},
  [1620] = {.lex_state = 40, .external_lex_state = 12},
  [1621] = {.lex_state = 31, .external_lex_state = 18},
  [1622] = {.lex_state = 31, .external_lex_state = 18},
  [1623] = {.lex_state = 31, .external_lex_state = 18},
  [1624] = {.lex_state = 40, .external_lex_state = 12},
  [1625] = {.lex_state = 40, .external_lex_state = 12},
  [1626] = {.lex_state = 31, .external_lex_state = 18},
  [1627] = {.lex_state = 113, .external_lex_state = 6},
  [1628] = {.lex_state = 113, .external_lex_state = 6},
  [1629] = {.lex_state = 31, .external_lex_state = 18},
  [1630] = {.lex_state = 113, .external_lex_state = 6},
  [1631] = {.lex_state = 40, .external_lex_state = 12},
  [1632] = {.lex_state = 113, .external_lex_state = 6},
  [1633] = {.lex_state = 39, .external_lex_state = 14},
  [1634] = {.lex_state = 113, .external_lex_state = 6},
  [1635] = {.lex_state = 31, .external_lex_state = 18},
  [1636] = {.lex_state = 40, .external_lex_state = 12},
  [1637] = {.lex_state = 113, .external_lex_state = 6},
  [1638] = {.lex_state = 31, .external_lex_state = 18},
  [1639] = {.lex_state = 31, .external_lex_state = 18},
  [1640] = {.lex_state = 31, .external_lex_state = 18},
  [1641] = {.lex_state = 31, .external_lex_state = 18},
  [1642] = {.lex_state = 40, .external_lex_state = 12},
  [1643] = {.lex_state = 31, .external_lex_state = 18},
  [1644] = {.lex_state = 31, .external_lex_state = 18},
  [1645] = {.lex_state = 40, .external_lex_state = 12},
  [1646] = {.lex_state = 40, .external_lex_state = 12},
  [1647] = {.lex_state = 31, .external_lex_state = 18},
  [1648] = {.lex_state = 31, .external_lex_state = 18},
  [1649] = {.lex_state = 40, .external_lex_state = 12},
  [1650] = {.lex_state = 31, .external_lex_state = 18},
  [1651] = {.lex_state = 31, .external_lex_state = 18},
  [1652] = {.lex_state = 32, .external_lex_state = 18},
  [1653] = {.lex_state = 113, .external_lex_state = 6},
  [1654] = {.lex_state = 31, .external_lex_state = 18},
  [1655] = {.lex_state = 40, .external_lex_state = 12},
  [1656] = {.lex_state = 113, .external_lex_state = 6},
  [1657] = {.lex_state = 35, .external_lex_state = 20},
  [1658] = {.lex_state = 31, .external_lex_state = 18},
  [1659] = {.lex_state = 31, .external_lex_state = 18},
  [1660] = {.lex_state = 40, .external_lex_state = 12},
  [1661] = {.lex_state = 113, .external_lex_state = 6},
  [1662] = {.lex_state = 113, .external_lex_state = 6},
  [1663] = {.lex_state = 40, .external_lex_state = 12},
  [1664] = {.lex_state = 40, .external_lex_state = 12},
  [1665] = {.lex_state = 113, .external_lex_state = 6},
  [1666] = {.lex_state = 40, .external_lex_state = 12},
  [1667] = {.lex_state = 40, .external_lex_state = 12},
  [1668] = {.lex_state = 113, .external_lex_state = 6},
  [1669] = {.lex_state = 40, .external_lex_state = 12},
  [1670] = {.lex_state = 32, .external_lex_state = 18},
  [1671] = {.lex_state = 40, .external_lex_state = 12},
  [1672] = {.lex_state = 31, .external_lex_state = 18},
  [1673] = {.lex_state = 32, .external_lex_state = 18},
  [1674] = {.lex_state = 113, .external_lex_state = 6},
  [1675] = {.lex_state = 32, .external_lex_state = 18},
  [1676] = {.lex_state = 31, .external_lex_state = 18},
  [1677] = {.lex_state = 31, .external_lex_state = 18},
  [1678] = {.lex_state = 40, .external_lex_state = 12},
  [1679] = {.lex_state = 37, .external_lex_state = 12},
  [1680] = {.lex_state = 40, .external_lex_state = 12},
  [1681] = {.lex_state = 32, .external_lex_state = 18},
  [1682] = {.lex_state = 40, .external_lex_state = 12},
  [1683] = {.lex_state = 113, .external_lex_state = 6},
  [1684] = {.lex_state = 113, .external_lex_state = 6},
  [1685] = {.lex_state = 113, .external_lex_state = 6},
  [1686] = {.lex_state = 31, .external_lex_state = 18},
  [1687] = {.lex_state = 39, .external_lex_state = 14},
  [1688] = {.lex_state = 40, .external_lex_state = 12},
  [1689] = {.lex_state = 31, .external_lex_state = 18},
  [1690] = {.lex_state = 31, .external_lex_state = 18},
  [1691] = {.lex_state = 31, .external_lex_state = 18},
  [1692] = {.lex_state = 33},
  [1693] = {.lex_state = 31},
  [1694] = {.lex_state = 34},
  [1695] = {.lex_state = 113, .external_lex_state = 6},
  [1696] = {.lex_state = 40, .external_lex_state = 12},
  [1697] = {.lex_state = 40, .external_lex_state = 12},
  [1698] = {.lex_state = 40, .external_lex_state = 12},
  [1699] = {.lex_state = 32, .external_lex_state = 18},
  [1700] = {.lex_state = 37, .external_lex_state = 19},
  [1701] = {.lex_state = 37, .external_lex_state = 19},
  [1702] = {.lex_state = 32, .external_lex_state = 18},
  [1703] = {.lex_state = 32, .external_lex_state = 18},
  [1704] = {.lex_state = 32, .external_lex_state = 18},
  [1705] = {.lex_state = 113, .external_lex_state = 6},
  [1706] = {.lex_state = 32, .external_lex_state = 18},
  [1707] = {.lex_state = 32, .external_lex_state = 18},
  [1708] = {.lex_state = 113, .external_lex_state = 6},
  [1709] = {.lex_state = 113, .external_lex_state = 6},
  [1710] = {.lex_state = 113, .external_lex_state = 6},
  [1711] = {.lex_state = 40, .external_lex_state = 12},
  [1712] = {.lex_state = 40, .external_lex_state = 12},
  [1713] = {.lex_state = 35, .external_lex_state = 20},
  [1714] = {.lex_state = 113, .external_lex_state = 6},
  [1715] = {.lex_state = 113, .external_lex_state = 6},
  [1716] = {.lex_state = 37, .external_lex_state = 19},
  [1717] = {.lex_state = 37, .external_lex_state = 19},
  [1718] = {.lex_state = 32, .external_lex_state = 18},
  [1719] = {.lex_state = 32, .external_lex_state = 18},
  [1720] = {.lex_state = 40, .external_lex_state = 12},
  [1721] = {.lex_state = 32, .external_lex_state = 18},
  [1722] = {.lex_state = 35, .external_lex_state = 11},
  [1723] = {.lex_state = 40, .external_lex_state = 12},
  [1724] = {.lex_state = 113, .external_lex_state = 6},
  [1725] = {.lex_state = 32, .external_lex_state = 18},
  [1726] = {.lex_state = 113, .external_lex_state = 6},
  [1727] = {.lex_state = 35, .external_lex_state = 11},
  [1728] = {.lex_state = 36, .external_lex_state = 12},
  [1729] = {.lex_state = 36, .external_lex_state = 12},
  [1730] = {.lex_state = 32, .external_lex_state = 18},
  [1731] = {.lex_state = 37, .external_lex_state = 19},
  [1732] = {.lex_state = 32, .external_lex_state = 18},
  [1733] = {.lex_state = 32, .external_lex_state = 18},
  [1734] = {.lex_state = 32, .external_lex_state = 18},
  [1735] = {.lex_state = 36, .external_lex_state = 12},
  [1736] = {.lex_state = 36, .external_lex_state = 12},
  [1737] = {.lex_state = 40, .external_lex_state = 12},
  [1738] = {.lex_state = 32, .external_lex_state = 18},
  [1739] = {.lex_state = 32, .external_lex_state = 18},
  [1740] = {.lex_state = 32, .external_lex_state = 18},
  [1741] = {.lex_state = 37, .external_lex_state = 19},
  [1742] = {.lex_state = 32, .external_lex_state = 18},
  [1743] = {.lex_state = 32, .external_lex_state = 18},
  [1744] = {.lex_state = 35, .external_lex_state = 20},
  [1745] = {.lex_state = 32, .external_lex_state = 18},
  [1746] = {.lex_state = 31},
  [1747] = {.lex_state = 113, .external_lex_state = 6},
  [1748] = {.lex_state = 113, .external_lex_state = 6},
  [1749] = {.lex_state = 39, .external_lex_state = 2},
  [1750] = {.lex_state = 40, .external_lex_state = 12},
  [1751] = {.lex_state = 40, .external_lex_state = 12},
  [1752] = {.lex_state = 113, .external_lex_state = 6},
  [1753] = {.lex_state = 113, .external_lex_state = 6},
  [1754] = {.lex_state = 40, .external_lex_state = 12},
  [1755] = {.lex_state = 40, .external_lex_state = 12},
  [1756] = {.lex_state = 113, .external_lex_state = 6},
  [1757] = {.lex_state = 113, .external_lex_state = 6},
  [1758] = {.lex_state = 40, .external_lex_state = 12},
  [1759] = {.lex_state = 33},
  [1760] = {.lex_state = 40, .external_lex_state = 12},
  [1761] = {.lex_state = 40, .external_lex_state = 12},
  [1762] = {.lex_state = 39, .external_lex_state = 2},
  [1763] = {.lex_state = 113, .external_lex_state = 6},
  [1764] = {.lex_state = 34},
  [1765] = {.lex_state = 113, .external_lex_state = 6},
  [1766] = {.lex_state = 40, .external_lex_state = 12},
  [1767] = {.lex_state = 113, .external_lex_state = 6},
  [1768] = {.lex_state = 113, .external_lex_state = 6},
  [1769] = {.lex_state = 40, .external_lex_state = 12},
  [1770] = {.lex_state = 37, .external_lex_state = 19},
  [1771] = {.lex_state = 39, .external_lex_state = 2},
  [1772] = {.lex_state = 37, .external_lex_state = 19},
  [1773] = {.lex_state = 31, .external_lex_state = 18},
  [1774] = {.lex_state = 37, .external_lex_state = 19},
  [1775] = {.lex_state = 40, .external_lex_state = 12},
  [1776] = {.lex_state = 37, .external_lex_state = 19},
  [1777] = {.lex_state = 37, .external_lex_state = 19},
  [1778] = {.lex_state = 37, .external_lex_state = 19},
  [1779] = {.lex_state = 37, .external_lex_state = 19},
  [1780] = {.lex_state = 37, .external_lex_state = 19},
  [1781] = {.lex_state = 113, .external_lex_state = 6},
  [1782] = {.lex_state = 37, .external_lex_state = 19},
  [1783] = {.lex_state = 37, .external_lex_state = 19},
  [1784] = {.lex_state = 37, .external_lex_state = 19},
  [1785] = {.lex_state = 39},
  [1786] = {.lex_state = 37, .external_lex_state = 19},
  [1787] = {.lex_state = 37, .external_lex_state = 19},
  [1788] = {.lex_state = 37, .external_lex_state = 19},
  [1789] = {.lex_state = 37, .external_lex_state = 19},
  [1790] = {.lex_state = 37, .external_lex_state = 19},
  [1791] = {.lex_state = 37, .external_lex_state = 19},
  [1792] = {.lex_state = 39, .external_lex_state = 14},
  [1793] = {.lex_state = 37, .external_lex_state = 19},
  [1794] = {.lex_state = 113, .external_lex_state = 6},
  [1795] = {.lex_state = 40, .external_lex_state = 12},
  [1796] = {.lex_state = 40, .external_lex_state = 12},
  [1797] = {.lex_state = 37, .external_lex_state = 12},
  [1798] = {.lex_state = 113, .external_lex_state = 6},
  [1799] = {.lex_state = 40, .external_lex_state = 12},
  [1800] = {.lex_state = 40, .external_lex_state = 12},
  [1801] = {.lex_state = 113, .external_lex_state = 6},
  [1802] = {.lex_state = 40, .external_lex_state = 12},
  [1803] = {.lex_state = 37, .external_lex_state = 19},
  [1804] = {.lex_state = 40, .external_lex_state = 12},
  [1805] = {.lex_state = 113, .external_lex_state = 6},
  [1806] = {.lex_state = 40, .external_lex_state = 12},
  [1807] = {.lex_state = 113, .external_lex_state = 6},
  [1808] = {.lex_state = 40, .external_lex_state = 12},
  [1809] = {.lex_state = 113, .external_lex_state = 6},
  [1810] = {.lex_state = 40, .external_lex_state = 12},
  [1811] = {.lex_state = 113, .external_lex_state = 6},
  [1812] = {.lex_state = 40, .external_lex_state = 12},
  [1813] = {.lex_state = 35, .external_lex_state = 20},
  [1814] = {.lex_state = 35, .external_lex_state = 20},
  [1815] = {.lex_state = 39},
  [1816] = {.lex_state = 39},
  [1817] = {.lex_state = 39},
  [1818] = {.lex_state = 39},
  [1819] = {.lex_state = 39},
  [1820] = {.lex_state = 39},
  [1821] = {.lex_state = 32},
  [1822] = {.lex_state = 39},
  [1823] = {.lex_state = 35, .external_lex_state = 20},
  [1824] = {.lex_state = 39},
  [1825] = {.lex_state = 39},
  [1826] = {.lex_state = 35, .external_lex_state = 20},
  [1827] = {.lex_state = 32},
  [1828] = {.lex_state = 32},
  [1829] = {.lex_state = 37, .external_lex_state = 12},
  [1830] = {.lex_state = 39},
  [1831] = {.lex_state = 39},
  [1832] = {.lex_state = 35, .external_lex_state = 20},
  [1833] = {.lex_state = 39},
  [1834] = {.lex_state = 32},
  [1835] = {.lex_state = 39},
  [1836] = {.lex_state = 35, .external_lex_state = 20},
  [1837] = {.lex_state = 35, .external_lex_state = 20},
  [1838] = {.lex_state = 35, .external_lex_state = 11},
  [1839] = {.lex_state = 39},
  [1840] = {.lex_state = 39},
  [1841] = {.lex_state = 34},
  [1842] = {.lex_state = 35, .external_lex_state = 20},
  [1843] = {.lex_state = 31},
  [1844] = {.lex_state = 35, .external_lex_state = 20},
  [1845] = {.lex_state = 35, .external_lex_state = 20},
  [1846] = {.lex_state = 35, .external_lex_state = 20},
  [1847] = {.lex_state = 35, .external_lex_state = 20},
  [1848] = {.lex_state = 35, .external_lex_state = 20},
  [1849] = {.lex_state = 39},
  [1850] = {.lex_state = 35, .external_lex_state = 20},
  [1851] = {.lex_state = 35, .external_lex_state = 20},
  [1852] = {.lex_state = 35, .external_lex_state = 20},
  [1853] = {.lex_state = 35, .external_lex_state = 20},
  [1854] = {.lex_state = 35, .external_lex_state = 20},
  [1855] = {.lex_state = 35, .external_lex_state = 20},
  [1856] = {.lex_state = 35, .external_lex_state = 20},
  [1857] = {.lex_state = 35, .external_lex_state = 20},
  [1858] = {.lex_state = 35, .external_lex_state = 20},
  [1859] = {.lex_state = 35, .external_lex_state = 20},
  [1860] = {.lex_state = 35, .external_lex_state = 20},
  [1861] = {.lex_state = 35, .external_lex_state = 20},
  [1862] = {.lex_state = 34},
  [1863] = {.lex_state = 34},
  [1864] = {.lex_state = 31},
  [1865] = {.lex_state = 35, .external_lex_state = 11},
  [1866] = {.lex_state = 34},
  [1867] = {.lex_state = 35, .external_lex_state = 11},
  [1868] = {.lex_state = 35, .external_lex_state = 11},
  [1869] = {.lex_state = 35, .external_lex_state = 11},
  [1870] = {.lex_state = 34},
  [1871] = {.lex_state = 35, .external_lex_state = 11},
  [1872] = {.lex_state = 34},
  [1873] = {.lex_state = 35, .external_lex_state = 11},
  [1874] = {.lex_state = 34},
  [1875] = {.lex_state = 31},
  [1876] = {.lex_state = 31},
  [1877] = {.lex_state = 34},
  [1878] = {.lex_state = 34},
  [1879] = {.lex_state = 31},
  [1880] = {.lex_state = 35, .external_lex_state = 11},
  [1881] = {.lex_state = 34},
  [1882] = {.lex_state = 31},
  [1883] = {.lex_state = 34},
  [1884] = {.lex_state = 34},
  [1885] = {.lex_state = 3, .external_lex_state = 10},
  [1886] = {.lex_state = 31},
  [1887] = {.lex_state = 41, .external_lex_state = 11},
  [1888] = {.lex_state = 31},
  [1889] = {.lex_state = 31},
  [1890] = {.lex_state = 41, .external_lex_state = 11},
  [1891] = {.lex_state = 31},
  [1892] = {.lex_state = 31},
  [1893] = {.lex_state = 31},
  [1894] = {.lex_state = 31},
  [1895] = {.lex_state = 39},
  [1896] = {.lex_state = 39},
  [1897] = {.lex_state = 39},
  [1898] = {.lex_state = 39},
  [1899] = {.lex_state = 39},
  [1900] = {.lex_state = 39},
  [1901] = {.lex_state = 39},
  [1902] = {.lex_state = 39},
  [1903] = {.lex_state = 39},
  [1904] = {.lex_state = 39},
  [1905] = {.lex_state = 118, .external_lex_state = 15},
  [1906] = {.lex_state = 39},
  [1907] = {.lex_state = 39},
  [1908] = {.lex_state = 39},
  [1909] = {.lex_state = 39},
  [1910] = {.lex_state = 39},
  [1911] = {.lex_state = 39},
  [1912] = {.lex_state = 39},
  [1913] = {.lex_state = 39},
  [1914] = {.lex_state = 39},
  [1915] = {.lex_state = 39},
  [1916] = {.lex_state = 39},
  [1917] = {.lex_state = 39},
  [1918] = {.lex_state = 39},
  [1919] = {.lex_state = 39},
  [1920] = {.lex_state = 39},
  [1921] = {.lex_state = 39},
  [1922] = {.lex_state = 39},
  [1923] = {.lex_state = 39},
  [1924] = {.lex_state = 39},
  [1925] = {.lex_state = 39},
  [1926] = {.lex_state = 39},
  [1927] = {.lex_state = 39},
  [1928] = {.lex_state = 39},
  [1929] = {.lex_state = 39},
  [1930] = {.lex_state = 39},
  [1931] = {.lex_state = 39},
  [1932] = {.lex_state = 39},
  [1933] = {.lex_state = 118, .external_lex_state = 15},
  [1934] = {.lex_state = 39},
  [1935] = {.lex_state = 39},
  [1936] = {.lex_state = 39},
  [1937] = {.lex_state = 39},
  [1938] = {.lex_state = 39},
  [1939] = {.lex_state = 39},
  [1940] = {.lex_state = 39},
  [1941] = {.lex_state = 39},
  [1942] = {.lex_state = 39},
  [1943] = {.lex_state = 118, .external_lex_state = 15},
  [1944] = {.lex_state = 39},
  [1945] = {.lex_state = 39},
  [1946] = {.lex_state = 39},
  [1947] = {.lex_state = 39},
  [1948] = {.lex_state = 39},
  [1949] = {.lex_state = 118, .external_lex_state = 15},
  [1950] = {.lex_state = 118, .external_lex_state = 15},
  [1951] = {.lex_state = 118, .external_lex_state = 10},
  [1952] = {.lex_state = 118, .external_lex_state = 15},
  [1953] = {.lex_state = 118, .external_lex_state = 10},
  [1954] = {.lex_state = 118, .external_lex_state = 15},
  [1955] = {.lex_state = 118, .external_lex_state = 15},
  [1956] = {.lex_state = 118, .external_lex_state = 15},
  [1957] = {.lex_state = 118, .external_lex_state = 15},
  [1958] = {.lex_state = 118, .external_lex_state = 15},
  [1959] = {.lex_state = 118, .external_lex_state = 15},
  [1960] = {.lex_state = 118, .external_lex_state = 15},
  [1961] = {.lex_state = 118, .external_lex_state = 15},
  [1962] = {.lex_state = 118, .external_lex_state = 15},
  [1963] = {.lex_state = 118, .external_lex_state = 15},
  [1964] = {.lex_state = 118, .external_lex_state = 15},
  [1965] = {.lex_state = 118, .external_lex_state = 15},
  [1966] = {.lex_state = 118, .external_lex_state = 15},
  [1967] = {.lex_state = 118, .external_lex_state = 15},
  [1968] = {.lex_state = 118, .external_lex_state = 15},
  [1969] = {.lex_state = 118, .external_lex_state = 15},
  [1970] = {.lex_state = 118, .external_lex_state = 15},
  [1971] = {.lex_state = 118, .external_lex_state = 15},
  [1972] = {.lex_state = 118, .external_lex_state = 15},
  [1973] = {.lex_state = 118, .external_lex_state = 15},
  [1974] = {.lex_state = 118, .external_lex_state = 15},
  [1975] = {.lex_state = 118, .external_lex_state = 15},
  [1976] = {.lex_state = 118, .external_lex_state = 15},
  [1977] = {.lex_state = 118, .external_lex_state = 10},
  [1978] = {.lex_state = 26},
  [1979] = {.lex_state = 26, .external_lex_state = 20},
  [1980] = {.lex_state = 39, .external_lex_state = 18},
  [1981] = {.lex_state = 26, .external_lex_state = 12},
  [1982] = {.lex_state = 39, .external_lex_state = 18},
  [1983] = {.lex_state = 39, .external_lex_state = 18},
  [1984] = {.lex_state = 39, .external_lex_state = 18},
  [1985] = {.lex_state = 26},
  [1986] = {.lex_state = 39, .external_lex_state = 18},
  [1987] = {.lex_state = 39, .external_lex_state = 18},
  [1988] = {.lex_state = 39},
  [1989] = {.lex_state = 26},
  [1990] = {.lex_state = 39, .external_lex_state = 18},
  [1991] = {.lex_state = 39, .external_lex_state = 18},
  [1992] = {.lex_state = 39, .external_lex_state = 18},
  [1993] = {.lex_state = 26},
  [1994] = {.lex_state = 39, .external_lex_state = 18},
  [1995] = {.lex_state = 39, .external_lex_state = 18},
  [1996] = {.lex_state = 39, .external_lex_state = 18},
  [1997] = {.lex_state = 26},
  [1998] = {.lex_state = 26},
  [1999] = {.lex_state = 39, .external_lex_state = 18},
  [2000] = {.lex_state = 39, .external_lex_state = 18},
  [2001] = {.lex_state = 26},
  [2002] = {.lex_state = 26},
  [2003] = {.lex_state = 39, .external_lex_state = 18},
  [2004] = {.lex_state = 26},
  [2005] = {.lex_state = 26},
  [2006] = {.lex_state = 39, .external_lex_state = 18},
  [2007] = {.lex_state = 39, .external_lex_state = 18},
  [2008] = {.lex_state = 39, .external_lex_state = 18},
  [2009] = {.lex_state = 26},
  [2010] = {.lex_state = 39, .external_lex_state = 18},
  [2011] = {.lex_state = 39, .external_lex_state = 18},
  [2012] = {.lex_state = 26},
  [2013] = {.lex_state = 39, .external_lex_state = 18},
  [2014] = {.lex_state = 26},
  [2015] = {.lex_state = 26},
  [2016] = {.lex_state = 26},
  [2017] = {.lex_state = 39, .external_lex_state = 18},
  [2018] = {.lex_state = 26},
  [2019] = {.lex_state = 26},
  [2020] = {.lex_state = 39, .external_lex_state = 18},
  [2021] = {.lex_state = 26},
  [2022] = {.lex_state = 39, .external_lex_state = 18},
  [2023] = {.lex_state = 26},
  [2024] = {.lex_state = 26},
  [2025] = {.lex_state = 39, .external_lex_state = 18},
  [2026] = {.lex_state = 26},
  [2027] = {.lex_state = 26},
  [2028] = {.lex_state = 39, .external_lex_state = 18},
  [2029] = {.lex_state = 26},
  [2030] = {.lex_state = 39, .external_lex_state = 18},
  [2031] = {.lex_state = 26},
  [2032] = {.lex_state = 39},
  [2033] = {.lex_state = 39, .external_lex_state = 18},
  [2034] = {.lex_state = 39, .external_lex_state = 18},
  [2035] = {.lex_state = 26},
  [2036] = {.lex_state = 27},
  [2037] = {.lex_state = 27},
  [2038] = {.lex_state = 27},
  [2039] = {.lex_state = 42},
  [2040] = {.lex_state = 26, .external_lex_state = 21},
  [2041] = {.lex_state = 27},
  [2042] = {.lex_state = 27},
  [2043] = {.lex_state = 27},
  [2044] = {.lex_state = 27},
  [2045] = {.lex_state = 42},
  [2046] = {.lex_state = 27},
  [2047] = {.lex_state = 27},
  [2048] = {.lex_state = 27},
  [2049] = {.lex_state = 27},
  [2050] = {.lex_state = 26, .external_lex_state = 21},
  [2051] = {.lex_state = 26, .external_lex_state = 21},
  [2052] = {.lex_state = 27},
  [2053] = {.lex_state = 26, .external_lex_state = 21},
  [2054] = {.lex_state = 27},
  [2055] = {.lex_state = 27},
  [2056] = {.lex_state = 26, .external_lex_state = 21},
  [2057] = {.lex_state = 27},
  [2058] = {.lex_state = 27},
  [2059] = {.lex_state = 26, .external_lex_state = 21},
  [2060] = {.lex_state = 27},
  [2061] = {.lex_state = 26, .external_lex_state = 21},
  [2062] = {.lex_state = 26, .external_lex_state = 21},
  [2063] = {.lex_state = 27},
  [2064] = {.lex_state = 27},
  [2065] = {.lex_state = 27},
  [2066] = {.lex_state = 27},
  [2067] = {.lex_state = 27},
  [2068] = {.lex_state = 26, .external_lex_state = 21},
  [2069] = {.lex_state = 27},
  [2070] = {.lex_state = 26, .external_lex_state = 21},
  [2071] = {.lex_state = 42},
  [2072] = {.lex_state = 27},
  [2073] = {.lex_state = 26, .external_lex_state = 21},
  [2074] = {.lex_state = 26, .external_lex_state = 21},
  [2075] = {.lex_state = 27},
  [2076] = {.lex_state = 26, .external_lex_state = 21},
  [2077] = {.lex_state = 27},
  [2078] = {.lex_state = 27},
  [2079] = {.lex_state = 26, .external_lex_state = 21},
  [2080] = {.lex_state = 27},
  [2081] = {.lex_state = 27},
  [2082] = {.lex_state = 27},
  [2083] = {.lex_state = 26, .external_lex_state = 21},
  [2084] = {.lex_state = 26, .external_lex_state = 21},
  [2085] = {.lex_state = 27},
  [2086] = {.lex_state = 27},
  [2087] = {.lex_state = 26, .external_lex_state = 21},
  [2088] = {.lex_state = 26, .external_lex_state = 21},
  [2089] = {.lex_state = 27},
  [2090] = {.lex_state = 27},
  [2091] = {.lex_state = 27},
  [2092] = {.lex_state = 26, .external_lex_state = 21},
  [2093] = {.lex_state = 27},
  [2094] = {.lex_state = 42},
  [2095] = {.lex_state = 39},
  [2096] = {.lex_state = 26, .external_lex_state = 21},
  [2097] = {.lex_state = 27},
  [2098] = {.lex_state = 27},
  [2099] = {.lex_state = 27},
  [2100] = {.lex_state = 26, .external_lex_state = 21},
  [2101] = {.lex_state = 27},
  [2102] = {.lex_state = 26, .external_lex_state = 21},
  [2103] = {.lex_state = 26, .external_lex_state = 21},
  [2104] = {.lex_state = 26, .external_lex_state = 21},
  [2105] = {.lex_state = 27},
  [2106] = {.lex_state = 26, .external_lex_state = 21},
  [2107] = {.lex_state = 27},
  [2108] = {.lex_state = 42},
  [2109] = {.lex_state = 27},
  [2110] = {.lex_state = 27},
  [2111] = {.lex_state = 42},
  [2112] = {.lex_state = 27},
  [2113] = {.lex_state = 26, .external_lex_state = 21},
  [2114] = {.lex_state = 27},
  [2115] = {.lex_state = 27},
  [2116] = {.lex_state = 27},
  [2117] = {.lex_state = 39},
  [2118] = {.lex_state = 39},
  [2119] = {.lex_state = 39},
  [2120] = {.lex_state = 28},
  [2121] = {.lex_state = 39},
  [2122] = {.lex_state = 39},
  [2123] = {.lex_state = 39},
  [2124] = {.lex_state = 43},
  [2125] = {.lex_state = 44, .external_lex_state = 21},
  [2126] = {.lex_state = 43},
  [2127] = {.lex_state = 43},
  [2128] = {.lex_state = 44, .external_lex_state = 21},
  [2129] = {.lex_state = 43},
  [2130] = {.lex_state = 43},
  [2131] = {.lex_state = 44, .external_lex_state = 21},
  [2132] = {.lex_state = 44, .external_lex_state = 21},
  [2133] = {.lex_state = 44, .external_lex_state = 21},
  [2134] = {.lex_state = 43},
  [2135] = {.lex_state = 43},
  [2136] = {.lex_state = 43},
  [2137] = {.lex_state = 43},
  [2138] = {.lex_state = 44, .external_lex_state = 21},
  [2139] = {.lex_state = 43},
  [2140] = {.lex_state = 43},
  [2141] = {.lex_state = 43},
  [2142] = {.lex_state = 44, .external_lex_state = 21},
  [2143] = {.lex_state = 43},
  [2144] = {.lex_state = 44, .external_lex_state = 21},
  [2145] = {.lex_state = 43},
  [2146] = {.lex_state = 43},
  [2147] = {.lex_state = 43},
  [2148] = {.lex_state = 43},
  [2149] = {.lex_state = 43},
  [2150] = {.lex_state = 43},
  [2151] = {.lex_state = 44, .external_lex_state = 21},
  [2152] = {.lex_state = 43},
  [2153] = {.lex_state = 44, .external_lex_state = 21},
  [2154] = {.lex_state = 44, .external_lex_state = 21},
  [2155] = {.lex_state = 44, .external_lex_state = 21},
  [2156] = {.lex_state = 43},
  [2157] = {.lex_state = 44, .external_lex_state = 21},
  [2158] = {.lex_state = 43},
  [2159] = {.lex_state = 43},
  [2160] = {.lex_state = 44, .external_lex_state = 21},
  [2161] = {.lex_state = 43},
  [2162] = {.lex_state = 43},
  [2163] = {.lex_state = 43},
  [2164] = {.lex_state = 43},
  [2165] = {.lex_state = 43},
  [2166] = {.lex_state = 43},
  [2167] = {.lex_state = 43},
  [2168] = {.lex_state = 44, .external_lex_state = 21},
  [2169] = {.lex_state = 44, .external_lex_state = 21},
  [2170] = {.lex_state = 43},
  [2171] = {.lex_state = 43},
  [2172] = {.lex_state = 44, .external_lex_state = 21},
  [2173] = {.lex_state = 31, .external_lex_state = 22},
  [2174] = {.lex_state = 44, .external_lex_state = 21},
  [2175] = {.lex_state = 44, .external_lex_state = 21},
  [2176] = {.lex_state = 43},
  [2177] = {.lex_state = 31, .external_lex_state = 22},
  [2178] = {.lex_state = 31, .external_lex_state = 22},
  [2179] = {.lex_state = 43},
  [2180] = {.lex_state = 43},
  [2181] = {.lex_state = 43},
  [2182] = {.lex_state = 44, .external_lex_state = 21},
  [2183] = {.lex_state = 43},
  [2184] = {.lex_state = 44, .external_lex_state = 21},
  [2185] = {.lex_state = 43},
  [2186] = {.lex_state = 31, .external_lex_state = 22},
  [2187] = {.lex_state = 43},
  [2188] = {.lex_state = 44, .external_lex_state = 21},
  [2189] = {.lex_state = 43},
  [2190] = {.lex_state = 43},
  [2191] = {.lex_state = 44, .external_lex_state = 21},
  [2192] = {.lex_state = 43},
  [2193] = {.lex_state = 43},
  [2194] = {.lex_state = 43},
  [2195] = {.lex_state = 43},
  [2196] = {.lex_state = 31, .external_lex_state = 22},
  [2197] = {.lex_state = 26},
  [2198] = {.lex_state = 43},
  [2199] = {.lex_state = 44, .external_lex_state = 21},
  [2200] = {.lex_state = 43},
  [2201] = {.lex_state = 43},
  [2202] = {.lex_state = 44, .external_lex_state = 21},
  [2203] = {.lex_state = 43},
  [2204] = {.lex_state = 44, .external_lex_state = 21},
  [2205] = {.lex_state = 4, .external_lex_state = 15},
  [2206] = {.lex_state = 43, .external_lex_state = 18},
  [2207] = {.lex_state = 4, .external_lex_state = 10},
  [2208] = {.lex_state = 4, .external_lex_state = 15},
  [2209] = {.lex_state = 4, .external_lex_state = 15},
  [2210] = {.lex_state = 4, .external_lex_state = 10},
  [2211] = {.lex_state = 43, .external_lex_state = 18},
  [2212] = {.lex_state = 44},
  [2213] = {.lex_state = 4, .external_lex_state = 15},
  [2214] = {.lex_state = 4, .external_lex_state = 10},
  [2215] = {.lex_state = 4, .external_lex_state = 10},
  [2216] = {.lex_state = 43, .external_lex_state = 18},
  [2217] = {.lex_state = 43, .external_lex_state = 18},
  [2218] = {.lex_state = 44},
  [2219] = {.lex_state = 43, .external_lex_state = 18},
  [2220] = {.lex_state = 43, .external_lex_state = 18},
  [2221] = {.lex_state = 4, .external_lex_state = 10},
  [2222] = {.lex_state = 43, .external_lex_state = 18},
  [2223] = {.lex_state = 4, .external_lex_state = 15},
  [2224] = {.lex_state = 43, .external_lex_state = 18},
  [2225] = {.lex_state = 43, .external_lex_state = 18},
  [2226] = {.lex_state = 43, .external_lex_state = 18},
  [2227] = {.lex_state = 43, .external_lex_state = 18},
  [2228] = {.lex_state = 43, .external_lex_state = 18},
  [2229] = {.lex_state = 44},
  [2230] = {.lex_state = 43, .external_lex_state = 18},
  [2231] = {.lex_state = 43, .external_lex_state = 18},
  [2232] = {.lex_state = 43, .external_lex_state = 18},
  [2233] = {.lex_state = 43, .external_lex_state = 18},
  [2234] = {.lex_state = 43, .external_lex_state = 18},
  [2235] = {.lex_state = 43, .external_lex_state = 18},
  [2236] = {.lex_state = 43, .external_lex_state = 18},
  [2237] = {.lex_state = 43, .external_lex_state = 18},
  [2238] = {.lex_state = 43, .external_lex_state = 18},
  [2239] = {.lex_state = 44},
  [2240] = {.lex_state = 4, .external_lex_state = 10},
  [2241] = {.lex_state = 38},
  [2242] = {.lex_state = 4, .external_lex_state = 15},
  [2243] = {.lex_state = 4, .external_lex_state = 15},
  [2244] = {.lex_state = 31, .external_lex_state = 22},
  [2245] = {.lex_state = 31, .external_lex_state = 22},
  [2246] = {.lex_state = 4, .external_lex_state = 15},
  [2247] = {.lex_state = 31, .external_lex_state = 22},
  [2248] = {.lex_state = 4, .external_lex_state = 15},
  [2249] = {.lex_state = 31, .external_lex_state = 22},
  [2250] = {.lex_state = 4, .external_lex_state = 15},
  [2251] = {.lex_state = 31, .external_lex_state = 22},
  [2252] = {.lex_state = 4, .external_lex_state = 15},
  [2253] = {.lex_state = 31, .external_lex_state = 22},
  [2254] = {.lex_state = 31, .external_lex_state = 22},
  [2255] = {.lex_state = 31, .external_lex_state = 22},
  [2256] = {.lex_state = 31, .external_lex_state = 22},
  [2257] = {.lex_state = 31, .external_lex_state = 22},
  [2258] = {.lex_state = 31, .external_lex_state = 22},
  [2259] = {.lex_state = 31, .external_lex_state = 22},
  [2260] = {.lex_state = 4, .external_lex_state = 15},
  [2261] = {.lex_state = 4, .external_lex_state = 15},
  [2262] = {.lex_state = 4, .external_lex_state = 15},
  [2263] = {.lex_state = 31, .external_lex_state = 22},
  [2264] = {.lex_state = 31, .external_lex_state = 22},
  [2265] = {.lex_state = 4, .external_lex_state = 15},
  [2266] = {.lex_state = 4, .external_lex_state = 15},
  [2267] = {.lex_state = 4, .external_lex_state = 15},
  [2268] = {.lex_state = 4, .external_lex_state = 15},
  [2269] = {.lex_state = 31, .external_lex_state = 22},
  [2270] = {.lex_state = 31, .external_lex_state = 22},
  [2271] = {.lex_state = 43},
  [2272] = {.lex_state = 4, .external_lex_state = 15},
  [2273] = {.lex_state = 4, .external_lex_state = 15},
  [2274] = {.lex_state = 31, .external_lex_state = 22},
  [2275] = {.lex_state = 38},
  [2276] = {.lex_state = 31, .external_lex_state = 22},
  [2277] = {.lex_state = 4, .external_lex_state = 15},
  [2278] = {.lex_state = 43},
  [2279] = {.lex_state = 4, .external_lex_state = 15},
  [2280] = {.lex_state = 31, .external_lex_state = 22},
  [2281] = {.lex_state = 4, .external_lex_state = 15},
  [2282] = {.lex_state = 38},
  [2283] = {.lex_state = 4, .external_lex_state = 15},
  [2284] = {.lex_state = 4, .external_lex_state = 15},
  [2285] = {.lex_state = 4, .external_lex_state = 15},
  [2286] = {.lex_state = 4, .external_lex_state = 15},
  [2287] = {.lex_state = 4, .external_lex_state = 15},
  [2288] = {.lex_state = 4, .external_lex_state = 15},
  [2289] = {.lex_state = 4, .external_lex_state = 15},
  [2290] = {.lex_state = 4, .external_lex_state = 10},
  [2291] = {.lex_state = 38},
  [2292] = {.lex_state = 39, .external_lex_state = 18},
  [2293] = {.lex_state = 38},
  [2294] = {.lex_state = 45},
  [2295] = {.lex_state = 118, .external_lex_state = 10},
  [2296] = {.lex_state = 4, .external_lex_state = 10},
  [2297] = {.lex_state = 45},
  [2298] = {.lex_state = 118, .external_lex_state = 10},
  [2299] = {.lex_state = 45},
  [2300] = {.lex_state = 39},
  [2301] = {.lex_state = 119, .external_lex_state = 18},
  [2302] = {.lex_state = 45},
  [2303] = {.lex_state = 118, .external_lex_state = 10},
  [2304] = {.lex_state = 118, .external_lex_state = 10},
  [2305] = {.lex_state = 45},
  [2306] = {.lex_state = 118, .external_lex_state = 10},
  [2307] = {.lex_state = 45},
  [2308] = {.lex_state = 4, .external_lex_state = 10},
  [2309] = {.lex_state = 45},
  [2310] = {.lex_state = 4, .external_lex_state = 10},
  [2311] = {.lex_state = 118, .external_lex_state = 10},
  [2312] = {.lex_state = 118, .external_lex_state = 10},
  [2313] = {.lex_state = 45},
  [2314] = {.lex_state = 39},
  [2315] = {.lex_state = 119, .external_lex_state = 18},
  [2316] = {.lex_state = 118, .external_lex_state = 10},
  [2317] = {.lex_state = 4, .external_lex_state = 10},
  [2318] = {.lex_state = 45},
  [2319] = {.lex_state = 4, .external_lex_state = 10},
  [2320] = {.lex_state = 45},
  [2321] = {.lex_state = 45},
  [2322] = {.lex_state = 45},
  [2323] = {.lex_state = 45},
  [2324] = {.lex_state = 45},
  [2325] = {.lex_state = 45},
  [2326] = {.lex_state = 118, .external_lex_state = 10},
  [2327] = {.lex_state = 4, .external_lex_state = 10},
  [2328] = {.lex_state = 45},
  [2329] = {.lex_state = 45},
  [2330] = {.lex_state = 45},
  [2331] = {.lex_state = 39},
  [2332] = {.lex_state = 45},
  [2333] = {.lex_state = 45},
  [2334] = {.lex_state = 45},
  [2335] = {.lex_state = 45},
  [2336] = {.lex_state = 45},
  [2337] = {.lex_state = 45},
  [2338] = {.lex_state = 45},
  [2339] = {.lex_state = 118, .external_lex_state = 10},
  [2340] = {.lex_state = 118, .external_lex_state = 10},
  [2341] = {.lex_state = 118, .external_lex_state = 10},
  [2342] = {.lex_state = 45},
  [2343] = {.lex_state = 118, .external_lex_state = 10},
  [2344] = {.lex_state = 118, .external_lex_state = 10},
  [2345] = {.lex_state = 35, .external_lex_state = 20},
  [2346] = {.lex_state = 45},
  [2347] = {.lex_state = 35, .external_lex_state = 20},
  [2348] = {.lex_state = 118, .external_lex_state = 10},
  [2349] = {.lex_state = 45},
  [2350] = {.lex_state = 118, .external_lex_state = 10},
  [2351] = {.lex_state = 118, .external_lex_state = 10},
  [2352] = {.lex_state = 45},
  [2353] = {.lex_state = 118, .external_lex_state = 10},
  [2354] = {.lex_state = 118, .external_lex_state = 10},
  [2355] = {.lex_state = 45},
  [2356] = {.lex_state = 119, .external_lex_state = 18},
  [2357] = {.lex_state = 118, .external_lex_state = 10},
  [2358] = {.lex_state = 118, .external_lex_state = 10},
  [2359] = {.lex_state = 40, .external_lex_state = 19},
  [2360] = {.lex_state = 45},
  [2361] = {.lex_state = 35, .external_lex_state = 20},
  [2362] = {.lex_state = 118, .external_lex_state = 10},
  [2363] = {.lex_state = 45},
  [2364] = {.lex_state = 119, .external_lex_state = 18},
  [2365] = {.lex_state = 35, .external_lex_state = 20},
  [2366] = {.lex_state = 24, .external_lex_state = 19},
  [2367] = {.lex_state = 24, .external_lex_state = 19},
  [2368] = {.lex_state = 44},
  [2369] = {.lex_state = 24, .external_lex_state = 19},
  [2370] = {.lex_state = 40, .external_lex_state = 12},
  [2371] = {.lex_state = 40, .external_lex_state = 12},
  [2372] = {.lex_state = 24, .external_lex_state = 19},
  [2373] = {.lex_state = 24, .external_lex_state = 19},
  [2374] = {.lex_state = 24, .external_lex_state = 19},
  [2375] = {.lex_state = 24, .external_lex_state = 19},
  [2376] = {.lex_state = 24, .external_lex_state = 19},
  [2377] = {.lex_state = 40, .external_lex_state = 12},
  [2378] = {.lex_state = 40, .external_lex_state = 12},
  [2379] = {.lex_state = 40, .external_lex_state = 12},
  [2380] = {.lex_state = 24, .external_lex_state = 19},
  [2381] = {.lex_state = 24, .external_lex_state = 19},
  [2382] = {.lex_state = 40, .external_lex_state = 12},
  [2383] = {.lex_state = 24, .external_lex_state = 19},
  [2384] = {.lex_state = 24, .external_lex_state = 19},
  [2385] = {.lex_state = 40, .external_lex_state = 12},
  [2386] = {.lex_state = 35, .external_lex_state = 20},
  [2387] = {.lex_state = 119},
  [2388] = {.lex_state = 24, .external_lex_state = 19},
  [2389] = {.lex_state = 40, .external_lex_state = 12},
  [2390] = {.lex_state = 44, .external_lex_state = 18},
  [2391] = {.lex_state = 40, .external_lex_state = 12},
  [2392] = {.lex_state = 24, .external_lex_state = 19},
  [2393] = {.lex_state = 24, .external_lex_state = 19},
  [2394] = {.lex_state = 40, .external_lex_state = 12},
  [2395] = {.lex_state = 40, .external_lex_state = 12},
  [2396] = {.lex_state = 24, .external_lex_state = 19},
  [2397] = {.lex_state = 40, .external_lex_state = 12},
  [2398] = {.lex_state = 44, .external_lex_state = 18},
  [2399] = {.lex_state = 24, .external_lex_state = 19},
  [2400] = {.lex_state = 24, .external_lex_state = 19},
  [2401] = {.lex_state = 40, .external_lex_state = 12},
  [2402] = {.lex_state = 40, .external_lex_state = 12},
  [2403] = {.lex_state = 24, .external_lex_state = 19},
  [2404] = {.lex_state = 24, .external_lex_state = 19},
  [2405] = {.lex_state = 40, .external_lex_state = 12},
  [2406] = {.lex_state = 40, .external_lex_state = 12},
  [2407] = {.lex_state = 32},
  [2408] = {.lex_state = 40, .external_lex_state = 12},
  [2409] = {.lex_state = 119},
  [2410] = {.lex_state = 24, .external_lex_state = 19},
  [2411] = {.lex_state = 24, .external_lex_state = 19},
  [2412] = {.lex_state = 24, .external_lex_state = 19},
  [2413] = {.lex_state = 40, .external_lex_state = 12},
  [2414] = {.lex_state = 24, .external_lex_state = 19},
  [2415] = {.lex_state = 119},
  [2416] = {.lex_state = 40, .external_lex_state = 12},
  [2417] = {.lex_state = 40, .external_lex_state = 12},
  [2418] = {.lex_state = 40, .external_lex_state = 12},
  [2419] = {.lex_state = 40, .external_lex_state = 12},
  [2420] = {.lex_state = 24, .external_lex_state = 19},
  [2421] = {.lex_state = 40, .external_lex_state = 12},
  [2422] = {.lex_state = 24, .external_lex_state = 19},
  [2423] = {.lex_state = 24, .external_lex_state = 19},
  [2424] = {.lex_state = 119},
  [2425] = {.lex_state = 40, .external_lex_state = 12},
  [2426] = {.lex_state = 24, .external_lex_state = 19},
  [2427] = {.lex_state = 40, .external_lex_state = 12},
  [2428] = {.lex_state = 24, .external_lex_state = 19},
  [2429] = {.lex_state = 40, .external_lex_state = 12},
  [2430] = {.lex_state = 40, .external_lex_state = 12},
  [2431] = {.lex_state = 24, .external_lex_state = 19},
  [2432] = {.lex_state = 24, .external_lex_state = 19},
  [2433] = {.lex_state = 40, .external_lex_state = 12},
  [2434] = {.lex_state = 24, .external_lex_state = 19},
  [2435] = {.lex_state = 44, .external_lex_state = 18},
  [2436] = {.lex_state = 35, .external_lex_state = 20},
  [2437] = {.lex_state = 44},
  [2438] = {.lex_state = 44, .external_lex_state = 18},
  [2439] = {.lex_state = 24, .external_lex_state = 19},
  [2440] = {.lex_state = 44},
  [2441] = {.lex_state = 119},
  [2442] = {.lex_state = 40, .external_lex_state = 12},
  [2443] = {.lex_state = 24, .external_lex_state = 19},
  [2444] = {.lex_state = 40, .external_lex_state = 12},
  [2445] = {.lex_state = 40, .external_lex_state = 12},
  [2446] = {.lex_state = 44},
  [2447] = {.lex_state = 24, .external_lex_state = 19},
  [2448] = {.lex_state = 40, .external_lex_state = 12},
  [2449] = {.lex_state = 24, .external_lex_state = 19},
  [2450] = {.lex_state = 40, .external_lex_state = 12},
  [2451] = {.lex_state = 24, .external_lex_state = 19},
  [2452] = {.lex_state = 40, .external_lex_state = 12},
  [2453] = {.lex_state = 40, .external_lex_state = 12},
  [2454] = {.lex_state = 24, .external_lex_state = 19},
  [2455] = {.lex_state = 24, .external_lex_state = 19},
  [2456] = {.lex_state = 40, .external_lex_state = 12},
  [2457] = {.lex_state = 24, .external_lex_state = 19},
  [2458] = {.lex_state = 44},
  [2459] = {.lex_state = 24, .external_lex_state = 19},
  [2460] = {.lex_state = 40, .external_lex_state = 12},
  [2461] = {.lex_state = 44},
  [2462] = {.lex_state = 40, .external_lex_state = 12},
  [2463] = {.lex_state = 40, .external_lex_state = 12},
  [2464] = {.lex_state = 24, .external_lex_state = 19},
  [2465] = {.lex_state = 35, .external_lex_state = 20},
  [2466] = {.lex_state = 40, .external_lex_state = 12},
  [2467] = {.lex_state = 40, .external_lex_state = 12},
  [2468] = {.lex_state = 24, .external_lex_state = 19},
  [2469] = {.lex_state = 119},
  [2470] = {.lex_state = 35, .external_lex_state = 20},
  [2471] = {.lex_state = 40, .external_lex_state = 12},
  [2472] = {.lex_state = 44},
  [2473] = {.lex_state = 24, .external_lex_state = 19},
  [2474] = {.lex_state = 40, .external_lex_state = 12},
  [2475] = {.lex_state = 24, .external_lex_state = 19},
  [2476] = {.lex_state = 24, .external_lex_state = 19},
  [2477] = {.lex_state = 40, .external_lex_state = 12},
  [2478] = {.lex_state = 40, .external_lex_state = 12},
  [2479] = {.lex_state = 119},
  [2480] = {.lex_state = 24, .external_lex_state = 19},
  [2481] = {.lex_state = 40, .external_lex_state = 12},
  [2482] = {.lex_state = 24, .external_lex_state = 19},
  [2483] = {.lex_state = 32},
  [2484] = {.lex_state = 40, .external_lex_state = 12},
  [2485] = {.lex_state = 24, .external_lex_state = 19},
  [2486] = {.lex_state = 40, .external_lex_state = 12},
  [2487] = {.lex_state = 24, .external_lex_state = 19},
  [2488] = {.lex_state = 40, .external_lex_state = 12},
  [2489] = {.lex_state = 40, .external_lex_state = 12},
  [2490] = {.lex_state = 40, .external_lex_state = 12},
  [2491] = {.lex_state = 40, .external_lex_state = 12},
  [2492] = {.lex_state = 24, .external_lex_state = 19},
  [2493] = {.lex_state = 24, .external_lex_state = 19},
  [2494] = {.lex_state = 40, .external_lex_state = 12},
  [2495] = {.lex_state = 24, .external_lex_state = 19},
  [2496] = {.lex_state = 24, .external_lex_state = 19},
  [2497] = {.lex_state = 44},
  [2498] = {.lex_state = 44},
  [2499] = {.lex_state = 38},
  [2500] = {.lex_state = 31},
  [2501] = {.lex_state = 31},
  [2502] = {.lex_state = 44},
  [2503] = {.lex_state = 44},
  [2504] = {.lex_state = 44},
  [2505] = {.lex_state = 44},
  [2506] = {.lex_state = 44},
  [2507] = {.lex_state = 44},
  [2508] = {.lex_state = 44},
  [2509] = {.lex_state = 119},
  [2510] = {.lex_state = 44},
  [2511] = {.lex_state = 44},
  [2512] = {.lex_state = 44},
  [2513] = {.lex_state = 44},
  [2514] = {.lex_state = 44},
  [2515] = {.lex_state = 44},
  [2516] = {.lex_state = 44},
  [2517] = {.lex_state = 44},
  [2518] = {.lex_state = 44},
  [2519] = {.lex_state = 44},
  [2520] = {.lex_state = 38},
  [2521] = {.lex_state = 44},
  [2522] = {.lex_state = 33},
  [2523] = {.lex_state = 24, .external_lex_state = 19},
  [2524] = {.lex_state = 40, .external_lex_state = 12},
  [2525] = {.lex_state = 38},
  [2526] = {.lex_state = 44},
  [2527] = {.lex_state = 44},
  [2528] = {.lex_state = 44},
  [2529] = {.lex_state = 24, .external_lex_state = 19},
  [2530] = {.lex_state = 44},
  [2531] = {.lex_state = 44},
  [2532] = {.lex_state = 24, .external_lex_state = 19},
  [2533] = {.lex_state = 24, .external_lex_state = 19},
  [2534] = {.lex_state = 44},
  [2535] = {.lex_state = 44},
  [2536] = {.lex_state = 24, .external_lex_state = 19},
  [2537] = {.lex_state = 24, .external_lex_state = 19},
  [2538] = {.lex_state = 33},
  [2539] = {.lex_state = 44},
  [2540] = {.lex_state = 44},
  [2541] = {.lex_state = 38},
  [2542] = {.lex_state = 44},
  [2543] = {.lex_state = 24, .external_lex_state = 19},
  [2544] = {.lex_state = 44},
  [2545] = {.lex_state = 24, .external_lex_state = 19},
  [2546] = {.lex_state = 44},
  [2547] = {.lex_state = 44},
  [2548] = {.lex_state = 35, .external_lex_state = 20},
  [2549] = {.lex_state = 44},
  [2550] = {.lex_state = 24, .external_lex_state = 19},
  [2551] = {.lex_state = 44},
  [2552] = {.lex_state = 44},
  [2553] = {.lex_state = 44},
  [2554] = {.lex_state = 44},
  [2555] = {.lex_state = 24, .external_lex_state = 19},
  [2556] = {.lex_state = 24, .external_lex_state = 19},
  [2557] = {.lex_state = 44},
  [2558] = {.lex_state = 44},
  [2559] = {.lex_state = 24, .external_lex_state = 19},
  [2560] = {.lex_state = 24, .external_lex_state = 19},
  [2561] = {.lex_state = 44},
  [2562] = {.lex_state = 24, .external_lex_state = 19},
  [2563] = {.lex_state = 24, .external_lex_state = 19},
  [2564] = {.lex_state = 24, .external_lex_state = 19},
  [2565] = {.lex_state = 24, .external_lex_state = 19},
  [2566] = {.lex_state = 33},
  [2567] = {.lex_state = 24, .external_lex_state = 19},
  [2568] = {.lex_state = 24, .external_lex_state = 19},
  [2569] = {.lex_state = 24, .external_lex_state = 19},
  [2570] = {.lex_state = 44},
  [2571] = {.lex_state = 44},
  [2572] = {.lex_state = 44},
  [2573] = {.lex_state = 44},
  [2574] = {.lex_state = 24, .external_lex_state = 19},
  [2575] = {.lex_state = 24, .external_lex_state = 19},
  [2576] = {.lex_state = 38},
  [2577] = {.lex_state = 24, .external_lex_state = 19},
  [2578] = {.lex_state = 119},
  [2579] = {.lex_state = 119},
  [2580] = {.lex_state = 119},
  [2581] = {.lex_state = 44},
  [2582] = {.lex_state = 44},
  [2583] = {.lex_state = 44},
  [2584] = {.lex_state = 44},
  [2585] = {.lex_state = 24, .external_lex_state = 19},
  [2586] = {.lex_state = 44},
  [2587] = {.lex_state = 44},
  [2588] = {.lex_state = 44},
  [2589] = {.lex_state = 44},
  [2590] = {.lex_state = 35, .external_lex_state = 20},
  [2591] = {.lex_state = 44},
  [2592] = {.lex_state = 44},
  [2593] = {.lex_state = 24, .external_lex_state = 19},
  [2594] = {.lex_state = 44},
  [2595] = {.lex_state = 44},
  [2596] = {.lex_state = 119},
  [2597] = {.lex_state = 44},
  [2598] = {.lex_state = 44},
  [2599] = {.lex_state = 44},
  [2600] = {.lex_state = 38},
  [2601] = {.lex_state = 44},
  [2602] = {.lex_state = 33},
  [2603] = {.lex_state = 44},
  [2604] = {.lex_state = 38},
  [2605] = {.lex_state = 44},
  [2606] = {.lex_state = 33},
  [2607] = {.lex_state = 24, .external_lex_state = 12},
  [2608] = {.lex_state = 24, .external_lex_state = 12},
  [2609] = {.lex_state = 119},
  [2610] = {.lex_state = 24, .external_lex_state = 12},
  [2611] = {.lex_state = 38},
  [2612] = {.lex_state = 119},
  [2613] = {.lex_state = 119},
  [2614] = {.lex_state = 24, .external_lex_state = 12},
  [2615] = {.lex_state = 24, .external_lex_state = 12},
  [2616] = {.lex_state = 119},
  [2617] = {.lex_state = 24, .external_lex_state = 12},
  [2618] = {.lex_state = 119},
  [2619] = {.lex_state = 38},
  [2620] = {.lex_state = 35, .external_lex_state = 11},
  [2621] = {.lex_state = 33},
  [2622] = {.lex_state = 33},
  [2623] = {.lex_state = 33},
  [2624] = {.lex_state = 35, .external_lex_state = 11},
  [2625] = {.lex_state = 119},
  [2626] = {.lex_state = 24, .external_lex_state = 12},
  [2627] = {.lex_state = 119},
  [2628] = {.lex_state = 119},
  [2629] = {.lex_state = 119},
  [2630] = {.lex_state = 24, .external_lex_state = 12},
  [2631] = {.lex_state = 24, .external_lex_state = 12},
  [2632] = {.lex_state = 119},
  [2633] = {.lex_state = 119},
  [2634] = {.lex_state = 24, .external_lex_state = 12},
  [2635] = {.lex_state = 119},
  [2636] = {.lex_state = 119},
  [2637] = {.lex_state = 24, .external_lex_state = 12},
  [2638] = {.lex_state = 119},
  [2639] = {.lex_state = 24, .external_lex_state = 12},
  [2640] = {.lex_state = 119},
  [2641] = {.lex_state = 119},
  [2642] = {.lex_state = 119},
  [2643] = {.lex_state = 119, .external_lex_state = 23},
  [2644] = {.lex_state = 119},
  [2645] = {.lex_state = 119},
  [2646] = {.lex_state = 38},
  [2647] = {.lex_state = 119},
  [2648] = {.lex_state = 24, .external_lex_state = 12},
  [2649] = {.lex_state = 119},
  [2650] = {.lex_state = 119},
  [2651] = {.lex_state = 119},
  [2652] = {.lex_state = 119},
  [2653] = {.lex_state = 119},
  [2654] = {.lex_state = 119},
  [2655] = {.lex_state = 24, .external_lex_state = 12},
  [2656] = {.lex_state = 119},
  [2657] = {.lex_state = 24, .external_lex_state = 12},
  [2658] = {.lex_state = 119},
  [2659] = {.lex_state = 119},
  [2660] = {.lex_state = 119},
  [2661] = {.lex_state = 24, .external_lex_state = 12},
  [2662] = {.lex_state = 119},
  [2663] = {.lex_state = 119},
  [2664] = {.lex_state = 119},
  [2665] = {.lex_state = 24, .external_lex_state = 12},
  [2666] = {.lex_state = 119},
  [2667] = {.lex_state = 24, .external_lex_state = 12},
  [2668] = {.lex_state = 38},
  [2669] = {.lex_state = 38},
  [2670] = {.lex_state = 24, .external_lex_state = 12},
  [2671] = {.lex_state = 33},
  [2672] = {.lex_state = 33},
  [2673] = {.lex_state = 119, .external_lex_state = 23},
  [2674] = {.lex_state = 119},
  [2675] = {.lex_state = 119},
  [2676] = {.lex_state = 24, .external_lex_state = 12},
  [2677] = {.lex_state = 24, .external_lex_state = 12},
  [2678] = {.lex_state = 24, .external_lex_state = 12},
  [2679] = {.lex_state = 119},
  [2680] = {.lex_state = 33},
  [2681] = {.lex_state = 119},
  [2682] = {.lex_state = 119},
  [2683] = {.lex_state = 24, .external_lex_state = 12},
  [2684] = {.lex_state = 33},
  [2685] = {.lex_state = 38},
  [2686] = {.lex_state = 24, .external_lex_state = 12},
  [2687] = {.lex_state = 33},
  [2688] = {.lex_state = 33},
  [2689] = {.lex_state = 38},
  [2690] = {.lex_state = 119},
  [2691] = {.lex_state = 119},
  [2692] = {.lex_state = 119},
  [2693] = {.lex_state = 24, .external_lex_state = 12},
  [2694] = {.lex_state = 24, .external_lex_state = 12},
  [2695] = {.lex_state = 24, .external_lex_state = 12},
  [2696] = {.lex_state = 24, .external_lex_state = 12},
  [2697] = {.lex_state = 38},
  [2698] = {.lex_state = 24, .external_lex_state = 12},
  [2699] = {.lex_state = 38},
  [2700] = {.lex_state = 38},
  [2701] = {.lex_state = 119},
  [2702] = {.lex_state = 24, .external_lex_state = 12},
  [2703] = {.lex_state = 24, .external_lex_state = 12},
  [2704] = {.lex_state = 119},
  [2705] = {.lex_state = 119},
  [2706] = {.lex_state = 119},
  [2707] = {.lex_state = 119},
  [2708] = {.lex_state = 119},
  [2709] = {.lex_state = 119},
  [2710] = {.lex_state = 24, .external_lex_state = 12},
  [2711] = {.lex_state = 119},
  [2712] = {.lex_state = 119},
  [2713] = {.lex_state = 119},
  [2714] = {.lex_state = 119},
  [2715] = {.lex_state = 119},
  [2716] = {.lex_state = 24, .external_lex_state = 12},
  [2717] = {.lex_state = 33},
  [2718] = {.lex_state = 119},
  [2719] = {.lex_state = 24, .external_lex_state = 12},
  [2720] = {.lex_state = 24, .external_lex_state = 12},
  [2721] = {.lex_state = 119},
  [2722] = {.lex_state = 119},
  [2723] = {.lex_state = 119},
  [2724] = {.lex_state = 119},
  [2725] = {.lex_state = 24, .external_lex_state = 12},
  [2726] = {.lex_state = 119},
  [2727] = {.lex_state = 33},
  [2728] = {.lex_state = 119},
  [2729] = {.lex_state = 24, .external_lex_state = 12},
  [2730] = {.lex_state = 35, .external_lex_state = 11},
  [2731] = {.lex_state = 24, .external_lex_state = 12},
  [2732] = {.lex_state = 24, .external_lex_state = 12},
  [2733] = {.lex_state = 119},
  [2734] = {.lex_state = 119},
  [2735] = {.lex_state = 119},
  [2736] = {.lex_state = 119},
  [2737] = {.lex_state = 119},
  [2738] = {.lex_state = 24, .external_lex_state = 12},
  [2739] = {.lex_state = 119},
  [2740] = {.lex_state = 119},
  [2741] = {.lex_state = 119},
  [2742] = {.lex_state = 119},
  [2743] = {.lex_state = 24, .external_lex_state = 12},
  [2744] = {.lex_state = 119},
  [2745] = {.lex_state = 119},
  [2746] = {.lex_state = 119},
  [2747] = {.lex_state = 33},
  [2748] = {.lex_state = 119},
  [2749] = {.lex_state = 33},
  [2750] = {.lex_state = 119},
  [2751] = {.lex_state = 24, .external_lex_state = 12},
  [2752] = {.lex_state = 119},
  [2753] = {.lex_state = 119},
  [2754] = {.lex_state = 38},
  [2755] = {.lex_state = 35, .external_lex_state = 11},
  [2756] = {.lex_state = 24, .external_lex_state = 12},
  [2757] = {.lex_state = 24, .external_lex_state = 12},
  [2758] = {.lex_state = 119},
  [2759] = {.lex_state = 24, .external_lex_state = 12},
  [2760] = {.lex_state = 119},
  [2761] = {.lex_state = 119},
  [2762] = {.lex_state = 24, .external_lex_state = 12},
  [2763] = {.lex_state = 24, .external_lex_state = 12},
  [2764] = {.lex_state = 119},
  [2765] = {.lex_state = 33},
  [2766] = {.lex_state = 33},
  [2767] = {.lex_state = 119},
  [2768] = {.lex_state = 119},
  [2769] = {.lex_state = 24, .external_lex_state = 12},
  [2770] = {.lex_state = 119},
  [2771] = {.lex_state = 24, .external_lex_state = 12},
  [2772] = {.lex_state = 119},
  [2773] = {.lex_state = 24, .external_lex_state = 12},
  [2774] = {.lex_state = 24, .external_lex_state = 12},
  [2775] = {.lex_state = 119},
  [2776] = {.lex_state = 119},
  [2777] = {.lex_state = 119},
  [2778] = {.lex_state = 24, .external_lex_state = 12},
};

enum {
  ts_external_token_heredoc_start = 0,
  ts_external_token__simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token__heredoc_body_middle = 3,
  ts_external_token__heredoc_body_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_regex = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_RBRACK = 11,
  ts_external_token_LT_LT = 12,
  ts_external_token_LT_LT_DASH = 13,
  ts_external_token_LF = 14,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token__simple_heredoc_body] = sym__simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token__heredoc_body_middle] = sym__heredoc_body_middle,
  [ts_external_token__heredoc_body_end] = sym__heredoc_body_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_LF] = anon_sym_LF,
};

static bool ts_external_scanner_states[24][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [4] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [5] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [7] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [10] = {
    [ts_external_token_LF] = true,
  },
  [11] = {
    [ts_external_token_RBRACK] = true,
  },
  [12] = {
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [14] = {
    [ts_external_token_regex] = true,
  },
  [15] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LF] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
  },
  [17] = {
    [ts_external_token__empty_value] = true,
  },
  [18] = {
    [ts_external_token__concat] = true,
  },
  [19] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
  },
  [21] = {
    [ts_external_token_variable_name] = true,
  },
  [22] = {
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
  },
  [23] = {
    [ts_external_token_heredoc_start] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansii_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym__simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym__heredoc_body_middle] = ACTIONS(1),
    [sym__heredoc_body_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2735),
    [sym__statements] = STATE(2734),
    [sym_redirected_statement] = STATE(1320),
    [sym_for_statement] = STATE(1320),
    [sym_c_style_for_statement] = STATE(1320),
    [sym_while_statement] = STATE(1320),
    [sym_if_statement] = STATE(1320),
    [sym_case_statement] = STATE(1320),
    [sym_function_definition] = STATE(1320),
    [sym_compound_statement] = STATE(1320),
    [sym_subshell] = STATE(1320),
    [sym_pipeline] = STATE(1320),
    [sym_list] = STATE(1320),
    [sym_negated_command] = STATE(1320),
    [sym_test_command] = STATE(1320),
    [sym_declaration_command] = STATE(1320),
    [sym_unset_command] = STATE(1320),
    [sym_command] = STATE(1320),
    [sym_command_name] = STATE(162),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2515),
    [sym_file_redirect] = STATE(562),
    [sym_concatenation] = STATE(545),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(562),
    [aux_sym__literal_repeat1] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [2] = {
    [aux_sym__statements2] = STATE(5),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_elif_clause] = STATE(2275),
    [sym_else_clause] = STATE(2646),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_if_statement_repeat1] = STATE(2275),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(71),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [3] = {
    [aux_sym__statements2] = STATE(4),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_elif_clause] = STATE(2291),
    [sym_else_clause] = STATE(2619),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_if_statement_repeat1] = STATE(2291),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(113),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [4] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_elif_clause] = STATE(2282),
    [sym_else_clause] = STATE(2611),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_if_statement_repeat1] = STATE(2282),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(115),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [5] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_elif_clause] = STATE(2241),
    [sym_else_clause] = STATE(2699),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_if_statement_repeat1] = STATE(2241),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(117),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [6] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_done] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_fi] = ACTIONS(131),
    [anon_sym_elif] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [7] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(199),
    [anon_sym_elif] = ACTIONS(199),
    [anon_sym_else] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [8] = {
    [sym__statements] = STATE(2538),
    [sym_redirected_statement] = STATE(1306),
    [sym_for_statement] = STATE(1306),
    [sym_c_style_for_statement] = STATE(1306),
    [sym_while_statement] = STATE(1306),
    [sym_if_statement] = STATE(1306),
    [sym_case_statement] = STATE(1306),
    [sym_function_definition] = STATE(1306),
    [sym_compound_statement] = STATE(1306),
    [sym_subshell] = STATE(1306),
    [sym_pipeline] = STATE(1306),
    [sym_list] = STATE(1306),
    [sym_negated_command] = STATE(1306),
    [sym_test_command] = STATE(1306),
    [sym_declaration_command] = STATE(1306),
    [sym_unset_command] = STATE(1306),
    [sym_command] = STATE(1306),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(203),
    [anon_sym_SEMI_SEMI] = ACTIONS(205),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [9] = {
    [sym__statements] = STATE(2566),
    [sym_redirected_statement] = STATE(1306),
    [sym_for_statement] = STATE(1306),
    [sym_c_style_for_statement] = STATE(1306),
    [sym_while_statement] = STATE(1306),
    [sym_if_statement] = STATE(1306),
    [sym_case_statement] = STATE(1306),
    [sym_function_definition] = STATE(1306),
    [sym_compound_statement] = STATE(1306),
    [sym_subshell] = STATE(1306),
    [sym_pipeline] = STATE(1306),
    [sym_list] = STATE(1306),
    [sym_negated_command] = STATE(1306),
    [sym_test_command] = STATE(1306),
    [sym_declaration_command] = STATE(1306),
    [sym_unset_command] = STATE(1306),
    [sym_command] = STATE(1306),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(231),
    [anon_sym_SEMI_SEMI] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [10] = {
    [sym__statements] = STATE(2602),
    [sym_redirected_statement] = STATE(1306),
    [sym_for_statement] = STATE(1306),
    [sym_c_style_for_statement] = STATE(1306),
    [sym_while_statement] = STATE(1306),
    [sym_if_statement] = STATE(1306),
    [sym_case_statement] = STATE(1306),
    [sym_function_definition] = STATE(1306),
    [sym_compound_statement] = STATE(1306),
    [sym_subshell] = STATE(1306),
    [sym_pipeline] = STATE(1306),
    [sym_list] = STATE(1306),
    [sym_negated_command] = STATE(1306),
    [sym_test_command] = STATE(1306),
    [sym_declaration_command] = STATE(1306),
    [sym_unset_command] = STATE(1306),
    [sym_command] = STATE(1306),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(235),
    [anon_sym_SEMI_SEMI] = ACTIONS(237),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [11] = {
    [sym__statements] = STATE(2522),
    [sym_redirected_statement] = STATE(1306),
    [sym_for_statement] = STATE(1306),
    [sym_c_style_for_statement] = STATE(1306),
    [sym_while_statement] = STATE(1306),
    [sym_if_statement] = STATE(1306),
    [sym_case_statement] = STATE(1306),
    [sym_function_definition] = STATE(1306),
    [sym_compound_statement] = STATE(1306),
    [sym_subshell] = STATE(1306),
    [sym_pipeline] = STATE(1306),
    [sym_list] = STATE(1306),
    [sym_negated_command] = STATE(1306),
    [sym_test_command] = STATE(1306),
    [sym_declaration_command] = STATE(1306),
    [sym_unset_command] = STATE(1306),
    [sym_command] = STATE(1306),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(239),
    [anon_sym_SEMI_SEMI] = ACTIONS(241),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [12] = {
    [aux_sym__statements2] = STATE(7),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(243),
    [anon_sym_elif] = ACTIONS(243),
    [anon_sym_else] = ACTIONS(243),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [13] = {
    [sym__statements] = STATE(2733),
    [sym_redirected_statement] = STATE(1377),
    [sym_for_statement] = STATE(1377),
    [sym_c_style_for_statement] = STATE(1377),
    [sym_while_statement] = STATE(1377),
    [sym_if_statement] = STATE(1377),
    [sym_case_statement] = STATE(1377),
    [sym_function_definition] = STATE(1377),
    [sym_compound_statement] = STATE(1377),
    [sym_subshell] = STATE(1377),
    [sym_pipeline] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_negated_command] = STATE(1377),
    [sym_test_command] = STATE(1377),
    [sym_declaration_command] = STATE(1377),
    [sym_unset_command] = STATE(1377),
    [sym_command] = STATE(1377),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [14] = {
    [sym__statements] = STATE(2737),
    [sym_redirected_statement] = STATE(1377),
    [sym_for_statement] = STATE(1377),
    [sym_c_style_for_statement] = STATE(1377),
    [sym_while_statement] = STATE(1377),
    [sym_if_statement] = STATE(1377),
    [sym_case_statement] = STATE(1377),
    [sym_function_definition] = STATE(1377),
    [sym_compound_statement] = STATE(1377),
    [sym_subshell] = STATE(1377),
    [sym_pipeline] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_negated_command] = STATE(1377),
    [sym_test_command] = STATE(1377),
    [sym_declaration_command] = STATE(1377),
    [sym_unset_command] = STATE(1377),
    [sym_command] = STATE(1377),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [15] = {
    [sym__statements] = STATE(2761),
    [sym_redirected_statement] = STATE(1377),
    [sym_for_statement] = STATE(1377),
    [sym_c_style_for_statement] = STATE(1377),
    [sym_while_statement] = STATE(1377),
    [sym_if_statement] = STATE(1377),
    [sym_case_statement] = STATE(1377),
    [sym_function_definition] = STATE(1377),
    [sym_compound_statement] = STATE(1377),
    [sym_subshell] = STATE(1377),
    [sym_pipeline] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_negated_command] = STATE(1377),
    [sym_test_command] = STATE(1377),
    [sym_declaration_command] = STATE(1377),
    [sym_unset_command] = STATE(1377),
    [sym_command] = STATE(1377),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [16] = {
    [sym__statements] = STATE(2772),
    [sym_redirected_statement] = STATE(1377),
    [sym_for_statement] = STATE(1377),
    [sym_c_style_for_statement] = STATE(1377),
    [sym_while_statement] = STATE(1377),
    [sym_if_statement] = STATE(1377),
    [sym_case_statement] = STATE(1377),
    [sym_function_definition] = STATE(1377),
    [sym_compound_statement] = STATE(1377),
    [sym_subshell] = STATE(1377),
    [sym_pipeline] = STATE(1377),
    [sym_list] = STATE(1377),
    [sym_negated_command] = STATE(1377),
    [sym_test_command] = STATE(1377),
    [sym_declaration_command] = STATE(1377),
    [sym_unset_command] = STATE(1377),
    [sym_command] = STATE(1377),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(234),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [17] = {
    [sym__statements] = STATE(2746),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1537),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [18] = {
    [sym__statements] = STATE(2767),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [19] = {
    [sym__statements] = STATE(2659),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [20] = {
    [sym__statements] = STATE(2645),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1564),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [21] = {
    [sym__statements] = STATE(2718),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [22] = {
    [sym__statements] = STATE(2632),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [23] = {
    [sym__statements] = STATE(2635),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [24] = {
    [sym__statements] = STATE(2636),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1518),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [25] = {
    [sym__statements] = STATE(2721),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [26] = {
    [sym__statements] = STATE(2656),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1584),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [27] = {
    [sym__statements] = STATE(2633),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [28] = {
    [sym__statements] = STATE(2649),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [29] = {
    [sym__statements] = STATE(2723),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [30] = {
    [sym__statements] = STATE(2726),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1550),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [31] = {
    [sym__statements] = STATE(2775),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [32] = {
    [aux_sym__statements2] = STATE(59),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(259),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [33] = {
    [sym__statements] = STATE(2714),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [34] = {
    [sym__statements] = STATE(2777),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [35] = {
    [sym__statements] = STATE(2664),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1543),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [36] = {
    [sym__statements] = STATE(2651),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [37] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(261),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [38] = {
    [sym__statements] = STATE(2650),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1587),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [39] = {
    [sym__statements] = STATE(2629),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [40] = {
    [sym__statements] = STATE(2618),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [41] = {
    [sym__statements] = STATE(2707),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [42] = {
    [sym__statements] = STATE(2609),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1552),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [43] = {
    [sym__statements] = STATE(2752),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [44] = {
    [sym__statements] = STATE(2708),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [45] = {
    [sym__statements] = STATE(2768),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1603),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [46] = {
    [sym__statements] = STATE(2654),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [47] = {
    [sym__statements] = STATE(2652),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [48] = {
    [sym__statements] = STATE(2647),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1593),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [49] = {
    [sym__statements] = STATE(2612),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [50] = {
    [sym__statements] = STATE(2613),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [51] = {
    [sym__statements] = STATE(2616),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1585),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [52] = {
    [sym__statements] = STATE(2660),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [53] = {
    [sym__statements] = STATE(2662),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [54] = {
    [sym__statements] = STATE(2663),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1553),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [55] = {
    [sym__statements] = STATE(2704),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [56] = {
    [sym__statements] = STATE(2705),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [57] = {
    [aux_sym__statements2] = STATE(84),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [58] = {
    [sym__statements] = STATE(2709),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1520),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [59] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(265),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [60] = {
    [sym__statements] = STATE(2741),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [61] = {
    [sym__statements] = STATE(2742),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [62] = {
    [sym__statements] = STATE(2675),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1592),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [63] = {
    [aux_sym__statements2] = STATE(37),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [64] = {
    [aux_sym__statements2] = STATE(57),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(269),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [65] = {
    [sym__statements] = STATE(2691),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [66] = {
    [sym__statements] = STATE(2776),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1532),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [67] = {
    [sym__statements] = STATE(2758),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [68] = {
    [sym__statements] = STATE(2748),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1560),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [69] = {
    [sym__statements] = STATE(2764),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [70] = {
    [sym__statements] = STATE(2753),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [71] = {
    [sym__statements] = STATE(2770),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1602),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [72] = {
    [sym__statements] = STATE(2750),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1594),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [73] = {
    [sym__statements] = STATE(2760),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [74] = {
    [sym__statements] = STATE(2715),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [75] = {
    [sym__statements] = STATE(2744),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [76] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [77] = {
    [sym__statements] = STATE(2740),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [78] = {
    [sym__statements] = STATE(2724),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [79] = {
    [sym__statements] = STATE(2739),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1536),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [80] = {
    [sym__statements] = STATE(2713),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [81] = {
    [sym__statements] = STATE(2712),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [82] = {
    [sym__statements] = STATE(2711),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1545),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [83] = {
    [aux_sym__statements2] = STATE(76),
    [sym_redirected_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_c_style_for_statement] = STATE(1383),
    [sym_while_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_case_statement] = STATE(1383),
    [sym_function_definition] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_subshell] = STATE(1383),
    [sym_pipeline] = STATE(1383),
    [sym_list] = STATE(1383),
    [sym_negated_command] = STATE(1383),
    [sym_test_command] = STATE(1383),
    [sym_declaration_command] = STATE(1383),
    [sym_unset_command] = STATE(1383),
    [sym_command] = STATE(1383),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(249),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [84] = {
    [aux_sym__statements2] = STATE(84),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [85] = {
    [sym__statements] = STATE(2681),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [86] = {
    [sym__statements] = STATE(2679),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [87] = {
    [sym__statements] = STATE(2674),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1517),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [88] = {
    [sym__statements] = STATE(2692),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [89] = {
    [sym__statements] = STATE(2653),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [90] = {
    [sym__statements] = STATE(2745),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1542),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [91] = {
    [sym__statements] = STATE(2736),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [92] = {
    [sym__statements] = STATE(2722),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [93] = {
    [sym__statements] = STATE(2641),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1586),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [94] = {
    [sym__statements] = STATE(2642),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1578),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [95] = {
    [sym__statements] = STATE(2628),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [96] = {
    [sym__statements] = STATE(2627),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [97] = {
    [sym__statements] = STATE(2625),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1583),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [98] = {
    [aux_sym__statements2] = STATE(84),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [99] = {
    [aux_sym__statements2] = STATE(98),
    [sym_redirected_statement] = STATE(1347),
    [sym_for_statement] = STATE(1347),
    [sym_c_style_for_statement] = STATE(1347),
    [sym_while_statement] = STATE(1347),
    [sym_if_statement] = STATE(1347),
    [sym_case_statement] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_compound_statement] = STATE(1347),
    [sym_subshell] = STATE(1347),
    [sym_pipeline] = STATE(1347),
    [sym_list] = STATE(1347),
    [sym_negated_command] = STATE(1347),
    [sym_test_command] = STATE(1347),
    [sym_declaration_command] = STATE(1347),
    [sym_unset_command] = STATE(1347),
    [sym_command] = STATE(1347),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(258),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [100] = {
    [sym__statements] = STATE(2706),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [101] = {
    [sym__statements] = STATE(2701),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(1568),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [102] = {
    [sym__statements] = STATE(2638),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [103] = {
    [sym__statements] = STATE(2682),
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [104] = {
    [sym__statements] = STATE(2640),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [105] = {
    [sym__statements] = STATE(2690),
    [sym_redirected_statement] = STATE(1300),
    [sym_for_statement] = STATE(1300),
    [sym_c_style_for_statement] = STATE(1300),
    [sym_while_statement] = STATE(1300),
    [sym_if_statement] = STATE(1300),
    [sym_case_statement] = STATE(1300),
    [sym_function_definition] = STATE(1300),
    [sym_compound_statement] = STATE(1300),
    [sym_subshell] = STATE(1300),
    [sym_pipeline] = STATE(1300),
    [sym_list] = STATE(1300),
    [sym_negated_command] = STATE(1300),
    [sym_test_command] = STATE(1300),
    [sym_declaration_command] = STATE(1300),
    [sym_unset_command] = STATE(1300),
    [sym_command] = STATE(1300),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(114),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [106] = {
    [sym_redirected_statement] = STATE(1335),
    [sym_for_statement] = STATE(1335),
    [sym_c_style_for_statement] = STATE(1335),
    [sym_while_statement] = STATE(1335),
    [sym_if_statement] = STATE(1335),
    [sym_case_statement] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_compound_statement] = STATE(1335),
    [sym_subshell] = STATE(1335),
    [sym_pipeline] = STATE(1335),
    [sym_list] = STATE(1335),
    [sym_negated_command] = STATE(1335),
    [sym_test_command] = STATE(1335),
    [sym_declaration_command] = STATE(1335),
    [sym_unset_command] = STATE(1335),
    [sym_command] = STATE(1335),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(238),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(281),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(287),
    [anon_sym_while] = ACTIONS(290),
    [anon_sym_if] = ACTIONS(293),
    [anon_sym_case] = ACTIONS(296),
    [anon_sym_function] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(302),
    [anon_sym_LBRACE] = ACTIONS(305),
    [anon_sym_BANG] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(314),
    [anon_sym_declare] = ACTIONS(317),
    [anon_sym_typeset] = ACTIONS(317),
    [anon_sym_export] = ACTIONS(317),
    [anon_sym_readonly] = ACTIONS(317),
    [anon_sym_local] = ACTIONS(317),
    [anon_sym_unset] = ACTIONS(320),
    [anon_sym_unsetenv] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(326),
    [anon_sym_AMP_GT] = ACTIONS(323),
    [anon_sym_AMP_GT_GT] = ACTIONS(326),
    [anon_sym_LT_AMP] = ACTIONS(326),
    [anon_sym_GT_AMP] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(329),
    [sym__special_character] = ACTIONS(332),
    [anon_sym_DQUOTE] = ACTIONS(335),
    [sym_raw_string] = ACTIONS(338),
    [sym_ansii_c_string] = ACTIONS(338),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(341),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(344),
    [anon_sym_BQUOTE] = ACTIONS(347),
    [anon_sym_LT_LPAREN] = ACTIONS(350),
    [anon_sym_GT_LPAREN] = ACTIONS(350),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(353),
    [sym_variable_name] = ACTIONS(356),
  },
  [107] = {
    [sym_redirected_statement] = STATE(1312),
    [sym_for_statement] = STATE(1312),
    [sym_c_style_for_statement] = STATE(1312),
    [sym_while_statement] = STATE(1312),
    [sym_if_statement] = STATE(1312),
    [sym_case_statement] = STATE(1312),
    [sym_function_definition] = STATE(1312),
    [sym_compound_statement] = STATE(1312),
    [sym_subshell] = STATE(1312),
    [sym_pipeline] = STATE(1312),
    [sym_list] = STATE(1312),
    [sym_negated_command] = STATE(1312),
    [sym_test_command] = STATE(1312),
    [sym_declaration_command] = STATE(1312),
    [sym_unset_command] = STATE(1312),
    [sym_command] = STATE(1312),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(226),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [108] = {
    [sym__terminated_statement] = STATE(2520),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [109] = {
    [sym__terminated_statement] = STATE(2668),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [110] = {
    [sym__terminated_statement] = STATE(2525),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [111] = {
    [sym_redirected_statement] = STATE(1303),
    [sym_for_statement] = STATE(1303),
    [sym_c_style_for_statement] = STATE(1303),
    [sym_while_statement] = STATE(1303),
    [sym_if_statement] = STATE(1303),
    [sym_case_statement] = STATE(1303),
    [sym_function_definition] = STATE(1303),
    [sym_compound_statement] = STATE(1303),
    [sym_subshell] = STATE(1303),
    [sym_pipeline] = STATE(1303),
    [sym_list] = STATE(1303),
    [sym_negated_command] = STATE(1303),
    [sym_test_command] = STATE(1303),
    [sym_declaration_command] = STATE(1303),
    [sym_unset_command] = STATE(1303),
    [sym_command] = STATE(1303),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(220),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [112] = {
    [sym__terminated_statement] = STATE(2700),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [113] = {
    [sym_redirected_statement] = STATE(1344),
    [sym_for_statement] = STATE(1344),
    [sym_c_style_for_statement] = STATE(1344),
    [sym_while_statement] = STATE(1344),
    [sym_if_statement] = STATE(1344),
    [sym_case_statement] = STATE(1344),
    [sym_function_definition] = STATE(1344),
    [sym_compound_statement] = STATE(1344),
    [sym_subshell] = STATE(1344),
    [sym_pipeline] = STATE(1344),
    [sym_list] = STATE(1344),
    [sym_negated_command] = STATE(1344),
    [sym_test_command] = STATE(1344),
    [sym_declaration_command] = STATE(1344),
    [sym_unset_command] = STATE(1344),
    [sym_command] = STATE(1344),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(253),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [114] = {
    [sym_redirected_statement] = STATE(1328),
    [sym_for_statement] = STATE(1328),
    [sym_c_style_for_statement] = STATE(1328),
    [sym_while_statement] = STATE(1328),
    [sym_if_statement] = STATE(1328),
    [sym_case_statement] = STATE(1328),
    [sym_function_definition] = STATE(1328),
    [sym_compound_statement] = STATE(1328),
    [sym_subshell] = STATE(1328),
    [sym_pipeline] = STATE(1328),
    [sym_list] = STATE(1328),
    [sym_negated_command] = STATE(1328),
    [sym_test_command] = STATE(1328),
    [sym_declaration_command] = STATE(1328),
    [sym_unset_command] = STATE(1328),
    [sym_command] = STATE(1328),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(271),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [115] = {
    [sym_redirected_statement] = STATE(1307),
    [sym_for_statement] = STATE(1307),
    [sym_c_style_for_statement] = STATE(1307),
    [sym_while_statement] = STATE(1307),
    [sym_if_statement] = STATE(1307),
    [sym_case_statement] = STATE(1307),
    [sym_function_definition] = STATE(1307),
    [sym_compound_statement] = STATE(1307),
    [sym_subshell] = STATE(1307),
    [sym_pipeline] = STATE(1307),
    [sym_list] = STATE(1307),
    [sym_negated_command] = STATE(1307),
    [sym_test_command] = STATE(1307),
    [sym_declaration_command] = STATE(1307),
    [sym_unset_command] = STATE(1307),
    [sym_command] = STATE(1307),
    [sym_command_name] = STATE(162),
    [sym_variable_assignment] = STATE(222),
    [sym_subscript] = STATE(2515),
    [sym_file_redirect] = STATE(562),
    [sym_concatenation] = STATE(545),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym__statements_repeat1] = STATE(106),
    [aux_sym_command_repeat1] = STATE(562),
    [aux_sym__literal_repeat1] = STATE(467),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [116] = {
    [sym__terminated_statement] = STATE(2685),
    [sym_redirected_statement] = STATE(1346),
    [sym_for_statement] = STATE(1346),
    [sym_c_style_for_statement] = STATE(1346),
    [sym_while_statement] = STATE(1346),
    [sym_if_statement] = STATE(1346),
    [sym_case_statement] = STATE(1346),
    [sym_function_definition] = STATE(1346),
    [sym_compound_statement] = STATE(1346),
    [sym_subshell] = STATE(1346),
    [sym_pipeline] = STATE(1346),
    [sym_list] = STATE(1346),
    [sym_negated_command] = STATE(1346),
    [sym_test_command] = STATE(1346),
    [sym_declaration_command] = STATE(1346),
    [sym_unset_command] = STATE(1346),
    [sym_command] = STATE(1346),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [117] = {
    [sym_redirected_statement] = STATE(1309),
    [sym_for_statement] = STATE(1309),
    [sym_c_style_for_statement] = STATE(1309),
    [sym_while_statement] = STATE(1309),
    [sym_if_statement] = STATE(1309),
    [sym_case_statement] = STATE(1309),
    [sym_function_definition] = STATE(1309),
    [sym_compound_statement] = STATE(1309),
    [sym_subshell] = STATE(1309),
    [sym_pipeline] = STATE(1309),
    [sym_list] = STATE(1309),
    [sym_negated_command] = STATE(1309),
    [sym_test_command] = STATE(1309),
    [sym_declaration_command] = STATE(1309),
    [sym_unset_command] = STATE(1309),
    [sym_command] = STATE(1309),
    [sym_command_name] = STATE(162),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2515),
    [sym_file_redirect] = STATE(562),
    [sym_concatenation] = STATE(545),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym_command_repeat1] = STATE(562),
    [aux_sym__literal_repeat1] = STATE(467),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [118] = {
    [sym_redirected_statement] = STATE(1308),
    [sym_for_statement] = STATE(1308),
    [sym_c_style_for_statement] = STATE(1308),
    [sym_while_statement] = STATE(1308),
    [sym_if_statement] = STATE(1308),
    [sym_case_statement] = STATE(1308),
    [sym_function_definition] = STATE(1308),
    [sym_compound_statement] = STATE(1308),
    [sym_subshell] = STATE(1308),
    [sym_pipeline] = STATE(1308),
    [sym_list] = STATE(1308),
    [sym_negated_command] = STATE(1308),
    [sym_test_command] = STATE(1308),
    [sym_declaration_command] = STATE(1308),
    [sym_unset_command] = STATE(1308),
    [sym_command] = STATE(1308),
    [sym_command_name] = STATE(162),
    [sym_variable_assignment] = STATE(221),
    [sym_subscript] = STATE(2515),
    [sym_file_redirect] = STATE(562),
    [sym_concatenation] = STATE(545),
    [sym_string] = STATE(235),
    [sym_simple_expansion] = STATE(235),
    [sym_string_expansion] = STATE(235),
    [sym_expansion] = STATE(235),
    [sym_command_substitution] = STATE(235),
    [sym_process_substitution] = STATE(235),
    [aux_sym_command_repeat1] = STATE(562),
    [aux_sym__literal_repeat1] = STATE(467),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [119] = {
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(223),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [120] = {
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(163),
    [sym_variable_assignment] = STATE(224),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(533),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(533),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [121] = {
    [sym_redirected_statement] = STATE(1325),
    [sym_for_statement] = STATE(1325),
    [sym_c_style_for_statement] = STATE(1325),
    [sym_while_statement] = STATE(1325),
    [sym_if_statement] = STATE(1325),
    [sym_case_statement] = STATE(1325),
    [sym_function_definition] = STATE(1325),
    [sym_compound_statement] = STATE(1325),
    [sym_subshell] = STATE(1325),
    [sym_pipeline] = STATE(1325),
    [sym_list] = STATE(1325),
    [sym_negated_command] = STATE(1325),
    [sym_test_command] = STATE(1325),
    [sym_declaration_command] = STATE(1325),
    [sym_unset_command] = STATE(1325),
    [sym_command] = STATE(1325),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(218),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
  [122] = {
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(242),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [123] = {
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(188),
    [sym_variable_assignment] = STATE(254),
    [sym_subscript] = STATE(2542),
    [sym_file_redirect] = STATE(538),
    [sym_concatenation] = STATE(534),
    [sym_string] = STATE(259),
    [sym_simple_expansion] = STATE(259),
    [sym_string_expansion] = STATE(259),
    [sym_expansion] = STATE(259),
    [sym_command_substitution] = STATE(259),
    [sym_process_substitution] = STATE(259),
    [aux_sym_command_repeat1] = STATE(538),
    [aux_sym__literal_repeat1] = STATE(413),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(253),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(255),
    [anon_sym_typeset] = ACTIONS(255),
    [anon_sym_export] = ACTIONS(255),
    [anon_sym_readonly] = ACTIONS(255),
    [anon_sym_local] = ACTIONS(255),
    [anon_sym_unset] = ACTIONS(257),
    [anon_sym_unsetenv] = ACTIONS(257),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [124] = {
    [sym_redirected_statement] = STATE(1317),
    [sym_for_statement] = STATE(1317),
    [sym_c_style_for_statement] = STATE(1317),
    [sym_while_statement] = STATE(1317),
    [sym_if_statement] = STATE(1317),
    [sym_case_statement] = STATE(1317),
    [sym_function_definition] = STATE(1317),
    [sym_compound_statement] = STATE(1317),
    [sym_subshell] = STATE(1317),
    [sym_pipeline] = STATE(1317),
    [sym_list] = STATE(1317),
    [sym_negated_command] = STATE(1317),
    [sym_test_command] = STATE(1317),
    [sym_declaration_command] = STATE(1317),
    [sym_unset_command] = STATE(1317),
    [sym_command] = STATE(1317),
    [sym_command_name] = STATE(164),
    [sym_variable_assignment] = STATE(230),
    [sym_subscript] = STATE(2598),
    [sym_file_redirect] = STATE(575),
    [sym_concatenation] = STATE(573),
    [sym_string] = STATE(272),
    [sym_simple_expansion] = STATE(272),
    [sym_string_expansion] = STATE(272),
    [sym_expansion] = STATE(272),
    [sym_command_substitution] = STATE(272),
    [sym_process_substitution] = STATE(272),
    [aux_sym_command_repeat1] = STATE(575),
    [aux_sym__literal_repeat1] = STATE(359),
    [sym_word] = ACTIONS(201),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(209),
    [anon_sym_typeset] = ACTIONS(209),
    [anon_sym_export] = ACTIONS(209),
    [anon_sym_readonly] = ACTIONS(209),
    [anon_sym_local] = ACTIONS(209),
    [anon_sym_unset] = ACTIONS(211),
    [anon_sym_unsetenv] = ACTIONS(211),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [sym__special_character] = ACTIONS(215),
    [anon_sym_DQUOTE] = ACTIONS(217),
    [sym_raw_string] = ACTIONS(219),
    [sym_ansii_c_string] = ACTIONS(219),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(221),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(223),
    [anon_sym_BQUOTE] = ACTIONS(225),
    [anon_sym_LT_LPAREN] = ACTIONS(227),
    [anon_sym_GT_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(229),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    STATE(2358), 1,
      sym_heredoc_body,
    ACTIONS(275), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [59] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(371), 1,
      sym__special_character,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(379), 1,
      anon_sym_BQUOTE,
    ACTIONS(383), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(385), 1,
      sym_variable_name,
    STATE(420), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym_subscript,
    ACTIONS(365), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(381), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(363), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(128), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [139] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym__special_character,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(403), 1,
      anon_sym_BQUOTE,
    ACTIONS(407), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(409), 1,
      sym_variable_name,
    STATE(354), 1,
      aux_sym__literal_repeat1,
    STATE(2589), 1,
      sym_subscript,
    ACTIONS(389), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(132), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(391), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [219] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_DOLLAR,
    ACTIONS(421), 1,
      sym__special_character,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    ACTIONS(427), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(430), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(433), 1,
      anon_sym_BQUOTE,
    ACTIONS(439), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(442), 1,
      sym_variable_name,
    STATE(420), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym_subscript,
    ACTIONS(414), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(436), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(411), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(128), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(416), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [299] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(371), 1,
      sym__special_character,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(379), 1,
      anon_sym_BQUOTE,
    ACTIONS(385), 1,
      sym_variable_name,
    ACTIONS(445), 1,
      aux_sym__simple_variable_name_token1,
    STATE(420), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym_subscript,
    ACTIONS(381), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(389), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(363), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(126), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(391), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [379] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(450), 1,
      anon_sym_DOLLAR,
    ACTIONS(453), 1,
      sym__special_character,
    ACTIONS(456), 1,
      anon_sym_DQUOTE,
    ACTIONS(459), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(462), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(465), 1,
      anon_sym_BQUOTE,
    ACTIONS(471), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(474), 1,
      sym_variable_name,
    STATE(354), 1,
      aux_sym__literal_repeat1,
    STATE(2589), 1,
      sym_subscript,
    ACTIONS(414), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(468), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(447), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(416), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [459] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DOLLAR,
    ACTIONS(481), 1,
      sym__special_character,
    ACTIONS(483), 1,
      anon_sym_DQUOTE,
    ACTIONS(485), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(487), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(489), 1,
      anon_sym_BQUOTE,
    ACTIONS(493), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(495), 1,
      sym_variable_name,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    STATE(2595), 1,
      sym_subscript,
    ACTIONS(491), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(365), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(477), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(267), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [539] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym__special_character,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(403), 1,
      anon_sym_BQUOTE,
    ACTIONS(409), 1,
      sym_variable_name,
    ACTIONS(497), 1,
      aux_sym__simple_variable_name_token1,
    STATE(354), 1,
      aux_sym__literal_repeat1,
    STATE(2589), 1,
      sym_subscript,
    ACTIONS(365), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(266), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [619] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DOLLAR,
    ACTIONS(481), 1,
      sym__special_character,
    ACTIONS(483), 1,
      anon_sym_DQUOTE,
    ACTIONS(485), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(487), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(489), 1,
      anon_sym_BQUOTE,
    ACTIONS(495), 1,
      sym_variable_name,
    ACTIONS(499), 1,
      aux_sym__simple_variable_name_token1,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    STATE(2595), 1,
      sym_subscript,
    ACTIONS(491), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(389), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(477), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(131), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(267), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(391), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [699] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(504), 1,
      anon_sym_DOLLAR,
    ACTIONS(507), 1,
      sym__special_character,
    ACTIONS(510), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(516), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(519), 1,
      anon_sym_BQUOTE,
    ACTIONS(525), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(528), 1,
      sym_variable_name,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    STATE(2595), 1,
      sym_subscript,
    ACTIONS(522), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(414), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(501), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(267), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(416), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [779] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(371), 1,
      sym__special_character,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(383), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(385), 1,
      sym_variable_name,
    STATE(420), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym_subscript,
    ACTIONS(365), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(381), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(363), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(128), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(367), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [856] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(371), 1,
      sym__special_character,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(385), 1,
      sym_variable_name,
    ACTIONS(531), 1,
      aux_sym__simple_variable_name_token1,
    STATE(420), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym_subscript,
    ACTIONS(381), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(389), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(363), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(135), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(391), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [933] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(541), 1,
      sym_raw_string,
    STATE(348), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(537), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(543), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [994] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(549), 1,
      sym_raw_string,
    STATE(295), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(545), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(551), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 28,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1055] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_DQUOTE,
    ACTIONS(557), 1,
      sym_raw_string,
    STATE(462), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(553), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(559), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1116] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(565), 1,
      anon_sym_esac,
    ACTIONS(567), 1,
      anon_sym_SEMI_SEMI,
    STATE(2310), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1177] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(569), 1,
      anon_sym_esac,
    ACTIONS(571), 1,
      anon_sym_SEMI_SEMI,
    STATE(2327), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1238] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(571), 1,
      anon_sym_RPAREN,
    STATE(2312), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1296] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(275), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1346] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(555), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(151), 1,
      aux_sym_command_repeat2,
    STATE(453), 1,
      aux_sym__literal_repeat1,
    STATE(569), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(573), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(575), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1422] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(567), 1,
      ts_builtin_sym_end,
    ACTIONS(589), 1,
      sym__simple_heredoc_body,
    ACTIONS(591), 1,
      sym__heredoc_body_beginning,
    STATE(2311), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1480] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    STATE(2351), 1,
      sym_heredoc_body,
    ACTIONS(275), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    ACTIONS(595), 1,
      sym_raw_string,
    STATE(468), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(593), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(597), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1596] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(567), 1,
      anon_sym_RPAREN,
    STATE(2326), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1654] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(571), 1,
      ts_builtin_sym_end,
    ACTIONS(589), 1,
      sym__simple_heredoc_body,
    ACTIONS(591), 1,
      sym__heredoc_body_beginning,
    STATE(2304), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1712] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(607), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(611), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(598), 1,
      sym_concatenation,
    ACTIONS(601), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(605), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(613), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(603), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1788] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_DOLLAR,
    ACTIONS(628), 1,
      sym__special_character,
    ACTIONS(631), 1,
      anon_sym_DQUOTE,
    ACTIONS(634), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(637), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(640), 1,
      anon_sym_BQUOTE,
    STATE(151), 1,
      aux_sym_command_repeat2,
    STATE(453), 1,
      aux_sym__literal_repeat1,
    STATE(569), 1,
      sym_concatenation,
    ACTIONS(622), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(643), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(615), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(620), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1864] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(607), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(611), 1,
      anon_sym_BQUOTE,
    STATE(160), 1,
      aux_sym_command_repeat2,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(598), 1,
      sym_concatenation,
    ACTIONS(605), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(613), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(646), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(648), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1940] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_DOLLAR,
    ACTIONS(659), 1,
      sym__special_character,
    ACTIONS(662), 1,
      anon_sym_DQUOTE,
    ACTIONS(665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(668), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(671), 1,
      anon_sym_BQUOTE,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(615), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(653), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(674), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(650), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(620), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2016] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_DQUOTE,
    ACTIONS(681), 1,
      sym_raw_string,
    STATE(620), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(677), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(683), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2076] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(687), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(685), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2126] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(691), 1,
      sym_raw_string,
    STATE(303), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(689), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(693), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2186] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym_DQUOTE,
    ACTIONS(699), 1,
      sym_raw_string,
    STATE(547), 1,
      sym_string,
    ACTIONS(535), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(695), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(701), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 25,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2246] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(555), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(144), 1,
      aux_sym_command_repeat2,
    STATE(453), 1,
      aux_sym__literal_repeat1,
    STATE(569), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(575), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(646), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(648), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2322] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(711), 1,
      anon_sym_BQUOTE,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(601), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(603), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2398] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(607), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(611), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(598), 1,
      sym_concatenation,
    ACTIONS(573), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(605), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(613), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_DQUOTE,
    ACTIONS(719), 1,
      sym_raw_string,
    STATE(543), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(715), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(721), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2534] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(555), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(165), 1,
      aux_sym_command_repeat2,
    STATE(453), 1,
      aux_sym__literal_repeat1,
    STATE(569), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(575), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(723), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2610] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(711), 1,
      anon_sym_BQUOTE,
    STATE(159), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(723), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2686] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(607), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(611), 1,
      anon_sym_BQUOTE,
    STATE(150), 1,
      aux_sym_command_repeat2,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(598), 1,
      sym_concatenation,
    ACTIONS(605), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(613), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(723), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2762] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(555), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(151), 1,
      aux_sym_command_repeat2,
    STATE(453), 1,
      aux_sym__literal_repeat1,
    STATE(569), 1,
      sym_concatenation,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(575), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(601), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(603), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2838] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(711), 1,
      anon_sym_BQUOTE,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(573), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2914] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_DOLLAR,
    ACTIONS(736), 1,
      sym__special_character,
    ACTIONS(739), 1,
      anon_sym_DQUOTE,
    ACTIONS(742), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(745), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(748), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(337), 1,
      aux_sym__literal_repeat1,
    STATE(598), 1,
      sym_concatenation,
    ACTIONS(615), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(730), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(751), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(727), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(620), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2990] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(711), 1,
      anon_sym_BQUOTE,
    STATE(166), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(646), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(648), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3066] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(567), 1,
      anon_sym_SEMI_SEMI,
    STATE(2350), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3124] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(571), 1,
      anon_sym_SEMI_SEMI,
    STATE(2354), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_DQUOTE,
    ACTIONS(756), 1,
      sym_raw_string,
    STATE(364), 1,
      sym_string,
    ACTIONS(535), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(754), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(758), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 25,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3242] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(189), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(646), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(648), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3315] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(768), 1,
      sym__special_character,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(776), 1,
      anon_sym_BQUOTE,
    ACTIONS(780), 1,
      aux_sym__simple_variable_name_token1,
    STATE(530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(762), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(184), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(760), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3388] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(601), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(603), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3461] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(784), 1,
      sym_raw_string,
    STATE(580), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(782), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(786), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3520] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_DQUOTE,
    ACTIONS(792), 1,
      sym_raw_string,
    STATE(608), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(788), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(794), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 26,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3579] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_DOLLAR,
    ACTIONS(804), 1,
      sym__special_character,
    ACTIONS(806), 1,
      anon_sym_DQUOTE,
    ACTIONS(808), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(810), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(812), 1,
      anon_sym_BQUOTE,
    ACTIONS(816), 1,
      aux_sym__simple_variable_name_token1,
    STATE(568), 1,
      aux_sym__literal_repeat1,
    ACTIONS(814), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(187), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(796), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(798), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(800), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3652] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      anon_sym_DOLLAR,
    ACTIONS(828), 1,
      sym__special_character,
    ACTIONS(831), 1,
      anon_sym_DQUOTE,
    ACTIONS(834), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(837), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(840), 1,
      anon_sym_BQUOTE,
    ACTIONS(846), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(821), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(843), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(178), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(818), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(353), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(823), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3725] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 1,
      anon_sym_DQUOTE,
    ACTIONS(851), 1,
      sym_raw_string,
    STATE(618), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(849), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(853), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 25,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3784] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_DOLLAR,
    ACTIONS(859), 1,
      sym__special_character,
    ACTIONS(861), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(863), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(865), 1,
      anon_sym_BQUOTE,
    ACTIONS(869), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(762), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(867), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(190), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(855), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(353), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3857] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_DOLLAR,
    ACTIONS(877), 1,
      sym__special_character,
    ACTIONS(880), 1,
      anon_sym_DQUOTE,
    ACTIONS(883), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(889), 1,
      anon_sym_BQUOTE,
    ACTIONS(895), 1,
      aux_sym__simple_variable_name_token1,
    STATE(530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(821), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(892), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(181), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(871), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(823), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3930] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(571), 1,
      anon_sym_BQUOTE,
    STATE(2295), 1,
      sym_heredoc_body,
    ACTIONS(563), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3987] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    ACTIONS(567), 1,
      anon_sym_BQUOTE,
    STATE(2316), 1,
      sym_heredoc_body,
    ACTIONS(563), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4044] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(768), 1,
      sym__special_character,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(776), 1,
      anon_sym_BQUOTE,
    ACTIONS(898), 1,
      aux_sym__simple_variable_name_token1,
    STATE(530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(796), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(181), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(760), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(800), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4117] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 1,
      sym__simple_heredoc_body,
    ACTIONS(361), 1,
      sym__heredoc_body_beginning,
    STATE(2362), 1,
      sym_heredoc_body,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4172] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_DOLLAR,
    ACTIONS(804), 1,
      sym__special_character,
    ACTIONS(806), 1,
      anon_sym_DQUOTE,
    ACTIONS(808), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(810), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(812), 1,
      anon_sym_BQUOTE,
    ACTIONS(900), 1,
      aux_sym__simple_variable_name_token1,
    STATE(568), 1,
      aux_sym__literal_repeat1,
    ACTIONS(814), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(177), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(762), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(798), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4245] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_DOLLAR,
    ACTIONS(908), 1,
      sym__special_character,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(914), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(917), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(920), 1,
      anon_sym_BQUOTE,
    ACTIONS(926), 1,
      aux_sym__simple_variable_name_token1,
    STATE(568), 1,
      aux_sym__literal_repeat1,
    ACTIONS(923), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(187), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(821), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(902), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(465), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(823), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4318] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(174), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(723), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(725), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4391] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(539), 1,
      anon_sym_DQUOTE,
    ACTIONS(707), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(709), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(441), 1,
      aux_sym__literal_repeat1,
    STATE(522), 1,
      sym_concatenation,
    ACTIONS(573), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(713), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(703), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4464] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_DOLLAR,
    ACTIONS(859), 1,
      sym__special_character,
    ACTIONS(861), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(863), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(865), 1,
      anon_sym_BQUOTE,
    ACTIONS(929), 1,
      aux_sym__simple_variable_name_token1,
    STATE(584), 1,
      aux_sym__literal_repeat1,
    ACTIONS(796), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(867), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(178), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(855), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(353), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(800), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4537] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(569), 1,
      anon_sym_esac,
    ACTIONS(571), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4589] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(935), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4639] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(937), 1,
      anon_sym_esac,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4691] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(163), 1,
      sym_command_name,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(534), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(533), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1491), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(259), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [4781] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(188), 1,
      sym_command_name,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(534), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(538), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1491), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(259), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [4871] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(571), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4921] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(768), 1,
      sym__special_character,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(941), 1,
      aux_sym__simple_variable_name_token1,
    STATE(530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(762), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(202), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(760), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(764), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4991] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_esac,
    ACTIONS(945), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5043] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      sym__special_character,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(164), 1,
      sym_command_name,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    STATE(573), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(219), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(575), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1491), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(272), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5133] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(945), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5183] = 24,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(939), 1,
      sym_variable_name,
    STATE(162), 1,
      sym_command_name,
    STATE(467), 1,
      aux_sym__literal_repeat1,
    STATE(545), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(562), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1767), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5273] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(768), 1,
      sym__special_character,
    ACTIONS(770), 1,
      anon_sym_DQUOTE,
    ACTIONS(772), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(774), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(898), 1,
      aux_sym__simple_variable_name_token1,
    STATE(530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(778), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(796), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(181), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(760), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(800), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5343] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(567), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5393] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_esac,
    ACTIONS(567), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5445] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(687), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(685), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5492] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(275), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5539] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(945), 1,
      ts_builtin_sym_end,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5588] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(571), 1,
      ts_builtin_sym_end,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5637] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(567), 1,
      ts_builtin_sym_end,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5686] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(935), 1,
      ts_builtin_sym_end,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5735] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_BQUOTE,
    ACTIONS(563), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5783] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(563), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5829] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(571), 1,
      anon_sym_BQUOTE,
    ACTIONS(563), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(561), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5877] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5925] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5973] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(933), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(931), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6019] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 1,
      ts_builtin_sym_end,
    ACTIONS(951), 1,
      anon_sym_LF,
    ACTIONS(961), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(957), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(959), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(953), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1301), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym_variable_name,
    ACTIONS(965), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1324), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(967), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(975), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6179] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_RPAREN,
    ACTIONS(977), 1,
      anon_sym_LF,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(979), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym_variable_name,
    ACTIONS(965), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1301), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(967), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6289] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      ts_builtin_sym_end,
    ACTIONS(961), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(989), 1,
      anon_sym_LF,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(957), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(959), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(991), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1301), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6349] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym_variable_name,
    ACTIONS(965), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(967), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6451] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      anon_sym_LF,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(999), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1001), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1324), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6511] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1009), 1,
      anon_sym_LF,
    ACTIONS(565), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1011), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1324), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6571] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(993), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1301), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(969), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1324), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 9,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6775] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_RPAREN,
    ACTIONS(1019), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1021), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      sym__concat,
    STATE(232), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [6882] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1030), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1032), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6939] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1034), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1021), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(969), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      sym__concat,
    STATE(236), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7139] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1043), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1045), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      sym__concat,
    STATE(263), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1047), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      sym__concat,
    STATE(250), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1047), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1055), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 1,
      sym_variable_name,
    ACTIONS(965), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(967), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [7386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1063), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1067), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__concat,
    STATE(239), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 1,
      sym__concat,
    STATE(247), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1078), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7668] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1082), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 1,
      sym__concat,
    STATE(250), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__concat,
    STATE(239), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 1,
      sym__concat,
    STATE(247), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1047), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7866] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1089), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(979), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7925] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1093), 1,
      sym__concat,
    STATE(236), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8117] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1095), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1097), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1067), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1099), 1,
      sym__concat,
    STATE(270), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 1,
      sym__concat,
    STATE(263), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__concat,
    STATE(239), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1055), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym__concat,
    STATE(269), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1055), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8597] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_BQUOTE,
    ACTIONS(1104), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1108), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1106), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 1,
      sym__concat,
    STATE(232), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1047), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1112), 1,
      sym__concat,
    STATE(270), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8750] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_BQUOTE,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1115), 1,
      anon_sym_LF,
    ACTIONS(963), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1108), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1117), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(949), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 1,
      sym__concat,
    STATE(261), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 1,
      sym__concat,
    STATE(255), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1067), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      sym__concat,
    STATE(470), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1063), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1125), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym__special_character,
    STATE(351), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1193), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10092] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_DQUOTE,
    ACTIONS(1203), 1,
      sym_raw_string,
    STATE(1374), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1199), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1205), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [10144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 1,
      sym__concat,
    STATE(315), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym__special_character,
    STATE(431), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1211), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      sym__concat,
    STATE(313), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1129), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      sym__concat,
    STATE(313), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1047), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      sym__concat,
    STATE(343), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym__special_character,
    STATE(330), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 1,
      sym__special_character,
    STATE(330), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      sym__concat,
    STATE(358), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1133), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym__special_character,
    STATE(351), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1137), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      sym__concat,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1121), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1125), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1141), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 1,
      sym__special_character,
    STATE(351), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1145), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      sym__concat,
    STATE(333), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1267), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1265), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__special_character,
    STATE(397), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1271), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1149), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      sym__concat,
    STATE(358), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 1,
      sym__special_character,
    STATE(351), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1282), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1280), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1133), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1129), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__concat,
    STATE(396), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      sym__special_character,
    STATE(443), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1195), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1193), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      sym__concat,
    STATE(375), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      sym__concat,
    STATE(401), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1047), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      sym__special_character,
    STATE(397), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__concat,
    STATE(401), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1125), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1282), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1280), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      sym__special_character,
    STATE(330), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1271), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      sym__concat,
    STATE(343), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1267), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1265), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1149), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1133), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1145), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym__concat,
    STATE(435), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1047), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1141), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1125), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      sym__special_character,
    STATE(431), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__special_character,
    STATE(397), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 1,
      sym__concat,
    STATE(435), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    STATE(428), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      sym__concat,
    STATE(437), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1121), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1258), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1256), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1314), 1,
      sym__special_character,
    STATE(443), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1137), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 1,
      sym__concat,
    STATE(315), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1133), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      sym__special_character,
    STATE(443), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1256), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      sym__concat,
    STATE(333), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      sym__special_character,
    STATE(334), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1195), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1193), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1129), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__concat,
    STATE(396), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1129), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    STATE(428), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1267), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1265), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      sym__special_character,
    STATE(431), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1273), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1271), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      sym__special_character,
    STATE(443), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1282), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1280), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 1,
      sym__concat,
    STATE(470), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym__concat,
    STATE(437), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1047), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1137), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1121), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1125), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1141), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1145), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1149), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      sym__special_character,
    STATE(482), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 28,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      sym__special_character,
    STATE(506), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      sym__special_character,
    STATE(641), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1133), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19434] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_DQUOTE,
    ACTIONS(1203), 1,
      sym_raw_string,
    STATE(1374), 1,
      sym_string,
    ACTIONS(535), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1199), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1205), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [19485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1067), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 1,
      sym__special_character,
    STATE(579), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1329), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1327), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19940] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1333), 1,
      sym__special_character,
    STATE(168), 1,
      sym_command_name,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(534), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1310), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(259), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [20013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20177] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1333), 1,
      sym__special_character,
    STATE(172), 1,
      sym_command_name,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    STATE(534), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1310), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(259), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [20250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1129), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1129), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(969), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1125), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1133), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21193] = 19,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1335), 1,
      sym__special_character,
    STATE(158), 1,
      sym_command_name,
    STATE(467), 1,
      aux_sym__literal_repeat1,
    STATE(545), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1310), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(235), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [21266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      sym__special_character,
    STATE(564), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_DQUOTE,
    ACTIONS(1344), 1,
      sym_raw_string,
    STATE(1399), 1,
      sym_string,
    ACTIONS(1340), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1346), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [21401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      sym__special_character,
    STATE(576), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1329), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1327), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1067), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(969), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      sym__special_character,
    STATE(564), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1211), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21778] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 1,
      sym_variable_name,
    ACTIONS(1352), 1,
      sym__special_character,
    STATE(152), 1,
      sym_command_name,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    STATE(573), 1,
      sym_concatenation,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(219), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1310), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(272), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [21851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1354), 1,
      sym__special_character,
    STATE(576), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1359), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 1,
      sym__special_character,
    STATE(579), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22064] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 1,
      anon_sym_DQUOTE,
    ACTIONS(1368), 1,
      sym_raw_string,
    STATE(1516), 1,
      sym_string,
    ACTIONS(535), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1364), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1370), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [22115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 1,
      sym__special_character,
    STATE(506), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1329), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1327), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1133), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1125), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1359), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1067), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1374), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1129), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1129), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1078), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      sym__special_character,
    STATE(482), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1209), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1211), 28,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1025), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1359), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1078), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1374), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1374), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 1,
      sym__special_character,
    STATE(641), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1236), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1157), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1133), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1137), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1155), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1063), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1155), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1121), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1125), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1141), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1145), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1149), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1215), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1219), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1223), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1247), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1359), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1374), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1374), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1374), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1359), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1063), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1359), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1063), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26089] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1385), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1340), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1610), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26152] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1403), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1340), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1591), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26215] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1405), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1340), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1609), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26278] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1411), 1,
      sym_raw_string,
    ACTIONS(1413), 1,
      anon_sym_POUND,
    STATE(1500), 1,
      sym_string,
    ACTIONS(1407), 3,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(533), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      sym_word,
    ACTIONS(1415), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 14,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [26329] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1417), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1340), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1579), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26392] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(1425), 1,
      sym_raw_string,
    STATE(1673), 1,
      sym_string,
    ACTIONS(1419), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1421), 2,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1427), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1429), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(533), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(535), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [26445] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1431), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1340), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1524), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26508] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_DQUOTE,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(1393), 1,
      sym__special_character,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1397), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1399), 1,
      anon_sym_BQUOTE,
    STATE(1352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1389), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1401), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1383), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1433), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1340), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1548), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26571] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(1441), 1,
      sym_raw_string,
    STATE(1813), 1,
      sym_string,
    ACTIONS(1435), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1437), 2,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1443), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1445), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(533), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(535), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [26623] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1453), 1,
      sym_raw_string,
    STATE(1621), 1,
      sym_string,
    ACTIONS(1447), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1449), 2,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1455), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1457), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(533), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(535), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [26675] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1461), 1,
      anon_sym_RBRACE,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1473), 1,
      anon_sym_POUND,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1477), 1,
      anon_sym_SLASH,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1184), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1463), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26740] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      anon_sym_RBRACE,
    ACTIONS(1489), 1,
      anon_sym_POUND,
    ACTIONS(1491), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(897), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1487), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26805] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1493), 1,
      anon_sym_RBRACE,
    ACTIONS(1497), 1,
      anon_sym_POUND,
    ACTIONS(1499), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1021), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1495), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26870] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(1505), 1,
      anon_sym_POUND,
    ACTIONS(1507), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1023), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1503), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26935] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1509), 1,
      anon_sym_RBRACE,
    ACTIONS(1513), 1,
      anon_sym_POUND,
    ACTIONS(1515), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1031), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1511), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27000] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(1505), 1,
      anon_sym_POUND,
    ACTIONS(1517), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1023), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1503), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27065] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1519), 1,
      anon_sym_RBRACE,
    ACTIONS(1523), 1,
      anon_sym_POUND,
    ACTIONS(1525), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1034), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27130] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    ACTIONS(1531), 1,
      anon_sym_POUND,
    ACTIONS(1533), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1039), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27195] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1535), 1,
      anon_sym_RBRACE,
    ACTIONS(1539), 1,
      anon_sym_POUND,
    ACTIONS(1541), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1192), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1537), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27260] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1543), 1,
      anon_sym_RBRACE,
    ACTIONS(1547), 1,
      anon_sym_POUND,
    ACTIONS(1549), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1060), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1545), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27325] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1551), 1,
      anon_sym_RBRACE,
    ACTIONS(1555), 1,
      anon_sym_POUND,
    ACTIONS(1557), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1062), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1553), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27390] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1559), 1,
      anon_sym_RBRACE,
    ACTIONS(1563), 1,
      anon_sym_POUND,
    ACTIONS(1565), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1066), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1561), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27455] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(1571), 1,
      anon_sym_POUND,
    ACTIONS(1573), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1071), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1569), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27520] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1575), 1,
      anon_sym_RBRACE,
    ACTIONS(1579), 1,
      anon_sym_POUND,
    ACTIONS(1581), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1073), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1577), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27585] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(1571), 1,
      anon_sym_POUND,
    ACTIONS(1583), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1071), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1569), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27650] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1585), 1,
      anon_sym_RBRACE,
    ACTIONS(1589), 1,
      anon_sym_POUND,
    ACTIONS(1591), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1199), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27715] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1593), 1,
      anon_sym_RBRACE,
    ACTIONS(1597), 1,
      anon_sym_POUND,
    ACTIONS(1599), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1085), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1595), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27780] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
    ACTIONS(1605), 1,
      anon_sym_POUND,
    ACTIONS(1607), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1603), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27845] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1609), 1,
      anon_sym_RBRACE,
    ACTIONS(1613), 1,
      anon_sym_POUND,
    ACTIONS(1615), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1230), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1611), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27910] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1617), 1,
      anon_sym_RBRACE,
    ACTIONS(1621), 1,
      anon_sym_POUND,
    ACTIONS(1623), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1215), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1619), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27975] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1625), 1,
      anon_sym_RBRACE,
    ACTIONS(1629), 1,
      anon_sym_POUND,
    ACTIONS(1631), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1089), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1627), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28040] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
    ACTIONS(1637), 1,
      anon_sym_POUND,
    ACTIONS(1639), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1087), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1635), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28105] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1641), 1,
      anon_sym_RBRACE,
    ACTIONS(1645), 1,
      anon_sym_POUND,
    ACTIONS(1647), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1139), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1643), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28170] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    ACTIONS(1653), 1,
      anon_sym_POUND,
    ACTIONS(1655), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(902), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1651), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28235] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    ACTIONS(1661), 1,
      anon_sym_POUND,
    ACTIONS(1663), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(980), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1659), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28300] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1665), 1,
      anon_sym_RBRACE,
    ACTIONS(1669), 1,
      anon_sym_POUND,
    ACTIONS(1671), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(955), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1667), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28365] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1673), 1,
      anon_sym_RBRACE,
    ACTIONS(1677), 1,
      anon_sym_POUND,
    ACTIONS(1679), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1151), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1675), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28430] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(1685), 1,
      anon_sym_POUND,
    ACTIONS(1687), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1109), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1683), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28495] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    ACTIONS(1693), 1,
      anon_sym_POUND,
    ACTIONS(1695), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1152), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1691), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28560] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    ACTIONS(1701), 1,
      anon_sym_POUND,
    ACTIONS(1703), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(952), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1699), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28625] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1705), 1,
      anon_sym_RBRACE,
    ACTIONS(1709), 1,
      anon_sym_POUND,
    ACTIONS(1711), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(936), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1707), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28690] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1713), 1,
      anon_sym_RBRACE,
    ACTIONS(1717), 1,
      anon_sym_POUND,
    ACTIONS(1719), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1160), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1715), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28755] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1721), 1,
      anon_sym_RBRACE,
    ACTIONS(1725), 1,
      anon_sym_POUND,
    ACTIONS(1727), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(919), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1723), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28820] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
    ACTIONS(1733), 1,
      anon_sym_POUND,
    ACTIONS(1735), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(918), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1731), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28885] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    ACTIONS(1741), 1,
      anon_sym_POUND,
    ACTIONS(1743), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(925), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1739), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28950] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1745), 1,
      anon_sym_RBRACE,
    ACTIONS(1749), 1,
      anon_sym_POUND,
    ACTIONS(1751), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(913), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1747), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29015] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    ACTIONS(1693), 1,
      anon_sym_POUND,
    ACTIONS(1753), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1152), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1691), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29080] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    ACTIONS(1661), 1,
      anon_sym_POUND,
    ACTIONS(1755), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(980), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1659), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29145] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    ACTIONS(1761), 1,
      anon_sym_POUND,
    ACTIONS(1763), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(911), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1759), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29210] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1765), 1,
      anon_sym_RBRACE,
    ACTIONS(1769), 1,
      anon_sym_POUND,
    ACTIONS(1771), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1164), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1767), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29275] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(1777), 1,
      anon_sym_POUND,
    ACTIONS(1779), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1775), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29340] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1781), 1,
      anon_sym_RBRACE,
    ACTIONS(1785), 1,
      anon_sym_POUND,
    ACTIONS(1787), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1176), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1783), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29405] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      anon_sym_RBRACE,
    ACTIONS(1793), 1,
      anon_sym_POUND,
    ACTIONS(1795), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(900), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1791), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29470] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    ACTIONS(1761), 1,
      anon_sym_POUND,
    ACTIONS(1797), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(911), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1759), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29535] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    ACTIONS(1803), 1,
      anon_sym_POUND,
    ACTIONS(1805), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1186), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1801), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29600] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1807), 1,
      anon_sym_RBRACE,
    ACTIONS(1811), 1,
      anon_sym_POUND,
    ACTIONS(1813), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(903), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1809), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29665] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(1819), 1,
      anon_sym_POUND,
    ACTIONS(1821), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(990), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1817), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29730] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(1827), 1,
      anon_sym_POUND,
    ACTIONS(1829), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(994), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1825), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29795] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
    ACTIONS(1835), 1,
      anon_sym_POUND,
    ACTIONS(1837), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1004), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1833), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29860] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1535), 1,
      anon_sym_RBRACE,
    ACTIONS(1539), 1,
      anon_sym_POUND,
    ACTIONS(1839), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1192), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1537), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29925] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(1845), 1,
      anon_sym_POUND,
    ACTIONS(1847), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(978), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1843), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29990] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    ACTIONS(1853), 1,
      anon_sym_POUND,
    ACTIONS(1855), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1195), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1851), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30055] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(1861), 1,
      anon_sym_POUND,
    ACTIONS(1863), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(985), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1859), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30120] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(1869), 1,
      anon_sym_POUND,
    ACTIONS(1871), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1252), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1867), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30185] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(1861), 1,
      anon_sym_POUND,
    ACTIONS(1873), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(985), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1859), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30250] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1875), 1,
      anon_sym_RBRACE,
    ACTIONS(1879), 1,
      anon_sym_POUND,
    ACTIONS(1881), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(977), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1877), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30315] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1883), 1,
      anon_sym_RBRACE,
    ACTIONS(1887), 1,
      anon_sym_POUND,
    ACTIONS(1889), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1025), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1885), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30380] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1891), 1,
      anon_sym_RBRACE,
    ACTIONS(1895), 1,
      anon_sym_POUND,
    ACTIONS(1897), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1250), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1893), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30445] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1899), 1,
      anon_sym_RBRACE,
    ACTIONS(1903), 1,
      anon_sym_POUND,
    ACTIONS(1905), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1248), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1901), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30510] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(1911), 1,
      anon_sym_POUND,
    ACTIONS(1913), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1235), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1909), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30575] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1915), 1,
      anon_sym_RBRACE,
    ACTIONS(1919), 1,
      anon_sym_POUND,
    ACTIONS(1921), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(988), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1917), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30640] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1923), 1,
      anon_sym_RBRACE,
    ACTIONS(1927), 1,
      anon_sym_POUND,
    ACTIONS(1929), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(995), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1925), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30705] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1931), 1,
      anon_sym_RBRACE,
    ACTIONS(1935), 1,
      anon_sym_POUND,
    ACTIONS(1937), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1140), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1933), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30770] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(1943), 1,
      anon_sym_POUND,
    ACTIONS(1945), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1222), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1941), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30835] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(1911), 1,
      anon_sym_POUND,
    ACTIONS(1947), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1235), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1909), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30900] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(1953), 1,
      anon_sym_POUND,
    ACTIONS(1955), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1175), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1951), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30965] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(1961), 1,
      anon_sym_POUND,
    ACTIONS(1963), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1170), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1959), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31030] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1965), 1,
      anon_sym_RBRACE,
    ACTIONS(1969), 1,
      anon_sym_POUND,
    ACTIONS(1971), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1081), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1967), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31095] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(1977), 1,
      anon_sym_POUND,
    ACTIONS(1979), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1017), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1975), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31160] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(1985), 1,
      anon_sym_POUND,
    ACTIONS(1987), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1019), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1983), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31225] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1989), 1,
      anon_sym_RBRACE,
    ACTIONS(1993), 1,
      anon_sym_POUND,
    ACTIONS(1995), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1080), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1991), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31290] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1997), 1,
      anon_sym_RBRACE,
    ACTIONS(2001), 1,
      anon_sym_POUND,
    ACTIONS(2003), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1055), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1999), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31355] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    ACTIONS(1653), 1,
      anon_sym_POUND,
    ACTIONS(2005), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(902), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1651), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31420] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2007), 1,
      anon_sym_RBRACE,
    ACTIONS(2011), 1,
      anon_sym_POUND,
    ACTIONS(2013), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(917), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2009), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31485] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(2019), 1,
      anon_sym_POUND,
    ACTIONS(2021), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1028), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2017), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31550] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2027), 1,
      anon_sym_POUND,
    ACTIONS(2029), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1203), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2025), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31615] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      anon_sym_POUND,
    ACTIONS(2037), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(926), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2033), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31680] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2043), 1,
      anon_sym_POUND,
    ACTIONS(2045), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(931), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31745] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(2051), 1,
      anon_sym_POUND,
    ACTIONS(2053), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(956), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2049), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31810] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    ACTIONS(2059), 1,
      anon_sym_POUND,
    ACTIONS(2061), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(958), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2057), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31875] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2063), 1,
      anon_sym_RBRACE,
    ACTIONS(2067), 1,
      anon_sym_POUND,
    ACTIONS(2069), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(929), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2065), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31940] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(2019), 1,
      anon_sym_POUND,
    ACTIONS(2071), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1028), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2017), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32005] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2073), 1,
      anon_sym_RBRACE,
    ACTIONS(2077), 1,
      anon_sym_POUND,
    ACTIONS(2079), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1030), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2075), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32070] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2081), 1,
      anon_sym_RBRACE,
    ACTIONS(2085), 1,
      anon_sym_POUND,
    ACTIONS(2087), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(961), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2083), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32135] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(2093), 1,
      anon_sym_POUND,
    ACTIONS(2095), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(964), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2091), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32200] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2097), 1,
      anon_sym_RBRACE,
    ACTIONS(2101), 1,
      anon_sym_POUND,
    ACTIONS(2103), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(966), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2099), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32265] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(2093), 1,
      anon_sym_POUND,
    ACTIONS(2105), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(964), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2091), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32330] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2111), 1,
      anon_sym_POUND,
    ACTIONS(2113), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(969), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2109), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32395] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2115), 1,
      anon_sym_RBRACE,
    ACTIONS(2119), 1,
      anon_sym_POUND,
    ACTIONS(2121), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1035), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2117), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32460] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(2127), 1,
      anon_sym_POUND,
    ACTIONS(2129), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(971), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2125), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32525] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    ACTIONS(2135), 1,
      anon_sym_POUND,
    ACTIONS(2137), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(981), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2133), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32590] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2139), 1,
      anon_sym_RBRACE,
    ACTIONS(2143), 1,
      anon_sym_POUND,
    ACTIONS(2145), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(982), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2141), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32655] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2147), 1,
      anon_sym_RBRACE,
    ACTIONS(2151), 1,
      anon_sym_POUND,
    ACTIONS(2153), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1036), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2149), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32720] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(2159), 1,
      anon_sym_POUND,
    ACTIONS(2161), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1048), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2157), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32785] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2163), 1,
      anon_sym_RBRACE,
    ACTIONS(2167), 1,
      anon_sym_POUND,
    ACTIONS(2169), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(984), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2165), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32850] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2171), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 1,
      anon_sym_POUND,
    ACTIONS(2177), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1051), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2173), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32915] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2183), 1,
      anon_sym_POUND,
    ACTIONS(2185), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(987), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2181), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32980] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2187), 1,
      anon_sym_RBRACE,
    ACTIONS(2191), 1,
      anon_sym_POUND,
    ACTIONS(2193), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(993), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2189), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33045] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(2199), 1,
      anon_sym_POUND,
    ACTIONS(2201), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1059), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2197), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33110] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2183), 1,
      anon_sym_POUND,
    ACTIONS(2203), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(987), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2181), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33175] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2209), 1,
      anon_sym_POUND,
    ACTIONS(2211), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1005), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2207), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33240] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2217), 1,
      anon_sym_POUND,
    ACTIONS(2219), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1009), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2215), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33305] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
    ACTIONS(2225), 1,
      anon_sym_POUND,
    ACTIONS(2227), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1068), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2223), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33370] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2229), 1,
      anon_sym_RBRACE,
    ACTIONS(2233), 1,
      anon_sym_POUND,
    ACTIONS(2235), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1069), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2231), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33435] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2237), 1,
      anon_sym_RBRACE,
    ACTIONS(2241), 1,
      anon_sym_POUND,
    ACTIONS(2243), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1082), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2239), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33500] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_RBRACE,
    ACTIONS(2249), 1,
      anon_sym_POUND,
    ACTIONS(2251), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1057), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2247), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33565] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(2257), 1,
      anon_sym_POUND,
    ACTIONS(2259), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1083), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2255), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33630] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2261), 1,
      anon_sym_RBRACE,
    ACTIONS(2265), 1,
      anon_sym_POUND,
    ACTIONS(2267), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1090), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2263), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33695] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(2257), 1,
      anon_sym_POUND,
    ACTIONS(2269), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1083), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2255), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33760] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2271), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_POUND,
    ACTIONS(2277), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1107), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2273), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33825] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(2283), 1,
      anon_sym_POUND,
    ACTIONS(2285), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1116), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2281), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33890] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(2199), 1,
      anon_sym_POUND,
    ACTIONS(2287), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1059), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2197), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33955] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2289), 1,
      anon_sym_RBRACE,
    ACTIONS(2293), 1,
      anon_sym_POUND,
    ACTIONS(2295), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1130), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2291), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34020] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2303), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1244), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2299), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34085] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2305), 1,
      anon_sym_RBRACE,
    ACTIONS(2309), 1,
      anon_sym_POUND,
    ACTIONS(2311), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1132), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2307), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34150] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2313), 1,
      anon_sym_RBRACE,
    ACTIONS(2317), 1,
      anon_sym_POUND,
    ACTIONS(2319), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1150), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2315), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34215] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2321), 1,
      anon_sym_RBRACE,
    ACTIONS(2325), 1,
      anon_sym_POUND,
    ACTIONS(2327), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1242), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2323), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34280] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2329), 1,
      anon_sym_RBRACE,
    ACTIONS(2333), 1,
      anon_sym_POUND,
    ACTIONS(2335), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1153), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2331), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34345] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(2301), 1,
      anon_sym_POUND,
    ACTIONS(2337), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1244), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2299), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34410] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    ACTIONS(2343), 1,
      anon_sym_POUND,
    ACTIONS(2345), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1225), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2341), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34475] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2347), 1,
      anon_sym_RBRACE,
    ACTIONS(2351), 1,
      anon_sym_POUND,
    ACTIONS(2353), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1241), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2349), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34540] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2329), 1,
      anon_sym_RBRACE,
    ACTIONS(2333), 1,
      anon_sym_POUND,
    ACTIONS(2355), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1153), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2331), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34605] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    ACTIONS(2361), 1,
      anon_sym_POUND,
    ACTIONS(2363), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1255), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2359), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34670] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_RBRACE,
    ACTIONS(2369), 1,
      anon_sym_POUND,
    ACTIONS(2371), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1061), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2367), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34735] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2373), 1,
      anon_sym_RBRACE,
    ACTIONS(2377), 1,
      anon_sym_POUND,
    ACTIONS(2379), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1063), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2375), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34800] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2381), 1,
      anon_sym_RBRACE,
    ACTIONS(2385), 1,
      anon_sym_POUND,
    ACTIONS(2387), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1067), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2383), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34865] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(2393), 1,
      anon_sym_POUND,
    ACTIONS(2395), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(905), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2391), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34930] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(2401), 1,
      anon_sym_POUND,
    ACTIONS(2403), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1094), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2399), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34995] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2405), 1,
      anon_sym_RBRACE,
    ACTIONS(2409), 1,
      anon_sym_POUND,
    ACTIONS(2411), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1096), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2407), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35060] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    ACTIONS(2417), 1,
      anon_sym_POUND,
    ACTIONS(2419), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(933), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2415), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35125] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(2425), 1,
      anon_sym_POUND,
    ACTIONS(2427), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1106), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2423), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35190] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2429), 1,
      anon_sym_RBRACE,
    ACTIONS(2433), 1,
      anon_sym_POUND,
    ACTIONS(2435), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(937), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2431), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35255] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2437), 1,
      anon_sym_RBRACE,
    ACTIONS(2441), 1,
      anon_sym_POUND,
    ACTIONS(2443), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(983), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2439), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35320] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2445), 1,
      anon_sym_RBRACE,
    ACTIONS(2449), 1,
      anon_sym_POUND,
    ACTIONS(2451), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1102), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2447), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35385] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(2425), 1,
      anon_sym_POUND,
    ACTIONS(2453), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1106), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2423), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35450] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2455), 1,
      anon_sym_RBRACE,
    ACTIONS(2459), 1,
      anon_sym_POUND,
    ACTIONS(2461), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1026), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2457), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35515] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2463), 1,
      anon_sym_RBRACE,
    ACTIONS(2467), 1,
      anon_sym_POUND,
    ACTIONS(2469), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1108), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2465), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35580] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2471), 1,
      anon_sym_RBRACE,
    ACTIONS(2475), 1,
      anon_sym_POUND,
    ACTIONS(2477), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1111), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2473), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35645] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2479), 1,
      anon_sym_RBRACE,
    ACTIONS(2483), 1,
      anon_sym_POUND,
    ACTIONS(2485), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1113), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2481), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35710] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(2491), 1,
      anon_sym_POUND,
    ACTIONS(2493), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1146), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2489), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35775] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(2499), 1,
      anon_sym_POUND,
    ACTIONS(2501), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1148), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2497), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35840] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2507), 1,
      anon_sym_POUND,
    ACTIONS(2509), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1157), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2505), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35905] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2515), 1,
      anon_sym_POUND,
    ACTIONS(2517), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1155), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2513), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35970] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    ACTIONS(2523), 1,
      anon_sym_POUND,
    ACTIONS(2525), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1065), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36035] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2507), 1,
      anon_sym_POUND,
    ACTIONS(2527), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1157), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2505), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36100] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2529), 1,
      anon_sym_RBRACE,
    ACTIONS(2533), 1,
      anon_sym_POUND,
    ACTIONS(2535), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1159), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2531), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36165] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2537), 1,
      anon_sym_RBRACE,
    ACTIONS(2541), 1,
      anon_sym_POUND,
    ACTIONS(2543), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1163), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2539), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36230] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2545), 1,
      anon_sym_RBRACE,
    ACTIONS(2549), 1,
      anon_sym_POUND,
    ACTIONS(2551), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1165), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2547), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36295] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2557), 1,
      anon_sym_POUND,
    ACTIONS(2559), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1180), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36360] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    ACTIONS(2565), 1,
      anon_sym_POUND,
    ACTIONS(2567), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1182), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2563), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36425] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      anon_sym_POUND,
    ACTIONS(2575), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36490] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      anon_sym_POUND,
    ACTIONS(2583), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1188), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2579), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36555] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      anon_sym_POUND,
    ACTIONS(2585), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36620] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2587), 1,
      anon_sym_RBRACE,
    ACTIONS(2591), 1,
      anon_sym_POUND,
    ACTIONS(2593), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1191), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2589), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36685] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2595), 1,
      anon_sym_RBRACE,
    ACTIONS(2599), 1,
      anon_sym_POUND,
    ACTIONS(2601), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1194), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2597), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36750] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2607), 1,
      anon_sym_POUND,
    ACTIONS(2609), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2605), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36815] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(2615), 1,
      anon_sym_POUND,
    ACTIONS(2617), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36880] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(2623), 1,
      anon_sym_POUND,
    ACTIONS(2625), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1239), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2621), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36945] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2631), 1,
      anon_sym_POUND,
    ACTIONS(2633), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1272), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37010] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2455), 1,
      anon_sym_RBRACE,
    ACTIONS(2459), 1,
      anon_sym_POUND,
    ACTIONS(2635), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1026), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2457), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37075] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    ACTIONS(2641), 1,
      anon_sym_POUND,
    ACTIONS(2643), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1266), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2639), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37140] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    ACTIONS(2649), 1,
      anon_sym_POUND,
    ACTIONS(2651), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1172), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2647), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37205] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2631), 1,
      anon_sym_POUND,
    ACTIONS(2653), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1272), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2629), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37270] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2655), 1,
      anon_sym_RBRACE,
    ACTIONS(2659), 1,
      anon_sym_POUND,
    ACTIONS(2661), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1264), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2657), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37335] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2663), 1,
      anon_sym_RBRACE,
    ACTIONS(2667), 1,
      anon_sym_POUND,
    ACTIONS(2669), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1201), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2665), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37400] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    ACTIONS(2675), 1,
      anon_sym_POUND,
    ACTIONS(2677), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1112), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2673), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(2683), 1,
      anon_sym_POUND,
    ACTIONS(2685), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2681), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37530] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(2691), 1,
      anon_sym_POUND,
    ACTIONS(2693), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1274), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2689), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37595] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2699), 1,
      anon_sym_POUND,
    ACTIONS(2701), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2697), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37660] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(2707), 1,
      anon_sym_POUND,
    ACTIONS(2709), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1261), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2705), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37725] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2699), 1,
      anon_sym_POUND,
    ACTIONS(2711), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2697), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37790] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2713), 1,
      anon_sym_RBRACE,
    ACTIONS(2717), 1,
      anon_sym_POUND,
    ACTIONS(2719), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1257), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2715), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37855] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2721), 1,
      anon_sym_RBRACE,
    ACTIONS(2725), 1,
      anon_sym_POUND,
    ACTIONS(2727), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1126), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2723), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37920] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
    ACTIONS(2733), 1,
      anon_sym_POUND,
    ACTIONS(2735), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1128), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2731), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37985] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2737), 1,
      anon_sym_RBRACE,
    ACTIONS(2741), 1,
      anon_sym_POUND,
    ACTIONS(2743), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1253), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2739), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38050] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    ACTIONS(2749), 1,
      anon_sym_POUND,
    ACTIONS(2751), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2747), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38115] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2757), 1,
      anon_sym_POUND,
    ACTIONS(2759), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1209), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2755), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38180] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    ACTIONS(2765), 1,
      anon_sym_POUND,
    ACTIONS(2767), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1205), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2763), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38245] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    ACTIONS(2773), 1,
      anon_sym_POUND,
    ACTIONS(2775), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1135), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2771), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38310] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2777), 1,
      anon_sym_RBRACE,
    ACTIONS(2781), 1,
      anon_sym_POUND,
    ACTIONS(2783), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1142), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2779), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38375] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    ACTIONS(2773), 1,
      anon_sym_POUND,
    ACTIONS(2785), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1135), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2771), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38440] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    ACTIONS(2791), 1,
      anon_sym_POUND,
    ACTIONS(2793), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1134), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2789), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38505] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    ACTIONS(2799), 1,
      anon_sym_POUND,
    ACTIONS(2801), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1124), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2797), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38570] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    ACTIONS(2807), 1,
      anon_sym_POUND,
    ACTIONS(2809), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1121), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2805), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38635] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(2815), 1,
      anon_sym_POUND,
    ACTIONS(2817), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1013), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2813), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38700] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    ACTIONS(2823), 1,
      anon_sym_POUND,
    ACTIONS(2825), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(899), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2821), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38765] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(2831), 1,
      anon_sym_POUND,
    ACTIONS(2833), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(916), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2829), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38830] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    ACTIONS(2839), 1,
      anon_sym_POUND,
    ACTIONS(2841), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(908), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2837), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38895] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(2831), 1,
      anon_sym_POUND,
    ACTIONS(2843), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(916), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2829), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38960] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(2849), 1,
      anon_sym_POUND,
    ACTIONS(2851), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(920), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2847), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39025] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2853), 1,
      anon_sym_RBRACE,
    ACTIONS(2857), 1,
      anon_sym_POUND,
    ACTIONS(2859), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(928), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2855), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39090] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2861), 1,
      anon_sym_RBRACE,
    ACTIONS(2865), 1,
      anon_sym_POUND,
    ACTIONS(2867), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(997), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2863), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39155] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(2873), 1,
      anon_sym_POUND,
    ACTIONS(2875), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(941), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2871), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39220] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(2881), 1,
      anon_sym_POUND,
    ACTIONS(2883), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(943), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2879), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39285] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2889), 1,
      anon_sym_POUND,
    ACTIONS(2891), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(954), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2887), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39350] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2893), 1,
      anon_sym_RBRACE,
    ACTIONS(2897), 1,
      anon_sym_POUND,
    ACTIONS(2899), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(950), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2895), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39415] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2889), 1,
      anon_sym_POUND,
    ACTIONS(2901), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(954), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2887), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39480] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
    ACTIONS(2907), 1,
      anon_sym_POUND,
    ACTIONS(2909), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(957), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2905), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39545] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2911), 1,
      anon_sym_RBRACE,
    ACTIONS(2915), 1,
      anon_sym_POUND,
    ACTIONS(2917), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(959), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2913), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39610] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2919), 1,
      anon_sym_RBRACE,
    ACTIONS(2923), 1,
      anon_sym_POUND,
    ACTIONS(2925), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(963), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2921), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39675] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    ACTIONS(2933), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1016), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2929), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39740] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    ACTIONS(2939), 1,
      anon_sym_POUND,
    ACTIONS(2941), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1042), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2937), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39805] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(2947), 1,
      anon_sym_POUND,
    ACTIONS(2949), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1076), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2945), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39870] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2951), 1,
      anon_sym_RBRACE,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      sym_regex,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1074), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2953), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39935] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(2947), 1,
      anon_sym_POUND,
    ACTIONS(2959), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1076), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2945), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40000] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(2965), 1,
      anon_sym_POUND,
    ACTIONS(2967), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1077), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2963), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40065] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2969), 1,
      anon_sym_RBRACE,
    ACTIONS(2973), 1,
      anon_sym_POUND,
    ACTIONS(2975), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1118), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2971), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40130] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(2983), 1,
      anon_sym_SLASH,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1119), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40195] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    ACTIONS(2993), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1125), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2991), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40319] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    ACTIONS(3001), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1053), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2999), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40505] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40629] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3009), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(932), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3007), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3011), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3013), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(2815), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1013), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2813), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3015), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(3019), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(996), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3017), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3023), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3015), 1,
      anon_sym_RBRACE,
    ACTIONS(3027), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1050), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3025), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41311] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    ACTIONS(3031), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3029), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41373] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41435] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41497] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41559] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41621] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2819), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3033), 1,
      anon_sym_RBRACE,
    ACTIONS(3037), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1114), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3035), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41745] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2043), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(931), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41807] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3039), 1,
      anon_sym_RBRACE,
    ACTIONS(3043), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(934), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(1845), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(978), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1843), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41931] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3033), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41993] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3039), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42055] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3045), 1,
      anon_sym_RBRACE,
    ACTIONS(3049), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1115), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3047), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42179] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2835), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42241] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
    ACTIONS(3055), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(935), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3053), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42303] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3057), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42427] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3059), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42551] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42613] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2455), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3065), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42799] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42923] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42985] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    ACTIONS(3075), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(938), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3073), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3077), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43109] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3077), 1,
      anon_sym_RBRACE,
    ACTIONS(3081), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(939), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3079), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43171] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3085), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1870), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3107), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43297] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(2873), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(941), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2871), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43421] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3111), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43483] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43545] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(940), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    ACTIONS(3123), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(946), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3121), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43731] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43793] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2097), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2877), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43979] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44041] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44103] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(948), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3127), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44165] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2107), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44227] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    ACTIONS(1701), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(952), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1699), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44289] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2893), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3131), 1,
      anon_sym_RBRACE,
    ACTIONS(3135), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(972), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3133), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44475] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3131), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44537] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(2127), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(971), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2125), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44599] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3137), 1,
      anon_sym_RBRACE,
    ACTIONS(3141), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(974), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3139), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44661] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3137), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44723] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(975), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3145), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44785] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44847] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44909] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    ACTIONS(3155), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1263), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3153), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44971] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3157), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45033] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3159), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45095] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    ACTIONS(3163), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3161), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45219] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45281] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    ACTIONS(3169), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(949), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3167), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45343] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45405] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2187), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45467] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45529] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45591] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45653] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45715] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3171), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45777] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45839] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1665), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    ACTIONS(3177), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(998), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3175), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45963] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46025] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    ACTIONS(3183), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(999), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3181), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46087] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    ACTIONS(3189), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1010), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3187), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46335] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3191), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1875), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46459] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3193), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46583] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2217), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1009), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2215), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46645] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
    ACTIONS(3201), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1011), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3199), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46769] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3205), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46831] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1509), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46893] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46955] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47017] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3209), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3211), 1,
      anon_sym_RBRACE,
    ACTIONS(3215), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1012), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3213), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47141] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3211), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3217), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47265] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47327] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3221), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47389] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47513] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3229), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47637] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    ACTIONS(3235), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1006), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3233), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47761] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47823] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    ACTIONS(3241), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1007), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3239), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47885] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1519), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3229), 1,
      anon_sym_RBRACE,
    ACTIONS(3245), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1002), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3243), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48009] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(1977), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1017), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1975), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3247), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48195] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3247), 1,
      anon_sym_RBRACE,
    ACTIONS(3251), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1014), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3249), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48319] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
    ACTIONS(3257), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1040), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3255), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1981), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48505] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    ACTIONS(1531), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1039), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48629] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3259), 1,
      anon_sym_RBRACE,
    ACTIONS(3263), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1041), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3261), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3259), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1883), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3265), 1,
      anon_sym_RBRACE,
    ACTIONS(3269), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1043), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3267), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48939] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3271), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1874), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [49003] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3265), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49127] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3275), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3277), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49313] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3277), 1,
      anon_sym_RBRACE,
    ACTIONS(3283), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1003), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3281), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49375] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3285), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49437] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49499] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3289), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49561] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49623] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
    ACTIONS(3295), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1045), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3293), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49685] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3297), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49747] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    ACTIONS(3303), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1046), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3301), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49871] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3305), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49933] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3307), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49995] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50057] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(2159), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1048), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2157), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50119] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3309), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3309), 1,
      anon_sym_RBRACE,
    ACTIONS(3313), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1047), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3311), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50305] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1575), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2171), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50491] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3315), 1,
      anon_sym_RBRACE,
    ACTIONS(3319), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3317), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50615] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3315), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50677] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1593), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50739] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2245), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50801] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2261), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50863] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50925] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(2931), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1016), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2929), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50987] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51049] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3321), 1,
      anon_sym_RBRACE,
    ACTIONS(3325), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1098), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3323), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51111] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3321), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51173] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3327), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3327), 1,
      anon_sym_RBRACE,
    ACTIONS(3331), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1015), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3329), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51297] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2935), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51421] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
    ACTIONS(1637), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1087), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1635), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51483] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym_word,
    ACTIONS(1389), 1,
      anon_sym_BANG,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(3333), 1,
      anon_sym_LPAREN,
    ACTIONS(3335), 1,
      sym__special_character,
    ACTIONS(3337), 1,
      anon_sym_DQUOTE,
    ACTIONS(3341), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3343), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3345), 1,
      anon_sym_BQUOTE,
    ACTIONS(3349), 1,
      sym_test_operator,
    ACTIONS(3351), 1,
      sym_regex,
    STATE(1352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3339), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3347), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1340), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1608), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [51547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2007), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2271), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51795] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3353), 1,
      anon_sym_RBRACE,
    ACTIONS(3357), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1099), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3355), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51857] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3353), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    ACTIONS(3363), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1100), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3361), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51981] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3365), 1,
      anon_sym_RBRACE,
    ACTIONS(3369), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1117), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3367), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1807), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3365), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3371), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52291] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3373), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3375), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
    ACTIONS(3381), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1091), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3379), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52601] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    ACTIONS(3387), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1092), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3385), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3389), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3393), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(2401), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1094), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2399), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3395), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3395), 1,
      anon_sym_RBRACE,
    ACTIONS(3399), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1093), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3397), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(2283), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1116), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2281), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53097] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3401), 1,
      anon_sym_RBRACE,
    ACTIONS(3405), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1120), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3403), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53159] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53221] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3401), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53283] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2405), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53345] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3045), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53407] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3407), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1862), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [53471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53533] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2445), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3409), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3411), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53781] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3413), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53905] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2951), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54029] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3415), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54091] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2777), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54153] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3417), 1,
      anon_sym_BANG,
    ACTIONS(3419), 1,
      sym__special_character,
    ACTIONS(3421), 1,
      sym_test_operator,
    ACTIONS(3423), 1,
      sym_regex,
    STATE(1746), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1827), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [54217] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(2027), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1203), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2025), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3425), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54403] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54465] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(1827), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(994), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1825), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54527] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2321), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54589] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3427), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2347), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54713] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3429), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54775] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2329), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54837] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3431), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54899] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55023] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3433), 1,
      anon_sym_RBRACE,
    ACTIONS(3437), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3435), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55085] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3439), 1,
      anon_sym_RBRACE,
    ACTIONS(3443), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1210), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3441), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55147] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3445), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1863), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1713), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55335] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3447), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3433), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55459] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(2757), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1209), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2755), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55583] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55645] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
    ACTIONS(3457), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1141), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3455), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55769] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3459), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55831] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3459), 1,
      anon_sym_RBRACE,
    ACTIONS(3463), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1144), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3461), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55893] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2357), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55955] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1765), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56017] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56141] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(2491), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1146), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2489), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3465), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56265] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3465), 1,
      anon_sym_RBRACE,
    ACTIONS(3469), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1145), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3467), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56327] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56389] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3471), 1,
      anon_sym_RBRACE,
    ACTIONS(3475), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1168), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3473), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2495), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56513] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3471), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(1777), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1775), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56637] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3477), 1,
      anon_sym_RBRACE,
    ACTIONS(3481), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1169), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3479), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56761] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3477), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56823] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56885] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3483), 1,
      anon_sym_RBRACE,
    ACTIONS(3487), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1171), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3485), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3483), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57009] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3491), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3493), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57195] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3495), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3439), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57319] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3493), 1,
      anon_sym_RBRACE,
    ACTIONS(3499), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1129), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3497), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    ACTIONS(3505), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(906), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3503), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57505] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3509), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57629] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3511), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3513), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    ACTIONS(3519), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1177), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3517), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    ACTIONS(3525), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1178), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3523), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1535), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    ACTIONS(3531), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1213), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1585), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2557), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1180), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2555), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58311] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    ACTIONS(3537), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1179), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3535), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58373] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58435] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2561), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58497] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58559] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    ACTIONS(3543), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1207), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3541), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58621] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58745] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58807] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
    ACTIONS(1605), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1603), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3545), 1,
      anon_sym_RBRACE,
    ACTIONS(3549), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3547), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58931] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3545), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58993] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    ACTIONS(3555), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1221), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3553), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59055] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3557), 1,
      anon_sym_RBRACE,
    ACTIONS(3561), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1217), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3559), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59179] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59241] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3563), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59303] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3557), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59427] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3565), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3567), 1,
      anon_sym_RBRACE,
    ACTIONS(3571), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1218), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3569), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59551] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3567), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59613] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3573), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3575), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3577), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59799] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3579), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3581), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59923] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59985] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3583), 1,
      sym_word,
    ACTIONS(3585), 1,
      anon_sym_LPAREN,
    ACTIONS(3587), 1,
      anon_sym_BANG,
    ACTIONS(3589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      sym__special_character,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(3603), 1,
      sym_test_operator,
    ACTIONS(3605), 1,
      sym_regex,
    STATE(1727), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3593), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1657), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1868), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [60049] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3607), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60111] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3609), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60173] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    ACTIONS(3613), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1131), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3611), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(1961), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1170), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1959), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60297] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3615), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3617), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60421] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(1685), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1109), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1683), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60483] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3619), 1,
      sym_word,
    ACTIONS(3621), 1,
      anon_sym_LPAREN,
    ACTIONS(3623), 1,
      anon_sym_BANG,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3627), 1,
      sym__special_character,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3639), 1,
      sym_test_operator,
    ACTIONS(3641), 1,
      sym_regex,
    STATE(1759), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3629), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1773), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1888), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [60547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3643), 1,
      sym_word,
    ACTIONS(3646), 1,
      anon_sym_RBRACE,
    ACTIONS(3651), 1,
      anon_sym_DOLLAR,
    ACTIONS(3654), 1,
      sym__special_character,
    ACTIONS(3657), 1,
      anon_sym_DQUOTE,
    ACTIONS(3663), 1,
      anon_sym_POUND,
    ACTIONS(3666), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3669), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3672), 1,
      anon_sym_BQUOTE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3660), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3675), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3648), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3678), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3680), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60795] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3682), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1866), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [60859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1705), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60921] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3684), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60983] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3617), 1,
      anon_sym_RBRACE,
    ACTIONS(3690), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1133), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3688), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61107] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3692), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1884), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61171] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3694), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61295] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3423), 1,
      sym_regex,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1827), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
    ACTIONS(3698), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1227), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3696), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61421] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3700), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61483] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3700), 1,
      anon_sym_RBRACE,
    ACTIONS(3704), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1228), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3702), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61545] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3706), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(2393), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(905), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2391), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61731] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61793] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3708), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61855] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3710), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1878), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3712), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61981] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1949), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(2615), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2613), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62291] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62353] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3714), 1,
      anon_sym_RBRACE,
    ACTIONS(3718), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(910), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3716), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3714), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    ACTIONS(3722), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1054), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3720), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62601] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3724), 1,
      anon_sym_RBRACE,
    ACTIONS(3728), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3726), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3730), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3724), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(2683), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2681), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3732), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3734), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63097] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3736), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63159] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    ACTIONS(3738), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1877), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3011), 1,
      anon_sym_RBRACE,
    ACTIONS(3742), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(912), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3740), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3736), 1,
      anon_sym_RBRACE,
    ACTIONS(3746), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1231), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3744), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3748), 1,
      anon_sym_RBRACE,
    ACTIONS(3752), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1245), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3750), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3730), 1,
      anon_sym_RBRACE,
    ACTIONS(3756), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3754), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63533] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(3706), 1,
      anon_sym_RBRACE,
    ACTIONS(3760), 1,
      anon_sym_POUND,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(986), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3758), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1467), 1,
      sym__special_character,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2987), 1,
      anon_sym_POUND,
    ACTIONS(3748), 1,
      anon_sym_RBRACE,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1471), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1226), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2985), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63657] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3583), 1,
      sym_word,
    ACTIONS(3585), 1,
      anon_sym_LPAREN,
    ACTIONS(3587), 1,
      anon_sym_BANG,
    ACTIONS(3589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      sym__special_character,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(3603), 1,
      sym_test_operator,
    STATE(1727), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3593), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1657), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1871), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63718] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1881), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63779] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3583), 1,
      sym_word,
    ACTIONS(3585), 1,
      anon_sym_LPAREN,
    ACTIONS(3587), 1,
      anon_sym_BANG,
    ACTIONS(3589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      sym__special_character,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(3603), 1,
      sym_test_operator,
    STATE(1727), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3593), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1657), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1880), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63840] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3417), 1,
      anon_sym_BANG,
    ACTIONS(3419), 1,
      sym__special_character,
    ACTIONS(3421), 1,
      sym_test_operator,
    STATE(1746), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1894), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63901] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3619), 1,
      sym_word,
    ACTIONS(3621), 1,
      anon_sym_LPAREN,
    ACTIONS(3623), 1,
      anon_sym_BANG,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3627), 1,
      sym__special_character,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(1759), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3629), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1773), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1882), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63962] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym_word,
    ACTIONS(1389), 1,
      anon_sym_BANG,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(3333), 1,
      anon_sym_LPAREN,
    ACTIONS(3335), 1,
      sym__special_character,
    ACTIONS(3337), 1,
      anon_sym_DQUOTE,
    ACTIONS(3341), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3343), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3345), 1,
      anon_sym_BQUOTE,
    ACTIONS(3349), 1,
      sym_test_operator,
    STATE(1352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3339), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3347), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1340), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1535), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64023] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3417), 1,
      anon_sym_BANG,
    ACTIONS(3419), 1,
      sym__special_character,
    ACTIONS(3421), 1,
      sym_test_operator,
    STATE(1746), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1893), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64084] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3619), 1,
      sym_word,
    ACTIONS(3621), 1,
      anon_sym_LPAREN,
    ACTIONS(3623), 1,
      anon_sym_BANG,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3627), 1,
      sym__special_character,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(1759), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3629), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1773), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1891), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64145] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1827), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64206] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3619), 1,
      sym_word,
    ACTIONS(3621), 1,
      anon_sym_LPAREN,
    ACTIONS(3623), 1,
      anon_sym_BANG,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3627), 1,
      sym__special_character,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(1759), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3629), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1773), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1892), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64267] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 1,
      sym_word,
    ACTIONS(1389), 1,
      anon_sym_BANG,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(3333), 1,
      anon_sym_LPAREN,
    ACTIONS(3335), 1,
      sym__special_character,
    ACTIONS(3337), 1,
      anon_sym_DQUOTE,
    ACTIONS(3341), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3343), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3345), 1,
      anon_sym_BQUOTE,
    ACTIONS(3349), 1,
      sym_test_operator,
    STATE(1352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3339), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3347), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1340), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1608), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64328] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1883), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64389] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3619), 1,
      sym_word,
    ACTIONS(3621), 1,
      anon_sym_LPAREN,
    ACTIONS(3623), 1,
      anon_sym_BANG,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3627), 1,
      sym__special_character,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(1759), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3629), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1773), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1888), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64450] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3619), 1,
      sym_word,
    ACTIONS(3621), 1,
      anon_sym_LPAREN,
    ACTIONS(3623), 1,
      anon_sym_BANG,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3627), 1,
      sym__special_character,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(1759), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3629), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1773), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1876), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64511] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3583), 1,
      sym_word,
    ACTIONS(3585), 1,
      anon_sym_LPAREN,
    ACTIONS(3587), 1,
      anon_sym_BANG,
    ACTIONS(3589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      sym__special_character,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(3603), 1,
      sym_test_operator,
    STATE(1727), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3593), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1657), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1868), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64572] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3417), 1,
      anon_sym_BANG,
    ACTIONS(3419), 1,
      sym__special_character,
    ACTIONS(3421), 1,
      sym_test_operator,
    STATE(1746), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1875), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64633] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3583), 1,
      sym_word,
    ACTIONS(3585), 1,
      anon_sym_LPAREN,
    ACTIONS(3587), 1,
      anon_sym_BANG,
    ACTIONS(3589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      sym__special_character,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(3603), 1,
      sym_test_operator,
    STATE(1727), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3593), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1657), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1873), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64694] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3619), 1,
      sym_word,
    ACTIONS(3621), 1,
      anon_sym_LPAREN,
    ACTIONS(3623), 1,
      anon_sym_BANG,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3627), 1,
      sym__special_character,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3639), 1,
      sym_test_operator,
    STATE(1759), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3629), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1773), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1879), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64755] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_BANG,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3093), 1,
      sym__special_character,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3105), 1,
      sym_test_operator,
    STATE(1764), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1872), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64816] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(3764), 1,
      sym_raw_string,
    ACTIONS(3766), 1,
      anon_sym_POUND,
    STATE(1700), 1,
      sym_string,
    ACTIONS(3762), 3,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(3768), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 7,
      anon_sym_EQ,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(535), 7,
      anon_sym_RBRACE,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [64863] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3083), 1,
      sym_word,
    ACTIONS(3087), 1,
      anon_sym_LPAREN,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3417), 1,
      anon_sym_BANG,
    ACTIONS(3419), 1,
      sym__special_character,
    ACTIONS(3421), 1,
      sym_test_operator,
    STATE(1746), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1563), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1827), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3770), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3772), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [64967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(967), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65002] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3791), 1,
      sym_file_descriptor,
    ACTIONS(3785), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1298), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3782), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3780), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65045] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_LF,
    ACTIONS(3796), 1,
      anon_sym_DQUOTE,
    ACTIONS(3798), 1,
      sym_raw_string,
    STATE(1955), 1,
      sym_string,
    ACTIONS(3794), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(3800), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(533), 11,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [65088] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_BQUOTE,
    ACTIONS(1104), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1108), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1106), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65136] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3804), 1,
      sym_file_descriptor,
    ACTIONS(959), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3770), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1311), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3772), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3802), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym__special_character,
    STATE(1302), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1236), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65214] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_RPAREN,
    ACTIONS(977), 1,
      anon_sym_LF,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(979), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65262] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_RPAREN,
    ACTIONS(1019), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1021), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 1,
      sym__concat,
    STATE(1305), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1025), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65346] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      anon_sym_LF,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3814), 1,
      sym_file_descriptor,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(999), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1001), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1324), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3812), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      ts_builtin_sym_end,
    ACTIONS(961), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(989), 1,
      anon_sym_LF,
    ACTIONS(3804), 1,
      sym_file_descriptor,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(957), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(959), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(991), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1301), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3802), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1301), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(967), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [65476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(993), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1301), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 15,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [65512] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3824), 1,
      anon_sym_DOLLAR,
    ACTIONS(3826), 1,
      sym_file_descriptor,
    ACTIONS(3829), 1,
      sym_variable_name,
    STATE(2584), 1,
      sym_subscript,
    ACTIONS(3818), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    STATE(1310), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(3821), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3816), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65556] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3838), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3841), 1,
      sym_file_descriptor,
    ACTIONS(3778), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3835), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1311), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3780), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3832), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65598] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1009), 1,
      anon_sym_LF,
    ACTIONS(3814), 1,
      sym_file_descriptor,
    ACTIONS(565), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1005), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1011), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1324), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3812), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      sym__concat,
    STATE(1331), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [65680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      sym__special_character,
    STATE(1302), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3846), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3848), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1372), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65752] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_DQUOTE,
    ACTIONS(3856), 1,
      anon_sym_LF,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      sym__special_character,
    ACTIONS(3864), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3866), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3868), 1,
      anon_sym_BQUOTE,
    STATE(1953), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3870), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1323), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3854), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3858), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1949), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1003), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1324), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 16,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [65842] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_DQUOTE,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      sym__special_character,
    ACTIONS(3864), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3866), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3868), 1,
      anon_sym_BQUOTE,
    ACTIONS(3872), 1,
      anon_sym_LF,
    STATE(1953), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3870), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1323), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3854), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3874), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1949), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(993), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [65932] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 1,
      ts_builtin_sym_end,
    ACTIONS(951), 1,
      anon_sym_LF,
    ACTIONS(961), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3804), 1,
      sym_file_descriptor,
    ACTIONS(955), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(957), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(959), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(953), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1301), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3802), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      sym__special_character,
    STATE(1302), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3876), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3878), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(995), 16,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66052] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_LF,
    ACTIONS(3887), 1,
      anon_sym_DOLLAR,
    ACTIONS(3890), 1,
      sym__special_character,
    ACTIONS(3893), 1,
      anon_sym_DQUOTE,
    ACTIONS(3896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3899), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3902), 1,
      anon_sym_BQUOTE,
    STATE(1953), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3905), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1323), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3885), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1949), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66106] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3770), 1,
      anon_sym_LF,
    ACTIONS(3814), 1,
      sym_file_descriptor,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1326), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3812), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3772), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [66148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1324), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(967), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_LF,
    ACTIONS(3911), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3914), 1,
      sym_file_descriptor,
    ACTIONS(3785), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1326), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3908), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3780), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [66224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      sym__special_character,
    STATE(1302), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3917), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3919), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66260] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_BQUOTE,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1115), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1091), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1108), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1117), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [66308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym__concat,
    STATE(1332), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [66403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3923), 1,
      sym__concat,
    STATE(1332), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [66436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1372), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3926), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3928), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66471] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3930), 1,
      sym__concat,
    STATE(1341), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1039), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66506] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1043), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1045), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [66551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3932), 1,
      sym__special_character,
    STATE(1336), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [66584] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3935), 1,
      sym__concat,
    STATE(1337), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1023), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1372), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3938), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3940), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66654] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3942), 1,
      sym_word,
    ACTIONS(3944), 1,
      anon_sym_esac,
    ACTIONS(3946), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2717), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3948), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1489), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      sym__concat,
    STATE(1331), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3950), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [66744] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3952), 1,
      sym__concat,
    STATE(1337), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1049), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66779] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3942), 1,
      sym_word,
    ACTIONS(3946), 1,
      sym__special_character,
    ACTIONS(3954), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2684), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3948), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1511), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66836] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3942), 1,
      sym_word,
    ACTIONS(3946), 1,
      sym__special_character,
    ACTIONS(3956), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2672), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3948), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1423), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66893] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1089), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(979), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [66940] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3942), 1,
      sym_word,
    ACTIONS(3946), 1,
      sym__special_character,
    ACTIONS(3958), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2671), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3948), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1409), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66997] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1030), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1032), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [67042] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1095), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1097), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [67087] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3930), 1,
      sym__concat,
    STATE(1341), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3940), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3938), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67122] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3942), 1,
      sym_word,
    ACTIONS(3946), 1,
      sym__special_character,
    ACTIONS(3960), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2622), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3948), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1402), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67179] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3942), 1,
      sym_word,
    ACTIONS(3946), 1,
      sym__special_character,
    ACTIONS(3962), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2621), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3948), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1400), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67236] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3942), 1,
      sym_word,
    ACTIONS(3946), 1,
      sym__special_character,
    ACTIONS(3964), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2727), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3948), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1494), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3968), 1,
      sym__special_character,
    STATE(1336), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3966), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [67326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1426), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [67578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67888] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3942), 1,
      sym_word,
    ACTIONS(3946), 1,
      sym__special_character,
    ACTIONS(3970), 1,
      anon_sym_esac,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2747), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3948), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1493), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3972), 1,
      sym__concat,
    STATE(1305), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67980] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3930), 1,
      sym__concat,
    STATE(1341), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3928), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3926), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68108] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1001), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1034), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1021), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [68155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__concat,
    STATE(1507), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [68283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1372), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3976), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3978), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68318] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      sym_file_descriptor,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(985), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1082), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1296), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3774), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [68363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68394] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1225), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      sym__concat,
    ACTIONS(1165), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3980), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3982), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68484] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(3986), 1,
      anon_sym_LPAREN,
    ACTIONS(3988), 1,
      sym__special_character,
    ACTIONS(3990), 1,
      anon_sym_DQUOTE,
    ACTIONS(3992), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3994), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3996), 1,
      anon_sym_BQUOTE,
    ACTIONS(4000), 1,
      sym__empty_value,
    STATE(434), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3998), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(614), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(3984), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(251), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1426), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3926), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3928), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4002), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4004), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4008), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4012), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4016), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4020), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4024), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4028), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1426), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3938), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3940), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3852), 1,
      sym__concat,
    STATE(1426), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3976), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3978), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym__concat,
    ACTIONS(1181), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68878] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3946), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2671), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3948), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4032), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68960] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3946), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2672), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3948), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3928), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4036), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4040), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4044), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 1,
      sym__concat,
    ACTIONS(1129), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4046), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4048), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69192] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3946), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2688), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3948), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4050), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4052), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4054), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4056), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4060), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4064), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4068), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__concat,
    ACTIONS(1025), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4070), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4072), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym__concat,
    ACTIONS(1173), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      sym__concat,
    ACTIONS(1177), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4076), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4080), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69574] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4082), 1,
      sym__special_character,
    STATE(1421), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1238), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4087), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69638] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3946), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2606), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3948), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      sym__concat,
    ACTIONS(1157), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69720] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4093), 1,
      anon_sym_DOLLAR,
    ACTIONS(4095), 1,
      sym__special_character,
    ACTIONS(4097), 1,
      anon_sym_DQUOTE,
    ACTIONS(4099), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4103), 1,
      anon_sym_BQUOTE,
    ACTIONS(4107), 1,
      sym__empty_value,
    STATE(574), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(677), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4089), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(275), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 1,
      sym__concat,
    STATE(1305), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1047), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [69806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3976), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3978), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4113), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69866] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3930), 1,
      sym__concat,
    STATE(1341), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1061), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69900] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1191), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69930] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1135), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69960] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4117), 1,
      anon_sym_LPAREN,
    ACTIONS(4119), 1,
      anon_sym_DOLLAR,
    ACTIONS(4121), 1,
      sym__special_character,
    ACTIONS(4123), 1,
      anon_sym_DQUOTE,
    ACTIONS(4125), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4129), 1,
      anon_sym_BQUOTE,
    ACTIONS(4133), 1,
      sym__empty_value,
    STATE(623), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4131), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(669), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4115), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(369), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70012] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1139), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70042] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1163), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70072] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4135), 1,
      sym__special_character,
    STATE(1421), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3919), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3917), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4139), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4143), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4147), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4151), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70226] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DOLLAR,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4157), 1,
      sym__special_character,
    ACTIONS(4159), 1,
      anon_sym_DQUOTE,
    ACTIONS(4161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4165), 1,
      anon_sym_BQUOTE,
    ACTIONS(4169), 1,
      sym__empty_value,
    STATE(305), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(651), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4153), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(243), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4171), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4173), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4175), 1,
      sym__special_character,
    STATE(1453), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3917), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3919), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__concat,
    STATE(1507), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3926), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3928), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70376] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1167), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70406] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1187), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70436] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1169), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70466] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4179), 1,
      anon_sym_LPAREN,
    ACTIONS(4181), 1,
      anon_sym_DOLLAR,
    ACTIONS(4183), 1,
      sym__special_character,
    ACTIONS(4185), 1,
      anon_sym_DQUOTE,
    ACTIONS(4187), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4189), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4191), 1,
      anon_sym_BQUOTE,
    ACTIONS(4195), 1,
      sym__empty_value,
    STATE(514), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4193), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(673), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4177), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(451), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70518] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1153), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70548] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4135), 1,
      sym__special_character,
    STATE(1421), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3848), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3846), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70582] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1123), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70612] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(533), 1,
      sym_word,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4201), 1,
      sym_raw_string,
    ACTIONS(4203), 1,
      anon_sym_POUND,
    STATE(2028), 1,
      sym_string,
    ACTIONS(4197), 3,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(4205), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 8,
      anon_sym_RPAREN,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [70654] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1127), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4207), 1,
      sym__special_character,
    STATE(1453), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1236), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym__concat,
    ACTIONS(1243), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__concat,
    ACTIONS(1247), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70778] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1143), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70808] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1147), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      sym__concat,
    ACTIONS(1223), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym__concat,
    ACTIONS(1219), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70958] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1151), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 1,
      sym__concat,
    ACTIONS(1149), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 1,
      sym__concat,
    ACTIONS(1145), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym__concat,
    ACTIONS(1141), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      sym__concat,
    ACTIONS(1125), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      sym__concat,
    ACTIONS(1121), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      sym__concat,
    ACTIONS(1155), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      sym__concat,
    ACTIONS(1171), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      sym__concat,
    ACTIONS(1185), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4212), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 1,
      sym__concat,
    ACTIONS(1161), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      sym__concat,
    ACTIONS(1137), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 1,
      sym__concat,
    ACTIONS(1133), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71348] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(4216), 1,
      anon_sym_LPAREN,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4220), 1,
      sym__special_character,
    ACTIONS(4222), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4224), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4226), 1,
      anon_sym_BQUOTE,
    ACTIONS(4230), 1,
      sym__empty_value,
    STATE(1604), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4228), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1749), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4214), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1429), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71400] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1221), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4232), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4234), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4236), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4238), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      sym__concat,
    ACTIONS(1189), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4175), 1,
      sym__special_character,
    STATE(1453), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3846), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3848), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71554] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1159), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71584] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1179), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__concat,
    STATE(1507), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3938), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3940), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71648] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1217), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [71706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3938), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3940), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71736] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1217), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4175), 1,
      sym__special_character,
    STATE(1453), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3876), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3878), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71800] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3946), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2749), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3948), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71852] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1175), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4240), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4242), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4244), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4246), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71942] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3946), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2717), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3948), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71994] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3946), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2684), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3948), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72046] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1023), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4248), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4250), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72106] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1131), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4254), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72166] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1249), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72196] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1183), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4256), 1,
      sym__concat,
    STATE(1501), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72260] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1245), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4261), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4265), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72350] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(4269), 1,
      anon_sym_LPAREN,
    ACTIONS(4271), 1,
      sym__special_character,
    ACTIONS(4273), 1,
      anon_sym_DQUOTE,
    ACTIONS(4275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4279), 1,
      anon_sym_BQUOTE,
    ACTIONS(4283), 1,
      sym__empty_value,
    STATE(329), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(637), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4267), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(262), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 1,
      sym__concat,
    STATE(1507), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3976), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3978), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4285), 1,
      sym__concat,
    STATE(1501), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1047), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4287), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4289), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4291), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4293), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4295), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4297), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72560] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3946), 1,
      sym__special_character,
    STATE(2300), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym_concatenation,
    STATE(2623), 1,
      sym_last_case_item,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3948), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2301), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4299), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4301), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4303), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4305), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72672] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4309), 1,
      anon_sym_RPAREN,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72721] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4323), 1,
      sym__concat,
    STATE(1515), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [72754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72783] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72814] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1129), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72874] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4332), 1,
      sym__concat,
    STATE(1522), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1023), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [72967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4335), 1,
      sym__concat,
    STATE(1522), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1049), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [73000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4343), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4337), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4339), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [73033] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4345), 1,
      sym__concat,
    STATE(1572), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1039), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73066] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4353), 1,
      sym__special_character,
    ACTIONS(4356), 1,
      anon_sym_DQUOTE,
    ACTIONS(4359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4362), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4365), 1,
      anon_sym_BQUOTE,
    STATE(2314), 1,
      aux_sym__literal_repeat1,
    STATE(2479), 1,
      sym_concatenation,
    ACTIONS(4368), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1526), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4347), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2315), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73115] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4371), 1,
      sym__special_character,
    STATE(1527), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1157), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      sym__concat,
    STATE(1523), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1039), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [73268] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73299] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4378), 1,
      sym__concat,
    STATE(1622), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1039), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [73332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4343), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4380), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4339), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [73394] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4382), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73425] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1247), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73485] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4386), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1544), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73534] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4388), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73612] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4390), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73643] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73674] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4394), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73723] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4396), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4343), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4398), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4339), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [73845] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4345), 1,
      sym__concat,
    STATE(1572), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1039), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [73878] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73909] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4402), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1514), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73958] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73989] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1149), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1145), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1141), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1125), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74136] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4408), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1540), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1121), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74214] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74245] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(1744), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1039), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1025), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74307] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4345), 1,
      sym__concat,
    STATE(1572), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3950), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4414), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74340] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      sym__concat,
    STATE(1523), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4418), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4420), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [74462] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74493] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4424), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74542] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4426), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74620] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4428), 1,
      sym__concat,
    STATE(1590), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1049), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1137), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74711] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4430), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1569), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1133), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74818] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4343), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4434), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4339), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [74882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [74911] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3883), 1,
      anon_sym_RPAREN,
    ACTIONS(4439), 1,
      anon_sym_DOLLAR,
    ACTIONS(4442), 1,
      sym__special_character,
    ACTIONS(4445), 1,
      anon_sym_DQUOTE,
    ACTIONS(4448), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4451), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4454), 1,
      anon_sym_BQUOTE,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4457), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4436), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74989] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75020] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75051] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75082] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75113] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75144] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3928), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3926), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75173] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4470), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1570), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75222] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4472), 1,
      sym__concat,
    STATE(1590), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4343), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4475), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4339), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75288] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4477), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75319] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4479), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75350] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4481), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75381] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4483), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1600), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4489), 1,
      sym__concat,
    ACTIONS(4485), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4487), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75461] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1039), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4495), 1,
      sym__concat,
    ACTIONS(4491), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4493), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75521] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4497), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1601), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75570] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4499), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75619] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4313), 1,
      sym__special_character,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4501), 1,
      anon_sym_RPAREN,
    STATE(2032), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4307), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1984), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75668] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75699] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4505), 1,
      anon_sym_RPAREN,
    ACTIONS(949), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(963), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75730] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4135), 1,
      sym__special_character,
    STATE(1421), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1211), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1209), 15,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4511), 1,
      sym__concat,
    ACTIONS(4507), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4509), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4513), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [75821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      sym__concat,
    ACTIONS(4515), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4517), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4513), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [75879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4343), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4521), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4339), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4343), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4523), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4339), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [75972] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3940), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3938), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4527), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [76028] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2478), 1,
      aux_sym__literal_repeat1,
    STATE(2703), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4529), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4024), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76104] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(4547), 1,
      sym__special_character,
    ACTIONS(4549), 1,
      anon_sym_DQUOTE,
    ACTIONS(4551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4555), 1,
      anon_sym_BQUOTE,
    STATE(1953), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4557), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1316), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4545), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1949), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4050), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4052), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76178] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2379), 1,
      aux_sym__literal_repeat1,
    STATE(2762), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4559), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76226] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2370), 1,
      aux_sym__literal_repeat1,
    STATE(2774), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4561), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2369), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76274] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2416), 1,
      aux_sym__literal_repeat1,
    STATE(2676), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4563), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2414), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76322] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76350] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4565), 1,
      sym__concat,
    STATE(1515), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1049), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76382] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1131), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76410] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2405), 1,
      aux_sym__literal_repeat1,
    STATE(2607), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4567), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2403), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76458] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2402), 1,
      aux_sym__literal_repeat1,
    STATE(2698), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4569), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2400), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76506] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4287), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4289), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4291), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4293), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76590] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4303), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4305), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76646] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
    STATE(2763), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4571), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2380), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4085), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4087), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76722] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(1352), 1,
      sym__special_character,
    ACTIONS(4575), 1,
      sym_regex,
    STATE(300), 1,
      aux_sym__literal_repeat1,
    STATE(631), 1,
      sym_concatenation,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4573), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(257), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4252), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4254), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76798] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76826] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2417), 1,
      aux_sym__literal_repeat1,
    STATE(2678), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4577), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2412), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4299), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4301), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76902] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1159), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76930] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1245), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76958] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1249), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76986] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1225), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77014] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2377), 1,
      aux_sym__literal_repeat1,
    STATE(2771), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2375), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77062] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1221), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77090] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77118] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2385), 1,
      aux_sym__literal_repeat1,
    STATE(2759), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4581), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2383), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77166] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2453), 1,
      aux_sym__literal_repeat1,
    STATE(2769), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4583), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77214] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77242] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1151), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77270] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2371), 1,
      aux_sym__literal_repeat1,
    STATE(2773), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4585), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77318] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1147), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77346] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77374] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3976), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3978), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77430] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1127), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77458] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2445), 1,
      aux_sym__literal_repeat1,
    STATE(2657), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4587), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2443), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4111), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4113), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77534] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym__concat,
    STATE(1744), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3950), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4414), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77566] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1123), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77594] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1153), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77622] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2406), 1,
      aux_sym__literal_repeat1,
    STATE(2695), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4589), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2410), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4261), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4080), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77726] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2429), 1,
      aux_sym__literal_repeat1,
    STATE(2637), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4591), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2432), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77774] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2456), 1,
      aux_sym__literal_repeat1,
    STATE(2617), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4593), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2454), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4076), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77850] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2418), 1,
      aux_sym__literal_repeat1,
    STATE(2667), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4595), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2423), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77898] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2382), 1,
      aux_sym__literal_repeat1,
    STATE(2756), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4597), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2384), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3938), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3940), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77974] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2452), 1,
      aux_sym__literal_repeat1,
    STATE(2610), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2447), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78022] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1245), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78050] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2448), 1,
      aux_sym__literal_repeat1,
    STATE(2614), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4601), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2451), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78098] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78126] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4295), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4297), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78182] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1249), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78210] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1187), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78238] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1167), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78266] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2389), 1,
      aux_sym__literal_repeat1,
    STATE(2732), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4603), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2388), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4609), 1,
      sym__special_character,
    STATE(1797), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4605), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4607), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78346] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2463), 1,
      aux_sym__literal_repeat1,
    STATE(2631), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4611), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2457), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78394] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1131), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78422] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2489), 1,
      aux_sym__literal_repeat1,
    STATE(2731), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4613), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2487), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4263), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4265), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4054), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4056), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4044), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78554] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1163), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78582] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1333), 1,
      sym__special_character,
    ACTIONS(4617), 1,
      sym_regex,
    STATE(456), 1,
      aux_sym__literal_repeat1,
    STATE(494), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4615), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(256), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78630] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2484), 1,
      aux_sym__literal_repeat1,
    STATE(2655), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4619), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2496), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78678] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1139), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78706] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1135), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78734] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1191), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78762] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1039), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [78790] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4621), 1,
      sym__special_character,
    STATE(1693), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78822] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4624), 1,
      sym__special_character,
    STATE(1694), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 13,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3928), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78882] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2394), 1,
      aux_sym__literal_repeat1,
    STATE(2720), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4627), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2393), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78930] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2391), 1,
      aux_sym__literal_repeat1,
    STATE(2725), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4629), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2392), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78978] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2015), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2395), 1,
      aux_sym__literal_repeat1,
    STATE(2716), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4631), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2396), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79026] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1183), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1131), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79110] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79138] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1225), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79166] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1221), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4248), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4250), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79222] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79250] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4040), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4036), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4058), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4060), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79362] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2467), 1,
      aux_sym__literal_repeat1,
    STATE(2719), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4633), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2480), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79410] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2462), 1,
      aux_sym__literal_repeat1,
    STATE(2757), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4635), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2495), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79458] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4637), 1,
      sym__concat,
    STATE(1713), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4232), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4234), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4236), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4238), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1023), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1175), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79602] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1159), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79630] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1151), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79658] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2491), 1,
      aux_sym__literal_repeat1,
    STATE(2738), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4640), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2493), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79706] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1147), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79734] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4642), 1,
      sym__special_character,
    STATE(1722), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1238), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79766] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2494), 1,
      aux_sym__literal_repeat1,
    STATE(2751), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4645), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2367), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4212), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79842] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3980), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3982), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79898] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4649), 1,
      sym__special_character,
    STATE(1722), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3966), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4647), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4515), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4517), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4507), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4509), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79986] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1127), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1179), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80042] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1123), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80070] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1153), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80098] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4653), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4655), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4657), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80182] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2408), 1,
      aux_sym__literal_repeat1,
    STATE(2694), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4659), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2404), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80230] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1187), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80258] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1167), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80286] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1163), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1159), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80342] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1139), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80370] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1135), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80398] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4661), 1,
      sym__concat,
    STATE(1713), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1049), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80430] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1191), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80458] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4663), 1,
      sym__special_character,
    STATE(1693), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3966), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4647), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4046), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4048), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4002), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4004), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80546] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1063), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1061), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80574] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2455), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2488), 1,
      aux_sym__literal_repeat1,
    STATE(2743), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2492), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80622] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2397), 1,
      aux_sym__literal_repeat1,
    STATE(2702), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4667), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2399), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4137), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4139), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4143), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80726] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2481), 1,
      aux_sym__literal_repeat1,
    STATE(2710), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4669), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2482), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80774] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2471), 1,
      aux_sym__literal_repeat1,
    STATE(2683), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4671), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2475), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4145), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4147), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4062), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4064), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80878] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2425), 1,
      aux_sym__literal_repeat1,
    STATE(2778), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4673), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2374), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80926] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym__special_character,
    STATE(1527), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3966), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4647), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80958] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2486), 1,
      aux_sym__literal_repeat1,
    STATE(2729), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4677), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2485), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81006] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2413), 1,
      aux_sym__literal_repeat1,
    STATE(2677), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4679), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2411), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81054] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1374), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1376), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4149), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4151), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81110] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4681), 1,
      sym__special_character,
    STATE(1694), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3966), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4647), 13,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4244), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4246), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81170] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2466), 1,
      aux_sym__literal_repeat1,
    STATE(2661), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4683), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2468), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4240), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4242), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4068), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81274] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2401), 1,
      aux_sym__literal_repeat1,
    STATE(2686), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4685), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2381), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1245), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81350] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1359), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1357), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1249), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81406] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4378), 1,
      sym__concat,
    STATE(1622), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3950), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4414), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1225), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81466] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2474), 1,
      aux_sym__literal_repeat1,
    STATE(2696), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4687), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2473), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1221), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1217), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1151), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1147), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1143), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4171), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4173), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1127), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1123), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1153), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81766] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(4547), 1,
      sym__special_character,
    ACTIONS(4549), 1,
      anon_sym_DQUOTE,
    ACTIONS(4551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4555), 1,
      anon_sym_BQUOTE,
    STATE(1953), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4557), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1318), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4545), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1949), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1169), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1187), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1167), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1163), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1139), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1135), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81980] = 13,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1335), 1,
      sym__special_character,
    ACTIONS(4691), 1,
      sym_regex,
    STATE(374), 1,
      aux_sym__literal_repeat1,
    STATE(622), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4689), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1191), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4032), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82084] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2419), 1,
      aux_sym__literal_repeat1,
    STATE(2670), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4693), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2420), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82132] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2450), 1,
      aux_sym__literal_repeat1,
    STATE(2615), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4695), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2455), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 1,
      sym__special_character,
    STATE(1797), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1238), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4028), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82240] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2421), 1,
      aux_sym__literal_repeat1,
    STATE(2665), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4700), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2422), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82288] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2427), 1,
      aux_sym__literal_repeat1,
    STATE(2648), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4702), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4016), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82364] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2460), 1,
      aux_sym__literal_repeat1,
    STATE(2626), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4704), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1217), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82440] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2433), 1,
      aux_sym__literal_repeat1,
    STATE(2634), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4706), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2431), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4070), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4072), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82516] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2444), 1,
      aux_sym__literal_repeat1,
    STATE(2608), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4708), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2449), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4008), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82592] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2477), 1,
      aux_sym__literal_repeat1,
    STATE(2639), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4710), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2428), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4012), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82668] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2442), 1,
      aux_sym__literal_repeat1,
    STATE(2693), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4712), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2439), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4020), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [82744] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4533), 1,
      sym__special_character,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    STATE(2430), 1,
      aux_sym__literal_repeat1,
    STATE(2630), 1,
      sym_concatenation,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4714), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2434), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82792] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82819] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1143), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82846] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4720), 1,
      sym__special_character,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    STATE(2240), 1,
      aux_sym__literal_repeat1,
    STATE(2319), 1,
      sym_concatenation,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4716), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2223), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82891] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4220), 1,
      sym__special_character,
    ACTIONS(4222), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4224), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4226), 1,
      anon_sym_BQUOTE,
    STATE(1449), 1,
      aux_sym__literal_repeat1,
    STATE(1612), 1,
      sym_concatenation,
    ACTIONS(4228), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4732), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1348), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82936] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4220), 1,
      sym__special_character,
    ACTIONS(4222), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4224), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4226), 1,
      anon_sym_BQUOTE,
    STATE(1435), 1,
      aux_sym__literal_repeat1,
    STATE(1588), 1,
      sym_concatenation,
    ACTIONS(4228), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4734), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1373), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82981] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(4738), 1,
      sym__special_character,
    STATE(2345), 1,
      aux_sym__literal_repeat1,
    STATE(2590), 1,
      sym_concatenation,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4736), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2436), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83026] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR,
    ACTIONS(4744), 1,
      sym__special_character,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(4748), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4750), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_BQUOTE,
    STATE(1314), 1,
      aux_sym__literal_repeat1,
    STATE(1486), 1,
      sym_concatenation,
    ACTIONS(4754), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4740), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83071] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(4748), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4750), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_BQUOTE,
    ACTIONS(4758), 1,
      sym__special_character,
    STATE(1321), 1,
      aux_sym__literal_repeat1,
    STATE(1427), 1,
      sym_concatenation,
    ACTIONS(4754), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4756), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83116] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4527), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4760), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83143] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR,
    ACTIONS(4744), 1,
      sym__special_character,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(4748), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4750), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_BQUOTE,
    STATE(1327), 1,
      aux_sym__literal_repeat1,
    STATE(1403), 1,
      sym_concatenation,
    ACTIONS(4754), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4762), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1333), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83188] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1187), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83215] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(4748), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4750), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_BQUOTE,
    ACTIONS(4758), 1,
      sym__special_character,
    STATE(1314), 1,
      aux_sym__literal_repeat1,
    STATE(1486), 1,
      sym_concatenation,
    ACTIONS(4754), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4764), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83260] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(4738), 1,
      sym__special_character,
    STATE(2365), 1,
      aux_sym__literal_repeat1,
    STATE(2548), 1,
      sym_concatenation,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4766), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2470), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83305] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1163), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83332] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4513), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4768), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83359] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4513), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4768), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1039), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83413] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(4748), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4750), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_BQUOTE,
    ACTIONS(4758), 1,
      sym__special_character,
    STATE(1327), 1,
      aux_sym__literal_repeat1,
    STATE(1403), 1,
      sym_concatenation,
    ACTIONS(4754), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4770), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1389), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83458] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3946), 1,
      sym__special_character,
    STATE(2331), 1,
      aux_sym__literal_repeat1,
    STATE(2580), 1,
      sym_concatenation,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4772), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83503] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1245), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83530] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR,
    ACTIONS(4744), 1,
      sym__special_character,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(4748), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4750), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_BQUOTE,
    STATE(1321), 1,
      aux_sym__literal_repeat1,
    STATE(1427), 1,
      sym_concatenation,
    ACTIONS(4754), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4774), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83575] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4525), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4776), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83602] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR,
    ACTIONS(4782), 1,
      sym__special_character,
    ACTIONS(4784), 1,
      anon_sym_DQUOTE,
    ACTIONS(4786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4788), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4790), 1,
      anon_sym_BQUOTE,
    STATE(1488), 1,
      aux_sym__literal_repeat1,
    STATE(1653), 1,
      sym_concatenation,
    ACTIONS(4792), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4778), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1506), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83647] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1249), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83674] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1131), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83701] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1039), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83728] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR,
    ACTIONS(4782), 1,
      sym__special_character,
    ACTIONS(4784), 1,
      anon_sym_DQUOTE,
    ACTIONS(4786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4788), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4790), 1,
      anon_sym_BQUOTE,
    STATE(1442), 1,
      aux_sym__literal_repeat1,
    STATE(1695), 1,
      sym_concatenation,
    ACTIONS(4792), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4794), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1443), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83773] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR,
    ACTIONS(4782), 1,
      sym__special_character,
    ACTIONS(4784), 1,
      anon_sym_DQUOTE,
    ACTIONS(4786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4788), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4790), 1,
      anon_sym_BQUOTE,
    STATE(1480), 1,
      aux_sym__literal_repeat1,
    STATE(1668), 1,
      sym_concatenation,
    ACTIONS(4792), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4796), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83818] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1039), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [83845] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1023), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83872] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1039), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83899] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83926] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1191), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83953] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1135), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83980] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1139), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84007] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1167), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84034] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4720), 1,
      sym__special_character,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    STATE(2221), 1,
      aux_sym__literal_repeat1,
    STATE(2296), 1,
      sym_concatenation,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4798), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2213), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84079] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84106] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1153), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84133] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1123), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84160] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1127), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84187] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1225), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84214] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1147), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84241] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1151), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84268] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1159), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84295] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1221), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84322] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84349] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84376] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1217), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84403] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84435] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84467] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4527), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4760), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84493] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4527), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4760), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84519] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84551] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4525), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4776), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84577] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4513), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4768), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84603] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4513), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4768), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84629] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84661] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4824), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4822), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4816), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84693] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84725] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4824), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4822), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4816), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84757] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84789] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4832), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4834), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4830), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84821] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_RPAREN,
    ACTIONS(4840), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4844), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4842), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4838), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84853] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84885] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84917] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_RPAREN,
    ACTIONS(4840), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4844), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4842), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4838), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84949] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_RBRACK,
    ACTIONS(4820), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4824), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4822), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4816), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84981] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85013] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_RPAREN,
    ACTIONS(4840), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4844), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4842), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4838), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85045] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85077] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4804), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4806), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4802), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85109] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_LF,
    ACTIONS(4858), 1,
      anon_sym_DQUOTE,
    ACTIONS(4860), 1,
      sym_raw_string,
    STATE(2284), 1,
      sym_string,
    ACTIONS(533), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4856), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(4862), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [85145] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4513), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4768), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85171] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(4866), 1,
      anon_sym_RBRACK,
    ACTIONS(4868), 1,
      sym__special_character,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4864), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1842), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85213] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4513), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4768), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85239] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4525), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4776), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85265] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(4868), 1,
      sym__special_character,
    ACTIONS(4870), 1,
      anon_sym_RBRACK,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4864), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1842), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85307] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_RPAREN,
    ACTIONS(4840), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4844), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4842), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4838), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85339] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_RPAREN,
    ACTIONS(4840), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4844), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4842), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4838), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85371] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4832), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4834), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4830), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85403] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4808), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4832), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4834), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4830), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85435] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(4878), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4876), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(316), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85472] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(4882), 1,
      anon_sym_DOLLAR,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4880), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85509] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(4222), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4224), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4226), 1,
      anon_sym_BQUOTE,
    ACTIONS(4886), 1,
      anon_sym_DOLLAR,
    ACTIONS(4228), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4884), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1495), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85546] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_DOLLAR,
    ACTIONS(4123), 1,
      anon_sym_DQUOTE,
    ACTIONS(4125), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4129), 1,
      anon_sym_BQUOTE,
    ACTIONS(4131), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4888), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(537), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85583] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4864), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1842), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85620] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4892), 1,
      anon_sym_DOLLAR,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4890), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2033), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85657] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(213), 1,
      anon_sym_DOLLAR,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4894), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(279), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85694] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR,
    ACTIONS(4784), 1,
      anon_sym_DQUOTE,
    ACTIONS(4786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4788), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4790), 1,
      anon_sym_BQUOTE,
    ACTIONS(4792), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4896), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1562), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85731] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(4549), 1,
      anon_sym_DQUOTE,
    ACTIONS(4551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4555), 1,
      anon_sym_BQUOTE,
    ACTIONS(4557), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4898), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1954), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85768] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(4748), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4750), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_BQUOTE,
    ACTIONS(4902), 1,
      anon_sym_DOLLAR,
    ACTIONS(4754), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4900), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1361), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LF,
    ACTIONS(4904), 1,
      sym__concat,
    STATE(1943), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [85834] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_DQUOTE,
    ACTIONS(3341), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3343), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3345), 1,
      anon_sym_BQUOTE,
    ACTIONS(4908), 1,
      anon_sym_DOLLAR,
    ACTIONS(3347), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4906), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1415), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85871] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_DQUOTE,
    ACTIONS(4187), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4189), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4191), 1,
      anon_sym_BQUOTE,
    ACTIONS(4912), 1,
      anon_sym_DOLLAR,
    ACTIONS(4193), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4910), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(624), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85908] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4093), 1,
      anon_sym_DOLLAR,
    ACTIONS(4097), 1,
      anon_sym_DQUOTE,
    ACTIONS(4099), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4103), 1,
      anon_sym_BQUOTE,
    ACTIONS(4105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4914), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(536), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85945] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3091), 1,
      anon_sym_DOLLAR,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4916), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1699), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85982] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4181), 1,
      anon_sym_DOLLAR,
    ACTIONS(4185), 1,
      anon_sym_DQUOTE,
    ACTIONS(4187), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4189), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4191), 1,
      anon_sym_BQUOTE,
    ACTIONS(4193), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4910), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(624), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86019] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(4748), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4750), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_BQUOTE,
    ACTIONS(4918), 1,
      anon_sym_DOLLAR,
    ACTIONS(4754), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4900), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1361), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86056] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    ACTIONS(4922), 1,
      anon_sym_DOLLAR,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4920), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86093] = 9,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4924), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(433), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86130] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_DOLLAR,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(4748), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4750), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4752), 1,
      anon_sym_BQUOTE,
    ACTIONS(4754), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4900), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1361), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86167] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4224), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4226), 1,
      anon_sym_BQUOTE,
    ACTIONS(4228), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4884), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1495), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86204] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DOLLAR,
    ACTIONS(4928), 1,
      anon_sym_DQUOTE,
    ACTIONS(4930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4932), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4934), 1,
      anon_sym_BQUOTE,
    ACTIONS(4936), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4926), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(612), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86241] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym_DQUOTE,
    ACTIONS(4099), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4101), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4103), 1,
      anon_sym_BQUOTE,
    ACTIONS(4938), 1,
      anon_sym_DOLLAR,
    ACTIONS(4105), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4914), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(536), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86278] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DOLLAR,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(1475), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4880), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1716), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86315] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3625), 1,
      anon_sym_DOLLAR,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4940), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1626), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86352] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_DOLLAR,
    ACTIONS(4944), 1,
      anon_sym_DQUOTE,
    ACTIONS(4946), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4950), 1,
      anon_sym_BQUOTE,
    ACTIONS(4952), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4942), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(613), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86389] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_DQUOTE,
    ACTIONS(4786), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4788), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4790), 1,
      anon_sym_BQUOTE,
    ACTIONS(4954), 1,
      anon_sym_DOLLAR,
    ACTIONS(4792), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4896), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1562), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86426] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(223), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(225), 1,
      anon_sym_BQUOTE,
    ACTIONS(4956), 1,
      anon_sym_DOLLAR,
    ACTIONS(227), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4894), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(279), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86463] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_DQUOTE,
    ACTIONS(4930), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4932), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4934), 1,
      anon_sym_BQUOTE,
    ACTIONS(4958), 1,
      anon_sym_DOLLAR,
    ACTIONS(4936), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4926), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(612), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86500] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_DQUOTE,
    ACTIONS(4946), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4950), 1,
      anon_sym_BQUOTE,
    ACTIONS(4960), 1,
      anon_sym_DOLLAR,
    ACTIONS(4952), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4942), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(613), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86537] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_DQUOTE,
    ACTIONS(3992), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3994), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3996), 1,
      anon_sym_BQUOTE,
    ACTIONS(4964), 1,
      anon_sym_DOLLAR,
    ACTIONS(3998), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4962), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86574] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4159), 1,
      anon_sym_DQUOTE,
    ACTIONS(4161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4165), 1,
      anon_sym_BQUOTE,
    ACTIONS(4968), 1,
      anon_sym_DOLLAR,
    ACTIONS(4167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4966), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(370), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86611] = 9,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4924), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(433), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86648] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(4972), 1,
      anon_sym_DOLLAR,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4940), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1626), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86685] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(4974), 1,
      anon_sym_DOLLAR,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4864), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1842), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86722] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_DQUOTE,
    ACTIONS(4275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4279), 1,
      anon_sym_BQUOTE,
    ACTIONS(4978), 1,
      anon_sym_DOLLAR,
    ACTIONS(4281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4976), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86759] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4982), 1,
      anon_sym_DOLLAR,
    ACTIONS(4984), 1,
      anon_sym_DQUOTE,
    ACTIONS(4986), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4988), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4990), 1,
      anon_sym_BQUOTE,
    ACTIONS(4992), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4980), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(585), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86796] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(3990), 1,
      anon_sym_DQUOTE,
    ACTIONS(3992), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3994), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3996), 1,
      anon_sym_BQUOTE,
    ACTIONS(3998), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4962), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_LF,
    ACTIONS(4994), 1,
      sym__concat,
    STATE(1933), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86862] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_BQUOTE,
    ACTIONS(4997), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4916), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1699), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86899] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_DQUOTE,
    ACTIONS(4125), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4129), 1,
      anon_sym_BQUOTE,
    ACTIONS(4999), 1,
      anon_sym_DOLLAR,
    ACTIONS(4131), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4888), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(537), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86936] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    ACTIONS(5003), 1,
      anon_sym_DOLLAR,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5001), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2577), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86973] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3633), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3635), 1,
      anon_sym_BQUOTE,
    ACTIONS(5005), 1,
      anon_sym_DOLLAR,
    ACTIONS(3637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4940), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1626), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87010] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4549), 1,
      anon_sym_DQUOTE,
    ACTIONS(4551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4553), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4555), 1,
      anon_sym_BQUOTE,
    ACTIONS(5007), 1,
      anon_sym_DOLLAR,
    ACTIONS(4557), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4898), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1954), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87047] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_DOLLAR,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(4537), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4539), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4541), 1,
      anon_sym_BQUOTE,
    ACTIONS(4543), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5001), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2577), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87084] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(4724), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4728), 1,
      anon_sym_BQUOTE,
    ACTIONS(4730), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4920), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87121] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym_DOLLAR,
    ACTIONS(4159), 1,
      anon_sym_DQUOTE,
    ACTIONS(4161), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4163), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4165), 1,
      anon_sym_BQUOTE,
    ACTIONS(4167), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4966), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(370), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87158] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3599), 1,
      anon_sym_BQUOTE,
    ACTIONS(5009), 1,
      anon_sym_DOLLAR,
    ACTIONS(3601), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4864), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1842), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_LF,
    ACTIONS(5011), 1,
      sym__concat,
    STATE(1933), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87224] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_DOLLAR,
    ACTIONS(4984), 1,
      anon_sym_DQUOTE,
    ACTIONS(4986), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4988), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4990), 1,
      anon_sym_BQUOTE,
    ACTIONS(4992), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4980), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(585), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87261] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_DOLLAR,
    ACTIONS(3337), 1,
      anon_sym_DQUOTE,
    ACTIONS(3341), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3343), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3345), 1,
      anon_sym_BQUOTE,
    ACTIONS(3347), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4906), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1415), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87298] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR,
    ACTIONS(4273), 1,
      anon_sym_DQUOTE,
    ACTIONS(4275), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4277), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4279), 1,
      anon_sym_BQUOTE,
    ACTIONS(4281), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4976), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87335] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4311), 1,
      anon_sym_DOLLAR,
    ACTIONS(4315), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4317), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4319), 1,
      anon_sym_BQUOTE,
    ACTIONS(4321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4890), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2033), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87372] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4876), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(316), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      sym__concat,
    ACTIONS(5015), 1,
      anon_sym_LF,
    STATE(1943), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5013), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_LF,
    ACTIONS(5017), 1,
      sym__special_character,
    STATE(1951), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5022), 1,
      anon_sym_LF,
    ACTIONS(5024), 1,
      sym__special_character,
    STATE(1951), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5020), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LF,
    ACTIONS(1041), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88117] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1453), 1,
      sym_raw_string,
    STATE(1621), 1,
      sym_string,
    ACTIONS(535), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(1455), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1457), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1449), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88150] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(1441), 1,
      sym_raw_string,
    STATE(1813), 1,
      sym_string,
    ACTIONS(535), 2,
      sym__concat,
      anon_sym_RBRACK,
    ACTIONS(1443), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1445), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1437), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88183] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DOLLAR,
    ACTIONS(5026), 1,
      sym__concat,
    STATE(1983), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88209] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_RBRACE,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(5030), 1,
      sym_raw_string,
    STATE(2593), 1,
      sym_string,
    ACTIONS(5032), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5034), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5028), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88241] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_DOLLAR,
    ACTIONS(5036), 1,
      sym__concat,
    STATE(1980), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88267] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_DOLLAR,
    ACTIONS(5038), 1,
      sym__concat,
    STATE(1983), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88293] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5013), 1,
      anon_sym_DOLLAR,
    ACTIONS(5036), 1,
      sym__concat,
    STATE(1980), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5015), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88319] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 1,
      anon_sym_DQUOTE,
    ACTIONS(5043), 1,
      sym_raw_string,
    STATE(364), 1,
      sym_string,
    ACTIONS(758), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5045), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5041), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88348] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_DOLLAR,
    ACTIONS(1167), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88369] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_DOLLAR,
    ACTIONS(1163), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88390] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_DOLLAR,
    ACTIONS(5047), 1,
      sym__special_character,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88415] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_DQUOTE,
    ACTIONS(5052), 1,
      sym_raw_string,
    STATE(620), 1,
      sym_string,
    ACTIONS(683), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5054), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5050), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88444] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 1,
      anon_sym_DOLLAR,
    ACTIONS(1139), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88465] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_DOLLAR,
    ACTIONS(1135), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88486] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DOLLAR,
    ACTIONS(1191), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88507] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_DQUOTE,
    ACTIONS(5058), 1,
      sym_raw_string,
    STATE(295), 1,
      sym_string,
    ACTIONS(551), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5060), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5056), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88536] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR,
    ACTIONS(1143), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88557] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1127), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88578] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_DOLLAR,
    ACTIONS(1123), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_DQUOTE,
    ACTIONS(5064), 1,
      sym_raw_string,
    STATE(1516), 1,
      sym_string,
    ACTIONS(1370), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5066), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5062), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88628] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym_DQUOTE,
    ACTIONS(5070), 1,
      sym_raw_string,
    STATE(547), 1,
      sym_string,
    ACTIONS(701), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5072), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5068), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88657] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_DOLLAR,
    ACTIONS(1153), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88678] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_DOLLAR,
    ACTIONS(1169), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88699] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      anon_sym_DQUOTE,
    ACTIONS(1441), 1,
      sym_raw_string,
    STATE(1813), 1,
      sym_string,
    ACTIONS(1443), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1445), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1437), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88728] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_DQUOTE,
    ACTIONS(5076), 1,
      sym_raw_string,
    STATE(543), 1,
      sym_string,
    ACTIONS(721), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5078), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5074), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88757] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_DOLLAR,
    ACTIONS(1187), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88778] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 1,
      sym_raw_string,
    STATE(580), 1,
      sym_string,
    ACTIONS(786), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5084), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5080), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_DQUOTE,
    ACTIONS(1425), 1,
      sym_raw_string,
    STATE(1673), 1,
      sym_string,
    ACTIONS(1427), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1429), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1421), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88836] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_DOLLAR,
    ACTIONS(1179), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88857] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88878] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_DOLLAR,
    ACTIONS(1217), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_DQUOTE,
    ACTIONS(5088), 1,
      sym_raw_string,
    STATE(2284), 1,
      sym_string,
    ACTIONS(4862), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5090), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5086), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88928] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_DOLLAR,
    ACTIONS(1217), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88949] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_DOLLAR,
    ACTIONS(1221), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88970] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 1,
      anon_sym_DQUOTE,
    ACTIONS(5094), 1,
      sym_raw_string,
    STATE(608), 1,
      sym_string,
    ACTIONS(794), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5096), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5092), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88999] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_DOLLAR,
    ACTIONS(1225), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_DQUOTE,
    ACTIONS(5100), 1,
      sym_raw_string,
    STATE(1399), 1,
      sym_string,
    ACTIONS(1346), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5102), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5098), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89049] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_DQUOTE,
    ACTIONS(4201), 1,
      sym_raw_string,
    STATE(2028), 1,
      sym_string,
    ACTIONS(4205), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5104), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(4203), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89078] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_DQUOTE,
    ACTIONS(5108), 1,
      sym_raw_string,
    STATE(468), 1,
      sym_string,
    ACTIONS(597), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5110), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5106), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89107] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_DOLLAR,
    ACTIONS(1249), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89128] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4535), 1,
      anon_sym_DQUOTE,
    ACTIONS(5030), 1,
      sym_raw_string,
    STATE(2593), 1,
      sym_string,
    ACTIONS(5032), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5034), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5028), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89157] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_DQUOTE,
    ACTIONS(5114), 1,
      sym_raw_string,
    STATE(618), 1,
      sym_string,
    ACTIONS(853), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5116), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5112), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89186] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_DOLLAR,
    ACTIONS(1245), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89207] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
    ACTIONS(3764), 1,
      sym_raw_string,
    STATE(1700), 1,
      sym_string,
    ACTIONS(3768), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5118), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3766), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89236] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_DOLLAR,
    ACTIONS(1159), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89257] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(5122), 1,
      sym_raw_string,
    STATE(348), 1,
      sym_string,
    ACTIONS(543), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5124), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5120), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89286] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      anon_sym_DQUOTE,
    ACTIONS(1453), 1,
      sym_raw_string,
    STATE(1621), 1,
      sym_string,
    ACTIONS(1455), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1457), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1449), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89315] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_DOLLAR,
    ACTIONS(1147), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89336] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1411), 1,
      sym_raw_string,
    STATE(1500), 1,
      sym_string,
    ACTIONS(1415), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5126), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1413), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(5130), 1,
      sym_raw_string,
    STATE(1374), 1,
      sym_string,
    ACTIONS(1205), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5132), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5128), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89394] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_DOLLAR,
    ACTIONS(1183), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89415] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(5136), 1,
      sym_raw_string,
    STATE(462), 1,
      sym_string,
    ACTIONS(559), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5138), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5134), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89444] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 1,
      anon_sym_DOLLAR,
    ACTIONS(1131), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89465] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4549), 1,
      anon_sym_DQUOTE,
    ACTIONS(5142), 1,
      sym_raw_string,
    STATE(1955), 1,
      sym_string,
    ACTIONS(3800), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5144), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5140), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89494] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_DOLLAR,
    ACTIONS(5146), 1,
      sym__special_character,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5022), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89519] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_DOLLAR,
    ACTIONS(1023), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89540] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_DOLLAR,
    ACTIONS(1175), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_DQUOTE,
    ACTIONS(5150), 1,
      sym_raw_string,
    STATE(303), 1,
      sym_string,
    ACTIONS(693), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5152), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5148), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [89590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5156), 1,
      anon_sym_DQUOTE,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5162), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5164), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89662] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5168), 1,
      anon_sym_esac,
    ACTIONS(5166), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5170), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89684] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5180), 1,
      sym_variable_name,
    STATE(895), 1,
      sym_subscript,
    ACTIONS(5172), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5174), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5176), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5178), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5182), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5184), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5186), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5188), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89808] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_esac,
    ACTIONS(5190), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5194), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5196), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5198), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5200), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5202), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89926] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 1,
      sym_variable_name,
    STATE(887), 1,
      sym_subscript,
    ACTIONS(5204), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5206), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5208), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5210), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89954] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym_variable_name,
    STATE(879), 1,
      sym_subscript,
    ACTIONS(5214), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5216), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5218), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5220), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5224), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90006] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5234), 1,
      sym_variable_name,
    STATE(871), 1,
      sym_subscript,
    ACTIONS(5226), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5228), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5230), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5232), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90034] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5236), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5238), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90082] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 1,
      sym_variable_name,
    STATE(863), 1,
      sym_subscript,
    ACTIONS(5240), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5242), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5244), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5246), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5250), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5252), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90158] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5262), 1,
      sym_variable_name,
    STATE(853), 1,
      sym_subscript,
    ACTIONS(5254), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5256), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5258), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5260), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5264), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 1,
      sym_variable_name,
    STATE(820), 1,
      sym_subscript,
    ACTIONS(5266), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5268), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5270), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5272), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 1,
      sym_variable_name,
    STATE(843), 1,
      sym_subscript,
    ACTIONS(5276), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5278), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5280), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5282), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5286), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5288), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5290), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5292), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5294), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90386] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 1,
      sym_variable_name,
    STATE(835), 1,
      sym_subscript,
    ACTIONS(5296), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5298), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5300), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5302), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5306), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90438] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5316), 1,
      sym_variable_name,
    STATE(803), 1,
      sym_subscript,
    ACTIONS(5308), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5310), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5312), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5314), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90466] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_esac,
    ACTIONS(5318), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5322), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5324), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90512] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 1,
      sym_variable_name,
    STATE(826), 1,
      sym_subscript,
    ACTIONS(5326), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5328), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5330), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5332), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5344), 1,
      sym_variable_name,
    STATE(861), 1,
      sym_subscript,
    ACTIONS(5336), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5338), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5340), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5342), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5346), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 1,
      sym_variable_name,
    STATE(792), 1,
      sym_subscript,
    ACTIONS(5348), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5350), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5352), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5354), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5358), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5360), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5370), 1,
      sym_variable_name,
    STATE(813), 1,
      sym_subscript,
    ACTIONS(5362), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5364), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5366), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5368), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5372), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5374), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5376), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90768] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5386), 1,
      sym_variable_name,
    STATE(780), 1,
      sym_subscript,
    ACTIONS(5378), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5380), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5382), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5384), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 1,
      sym_variable_name,
    STATE(777), 1,
      sym_subscript,
    ACTIONS(5388), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5390), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5392), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5394), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5398), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5400), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90872] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5410), 1,
      sym_variable_name,
    STATE(750), 1,
      sym_subscript,
    ACTIONS(5402), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5404), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5406), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5408), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90900] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      sym_variable_name,
    STATE(768), 1,
      sym_subscript,
    ACTIONS(5412), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5414), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5416), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5418), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5422), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5424), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5426), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91000] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 1,
      sym_variable_name,
    STATE(722), 1,
      sym_subscript,
    ACTIONS(5428), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5430), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5432), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5434), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5438), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91052] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5442), 1,
      anon_sym_esac,
    ACTIONS(5440), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5444), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91074] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_DOLLAR,
    ACTIONS(1039), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91094] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      sym_variable_name,
    STATE(759), 1,
      sym_subscript,
    ACTIONS(5446), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5448), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5450), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5452), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5456), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5458), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5460), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91194] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 1,
      sym_variable_name,
    STATE(699), 1,
      sym_subscript,
    ACTIONS(5462), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5464), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5466), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5468), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5472), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91246] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 1,
      sym_variable_name,
    STATE(689), 1,
      sym_subscript,
    ACTIONS(5474), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5476), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5478), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5480), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91274] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym_variable_name,
    STATE(746), 1,
      sym_subscript,
    ACTIONS(5484), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5486), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5488), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5490), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 1,
      sym_variable_name,
    STATE(690), 1,
      sym_subscript,
    ACTIONS(5494), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5496), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5498), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5500), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5504), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5514), 1,
      sym_variable_name,
    STATE(751), 1,
      sym_subscript,
    ACTIONS(5506), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5508), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5510), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5512), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5516), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91406] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5520), 1,
      anon_sym_esac,
    ACTIONS(5518), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5522), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5524), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5526), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91476] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5530), 1,
      anon_sym_esac,
    ACTIONS(5528), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5532), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5534), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91522] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 1,
      sym_variable_name,
    STATE(708), 1,
      sym_subscript,
    ACTIONS(5536), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5538), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5540), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5542), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5546), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5548), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5550), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91622] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5190), 1,
      anon_sym_DOLLAR,
    ACTIONS(5194), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91641] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5440), 1,
      anon_sym_DOLLAR,
    ACTIONS(5444), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91660] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5518), 1,
      anon_sym_DOLLAR,
    ACTIONS(5522), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5158), 1,
      sym__string_content,
    ACTIONS(5154), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5160), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [91700] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5528), 1,
      anon_sym_DOLLAR,
    ACTIONS(5532), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91719] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5166), 1,
      anon_sym_DOLLAR,
    ACTIONS(5170), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91738] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5318), 1,
      anon_sym_DOLLAR,
    ACTIONS(5322), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91757] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 1,
      anon_sym_DQUOTE,
    ACTIONS(5552), 1,
      anon_sym_DOLLAR,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91787] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5568), 1,
      sym_variable_name,
    STATE(692), 1,
      sym_subscript,
    ACTIONS(5562), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5564), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5566), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5570), 1,
      anon_sym_DOLLAR,
    ACTIONS(5572), 1,
      anon_sym_DQUOTE,
    STATE(2192), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91841] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5162), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5574), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91871] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5582), 1,
      sym_variable_name,
    STATE(738), 1,
      sym_subscript,
    ACTIONS(5576), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5578), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5580), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91895] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5164), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5584), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5586), 1,
      anon_sym_DOLLAR,
    ACTIONS(5588), 1,
      anon_sym_DQUOTE,
    STATE(2127), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91955] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5596), 1,
      sym_variable_name,
    STATE(717), 1,
      sym_subscript,
    ACTIONS(5590), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5592), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5594), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91979] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5604), 1,
      sym_variable_name,
    STATE(893), 1,
      sym_subscript,
    ACTIONS(5598), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5600), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5602), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92003] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5612), 1,
      sym_variable_name,
    STATE(701), 1,
      sym_subscript,
    ACTIONS(5606), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5608), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5610), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92027] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5614), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92057] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5456), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5616), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92087] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5618), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92117] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5620), 1,
      anon_sym_DOLLAR,
    ACTIONS(5622), 1,
      anon_sym_DQUOTE,
    STATE(2139), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92147] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5630), 1,
      sym_variable_name,
    STATE(727), 1,
      sym_subscript,
    ACTIONS(5624), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5626), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5628), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92171] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5632), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92201] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5184), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5634), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5636), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92261] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5644), 1,
      sym_variable_name,
    STATE(748), 1,
      sym_subscript,
    ACTIONS(5638), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5640), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5642), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92285] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5292), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5646), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92315] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5654), 1,
      sym_variable_name,
    STATE(741), 1,
      sym_subscript,
    ACTIONS(5648), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5650), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5652), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92339] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5656), 1,
      anon_sym_DOLLAR,
    ACTIONS(5658), 1,
      anon_sym_DQUOTE,
    STATE(2148), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92369] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5660), 1,
      anon_sym_DOLLAR,
    ACTIONS(5662), 1,
      anon_sym_DQUOTE,
    STATE(2141), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92399] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5664), 1,
      anon_sym_DOLLAR,
    ACTIONS(5666), 1,
      anon_sym_DQUOTE,
    STATE(2140), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5668), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92459] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5670), 1,
      anon_sym_DOLLAR,
    ACTIONS(5672), 1,
      anon_sym_DQUOTE,
    STATE(2156), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92489] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5674), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92519] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5682), 1,
      sym_variable_name,
    STATE(761), 1,
      sym_subscript,
    ACTIONS(5676), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5678), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5680), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5684), 1,
      anon_sym_DOLLAR,
    ACTIONS(5686), 1,
      anon_sym_DQUOTE,
    STATE(2162), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92573] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5694), 1,
      sym_variable_name,
    STATE(770), 1,
      sym_subscript,
    ACTIONS(5688), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5690), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5692), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92597] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5702), 1,
      sym_variable_name,
    STATE(807), 1,
      sym_subscript,
    ACTIONS(5696), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5698), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5700), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92621] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5710), 1,
      sym_variable_name,
    STATE(823), 1,
      sym_subscript,
    ACTIONS(5704), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5706), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5708), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92645] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5712), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92675] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym_variable_name,
    STATE(800), 1,
      sym_subscript,
    ACTIONS(5714), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5716), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5718), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92699] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5722), 1,
      anon_sym_DOLLAR,
    ACTIONS(5724), 1,
      anon_sym_DQUOTE,
    STATE(2136), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92729] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5188), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5726), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92759] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5734), 1,
      sym_variable_name,
    STATE(773), 1,
      sym_subscript,
    ACTIONS(5728), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5730), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5732), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR,
    ACTIONS(5738), 1,
      anon_sym_DQUOTE,
    STATE(2159), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92813] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5740), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5742), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92873] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5744), 1,
      anon_sym_DOLLAR,
    ACTIONS(5746), 1,
      anon_sym_DQUOTE,
    STATE(2163), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5516), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5748), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92933] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5750), 1,
      anon_sym_DOLLAR,
    ACTIONS(5752), 1,
      anon_sym_DQUOTE,
    STATE(2135), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92963] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5754), 1,
      anon_sym_DOLLAR,
    ACTIONS(5756), 1,
      anon_sym_DQUOTE,
    STATE(2124), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92993] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5764), 1,
      sym_variable_name,
    STATE(785), 1,
      sym_subscript,
    ACTIONS(5758), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5760), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5762), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93017] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5772), 1,
      sym_variable_name,
    STATE(833), 1,
      sym_subscript,
    ACTIONS(5766), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5768), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5770), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93041] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5774), 1,
      anon_sym_DOLLAR,
    ACTIONS(5776), 1,
      anon_sym_DQUOTE,
    STATE(2150), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93071] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5156), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5778), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93101] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5786), 1,
      sym_variable_name,
    STATE(713), 1,
      sym_subscript,
    ACTIONS(5780), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5782), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5784), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93125] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5788), 1,
      anon_sym_DOLLAR,
    ACTIONS(5790), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5792), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5794), 1,
      anon_sym_BQUOTE,
    ACTIONS(5796), 1,
      sym__heredoc_body_middle,
    ACTIONS(5798), 1,
      sym__heredoc_body_end,
    STATE(2186), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [93153] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5806), 1,
      sym_variable_name,
    STATE(795), 1,
      sym_subscript,
    ACTIONS(5800), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5802), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5804), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93177] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5814), 1,
      sym_variable_name,
    STATE(841), 1,
      sym_subscript,
    ACTIONS(5808), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5810), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5812), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93201] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5816), 1,
      anon_sym_DOLLAR,
    ACTIONS(5818), 1,
      anon_sym_DQUOTE,
    STATE(2171), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93231] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5788), 1,
      anon_sym_DOLLAR,
    ACTIONS(5790), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5792), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5794), 1,
      anon_sym_BQUOTE,
    ACTIONS(5820), 1,
      sym__heredoc_body_middle,
    ACTIONS(5822), 1,
      sym__heredoc_body_end,
    STATE(2196), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [93259] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5788), 1,
      anon_sym_DOLLAR,
    ACTIONS(5790), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5792), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5794), 1,
      anon_sym_BQUOTE,
    ACTIONS(5824), 1,
      sym__heredoc_body_middle,
    ACTIONS(5826), 1,
      sym__heredoc_body_end,
    STATE(2173), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [93287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5828), 1,
      anon_sym_DOLLAR,
    ACTIONS(5830), 1,
      anon_sym_DQUOTE,
    STATE(2190), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93317] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5294), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5832), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93347] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5834), 1,
      anon_sym_DOLLAR,
    ACTIONS(5836), 1,
      anon_sym_DQUOTE,
    STATE(2180), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93377] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5844), 1,
      sym_variable_name,
    STATE(806), 1,
      sym_subscript,
    ACTIONS(5838), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5840), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5842), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93401] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5846), 1,
      anon_sym_DOLLAR,
    ACTIONS(5848), 1,
      anon_sym_DQUOTE,
    STATE(2143), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93431] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5856), 1,
      sym_variable_name,
    STATE(851), 1,
      sym_subscript,
    ACTIONS(5850), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5852), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93455] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5858), 1,
      anon_sym_DOLLAR,
    ACTIONS(5860), 1,
      anon_sym_DQUOTE,
    STATE(2187), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93485] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5862), 1,
      anon_sym_DOLLAR,
    ACTIONS(5865), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5868), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5871), 1,
      anon_sym_BQUOTE,
    ACTIONS(5874), 1,
      sym__heredoc_body_middle,
    ACTIONS(5877), 1,
      sym__heredoc_body_end,
    STATE(2186), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [93513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5264), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5879), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93543] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5887), 1,
      sym_variable_name,
    STATE(859), 1,
      sym_subscript,
    ACTIONS(5881), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5883), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5885), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5889), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93597] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5891), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93627] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5899), 1,
      sym_variable_name,
    STATE(824), 1,
      sym_subscript,
    ACTIONS(5893), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5895), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5897), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93651] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5524), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5901), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93681] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5238), 1,
      anon_sym_DQUOTE,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5903), 1,
      anon_sym_DOLLAR,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93711] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5905), 1,
      anon_sym_DOLLAR,
    ACTIONS(5907), 1,
      anon_sym_DQUOTE,
    STATE(2165), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93741] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5909), 1,
      anon_sym_DOLLAR,
    ACTIONS(5912), 1,
      anon_sym_DQUOTE,
    ACTIONS(5914), 1,
      sym__string_content,
    ACTIONS(5917), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5920), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5923), 1,
      anon_sym_BQUOTE,
    STATE(2195), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93771] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5788), 1,
      anon_sym_DOLLAR,
    ACTIONS(5790), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5792), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5794), 1,
      anon_sym_BQUOTE,
    ACTIONS(5796), 1,
      sym__heredoc_body_middle,
    ACTIONS(5926), 1,
      sym__heredoc_body_end,
    STATE(2186), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [93799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5930), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5932), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5928), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [93819] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5934), 1,
      anon_sym_DOLLAR,
    ACTIONS(5936), 1,
      anon_sym_DQUOTE,
    STATE(2193), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93849] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5944), 1,
      sym_variable_name,
    STATE(869), 1,
      sym_subscript,
    ACTIONS(5938), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5940), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5942), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93873] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5946), 1,
      anon_sym_DOLLAR,
    ACTIONS(5948), 1,
      anon_sym_DQUOTE,
    STATE(2189), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5950), 1,
      anon_sym_DOLLAR,
    ACTIONS(5952), 1,
      anon_sym_DQUOTE,
    STATE(2134), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93933] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5960), 1,
      sym_variable_name,
    STATE(877), 1,
      sym_subscript,
    ACTIONS(5954), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5956), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5958), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [93957] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym__string_content,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5560), 1,
      anon_sym_BQUOTE,
    ACTIONS(5962), 1,
      anon_sym_DOLLAR,
    ACTIONS(5964), 1,
      anon_sym_DQUOTE,
    STATE(2129), 1,
      aux_sym_string_repeat1,
    STATE(2233), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93987] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5972), 1,
      sym_variable_name,
    STATE(885), 1,
      sym_subscript,
    ACTIONS(5966), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5968), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5970), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [94011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LF,
    ACTIONS(5974), 1,
      sym__concat,
    STATE(2209), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [94031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym__concat,
    ACTIONS(1243), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym_LF,
    ACTIONS(5978), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_LF,
    ACTIONS(5980), 1,
      sym__concat,
    STATE(2208), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1025), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_LF,
    ACTIONS(5983), 1,
      sym__concat,
    STATE(2208), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1047), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 1,
      anon_sym_LF,
    ACTIONS(5987), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94129] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5989), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(5991), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [94144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5974), 1,
      sym__concat,
    ACTIONS(5993), 1,
      anon_sym_LF,
    ACTIONS(5995), 1,
      anon_sym_in,
    STATE(2209), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5997), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5999), 1,
      anon_sym_LF,
    ACTIONS(6001), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [94180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_LF,
    ACTIONS(6003), 1,
      sym__special_character,
    STATE(2215), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1236), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      sym__concat,
    ACTIONS(1189), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 1,
      sym__concat,
    ACTIONS(1133), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94229] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6006), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6008), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [94244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 1,
      sym__concat,
    ACTIONS(1137), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 1,
      sym__concat,
    ACTIONS(1161), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym_LF,
    ACTIONS(6012), 1,
      anon_sym_in,
    ACTIONS(6016), 1,
      sym__special_character,
    STATE(2215), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6014), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      sym__concat,
    ACTIONS(1165), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5974), 1,
      sym__concat,
    ACTIONS(6018), 1,
      anon_sym_LF,
    ACTIONS(6020), 1,
      anon_sym_in,
    STATE(2209), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6022), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      sym__concat,
    ACTIONS(1185), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 1,
      sym__concat,
    ACTIONS(1215), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      sym__concat,
    ACTIONS(5912), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      sym__concat,
    ACTIONS(1171), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym__concat,
    ACTIONS(1219), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94406] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6026), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6028), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [94421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      sym__concat,
    ACTIONS(1155), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      sym__concat,
    ACTIONS(1223), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 1,
      sym__concat,
    ACTIONS(1247), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6032), 1,
      sym__concat,
    ACTIONS(6030), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      sym__concat,
    ACTIONS(1121), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      sym__concat,
    ACTIONS(1125), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 1,
      sym__concat,
    ACTIONS(1149), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 1,
      sym__concat,
    ACTIONS(1145), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym__concat,
    ACTIONS(1141), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94556] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6034), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6036), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [94571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6016), 1,
      sym__special_character,
    ACTIONS(6038), 1,
      anon_sym_LF,
    ACTIONS(6040), 1,
      anon_sym_in,
    STATE(2215), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6042), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94592] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6044), 1,
      anon_sym_fi,
    ACTIONS(6046), 1,
      anon_sym_elif,
    ACTIONS(6048), 1,
      anon_sym_else,
    STATE(2697), 1,
      sym_else_clause,
    STATE(2293), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [94612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1025), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1133), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94640] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_DOLLAR,
    ACTIONS(1245), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94654] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_DOLLAR,
    ACTIONS(1249), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1137), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94682] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_DOLLAR,
    ACTIONS(1225), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94710] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_DOLLAR,
    ACTIONS(1221), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94738] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_DOLLAR,
    ACTIONS(1217), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94766] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_DOLLAR,
    ACTIONS(1217), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94780] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1149), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94794] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_DOLLAR,
    ACTIONS(1147), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94808] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR,
    ACTIONS(1143), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94822] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1127), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94836] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_DOLLAR,
    ACTIONS(1123), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94850] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_DOLLAR,
    ACTIONS(1153), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1155), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1121), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94906] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_DOLLAR,
    ACTIONS(1169), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94920] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_DOLLAR,
    ACTIONS(1187), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1125), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1157), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1145), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94990] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_DOLLAR,
    ACTIONS(1167), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95004] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_DOLLAR,
    ACTIONS(1163), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1151), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1149), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1141), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95058] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 1,
      anon_sym_DOLLAR,
    ACTIONS(1139), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95072] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_elif,
    ACTIONS(6048), 1,
      anon_sym_else,
    ACTIONS(6050), 1,
      anon_sym_fi,
    STATE(2699), 1,
      sym_else_clause,
    STATE(2293), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [95092] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_DOLLAR,
    ACTIONS(1135), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6052), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95146] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DOLLAR,
    ACTIONS(1191), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [95160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1243), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95174] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_elif,
    ACTIONS(6048), 1,
      anon_sym_else,
    ACTIONS(6054), 1,
      anon_sym_fi,
    STATE(2669), 1,
      sym_else_clause,
    STATE(2293), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [95194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1215), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1247), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1219), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1223), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1129), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LF,
    ACTIONS(1041), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [95306] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_elif,
    ACTIONS(6048), 1,
      anon_sym_else,
    ACTIONS(6056), 1,
      anon_sym_fi,
    STATE(2611), 1,
      sym_else_clause,
    STATE(2293), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [95326] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4378), 1,
      sym__concat,
    STATE(2364), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [95341] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6060), 1,
      anon_sym_elif,
    ACTIONS(6058), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(2293), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [95356] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_SEMI,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1683), 2,
      sym_do_group,
      sym_compound_statement,
  [95373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(6067), 1,
      anon_sym_LF,
    ACTIONS(6069), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5993), 1,
      anon_sym_LF,
    ACTIONS(5995), 1,
      anon_sym_in,
    ACTIONS(5997), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95403] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6071), 1,
      anon_sym_SEMI,
    STATE(1705), 2,
      sym_do_group,
      sym_compound_statement,
  [95420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5999), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6001), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95433] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6073), 1,
      anon_sym_SEMI,
    STATE(1715), 2,
      sym_do_group,
      sym_compound_statement,
  [95450] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym__special_character,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6077), 1,
      anon_sym_RPAREN,
    STATE(1527), 1,
      aux_sym__literal_repeat1,
    STATE(2415), 1,
      aux_sym_case_item_repeat1,
  [95469] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4378), 1,
      sym__concat,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6079), 1,
      anon_sym_RPAREN,
    STATE(2364), 1,
      aux_sym_concatenation_repeat1,
    STATE(2409), 1,
      aux_sym_case_item_repeat1,
  [95488] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6081), 1,
      anon_sym_SEMI,
    STATE(1661), 2,
      sym_do_group,
      sym_compound_statement,
  [95505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(5978), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      ts_builtin_sym_end,
    ACTIONS(6083), 1,
      anon_sym_LF,
    ACTIONS(6085), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95533] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6087), 1,
      anon_sym_SEMI,
    STATE(1615), 2,
      sym_do_group,
      sym_compound_statement,
  [95550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5985), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(5987), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95563] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6089), 1,
      anon_sym_SEMI,
    STATE(1811), 2,
      sym_do_group,
      sym_compound_statement,
  [95580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 1,
      anon_sym_LF,
    ACTIONS(6093), 1,
      anon_sym_in,
    ACTIONS(6095), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95595] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_SEMI,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1406), 2,
      sym_do_group,
      sym_compound_statement,
  [95612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6101), 1,
      anon_sym_LF,
    ACTIONS(569), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6103), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [95627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 1,
      ts_builtin_sym_end,
    ACTIONS(6105), 1,
      anon_sym_LF,
    ACTIONS(6107), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_RPAREN,
    ACTIONS(6109), 1,
      anon_sym_LF,
    ACTIONS(6111), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95657] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6113), 1,
      anon_sym_SEMI,
    STATE(1801), 2,
      sym_do_group,
      sym_compound_statement,
  [95674] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym__special_character,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6115), 1,
      anon_sym_RPAREN,
    STATE(1527), 1,
      aux_sym__literal_repeat1,
    STATE(2424), 1,
      aux_sym_case_item_repeat1,
  [95693] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4378), 1,
      sym__concat,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6117), 1,
      anon_sym_RPAREN,
    STATE(2364), 1,
      aux_sym_concatenation_repeat1,
    STATE(2441), 1,
      aux_sym_case_item_repeat1,
  [95712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(569), 1,
      anon_sym_BQUOTE,
    ACTIONS(6119), 1,
      anon_sym_LF,
    ACTIONS(6121), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_LF,
    ACTIONS(6125), 1,
      anon_sym_in,
    ACTIONS(6127), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95742] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    ACTIONS(6129), 1,
      anon_sym_SEMI,
    STATE(1685), 2,
      sym_do_group,
      sym_compound_statement,
  [95759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6018), 1,
      anon_sym_LF,
    ACTIONS(6020), 1,
      anon_sym_in,
    ACTIONS(6022), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95774] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6131), 1,
      anon_sym_SEMI,
    STATE(1503), 2,
      sym_do_group,
      sym_compound_statement,
  [95791] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6133), 1,
      anon_sym_SEMI,
    STATE(1395), 2,
      sym_do_group,
      sym_compound_statement,
  [95808] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6135), 1,
      anon_sym_SEMI,
    STATE(1394), 2,
      sym_do_group,
      sym_compound_statement,
  [95825] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6137), 1,
      anon_sym_SEMI,
    STATE(1393), 2,
      sym_do_group,
      sym_compound_statement,
  [95842] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6139), 1,
      anon_sym_SEMI,
    STATE(1504), 2,
      sym_do_group,
      sym_compound_statement,
  [95859] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6141), 1,
      anon_sym_SEMI,
    STATE(1496), 2,
      sym_do_group,
      sym_compound_statement,
  [95876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(569), 1,
      anon_sym_RPAREN,
    ACTIONS(6143), 1,
      anon_sym_LF,
    ACTIONS(6145), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 1,
      anon_sym_LF,
    ACTIONS(943), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6149), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [95906] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    ACTIONS(6151), 1,
      anon_sym_SEMI,
    STATE(1478), 2,
      sym_do_group,
      sym_compound_statement,
  [95923] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1396), 2,
      sym_do_group,
      sym_compound_statement,
  [95937] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1477), 2,
      sym_do_group,
      sym_compound_statement,
  [95951] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym__special_character,
    STATE(1527), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6153), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [95965] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1471), 2,
      sym_do_group,
      sym_compound_statement,
  [95979] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1387), 2,
      sym_do_group,
      sym_compound_statement,
  [95993] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1513), 2,
      sym_do_group,
      sym_compound_statement,
  [96007] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1509), 2,
      sym_do_group,
      sym_compound_statement,
  [96021] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1508), 2,
      sym_do_group,
      sym_compound_statement,
  [96035] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1726), 2,
      sym_do_group,
      sym_compound_statement,
  [96049] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1498), 2,
      sym_do_group,
      sym_compound_statement,
  [96063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6155), 1,
      anon_sym_LF,
    ACTIONS(6157), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6159), 1,
      anon_sym_LF,
    ACTIONS(6161), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6163), 1,
      anon_sym_LF,
    ACTIONS(6165), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96099] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1627), 2,
      sym_do_group,
      sym_compound_statement,
  [96113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6167), 1,
      anon_sym_LF,
    ACTIONS(6169), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6171), 1,
      anon_sym_LF,
    ACTIONS(6173), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96137] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6175), 1,
      anon_sym_RBRACK,
    ACTIONS(6177), 1,
      sym__special_character,
    ACTIONS(6179), 1,
      sym__concat,
    STATE(2361), 1,
      aux_sym__literal_repeat1,
  [96153] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1634), 2,
      sym_do_group,
      sym_compound_statement,
  [96167] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 1,
      sym__special_character,
    STATE(2465), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1039), 2,
      sym__concat,
      anon_sym_RBRACK,
  [96181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6181), 1,
      anon_sym_LF,
    ACTIONS(6183), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96193] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1628), 2,
      sym_do_group,
      sym_compound_statement,
  [96207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(569), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6143), 1,
      anon_sym_LF,
    ACTIONS(6145), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [96221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6185), 1,
      anon_sym_LF,
    ACTIONS(6187), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96233] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1630), 2,
      sym_do_group,
      sym_compound_statement,
  [96247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym_LF,
    ACTIONS(6191), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6109), 1,
      anon_sym_LF,
    ACTIONS(6111), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [96273] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1724), 2,
      sym_do_group,
      sym_compound_statement,
  [96287] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4378), 1,
      sym__concat,
    STATE(2364), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [96301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6195), 1,
      anon_sym_LF,
    ACTIONS(6197), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 1,
      anon_sym_LF,
    ACTIONS(6201), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96325] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_RBRACE,
    ACTIONS(1041), 1,
      sym__special_character,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96341] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1798), 2,
      sym_do_group,
      sym_compound_statement,
  [96355] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6205), 1,
      sym__special_character,
    STATE(2361), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1238), 2,
      sym__concat,
      anon_sym_RBRACK,
  [96369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 1,
      anon_sym_LF,
    ACTIONS(6210), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96381] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1714), 2,
      sym_do_group,
      sym_compound_statement,
  [96395] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6212), 1,
      sym__concat,
    STATE(1515), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1049), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [96409] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6177), 1,
      sym__special_character,
    ACTIONS(6214), 1,
      anon_sym_RBRACK,
    ACTIONS(6216), 1,
      sym__concat,
    STATE(2361), 1,
      aux_sym__literal_repeat1,
  [96425] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_RBRACE,
    ACTIONS(6218), 1,
      sym__concat,
    STATE(2464), 1,
      aux_sym_concatenation_repeat1,
  [96438] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96451] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [96462] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96475] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6224), 1,
      anon_sym_RBRACE,
    ACTIONS(6226), 1,
      sym__special_character,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96488] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6228), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96501] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96514] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96527] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3045), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96540] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96553] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96566] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6230), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96579] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6232), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96592] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6234), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96605] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96618] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96631] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6236), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96644] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96657] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96670] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6238), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96683] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 1,
      sym__special_character,
    ACTIONS(1039), 2,
      sym__concat,
      anon_sym_RBRACK,
  [96694] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6079), 1,
      anon_sym_RPAREN,
    STATE(2409), 1,
      aux_sym_case_item_repeat1,
  [96707] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96720] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6240), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96733] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6242), 1,
      sym__concat,
    ACTIONS(4493), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [96744] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6244), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96757] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96770] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96783] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6246), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96796] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6248), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96809] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96822] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6250), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96835] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__concat,
    ACTIONS(4487), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [96846] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96859] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96872] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6254), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96885] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6256), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96898] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96911] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [96924] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6258), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96937] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6260), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96950] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6262), 1,
      anon_sym_LPAREN,
    STATE(1756), 1,
      sym_compound_statement,
  [96963] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6264), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [96976] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6266), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      aux_sym_case_item_repeat1,
  [96989] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97002] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97015] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97028] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6268), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97041] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97054] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6270), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      aux_sym_case_item_repeat1,
  [97067] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6272), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97080] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6274), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97093] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6276), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97106] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6278), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97119] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97132] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6280), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97145] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97158] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97171] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6282), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      aux_sym_case_item_repeat1,
  [97184] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6284), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97197] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97210] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6286), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97223] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97236] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6288), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97249] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6290), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97262] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97275] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97288] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6292), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97301] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97314] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6294), 1,
      sym__concat,
    ACTIONS(4509), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97325] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6296), 1,
      anon_sym_RBRACK,
    ACTIONS(6298), 1,
      sym__concat,
    STATE(2465), 1,
      aux_sym_concatenation_repeat1,
  [97338] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6300), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97349] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6302), 1,
      sym__concat,
    ACTIONS(4517), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97360] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97373] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6304), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97384] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6306), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      aux_sym_case_item_repeat1,
  [97397] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6308), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97410] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97423] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6310), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97436] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6312), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97449] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6314), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97460] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97473] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6316), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97486] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97499] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6318), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97512] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97525] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6320), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97538] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6322), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97551] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97564] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97577] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6324), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97590] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97603] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97614] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97627] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6328), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97640] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6330), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97651] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6332), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97664] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6334), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97677] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_RBRACE,
    ACTIONS(6336), 1,
      sym__concat,
    STATE(2464), 1,
      aux_sym_concatenation_repeat1,
  [97690] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_RBRACK,
    ACTIONS(6339), 1,
      sym__concat,
    STATE(1713), 1,
      aux_sym_concatenation_repeat1,
  [97703] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6341), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97716] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6343), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97729] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97742] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6345), 1,
      anon_sym_PIPE,
    ACTIONS(6348), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      aux_sym_case_item_repeat1,
  [97755] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6350), 1,
      anon_sym_RBRACK,
    ACTIONS(6352), 1,
      sym__concat,
    STATE(2465), 1,
      aux_sym_concatenation_repeat1,
  [97768] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6354), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97781] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97792] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97805] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6358), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97818] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97831] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97844] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6360), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97857] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6362), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97870] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_PIPE,
    ACTIONS(6117), 1,
      anon_sym_RPAREN,
    STATE(2441), 1,
      aux_sym_case_item_repeat1,
  [97883] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97896] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6364), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97909] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97922] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6366), 1,
      anon_sym_LPAREN,
    STATE(1438), 1,
      sym_compound_statement,
  [97935] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6368), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97948] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97961] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6370), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [97974] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3011), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [97987] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6372), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98000] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6374), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98013] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1238), 1,
      anon_sym_RBRACE,
    ACTIONS(6376), 1,
      sym__special_character,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98026] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6379), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98039] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98052] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98065] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6226), 1,
      sym__special_character,
    ACTIONS(6381), 1,
      anon_sym_RBRACE,
    STATE(2490), 1,
      aux_sym__literal_repeat1,
  [98078] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98091] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(6203), 1,
      sym__concat,
    STATE(2366), 1,
      aux_sym_concatenation_repeat1,
  [98104] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_EQ,
  [98114] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_EQ,
  [98124] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1708), 1,
      sym_do_group,
  [98134] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6391), 1,
      aux_sym__simple_variable_name_token1,
  [98144] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6393), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6395), 1,
      aux_sym__simple_variable_name_token1,
  [98154] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6397), 1,
      anon_sym_EQ,
  [98164] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6399), 1,
      anon_sym_EQ,
  [98174] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4653), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98182] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6401), 1,
      anon_sym_EQ,
  [98192] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4657), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98200] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6403), 1,
      anon_sym_EQ,
  [98210] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6405), 1,
      anon_sym_EQ,
  [98220] = 3,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1617), 1,
      sym_compound_statement,
  [98230] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6407), 1,
      anon_sym_EQ,
  [98240] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6409), 1,
      anon_sym_EQ,
  [98250] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6411), 1,
      anon_sym_EQ,
  [98260] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6413), 1,
      anon_sym_EQ,
  [98270] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6415), 1,
      anon_sym_EQ,
  [98280] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6222), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98288] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6417), 1,
      anon_sym_EQ,
  [98298] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6419), 1,
      anon_sym_EQ,
  [98308] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_EQ,
  [98318] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6423), 1,
      anon_sym_EQ,
  [98328] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1439), 1,
      sym_do_group,
  [98338] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6425), 1,
      anon_sym_EQ,
  [98348] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6427), 1,
      anon_sym_esac,
  [98358] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1151), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98366] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_RBRACE,
    ACTIONS(1041), 1,
      sym__special_character,
  [98376] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1763), 1,
      sym_do_group,
  [98386] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_EQ,
  [98396] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_EQ,
  [98406] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6433), 1,
      anon_sym_EQ,
  [98416] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98424] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6435), 1,
      anon_sym_EQ,
  [98434] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6437), 1,
      anon_sym_EQ,
  [98444] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98452] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98460] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6439), 1,
      anon_sym_EQ,
  [98470] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6441), 1,
      anon_sym_EQ,
  [98480] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1163), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98488] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1167), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98496] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym_esac,
    ACTIONS(6445), 1,
      anon_sym_SEMI_SEMI,
  [98506] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6447), 1,
      anon_sym_EQ,
  [98516] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6449), 1,
      anon_sym_EQ,
  [98526] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6451), 2,
      anon_sym_do,
      anon_sym_then,
  [98534] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6356), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98542] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98550] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_EQ,
  [98560] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98568] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6455), 1,
      anon_sym_EQ,
  [98578] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6457), 1,
      anon_sym_EQ,
  [98588] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6350), 1,
      anon_sym_RBRACK,
    ACTIONS(6459), 1,
      sym__concat,
  [98598] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      anon_sym_EQ,
  [98608] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1153), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98616] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6463), 1,
      anon_sym_EQ,
  [98626] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6465), 1,
      anon_sym_EQ,
  [98636] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6467), 1,
      anon_sym_EQ,
  [98646] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_EQ,
  [98656] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98664] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98672] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6471), 1,
      anon_sym_EQ,
  [98682] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6473), 1,
      anon_sym_EQ,
  [98692] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1143), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98700] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1147), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98708] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6475), 1,
      anon_sym_EQ,
  [98718] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98726] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1217), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98734] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1221), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98742] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98750] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(237), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6477), 1,
      anon_sym_esac,
  [98760] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1249), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98768] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1245), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98776] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1159), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98784] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 1,
      anon_sym_EQ,
  [98794] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4509), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98802] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6481), 1,
      anon_sym_EQ,
  [98812] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_EQ,
  [98822] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98830] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98838] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1422), 1,
      sym_do_group,
  [98848] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1023), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98856] = 3,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1805), 1,
      sym_compound_statement,
  [98866] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    STATE(1416), 1,
      sym_compound_statement,
  [98876] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6193), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [98884] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6485), 1,
      anon_sym_EQ,
  [98894] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6487), 1,
      anon_sym_EQ,
  [98904] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6489), 1,
      anon_sym_EQ,
  [98914] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6330), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98922] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 2,
      sym__concat,
      anon_sym_RBRACE,
  [98930] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6491), 1,
      anon_sym_EQ,
  [98940] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6493), 1,
      anon_sym_EQ,
  [98950] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6495), 1,
      anon_sym_EQ,
  [98960] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6300), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98968] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6296), 1,
      anon_sym_RBRACK,
    ACTIONS(6497), 1,
      sym__concat,
  [98978] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4517), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98986] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_EQ,
  [98996] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 2,
      sym__concat,
      anon_sym_RBRACE,
  [99004] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_EQ,
  [99014] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6326), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99022] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    STATE(1410), 1,
      sym_compound_statement,
  [99032] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6503), 1,
      anon_sym_EQ,
  [99042] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6304), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99050] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6505), 1,
      anon_sym_EQ,
  [99060] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_do,
    STATE(1405), 1,
      sym_do_group,
  [99070] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6507), 1,
      anon_sym_EQ,
  [99080] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym_esac,
    ACTIONS(6511), 1,
      anon_sym_SEMI_SEMI,
  [99090] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6383), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_EQ,
  [99100] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_do,
    STATE(1632), 1,
      sym_do_group,
  [99110] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6314), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99118] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6515), 1,
      anon_sym_esac,
  [99125] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
  [99132] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
  [99139] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_RPAREN,
  [99146] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
  [99153] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6054), 1,
      anon_sym_fi,
  [99160] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_RPAREN,
  [99167] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6519), 1,
      anon_sym_BQUOTE,
  [99174] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2927), 1,
      anon_sym_RBRACE,
  [99181] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
  [99188] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_RPAREN,
  [99195] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
  [99202] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_BQUOTE,
  [99209] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym_fi,
  [99216] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6523), 1,
      anon_sym_RBRACK,
  [99223] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_esac,
  [99230] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6527), 1,
      anon_sym_esac,
  [99237] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6529), 1,
      anon_sym_esac,
  [99244] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_RBRACK,
  [99251] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_RPAREN,
  [99258] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
  [99265] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6531), 1,
      anon_sym_BQUOTE,
  [99272] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6533), 1,
      anon_sym_RPAREN,
  [99279] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_RPAREN,
  [99286] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
  [99293] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_RBRACE,
  [99300] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6537), 1,
      anon_sym_RPAREN,
  [99307] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6539), 1,
      anon_sym_BQUOTE,
  [99314] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_RBRACE,
  [99321] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_BQUOTE,
  [99328] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_RPAREN,
  [99335] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_RBRACE,
  [99342] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6543), 1,
      anon_sym_RPAREN,
  [99349] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
  [99356] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6545), 1,
      anon_sym_BQUOTE,
  [99363] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_RPAREN,
  [99370] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_RPAREN,
  [99377] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6547), 1,
      sym_heredoc_start,
  [99384] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6549), 1,
      anon_sym_RPAREN,
  [99391] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_RPAREN,
  [99398] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6050), 1,
      anon_sym_fi,
  [99405] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4479), 1,
      anon_sym_RPAREN,
  [99412] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
  [99419] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6551), 1,
      anon_sym_RPAREN,
  [99426] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_RPAREN,
  [99433] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6553), 1,
      anon_sym_BQUOTE,
  [99440] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6555), 1,
      anon_sym_BQUOTE,
  [99447] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym_BQUOTE,
  [99454] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_RPAREN,
  [99461] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
  [99468] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_RPAREN,
  [99475] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
  [99482] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_RPAREN,
  [99489] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6563), 1,
      anon_sym_BQUOTE,
  [99496] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6565), 1,
      anon_sym_RPAREN,
  [99503] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3686), 1,
      anon_sym_RBRACE,
  [99510] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6567), 1,
      anon_sym_BQUOTE,
  [99517] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_RPAREN,
  [99524] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_RPAREN,
  [99531] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_RBRACE,
  [99538] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6569), 1,
      anon_sym_RPAREN,
  [99545] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
  [99552] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_then,
  [99559] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6573), 1,
      anon_sym_fi,
  [99566] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
  [99573] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6575), 1,
      anon_sym_esac,
  [99580] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_esac,
  [99587] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6579), 1,
      sym_heredoc_start,
  [99594] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_RPAREN,
  [99601] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4477), 1,
      anon_sym_RPAREN,
  [99608] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3211), 1,
      anon_sym_RBRACE,
  [99615] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
  [99622] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
  [99629] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym_BQUOTE,
  [99636] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6583), 1,
      anon_sym_in,
  [99643] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_RPAREN,
  [99650] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6587), 1,
      anon_sym_RPAREN,
  [99657] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
  [99664] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6589), 1,
      anon_sym_esac,
  [99671] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_then,
  [99678] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_RBRACE,
  [99685] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6593), 1,
      anon_sym_in,
  [99692] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_esac,
  [99699] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6597), 1,
      sym_word,
  [99706] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_BQUOTE,
  [99713] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6601), 1,
      anon_sym_RPAREN,
  [99720] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6603), 1,
      anon_sym_RPAREN,
  [99727] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
  [99734] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_RBRACE,
  [99741] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
  [99748] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
  [99755] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6605), 1,
      anon_sym_fi,
  [99762] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_RBRACE,
  [99769] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6044), 1,
      anon_sym_fi,
  [99776] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6607), 1,
      anon_sym_then,
  [99783] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_RPAREN,
  [99790] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3291), 1,
      anon_sym_RBRACE,
  [99797] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym_RBRACE,
  [99804] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6609), 1,
      anon_sym_RPAREN,
  [99811] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6611), 1,
      anon_sym_BQUOTE,
  [99818] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6613), 1,
      anon_sym_RPAREN,
  [99825] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_RPAREN,
  [99832] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym_BQUOTE,
  [99839] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
  [99846] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
  [99853] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4396), 1,
      anon_sym_RPAREN,
  [99860] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_BQUOTE,
  [99867] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_RPAREN,
  [99874] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6623), 1,
      anon_sym_RPAREN,
  [99881] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym_BQUOTE,
  [99888] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_RBRACE,
  [99895] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym_esac,
  [99902] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_BQUOTE,
  [99909] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym_RBRACE,
  [99916] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_RBRACE,
  [99923] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym_RPAREN,
  [99930] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_RPAREN,
  [99937] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_BQUOTE,
  [99944] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6637), 1,
      anon_sym_RPAREN,
  [99951] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
  [99958] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_RPAREN,
  [99965] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6639), 1,
      anon_sym_esac,
  [99972] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6641), 1,
      anon_sym_RPAREN,
  [99979] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
  [99986] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym_RBRACK,
  [99993] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3011), 1,
      anon_sym_RBRACE,
  [100000] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_RBRACE,
  [100007] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6645), 1,
      anon_sym_SEMI_SEMI,
  [100014] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6647), 1,
      ts_builtin_sym_end,
  [100021] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6649), 1,
      ts_builtin_sym_end,
  [100028] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6651), 1,
      anon_sym_BQUOTE,
  [100035] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_SEMI_SEMI,
  [100042] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
  [100049] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4382), 1,
      anon_sym_RPAREN,
  [100056] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6655), 1,
      anon_sym_BQUOTE,
  [100063] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_RPAREN,
  [100070] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6659), 1,
      anon_sym_BQUOTE,
  [100077] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_RBRACE,
  [100084] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6661), 1,
      anon_sym_RPAREN,
  [100091] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4390), 1,
      anon_sym_RPAREN,
  [100098] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_RPAREN,
  [100105] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6663), 1,
      anon_sym_esac,
  [100112] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4410), 1,
      anon_sym_RPAREN,
  [100119] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6665), 1,
      anon_sym_esac,
  [100126] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4481), 1,
      anon_sym_RPAREN,
  [100133] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_RBRACE,
  [100140] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_RPAREN,
  [100147] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6669), 1,
      anon_sym_BQUOTE,
  [100154] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6671), 1,
      sym_word,
  [100161] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4870), 1,
      anon_sym_RBRACK,
  [100168] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
  [100175] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
  [100182] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6673), 1,
      anon_sym_BQUOTE,
  [100189] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
  [100196] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6675), 1,
      anon_sym_RPAREN,
  [100203] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(245), 1,
      anon_sym_SEMI_SEMI,
  [100210] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
  [100217] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_RBRACE,
  [100224] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6677), 1,
      anon_sym_RPAREN,
  [100231] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6679), 1,
      anon_sym_in,
  [100238] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6681), 1,
      anon_sym_in,
  [100245] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6683), 1,
      anon_sym_BQUOTE,
  [100252] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4505), 1,
      anon_sym_RPAREN,
  [100259] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
  [100266] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_RPAREN,
  [100273] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
  [100280] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(247), 1,
      anon_sym_SEMI_SEMI,
  [100287] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
  [100294] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
  [100301] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6685), 1,
      anon_sym_RPAREN,
  [100308] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_RPAREN,
  [100315] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6687), 1,
      anon_sym_BQUOTE,
  [100322] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3045), 1,
      anon_sym_RBRACE,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(125)] = 0,
  [SMALL_STATE(126)] = 59,
  [SMALL_STATE(127)] = 139,
  [SMALL_STATE(128)] = 219,
  [SMALL_STATE(129)] = 299,
  [SMALL_STATE(130)] = 379,
  [SMALL_STATE(131)] = 459,
  [SMALL_STATE(132)] = 539,
  [SMALL_STATE(133)] = 619,
  [SMALL_STATE(134)] = 699,
  [SMALL_STATE(135)] = 779,
  [SMALL_STATE(136)] = 856,
  [SMALL_STATE(137)] = 933,
  [SMALL_STATE(138)] = 994,
  [SMALL_STATE(139)] = 1055,
  [SMALL_STATE(140)] = 1116,
  [SMALL_STATE(141)] = 1177,
  [SMALL_STATE(142)] = 1238,
  [SMALL_STATE(143)] = 1296,
  [SMALL_STATE(144)] = 1346,
  [SMALL_STATE(145)] = 1422,
  [SMALL_STATE(146)] = 1480,
  [SMALL_STATE(147)] = 1536,
  [SMALL_STATE(148)] = 1596,
  [SMALL_STATE(149)] = 1654,
  [SMALL_STATE(150)] = 1712,
  [SMALL_STATE(151)] = 1788,
  [SMALL_STATE(152)] = 1864,
  [SMALL_STATE(153)] = 1940,
  [SMALL_STATE(154)] = 2016,
  [SMALL_STATE(155)] = 2076,
  [SMALL_STATE(156)] = 2126,
  [SMALL_STATE(157)] = 2186,
  [SMALL_STATE(158)] = 2246,
  [SMALL_STATE(159)] = 2322,
  [SMALL_STATE(160)] = 2398,
  [SMALL_STATE(161)] = 2474,
  [SMALL_STATE(162)] = 2534,
  [SMALL_STATE(163)] = 2610,
  [SMALL_STATE(164)] = 2686,
  [SMALL_STATE(165)] = 2762,
  [SMALL_STATE(166)] = 2838,
  [SMALL_STATE(167)] = 2914,
  [SMALL_STATE(168)] = 2990,
  [SMALL_STATE(169)] = 3066,
  [SMALL_STATE(170)] = 3124,
  [SMALL_STATE(171)] = 3182,
  [SMALL_STATE(172)] = 3242,
  [SMALL_STATE(173)] = 3315,
  [SMALL_STATE(174)] = 3388,
  [SMALL_STATE(175)] = 3461,
  [SMALL_STATE(176)] = 3520,
  [SMALL_STATE(177)] = 3579,
  [SMALL_STATE(178)] = 3652,
  [SMALL_STATE(179)] = 3725,
  [SMALL_STATE(180)] = 3784,
  [SMALL_STATE(181)] = 3857,
  [SMALL_STATE(182)] = 3930,
  [SMALL_STATE(183)] = 3987,
  [SMALL_STATE(184)] = 4044,
  [SMALL_STATE(185)] = 4117,
  [SMALL_STATE(186)] = 4172,
  [SMALL_STATE(187)] = 4245,
  [SMALL_STATE(188)] = 4318,
  [SMALL_STATE(189)] = 4391,
  [SMALL_STATE(190)] = 4464,
  [SMALL_STATE(191)] = 4537,
  [SMALL_STATE(192)] = 4589,
  [SMALL_STATE(193)] = 4639,
  [SMALL_STATE(194)] = 4691,
  [SMALL_STATE(195)] = 4781,
  [SMALL_STATE(196)] = 4871,
  [SMALL_STATE(197)] = 4921,
  [SMALL_STATE(198)] = 4991,
  [SMALL_STATE(199)] = 5043,
  [SMALL_STATE(200)] = 5133,
  [SMALL_STATE(201)] = 5183,
  [SMALL_STATE(202)] = 5273,
  [SMALL_STATE(203)] = 5343,
  [SMALL_STATE(204)] = 5393,
  [SMALL_STATE(205)] = 5445,
  [SMALL_STATE(206)] = 5492,
  [SMALL_STATE(207)] = 5539,
  [SMALL_STATE(208)] = 5588,
  [SMALL_STATE(209)] = 5637,
  [SMALL_STATE(210)] = 5686,
  [SMALL_STATE(211)] = 5735,
  [SMALL_STATE(212)] = 5783,
  [SMALL_STATE(213)] = 5829,
  [SMALL_STATE(214)] = 5877,
  [SMALL_STATE(215)] = 5925,
  [SMALL_STATE(216)] = 5973,
  [SMALL_STATE(217)] = 6019,
  [SMALL_STATE(218)] = 6079,
  [SMALL_STATE(219)] = 6129,
  [SMALL_STATE(220)] = 6179,
  [SMALL_STATE(221)] = 6239,
  [SMALL_STATE(222)] = 6289,
  [SMALL_STATE(223)] = 6349,
  [SMALL_STATE(224)] = 6401,
  [SMALL_STATE(225)] = 6451,
  [SMALL_STATE(226)] = 6511,
  [SMALL_STATE(227)] = 6571,
  [SMALL_STATE(228)] = 6623,
  [SMALL_STATE(229)] = 6673,
  [SMALL_STATE(230)] = 6723,
  [SMALL_STATE(231)] = 6775,
  [SMALL_STATE(232)] = 6835,
  [SMALL_STATE(233)] = 6882,
  [SMALL_STATE(234)] = 6939,
  [SMALL_STATE(235)] = 6998,
  [SMALL_STATE(236)] = 7045,
  [SMALL_STATE(237)] = 7092,
  [SMALL_STATE(238)] = 7139,
  [SMALL_STATE(239)] = 7196,
  [SMALL_STATE(240)] = 7243,
  [SMALL_STATE(241)] = 7290,
  [SMALL_STATE(242)] = 7337,
  [SMALL_STATE(243)] = 7386,
  [SMALL_STATE(244)] = 7433,
  [SMALL_STATE(245)] = 7480,
  [SMALL_STATE(246)] = 7527,
  [SMALL_STATE(247)] = 7574,
  [SMALL_STATE(248)] = 7621,
  [SMALL_STATE(249)] = 7668,
  [SMALL_STATE(250)] = 7725,
  [SMALL_STATE(251)] = 7772,
  [SMALL_STATE(252)] = 7819,
  [SMALL_STATE(253)] = 7866,
  [SMALL_STATE(254)] = 7925,
  [SMALL_STATE(255)] = 7976,
  [SMALL_STATE(256)] = 8023,
  [SMALL_STATE(257)] = 8070,
  [SMALL_STATE(258)] = 8117,
  [SMALL_STATE(259)] = 8174,
  [SMALL_STATE(260)] = 8221,
  [SMALL_STATE(261)] = 8268,
  [SMALL_STATE(262)] = 8315,
  [SMALL_STATE(263)] = 8362,
  [SMALL_STATE(264)] = 8409,
  [SMALL_STATE(265)] = 8456,
  [SMALL_STATE(266)] = 8503,
  [SMALL_STATE(267)] = 8550,
  [SMALL_STATE(268)] = 8597,
  [SMALL_STATE(269)] = 8656,
  [SMALL_STATE(270)] = 8703,
  [SMALL_STATE(271)] = 8750,
  [SMALL_STATE(272)] = 8809,
  [SMALL_STATE(273)] = 8856,
  [SMALL_STATE(274)] = 8903,
  [SMALL_STATE(275)] = 8950,
  [SMALL_STATE(276)] = 8996,
  [SMALL_STATE(277)] = 9038,
  [SMALL_STATE(278)] = 9080,
  [SMALL_STATE(279)] = 9122,
  [SMALL_STATE(280)] = 9164,
  [SMALL_STATE(281)] = 9206,
  [SMALL_STATE(282)] = 9248,
  [SMALL_STATE(283)] = 9290,
  [SMALL_STATE(284)] = 9332,
  [SMALL_STATE(285)] = 9374,
  [SMALL_STATE(286)] = 9416,
  [SMALL_STATE(287)] = 9458,
  [SMALL_STATE(288)] = 9500,
  [SMALL_STATE(289)] = 9542,
  [SMALL_STATE(290)] = 9584,
  [SMALL_STATE(291)] = 9626,
  [SMALL_STATE(292)] = 9668,
  [SMALL_STATE(293)] = 9710,
  [SMALL_STATE(294)] = 9752,
  [SMALL_STATE(295)] = 9794,
  [SMALL_STATE(296)] = 9836,
  [SMALL_STATE(297)] = 9878,
  [SMALL_STATE(298)] = 9920,
  [SMALL_STATE(299)] = 9962,
  [SMALL_STATE(300)] = 10004,
  [SMALL_STATE(301)] = 10050,
  [SMALL_STATE(302)] = 10092,
  [SMALL_STATE(303)] = 10144,
  [SMALL_STATE(304)] = 10186,
  [SMALL_STATE(305)] = 10232,
  [SMALL_STATE(306)] = 10278,
  [SMALL_STATE(307)] = 10320,
  [SMALL_STATE(308)] = 10362,
  [SMALL_STATE(309)] = 10404,
  [SMALL_STATE(310)] = 10446,
  [SMALL_STATE(311)] = 10488,
  [SMALL_STATE(312)] = 10530,
  [SMALL_STATE(313)] = 10572,
  [SMALL_STATE(314)] = 10618,
  [SMALL_STATE(315)] = 10660,
  [SMALL_STATE(316)] = 10706,
  [SMALL_STATE(317)] = 10748,
  [SMALL_STATE(318)] = 10790,
  [SMALL_STATE(319)] = 10836,
  [SMALL_STATE(320)] = 10878,
  [SMALL_STATE(321)] = 10920,
  [SMALL_STATE(322)] = 10962,
  [SMALL_STATE(323)] = 11004,
  [SMALL_STATE(324)] = 11046,
  [SMALL_STATE(325)] = 11088,
  [SMALL_STATE(326)] = 11130,
  [SMALL_STATE(327)] = 11172,
  [SMALL_STATE(328)] = 11214,
  [SMALL_STATE(329)] = 11256,
  [SMALL_STATE(330)] = 11302,
  [SMALL_STATE(331)] = 11348,
  [SMALL_STATE(332)] = 11390,
  [SMALL_STATE(333)] = 11432,
  [SMALL_STATE(334)] = 11478,
  [SMALL_STATE(335)] = 11524,
  [SMALL_STATE(336)] = 11566,
  [SMALL_STATE(337)] = 11608,
  [SMALL_STATE(338)] = 11654,
  [SMALL_STATE(339)] = 11696,
  [SMALL_STATE(340)] = 11738,
  [SMALL_STATE(341)] = 11780,
  [SMALL_STATE(342)] = 11822,
  [SMALL_STATE(343)] = 11864,
  [SMALL_STATE(344)] = 11910,
  [SMALL_STATE(345)] = 11952,
  [SMALL_STATE(346)] = 11994,
  [SMALL_STATE(347)] = 12036,
  [SMALL_STATE(348)] = 12078,
  [SMALL_STATE(349)] = 12120,
  [SMALL_STATE(350)] = 12162,
  [SMALL_STATE(351)] = 12204,
  [SMALL_STATE(352)] = 12250,
  [SMALL_STATE(353)] = 12292,
  [SMALL_STATE(354)] = 12338,
  [SMALL_STATE(355)] = 12384,
  [SMALL_STATE(356)] = 12426,
  [SMALL_STATE(357)] = 12468,
  [SMALL_STATE(358)] = 12510,
  [SMALL_STATE(359)] = 12556,
  [SMALL_STATE(360)] = 12602,
  [SMALL_STATE(361)] = 12644,
  [SMALL_STATE(362)] = 12686,
  [SMALL_STATE(363)] = 12728,
  [SMALL_STATE(364)] = 12770,
  [SMALL_STATE(365)] = 12812,
  [SMALL_STATE(366)] = 12854,
  [SMALL_STATE(367)] = 12896,
  [SMALL_STATE(368)] = 12938,
  [SMALL_STATE(369)] = 12980,
  [SMALL_STATE(370)] = 13026,
  [SMALL_STATE(371)] = 13068,
  [SMALL_STATE(372)] = 13110,
  [SMALL_STATE(373)] = 13152,
  [SMALL_STATE(374)] = 13194,
  [SMALL_STATE(375)] = 13240,
  [SMALL_STATE(376)] = 13286,
  [SMALL_STATE(377)] = 13328,
  [SMALL_STATE(378)] = 13370,
  [SMALL_STATE(379)] = 13412,
  [SMALL_STATE(380)] = 13454,
  [SMALL_STATE(381)] = 13496,
  [SMALL_STATE(382)] = 13538,
  [SMALL_STATE(383)] = 13580,
  [SMALL_STATE(384)] = 13622,
  [SMALL_STATE(385)] = 13664,
  [SMALL_STATE(386)] = 13706,
  [SMALL_STATE(387)] = 13748,
  [SMALL_STATE(388)] = 13790,
  [SMALL_STATE(389)] = 13832,
  [SMALL_STATE(390)] = 13874,
  [SMALL_STATE(391)] = 13916,
  [SMALL_STATE(392)] = 13958,
  [SMALL_STATE(393)] = 14000,
  [SMALL_STATE(394)] = 14042,
  [SMALL_STATE(395)] = 14084,
  [SMALL_STATE(396)] = 14126,
  [SMALL_STATE(397)] = 14172,
  [SMALL_STATE(398)] = 14218,
  [SMALL_STATE(399)] = 14260,
  [SMALL_STATE(400)] = 14302,
  [SMALL_STATE(401)] = 14344,
  [SMALL_STATE(402)] = 14390,
  [SMALL_STATE(403)] = 14432,
  [SMALL_STATE(404)] = 14474,
  [SMALL_STATE(405)] = 14516,
  [SMALL_STATE(406)] = 14558,
  [SMALL_STATE(407)] = 14600,
  [SMALL_STATE(408)] = 14642,
  [SMALL_STATE(409)] = 14684,
  [SMALL_STATE(410)] = 14726,
  [SMALL_STATE(411)] = 14768,
  [SMALL_STATE(412)] = 14810,
  [SMALL_STATE(413)] = 14852,
  [SMALL_STATE(414)] = 14898,
  [SMALL_STATE(415)] = 14940,
  [SMALL_STATE(416)] = 14982,
  [SMALL_STATE(417)] = 15024,
  [SMALL_STATE(418)] = 15066,
  [SMALL_STATE(419)] = 15108,
  [SMALL_STATE(420)] = 15150,
  [SMALL_STATE(421)] = 15196,
  [SMALL_STATE(422)] = 15242,
  [SMALL_STATE(423)] = 15284,
  [SMALL_STATE(424)] = 15326,
  [SMALL_STATE(425)] = 15368,
  [SMALL_STATE(426)] = 15410,
  [SMALL_STATE(427)] = 15452,
  [SMALL_STATE(428)] = 15494,
  [SMALL_STATE(429)] = 15540,
  [SMALL_STATE(430)] = 15582,
  [SMALL_STATE(431)] = 15624,
  [SMALL_STATE(432)] = 15670,
  [SMALL_STATE(433)] = 15712,
  [SMALL_STATE(434)] = 15754,
  [SMALL_STATE(435)] = 15800,
  [SMALL_STATE(436)] = 15846,
  [SMALL_STATE(437)] = 15892,
  [SMALL_STATE(438)] = 15938,
  [SMALL_STATE(439)] = 15980,
  [SMALL_STATE(440)] = 16022,
  [SMALL_STATE(441)] = 16064,
  [SMALL_STATE(442)] = 16110,
  [SMALL_STATE(443)] = 16152,
  [SMALL_STATE(444)] = 16198,
  [SMALL_STATE(445)] = 16240,
  [SMALL_STATE(446)] = 16282,
  [SMALL_STATE(447)] = 16324,
  [SMALL_STATE(448)] = 16366,
  [SMALL_STATE(449)] = 16408,
  [SMALL_STATE(450)] = 16450,
  [SMALL_STATE(451)] = 16492,
  [SMALL_STATE(452)] = 16538,
  [SMALL_STATE(453)] = 16580,
  [SMALL_STATE(454)] = 16626,
  [SMALL_STATE(455)] = 16668,
  [SMALL_STATE(456)] = 16714,
  [SMALL_STATE(457)] = 16760,
  [SMALL_STATE(458)] = 16802,
  [SMALL_STATE(459)] = 16844,
  [SMALL_STATE(460)] = 16886,
  [SMALL_STATE(461)] = 16932,
  [SMALL_STATE(462)] = 16974,
  [SMALL_STATE(463)] = 17016,
  [SMALL_STATE(464)] = 17058,
  [SMALL_STATE(465)] = 17100,
  [SMALL_STATE(466)] = 17146,
  [SMALL_STATE(467)] = 17192,
  [SMALL_STATE(468)] = 17238,
  [SMALL_STATE(469)] = 17280,
  [SMALL_STATE(470)] = 17326,
  [SMALL_STATE(471)] = 17372,
  [SMALL_STATE(472)] = 17413,
  [SMALL_STATE(473)] = 17454,
  [SMALL_STATE(474)] = 17495,
  [SMALL_STATE(475)] = 17536,
  [SMALL_STATE(476)] = 17577,
  [SMALL_STATE(477)] = 17618,
  [SMALL_STATE(478)] = 17659,
  [SMALL_STATE(479)] = 17700,
  [SMALL_STATE(480)] = 17741,
  [SMALL_STATE(481)] = 17782,
  [SMALL_STATE(482)] = 17823,
  [SMALL_STATE(483)] = 17868,
  [SMALL_STATE(484)] = 17909,
  [SMALL_STATE(485)] = 17950,
  [SMALL_STATE(486)] = 17991,
  [SMALL_STATE(487)] = 18032,
  [SMALL_STATE(488)] = 18073,
  [SMALL_STATE(489)] = 18114,
  [SMALL_STATE(490)] = 18155,
  [SMALL_STATE(491)] = 18196,
  [SMALL_STATE(492)] = 18237,
  [SMALL_STATE(493)] = 18278,
  [SMALL_STATE(494)] = 18319,
  [SMALL_STATE(495)] = 18360,
  [SMALL_STATE(496)] = 18401,
  [SMALL_STATE(497)] = 18442,
  [SMALL_STATE(498)] = 18483,
  [SMALL_STATE(499)] = 18524,
  [SMALL_STATE(500)] = 18565,
  [SMALL_STATE(501)] = 18606,
  [SMALL_STATE(502)] = 18647,
  [SMALL_STATE(503)] = 18688,
  [SMALL_STATE(504)] = 18729,
  [SMALL_STATE(505)] = 18770,
  [SMALL_STATE(506)] = 18811,
  [SMALL_STATE(507)] = 18856,
  [SMALL_STATE(508)] = 18897,
  [SMALL_STATE(509)] = 18938,
  [SMALL_STATE(510)] = 18979,
  [SMALL_STATE(511)] = 19020,
  [SMALL_STATE(512)] = 19061,
  [SMALL_STATE(513)] = 19102,
  [SMALL_STATE(514)] = 19143,
  [SMALL_STATE(515)] = 19188,
  [SMALL_STATE(516)] = 19229,
  [SMALL_STATE(517)] = 19270,
  [SMALL_STATE(518)] = 19311,
  [SMALL_STATE(519)] = 19352,
  [SMALL_STATE(520)] = 19393,
  [SMALL_STATE(521)] = 19434,
  [SMALL_STATE(522)] = 19485,
  [SMALL_STATE(523)] = 19526,
  [SMALL_STATE(524)] = 19567,
  [SMALL_STATE(525)] = 19608,
  [SMALL_STATE(526)] = 19649,
  [SMALL_STATE(527)] = 19690,
  [SMALL_STATE(528)] = 19731,
  [SMALL_STATE(529)] = 19772,
  [SMALL_STATE(530)] = 19813,
  [SMALL_STATE(531)] = 19858,
  [SMALL_STATE(532)] = 19899,
  [SMALL_STATE(533)] = 19940,
  [SMALL_STATE(534)] = 20013,
  [SMALL_STATE(535)] = 20054,
  [SMALL_STATE(536)] = 20095,
  [SMALL_STATE(537)] = 20136,
  [SMALL_STATE(538)] = 20177,
  [SMALL_STATE(539)] = 20250,
  [SMALL_STATE(540)] = 20291,
  [SMALL_STATE(541)] = 20332,
  [SMALL_STATE(542)] = 20373,
  [SMALL_STATE(543)] = 20414,
  [SMALL_STATE(544)] = 20455,
  [SMALL_STATE(545)] = 20496,
  [SMALL_STATE(546)] = 20537,
  [SMALL_STATE(547)] = 20578,
  [SMALL_STATE(548)] = 20619,
  [SMALL_STATE(549)] = 20660,
  [SMALL_STATE(550)] = 20701,
  [SMALL_STATE(551)] = 20742,
  [SMALL_STATE(552)] = 20783,
  [SMALL_STATE(553)] = 20824,
  [SMALL_STATE(554)] = 20865,
  [SMALL_STATE(555)] = 20906,
  [SMALL_STATE(556)] = 20947,
  [SMALL_STATE(557)] = 20988,
  [SMALL_STATE(558)] = 21029,
  [SMALL_STATE(559)] = 21070,
  [SMALL_STATE(560)] = 21111,
  [SMALL_STATE(561)] = 21152,
  [SMALL_STATE(562)] = 21193,
  [SMALL_STATE(563)] = 21266,
  [SMALL_STATE(564)] = 21307,
  [SMALL_STATE(565)] = 21352,
  [SMALL_STATE(566)] = 21401,
  [SMALL_STATE(567)] = 21442,
  [SMALL_STATE(568)] = 21483,
  [SMALL_STATE(569)] = 21528,
  [SMALL_STATE(570)] = 21569,
  [SMALL_STATE(571)] = 21610,
  [SMALL_STATE(572)] = 21651,
  [SMALL_STATE(573)] = 21692,
  [SMALL_STATE(574)] = 21733,
  [SMALL_STATE(575)] = 21778,
  [SMALL_STATE(576)] = 21851,
  [SMALL_STATE(577)] = 21896,
  [SMALL_STATE(578)] = 21937,
  [SMALL_STATE(579)] = 21978,
  [SMALL_STATE(580)] = 22023,
  [SMALL_STATE(581)] = 22064,
  [SMALL_STATE(582)] = 22115,
  [SMALL_STATE(583)] = 22156,
  [SMALL_STATE(584)] = 22197,
  [SMALL_STATE(585)] = 22242,
  [SMALL_STATE(586)] = 22283,
  [SMALL_STATE(587)] = 22324,
  [SMALL_STATE(588)] = 22365,
  [SMALL_STATE(589)] = 22406,
  [SMALL_STATE(590)] = 22447,
  [SMALL_STATE(591)] = 22488,
  [SMALL_STATE(592)] = 22529,
  [SMALL_STATE(593)] = 22570,
  [SMALL_STATE(594)] = 22611,
  [SMALL_STATE(595)] = 22652,
  [SMALL_STATE(596)] = 22693,
  [SMALL_STATE(597)] = 22734,
  [SMALL_STATE(598)] = 22775,
  [SMALL_STATE(599)] = 22816,
  [SMALL_STATE(600)] = 22857,
  [SMALL_STATE(601)] = 22898,
  [SMALL_STATE(602)] = 22939,
  [SMALL_STATE(603)] = 22980,
  [SMALL_STATE(604)] = 23021,
  [SMALL_STATE(605)] = 23062,
  [SMALL_STATE(606)] = 23103,
  [SMALL_STATE(607)] = 23144,
  [SMALL_STATE(608)] = 23185,
  [SMALL_STATE(609)] = 23226,
  [SMALL_STATE(610)] = 23267,
  [SMALL_STATE(611)] = 23308,
  [SMALL_STATE(612)] = 23349,
  [SMALL_STATE(613)] = 23390,
  [SMALL_STATE(614)] = 23431,
  [SMALL_STATE(615)] = 23472,
  [SMALL_STATE(616)] = 23513,
  [SMALL_STATE(617)] = 23554,
  [SMALL_STATE(618)] = 23595,
  [SMALL_STATE(619)] = 23636,
  [SMALL_STATE(620)] = 23677,
  [SMALL_STATE(621)] = 23718,
  [SMALL_STATE(622)] = 23759,
  [SMALL_STATE(623)] = 23800,
  [SMALL_STATE(624)] = 23845,
  [SMALL_STATE(625)] = 23886,
  [SMALL_STATE(626)] = 23927,
  [SMALL_STATE(627)] = 23968,
  [SMALL_STATE(628)] = 24009,
  [SMALL_STATE(629)] = 24050,
  [SMALL_STATE(630)] = 24091,
  [SMALL_STATE(631)] = 24132,
  [SMALL_STATE(632)] = 24173,
  [SMALL_STATE(633)] = 24214,
  [SMALL_STATE(634)] = 24255,
  [SMALL_STATE(635)] = 24296,
  [SMALL_STATE(636)] = 24337,
  [SMALL_STATE(637)] = 24378,
  [SMALL_STATE(638)] = 24419,
  [SMALL_STATE(639)] = 24460,
  [SMALL_STATE(640)] = 24501,
  [SMALL_STATE(641)] = 24542,
  [SMALL_STATE(642)] = 24587,
  [SMALL_STATE(643)] = 24628,
  [SMALL_STATE(644)] = 24669,
  [SMALL_STATE(645)] = 24710,
  [SMALL_STATE(646)] = 24751,
  [SMALL_STATE(647)] = 24792,
  [SMALL_STATE(648)] = 24833,
  [SMALL_STATE(649)] = 24874,
  [SMALL_STATE(650)] = 24915,
  [SMALL_STATE(651)] = 24956,
  [SMALL_STATE(652)] = 24997,
  [SMALL_STATE(653)] = 25038,
  [SMALL_STATE(654)] = 25079,
  [SMALL_STATE(655)] = 25120,
  [SMALL_STATE(656)] = 25161,
  [SMALL_STATE(657)] = 25202,
  [SMALL_STATE(658)] = 25243,
  [SMALL_STATE(659)] = 25284,
  [SMALL_STATE(660)] = 25325,
  [SMALL_STATE(661)] = 25366,
  [SMALL_STATE(662)] = 25407,
  [SMALL_STATE(663)] = 25448,
  [SMALL_STATE(664)] = 25489,
  [SMALL_STATE(665)] = 25529,
  [SMALL_STATE(666)] = 25569,
  [SMALL_STATE(667)] = 25609,
  [SMALL_STATE(668)] = 25649,
  [SMALL_STATE(669)] = 25689,
  [SMALL_STATE(670)] = 25729,
  [SMALL_STATE(671)] = 25769,
  [SMALL_STATE(672)] = 25809,
  [SMALL_STATE(673)] = 25849,
  [SMALL_STATE(674)] = 25889,
  [SMALL_STATE(675)] = 25929,
  [SMALL_STATE(676)] = 25969,
  [SMALL_STATE(677)] = 26009,
  [SMALL_STATE(678)] = 26049,
  [SMALL_STATE(679)] = 26089,
  [SMALL_STATE(680)] = 26152,
  [SMALL_STATE(681)] = 26215,
  [SMALL_STATE(682)] = 26278,
  [SMALL_STATE(683)] = 26329,
  [SMALL_STATE(684)] = 26392,
  [SMALL_STATE(685)] = 26445,
  [SMALL_STATE(686)] = 26508,
  [SMALL_STATE(687)] = 26571,
  [SMALL_STATE(688)] = 26623,
  [SMALL_STATE(689)] = 26675,
  [SMALL_STATE(690)] = 26740,
  [SMALL_STATE(691)] = 26805,
  [SMALL_STATE(692)] = 26870,
  [SMALL_STATE(693)] = 26935,
  [SMALL_STATE(694)] = 27000,
  [SMALL_STATE(695)] = 27065,
  [SMALL_STATE(696)] = 27130,
  [SMALL_STATE(697)] = 27195,
  [SMALL_STATE(698)] = 27260,
  [SMALL_STATE(699)] = 27325,
  [SMALL_STATE(700)] = 27390,
  [SMALL_STATE(701)] = 27455,
  [SMALL_STATE(702)] = 27520,
  [SMALL_STATE(703)] = 27585,
  [SMALL_STATE(704)] = 27650,
  [SMALL_STATE(705)] = 27715,
  [SMALL_STATE(706)] = 27780,
  [SMALL_STATE(707)] = 27845,
  [SMALL_STATE(708)] = 27910,
  [SMALL_STATE(709)] = 27975,
  [SMALL_STATE(710)] = 28040,
  [SMALL_STATE(711)] = 28105,
  [SMALL_STATE(712)] = 28170,
  [SMALL_STATE(713)] = 28235,
  [SMALL_STATE(714)] = 28300,
  [SMALL_STATE(715)] = 28365,
  [SMALL_STATE(716)] = 28430,
  [SMALL_STATE(717)] = 28495,
  [SMALL_STATE(718)] = 28560,
  [SMALL_STATE(719)] = 28625,
  [SMALL_STATE(720)] = 28690,
  [SMALL_STATE(721)] = 28755,
  [SMALL_STATE(722)] = 28820,
  [SMALL_STATE(723)] = 28885,
  [SMALL_STATE(724)] = 28950,
  [SMALL_STATE(725)] = 29015,
  [SMALL_STATE(726)] = 29080,
  [SMALL_STATE(727)] = 29145,
  [SMALL_STATE(728)] = 29210,
  [SMALL_STATE(729)] = 29275,
  [SMALL_STATE(730)] = 29340,
  [SMALL_STATE(731)] = 29405,
  [SMALL_STATE(732)] = 29470,
  [SMALL_STATE(733)] = 29535,
  [SMALL_STATE(734)] = 29600,
  [SMALL_STATE(735)] = 29665,
  [SMALL_STATE(736)] = 29730,
  [SMALL_STATE(737)] = 29795,
  [SMALL_STATE(738)] = 29860,
  [SMALL_STATE(739)] = 29925,
  [SMALL_STATE(740)] = 29990,
  [SMALL_STATE(741)] = 30055,
  [SMALL_STATE(742)] = 30120,
  [SMALL_STATE(743)] = 30185,
  [SMALL_STATE(744)] = 30250,
  [SMALL_STATE(745)] = 30315,
  [SMALL_STATE(746)] = 30380,
  [SMALL_STATE(747)] = 30445,
  [SMALL_STATE(748)] = 30510,
  [SMALL_STATE(749)] = 30575,
  [SMALL_STATE(750)] = 30640,
  [SMALL_STATE(751)] = 30705,
  [SMALL_STATE(752)] = 30770,
  [SMALL_STATE(753)] = 30835,
  [SMALL_STATE(754)] = 30900,
  [SMALL_STATE(755)] = 30965,
  [SMALL_STATE(756)] = 31030,
  [SMALL_STATE(757)] = 31095,
  [SMALL_STATE(758)] = 31160,
  [SMALL_STATE(759)] = 31225,
  [SMALL_STATE(760)] = 31290,
  [SMALL_STATE(761)] = 31355,
  [SMALL_STATE(762)] = 31420,
  [SMALL_STATE(763)] = 31485,
  [SMALL_STATE(764)] = 31550,
  [SMALL_STATE(765)] = 31615,
  [SMALL_STATE(766)] = 31680,
  [SMALL_STATE(767)] = 31745,
  [SMALL_STATE(768)] = 31810,
  [SMALL_STATE(769)] = 31875,
  [SMALL_STATE(770)] = 31940,
  [SMALL_STATE(771)] = 32005,
  [SMALL_STATE(772)] = 32070,
  [SMALL_STATE(773)] = 32135,
  [SMALL_STATE(774)] = 32200,
  [SMALL_STATE(775)] = 32265,
  [SMALL_STATE(776)] = 32330,
  [SMALL_STATE(777)] = 32395,
  [SMALL_STATE(778)] = 32460,
  [SMALL_STATE(779)] = 32525,
  [SMALL_STATE(780)] = 32590,
  [SMALL_STATE(781)] = 32655,
  [SMALL_STATE(782)] = 32720,
  [SMALL_STATE(783)] = 32785,
  [SMALL_STATE(784)] = 32850,
  [SMALL_STATE(785)] = 32915,
  [SMALL_STATE(786)] = 32980,
  [SMALL_STATE(787)] = 33045,
  [SMALL_STATE(788)] = 33110,
  [SMALL_STATE(789)] = 33175,
  [SMALL_STATE(790)] = 33240,
  [SMALL_STATE(791)] = 33305,
  [SMALL_STATE(792)] = 33370,
  [SMALL_STATE(793)] = 33435,
  [SMALL_STATE(794)] = 33500,
  [SMALL_STATE(795)] = 33565,
  [SMALL_STATE(796)] = 33630,
  [SMALL_STATE(797)] = 33695,
  [SMALL_STATE(798)] = 33760,
  [SMALL_STATE(799)] = 33825,
  [SMALL_STATE(800)] = 33890,
  [SMALL_STATE(801)] = 33955,
  [SMALL_STATE(802)] = 34020,
  [SMALL_STATE(803)] = 34085,
  [SMALL_STATE(804)] = 34150,
  [SMALL_STATE(805)] = 34215,
  [SMALL_STATE(806)] = 34280,
  [SMALL_STATE(807)] = 34345,
  [SMALL_STATE(808)] = 34410,
  [SMALL_STATE(809)] = 34475,
  [SMALL_STATE(810)] = 34540,
  [SMALL_STATE(811)] = 34605,
  [SMALL_STATE(812)] = 34670,
  [SMALL_STATE(813)] = 34735,
  [SMALL_STATE(814)] = 34800,
  [SMALL_STATE(815)] = 34865,
  [SMALL_STATE(816)] = 34930,
  [SMALL_STATE(817)] = 34995,
  [SMALL_STATE(818)] = 35060,
  [SMALL_STATE(819)] = 35125,
  [SMALL_STATE(820)] = 35190,
  [SMALL_STATE(821)] = 35255,
  [SMALL_STATE(822)] = 35320,
  [SMALL_STATE(823)] = 35385,
  [SMALL_STATE(824)] = 35450,
  [SMALL_STATE(825)] = 35515,
  [SMALL_STATE(826)] = 35580,
  [SMALL_STATE(827)] = 35645,
  [SMALL_STATE(828)] = 35710,
  [SMALL_STATE(829)] = 35775,
  [SMALL_STATE(830)] = 35840,
  [SMALL_STATE(831)] = 35905,
  [SMALL_STATE(832)] = 35970,
  [SMALL_STATE(833)] = 36035,
  [SMALL_STATE(834)] = 36100,
  [SMALL_STATE(835)] = 36165,
  [SMALL_STATE(836)] = 36230,
  [SMALL_STATE(837)] = 36295,
  [SMALL_STATE(838)] = 36360,
  [SMALL_STATE(839)] = 36425,
  [SMALL_STATE(840)] = 36490,
  [SMALL_STATE(841)] = 36555,
  [SMALL_STATE(842)] = 36620,
  [SMALL_STATE(843)] = 36685,
  [SMALL_STATE(844)] = 36750,
  [SMALL_STATE(845)] = 36815,
  [SMALL_STATE(846)] = 36880,
  [SMALL_STATE(847)] = 36945,
  [SMALL_STATE(848)] = 37010,
  [SMALL_STATE(849)] = 37075,
  [SMALL_STATE(850)] = 37140,
  [SMALL_STATE(851)] = 37205,
  [SMALL_STATE(852)] = 37270,
  [SMALL_STATE(853)] = 37335,
  [SMALL_STATE(854)] = 37400,
  [SMALL_STATE(855)] = 37465,
  [SMALL_STATE(856)] = 37530,
  [SMALL_STATE(857)] = 37595,
  [SMALL_STATE(858)] = 37660,
  [SMALL_STATE(859)] = 37725,
  [SMALL_STATE(860)] = 37790,
  [SMALL_STATE(861)] = 37855,
  [SMALL_STATE(862)] = 37920,
  [SMALL_STATE(863)] = 37985,
  [SMALL_STATE(864)] = 38050,
  [SMALL_STATE(865)] = 38115,
  [SMALL_STATE(866)] = 38180,
  [SMALL_STATE(867)] = 38245,
  [SMALL_STATE(868)] = 38310,
  [SMALL_STATE(869)] = 38375,
  [SMALL_STATE(870)] = 38440,
  [SMALL_STATE(871)] = 38505,
  [SMALL_STATE(872)] = 38570,
  [SMALL_STATE(873)] = 38635,
  [SMALL_STATE(874)] = 38700,
  [SMALL_STATE(875)] = 38765,
  [SMALL_STATE(876)] = 38830,
  [SMALL_STATE(877)] = 38895,
  [SMALL_STATE(878)] = 38960,
  [SMALL_STATE(879)] = 39025,
  [SMALL_STATE(880)] = 39090,
  [SMALL_STATE(881)] = 39155,
  [SMALL_STATE(882)] = 39220,
  [SMALL_STATE(883)] = 39285,
  [SMALL_STATE(884)] = 39350,
  [SMALL_STATE(885)] = 39415,
  [SMALL_STATE(886)] = 39480,
  [SMALL_STATE(887)] = 39545,
  [SMALL_STATE(888)] = 39610,
  [SMALL_STATE(889)] = 39675,
  [SMALL_STATE(890)] = 39740,
  [SMALL_STATE(891)] = 39805,
  [SMALL_STATE(892)] = 39870,
  [SMALL_STATE(893)] = 39935,
  [SMALL_STATE(894)] = 40000,
  [SMALL_STATE(895)] = 40065,
  [SMALL_STATE(896)] = 40130,
  [SMALL_STATE(897)] = 40195,
  [SMALL_STATE(898)] = 40257,
  [SMALL_STATE(899)] = 40319,
  [SMALL_STATE(900)] = 40381,
  [SMALL_STATE(901)] = 40443,
  [SMALL_STATE(902)] = 40505,
  [SMALL_STATE(903)] = 40567,
  [SMALL_STATE(904)] = 40629,
  [SMALL_STATE(905)] = 40691,
  [SMALL_STATE(906)] = 40753,
  [SMALL_STATE(907)] = 40815,
  [SMALL_STATE(908)] = 40877,
  [SMALL_STATE(909)] = 40939,
  [SMALL_STATE(910)] = 41001,
  [SMALL_STATE(911)] = 41063,
  [SMALL_STATE(912)] = 41125,
  [SMALL_STATE(913)] = 41187,
  [SMALL_STATE(914)] = 41249,
  [SMALL_STATE(915)] = 41311,
  [SMALL_STATE(916)] = 41373,
  [SMALL_STATE(917)] = 41435,
  [SMALL_STATE(918)] = 41497,
  [SMALL_STATE(919)] = 41559,
  [SMALL_STATE(920)] = 41621,
  [SMALL_STATE(921)] = 41683,
  [SMALL_STATE(922)] = 41745,
  [SMALL_STATE(923)] = 41807,
  [SMALL_STATE(924)] = 41869,
  [SMALL_STATE(925)] = 41931,
  [SMALL_STATE(926)] = 41993,
  [SMALL_STATE(927)] = 42055,
  [SMALL_STATE(928)] = 42117,
  [SMALL_STATE(929)] = 42179,
  [SMALL_STATE(930)] = 42241,
  [SMALL_STATE(931)] = 42303,
  [SMALL_STATE(932)] = 42365,
  [SMALL_STATE(933)] = 42427,
  [SMALL_STATE(934)] = 42489,
  [SMALL_STATE(935)] = 42551,
  [SMALL_STATE(936)] = 42613,
  [SMALL_STATE(937)] = 42675,
  [SMALL_STATE(938)] = 42737,
  [SMALL_STATE(939)] = 42799,
  [SMALL_STATE(940)] = 42861,
  [SMALL_STATE(941)] = 42923,
  [SMALL_STATE(942)] = 42985,
  [SMALL_STATE(943)] = 43047,
  [SMALL_STATE(944)] = 43109,
  [SMALL_STATE(945)] = 43171,
  [SMALL_STATE(946)] = 43235,
  [SMALL_STATE(947)] = 43297,
  [SMALL_STATE(948)] = 43359,
  [SMALL_STATE(949)] = 43421,
  [SMALL_STATE(950)] = 43483,
  [SMALL_STATE(951)] = 43545,
  [SMALL_STATE(952)] = 43607,
  [SMALL_STATE(953)] = 43669,
  [SMALL_STATE(954)] = 43731,
  [SMALL_STATE(955)] = 43793,
  [SMALL_STATE(956)] = 43855,
  [SMALL_STATE(957)] = 43917,
  [SMALL_STATE(958)] = 43979,
  [SMALL_STATE(959)] = 44041,
  [SMALL_STATE(960)] = 44103,
  [SMALL_STATE(961)] = 44165,
  [SMALL_STATE(962)] = 44227,
  [SMALL_STATE(963)] = 44289,
  [SMALL_STATE(964)] = 44351,
  [SMALL_STATE(965)] = 44413,
  [SMALL_STATE(966)] = 44475,
  [SMALL_STATE(967)] = 44537,
  [SMALL_STATE(968)] = 44599,
  [SMALL_STATE(969)] = 44661,
  [SMALL_STATE(970)] = 44723,
  [SMALL_STATE(971)] = 44785,
  [SMALL_STATE(972)] = 44847,
  [SMALL_STATE(973)] = 44909,
  [SMALL_STATE(974)] = 44971,
  [SMALL_STATE(975)] = 45033,
  [SMALL_STATE(976)] = 45095,
  [SMALL_STATE(977)] = 45157,
  [SMALL_STATE(978)] = 45219,
  [SMALL_STATE(979)] = 45281,
  [SMALL_STATE(980)] = 45343,
  [SMALL_STATE(981)] = 45405,
  [SMALL_STATE(982)] = 45467,
  [SMALL_STATE(983)] = 45529,
  [SMALL_STATE(984)] = 45591,
  [SMALL_STATE(985)] = 45653,
  [SMALL_STATE(986)] = 45715,
  [SMALL_STATE(987)] = 45777,
  [SMALL_STATE(988)] = 45839,
  [SMALL_STATE(989)] = 45901,
  [SMALL_STATE(990)] = 45963,
  [SMALL_STATE(991)] = 46025,
  [SMALL_STATE(992)] = 46087,
  [SMALL_STATE(993)] = 46149,
  [SMALL_STATE(994)] = 46211,
  [SMALL_STATE(995)] = 46273,
  [SMALL_STATE(996)] = 46335,
  [SMALL_STATE(997)] = 46397,
  [SMALL_STATE(998)] = 46459,
  [SMALL_STATE(999)] = 46521,
  [SMALL_STATE(1000)] = 46583,
  [SMALL_STATE(1001)] = 46645,
  [SMALL_STATE(1002)] = 46707,
  [SMALL_STATE(1003)] = 46769,
  [SMALL_STATE(1004)] = 46831,
  [SMALL_STATE(1005)] = 46893,
  [SMALL_STATE(1006)] = 46955,
  [SMALL_STATE(1007)] = 47017,
  [SMALL_STATE(1008)] = 47079,
  [SMALL_STATE(1009)] = 47141,
  [SMALL_STATE(1010)] = 47203,
  [SMALL_STATE(1011)] = 47265,
  [SMALL_STATE(1012)] = 47327,
  [SMALL_STATE(1013)] = 47389,
  [SMALL_STATE(1014)] = 47451,
  [SMALL_STATE(1015)] = 47513,
  [SMALL_STATE(1016)] = 47575,
  [SMALL_STATE(1017)] = 47637,
  [SMALL_STATE(1018)] = 47699,
  [SMALL_STATE(1019)] = 47761,
  [SMALL_STATE(1020)] = 47823,
  [SMALL_STATE(1021)] = 47885,
  [SMALL_STATE(1022)] = 47947,
  [SMALL_STATE(1023)] = 48009,
  [SMALL_STATE(1024)] = 48071,
  [SMALL_STATE(1025)] = 48133,
  [SMALL_STATE(1026)] = 48195,
  [SMALL_STATE(1027)] = 48257,
  [SMALL_STATE(1028)] = 48319,
  [SMALL_STATE(1029)] = 48381,
  [SMALL_STATE(1030)] = 48443,
  [SMALL_STATE(1031)] = 48505,
  [SMALL_STATE(1032)] = 48567,
  [SMALL_STATE(1033)] = 48629,
  [SMALL_STATE(1034)] = 48691,
  [SMALL_STATE(1035)] = 48753,
  [SMALL_STATE(1036)] = 48815,
  [SMALL_STATE(1037)] = 48877,
  [SMALL_STATE(1038)] = 48939,
  [SMALL_STATE(1039)] = 49003,
  [SMALL_STATE(1040)] = 49065,
  [SMALL_STATE(1041)] = 49127,
  [SMALL_STATE(1042)] = 49189,
  [SMALL_STATE(1043)] = 49251,
  [SMALL_STATE(1044)] = 49313,
  [SMALL_STATE(1045)] = 49375,
  [SMALL_STATE(1046)] = 49437,
  [SMALL_STATE(1047)] = 49499,
  [SMALL_STATE(1048)] = 49561,
  [SMALL_STATE(1049)] = 49623,
  [SMALL_STATE(1050)] = 49685,
  [SMALL_STATE(1051)] = 49747,
  [SMALL_STATE(1052)] = 49809,
  [SMALL_STATE(1053)] = 49871,
  [SMALL_STATE(1054)] = 49933,
  [SMALL_STATE(1055)] = 49995,
  [SMALL_STATE(1056)] = 50057,
  [SMALL_STATE(1057)] = 50119,
  [SMALL_STATE(1058)] = 50181,
  [SMALL_STATE(1059)] = 50243,
  [SMALL_STATE(1060)] = 50305,
  [SMALL_STATE(1061)] = 50367,
  [SMALL_STATE(1062)] = 50429,
  [SMALL_STATE(1063)] = 50491,
  [SMALL_STATE(1064)] = 50553,
  [SMALL_STATE(1065)] = 50615,
  [SMALL_STATE(1066)] = 50677,
  [SMALL_STATE(1067)] = 50739,
  [SMALL_STATE(1068)] = 50801,
  [SMALL_STATE(1069)] = 50863,
  [SMALL_STATE(1070)] = 50925,
  [SMALL_STATE(1071)] = 50987,
  [SMALL_STATE(1072)] = 51049,
  [SMALL_STATE(1073)] = 51111,
  [SMALL_STATE(1074)] = 51173,
  [SMALL_STATE(1075)] = 51235,
  [SMALL_STATE(1076)] = 51297,
  [SMALL_STATE(1077)] = 51359,
  [SMALL_STATE(1078)] = 51421,
  [SMALL_STATE(1079)] = 51483,
  [SMALL_STATE(1080)] = 51547,
  [SMALL_STATE(1081)] = 51609,
  [SMALL_STATE(1082)] = 51671,
  [SMALL_STATE(1083)] = 51733,
  [SMALL_STATE(1084)] = 51795,
  [SMALL_STATE(1085)] = 51857,
  [SMALL_STATE(1086)] = 51919,
  [SMALL_STATE(1087)] = 51981,
  [SMALL_STATE(1088)] = 52043,
  [SMALL_STATE(1089)] = 52105,
  [SMALL_STATE(1090)] = 52167,
  [SMALL_STATE(1091)] = 52229,
  [SMALL_STATE(1092)] = 52291,
  [SMALL_STATE(1093)] = 52353,
  [SMALL_STATE(1094)] = 52415,
  [SMALL_STATE(1095)] = 52477,
  [SMALL_STATE(1096)] = 52539,
  [SMALL_STATE(1097)] = 52601,
  [SMALL_STATE(1098)] = 52663,
  [SMALL_STATE(1099)] = 52725,
  [SMALL_STATE(1100)] = 52787,
  [SMALL_STATE(1101)] = 52849,
  [SMALL_STATE(1102)] = 52911,
  [SMALL_STATE(1103)] = 52973,
  [SMALL_STATE(1104)] = 53035,
  [SMALL_STATE(1105)] = 53097,
  [SMALL_STATE(1106)] = 53159,
  [SMALL_STATE(1107)] = 53221,
  [SMALL_STATE(1108)] = 53283,
  [SMALL_STATE(1109)] = 53345,
  [SMALL_STATE(1110)] = 53407,
  [SMALL_STATE(1111)] = 53471,
  [SMALL_STATE(1112)] = 53533,
  [SMALL_STATE(1113)] = 53595,
  [SMALL_STATE(1114)] = 53657,
  [SMALL_STATE(1115)] = 53719,
  [SMALL_STATE(1116)] = 53781,
  [SMALL_STATE(1117)] = 53843,
  [SMALL_STATE(1118)] = 53905,
  [SMALL_STATE(1119)] = 53967,
  [SMALL_STATE(1120)] = 54029,
  [SMALL_STATE(1121)] = 54091,
  [SMALL_STATE(1122)] = 54153,
  [SMALL_STATE(1123)] = 54217,
  [SMALL_STATE(1124)] = 54279,
  [SMALL_STATE(1125)] = 54341,
  [SMALL_STATE(1126)] = 54403,
  [SMALL_STATE(1127)] = 54465,
  [SMALL_STATE(1128)] = 54527,
  [SMALL_STATE(1129)] = 54589,
  [SMALL_STATE(1130)] = 54651,
  [SMALL_STATE(1131)] = 54713,
  [SMALL_STATE(1132)] = 54775,
  [SMALL_STATE(1133)] = 54837,
  [SMALL_STATE(1134)] = 54899,
  [SMALL_STATE(1135)] = 54961,
  [SMALL_STATE(1136)] = 55023,
  [SMALL_STATE(1137)] = 55085,
  [SMALL_STATE(1138)] = 55147,
  [SMALL_STATE(1139)] = 55211,
  [SMALL_STATE(1140)] = 55273,
  [SMALL_STATE(1141)] = 55335,
  [SMALL_STATE(1142)] = 55397,
  [SMALL_STATE(1143)] = 55459,
  [SMALL_STATE(1144)] = 55521,
  [SMALL_STATE(1145)] = 55583,
  [SMALL_STATE(1146)] = 55645,
  [SMALL_STATE(1147)] = 55707,
  [SMALL_STATE(1148)] = 55769,
  [SMALL_STATE(1149)] = 55831,
  [SMALL_STATE(1150)] = 55893,
  [SMALL_STATE(1151)] = 55955,
  [SMALL_STATE(1152)] = 56017,
  [SMALL_STATE(1153)] = 56079,
  [SMALL_STATE(1154)] = 56141,
  [SMALL_STATE(1155)] = 56203,
  [SMALL_STATE(1156)] = 56265,
  [SMALL_STATE(1157)] = 56327,
  [SMALL_STATE(1158)] = 56389,
  [SMALL_STATE(1159)] = 56451,
  [SMALL_STATE(1160)] = 56513,
  [SMALL_STATE(1161)] = 56575,
  [SMALL_STATE(1162)] = 56637,
  [SMALL_STATE(1163)] = 56699,
  [SMALL_STATE(1164)] = 56761,
  [SMALL_STATE(1165)] = 56823,
  [SMALL_STATE(1166)] = 56885,
  [SMALL_STATE(1167)] = 56947,
  [SMALL_STATE(1168)] = 57009,
  [SMALL_STATE(1169)] = 57071,
  [SMALL_STATE(1170)] = 57133,
  [SMALL_STATE(1171)] = 57195,
  [SMALL_STATE(1172)] = 57257,
  [SMALL_STATE(1173)] = 57319,
  [SMALL_STATE(1174)] = 57381,
  [SMALL_STATE(1175)] = 57443,
  [SMALL_STATE(1176)] = 57505,
  [SMALL_STATE(1177)] = 57567,
  [SMALL_STATE(1178)] = 57629,
  [SMALL_STATE(1179)] = 57691,
  [SMALL_STATE(1180)] = 57753,
  [SMALL_STATE(1181)] = 57815,
  [SMALL_STATE(1182)] = 57877,
  [SMALL_STATE(1183)] = 57939,
  [SMALL_STATE(1184)] = 58001,
  [SMALL_STATE(1185)] = 58063,
  [SMALL_STATE(1186)] = 58125,
  [SMALL_STATE(1187)] = 58187,
  [SMALL_STATE(1188)] = 58249,
  [SMALL_STATE(1189)] = 58311,
  [SMALL_STATE(1190)] = 58373,
  [SMALL_STATE(1191)] = 58435,
  [SMALL_STATE(1192)] = 58497,
  [SMALL_STATE(1193)] = 58559,
  [SMALL_STATE(1194)] = 58621,
  [SMALL_STATE(1195)] = 58683,
  [SMALL_STATE(1196)] = 58745,
  [SMALL_STATE(1197)] = 58807,
  [SMALL_STATE(1198)] = 58869,
  [SMALL_STATE(1199)] = 58931,
  [SMALL_STATE(1200)] = 58993,
  [SMALL_STATE(1201)] = 59055,
  [SMALL_STATE(1202)] = 59117,
  [SMALL_STATE(1203)] = 59179,
  [SMALL_STATE(1204)] = 59241,
  [SMALL_STATE(1205)] = 59303,
  [SMALL_STATE(1206)] = 59365,
  [SMALL_STATE(1207)] = 59427,
  [SMALL_STATE(1208)] = 59489,
  [SMALL_STATE(1209)] = 59551,
  [SMALL_STATE(1210)] = 59613,
  [SMALL_STATE(1211)] = 59675,
  [SMALL_STATE(1212)] = 59737,
  [SMALL_STATE(1213)] = 59799,
  [SMALL_STATE(1214)] = 59861,
  [SMALL_STATE(1215)] = 59923,
  [SMALL_STATE(1216)] = 59985,
  [SMALL_STATE(1217)] = 60049,
  [SMALL_STATE(1218)] = 60111,
  [SMALL_STATE(1219)] = 60173,
  [SMALL_STATE(1220)] = 60235,
  [SMALL_STATE(1221)] = 60297,
  [SMALL_STATE(1222)] = 60359,
  [SMALL_STATE(1223)] = 60421,
  [SMALL_STATE(1224)] = 60483,
  [SMALL_STATE(1225)] = 60547,
  [SMALL_STATE(1226)] = 60609,
  [SMALL_STATE(1227)] = 60671,
  [SMALL_STATE(1228)] = 60733,
  [SMALL_STATE(1229)] = 60795,
  [SMALL_STATE(1230)] = 60859,
  [SMALL_STATE(1231)] = 60921,
  [SMALL_STATE(1232)] = 60983,
  [SMALL_STATE(1233)] = 61045,
  [SMALL_STATE(1234)] = 61107,
  [SMALL_STATE(1235)] = 61171,
  [SMALL_STATE(1236)] = 61233,
  [SMALL_STATE(1237)] = 61295,
  [SMALL_STATE(1238)] = 61359,
  [SMALL_STATE(1239)] = 61421,
  [SMALL_STATE(1240)] = 61483,
  [SMALL_STATE(1241)] = 61545,
  [SMALL_STATE(1242)] = 61607,
  [SMALL_STATE(1243)] = 61669,
  [SMALL_STATE(1244)] = 61731,
  [SMALL_STATE(1245)] = 61793,
  [SMALL_STATE(1246)] = 61855,
  [SMALL_STATE(1247)] = 61919,
  [SMALL_STATE(1248)] = 61981,
  [SMALL_STATE(1249)] = 62043,
  [SMALL_STATE(1250)] = 62105,
  [SMALL_STATE(1251)] = 62167,
  [SMALL_STATE(1252)] = 62229,
  [SMALL_STATE(1253)] = 62291,
  [SMALL_STATE(1254)] = 62353,
  [SMALL_STATE(1255)] = 62415,
  [SMALL_STATE(1256)] = 62477,
  [SMALL_STATE(1257)] = 62539,
  [SMALL_STATE(1258)] = 62601,
  [SMALL_STATE(1259)] = 62663,
  [SMALL_STATE(1260)] = 62725,
  [SMALL_STATE(1261)] = 62787,
  [SMALL_STATE(1262)] = 62849,
  [SMALL_STATE(1263)] = 62911,
  [SMALL_STATE(1264)] = 62973,
  [SMALL_STATE(1265)] = 63035,
  [SMALL_STATE(1266)] = 63097,
  [SMALL_STATE(1267)] = 63159,
  [SMALL_STATE(1268)] = 63223,
  [SMALL_STATE(1269)] = 63285,
  [SMALL_STATE(1270)] = 63347,
  [SMALL_STATE(1271)] = 63409,
  [SMALL_STATE(1272)] = 63471,
  [SMALL_STATE(1273)] = 63533,
  [SMALL_STATE(1274)] = 63595,
  [SMALL_STATE(1275)] = 63657,
  [SMALL_STATE(1276)] = 63718,
  [SMALL_STATE(1277)] = 63779,
  [SMALL_STATE(1278)] = 63840,
  [SMALL_STATE(1279)] = 63901,
  [SMALL_STATE(1280)] = 63962,
  [SMALL_STATE(1281)] = 64023,
  [SMALL_STATE(1282)] = 64084,
  [SMALL_STATE(1283)] = 64145,
  [SMALL_STATE(1284)] = 64206,
  [SMALL_STATE(1285)] = 64267,
  [SMALL_STATE(1286)] = 64328,
  [SMALL_STATE(1287)] = 64389,
  [SMALL_STATE(1288)] = 64450,
  [SMALL_STATE(1289)] = 64511,
  [SMALL_STATE(1290)] = 64572,
  [SMALL_STATE(1291)] = 64633,
  [SMALL_STATE(1292)] = 64694,
  [SMALL_STATE(1293)] = 64755,
  [SMALL_STATE(1294)] = 64816,
  [SMALL_STATE(1295)] = 64863,
  [SMALL_STATE(1296)] = 64924,
  [SMALL_STATE(1297)] = 64967,
  [SMALL_STATE(1298)] = 65002,
  [SMALL_STATE(1299)] = 65045,
  [SMALL_STATE(1300)] = 65088,
  [SMALL_STATE(1301)] = 65136,
  [SMALL_STATE(1302)] = 65178,
  [SMALL_STATE(1303)] = 65214,
  [SMALL_STATE(1304)] = 65262,
  [SMALL_STATE(1305)] = 65310,
  [SMALL_STATE(1306)] = 65346,
  [SMALL_STATE(1307)] = 65394,
  [SMALL_STATE(1308)] = 65442,
  [SMALL_STATE(1309)] = 65476,
  [SMALL_STATE(1310)] = 65512,
  [SMALL_STATE(1311)] = 65556,
  [SMALL_STATE(1312)] = 65598,
  [SMALL_STATE(1313)] = 65646,
  [SMALL_STATE(1314)] = 65680,
  [SMALL_STATE(1315)] = 65716,
  [SMALL_STATE(1316)] = 65752,
  [SMALL_STATE(1317)] = 65806,
  [SMALL_STATE(1318)] = 65842,
  [SMALL_STATE(1319)] = 65896,
  [SMALL_STATE(1320)] = 65932,
  [SMALL_STATE(1321)] = 65980,
  [SMALL_STATE(1322)] = 66016,
  [SMALL_STATE(1323)] = 66052,
  [SMALL_STATE(1324)] = 66106,
  [SMALL_STATE(1325)] = 66148,
  [SMALL_STATE(1326)] = 66182,
  [SMALL_STATE(1327)] = 66224,
  [SMALL_STATE(1328)] = 66260,
  [SMALL_STATE(1329)] = 66308,
  [SMALL_STATE(1330)] = 66339,
  [SMALL_STATE(1331)] = 66370,
  [SMALL_STATE(1332)] = 66403,
  [SMALL_STATE(1333)] = 66436,
  [SMALL_STATE(1334)] = 66471,
  [SMALL_STATE(1335)] = 66506,
  [SMALL_STATE(1336)] = 66551,
  [SMALL_STATE(1337)] = 66584,
  [SMALL_STATE(1338)] = 66619,
  [SMALL_STATE(1339)] = 66654,
  [SMALL_STATE(1340)] = 66711,
  [SMALL_STATE(1341)] = 66744,
  [SMALL_STATE(1342)] = 66779,
  [SMALL_STATE(1343)] = 66836,
  [SMALL_STATE(1344)] = 66893,
  [SMALL_STATE(1345)] = 66940,
  [SMALL_STATE(1346)] = 66997,
  [SMALL_STATE(1347)] = 67042,
  [SMALL_STATE(1348)] = 67087,
  [SMALL_STATE(1349)] = 67122,
  [SMALL_STATE(1350)] = 67179,
  [SMALL_STATE(1351)] = 67236,
  [SMALL_STATE(1352)] = 67293,
  [SMALL_STATE(1353)] = 67326,
  [SMALL_STATE(1354)] = 67357,
  [SMALL_STATE(1355)] = 67388,
  [SMALL_STATE(1356)] = 67419,
  [SMALL_STATE(1357)] = 67450,
  [SMALL_STATE(1358)] = 67481,
  [SMALL_STATE(1359)] = 67512,
  [SMALL_STATE(1360)] = 67543,
  [SMALL_STATE(1361)] = 67578,
  [SMALL_STATE(1362)] = 67609,
  [SMALL_STATE(1363)] = 67640,
  [SMALL_STATE(1364)] = 67671,
  [SMALL_STATE(1365)] = 67702,
  [SMALL_STATE(1366)] = 67733,
  [SMALL_STATE(1367)] = 67764,
  [SMALL_STATE(1368)] = 67795,
  [SMALL_STATE(1369)] = 67826,
  [SMALL_STATE(1370)] = 67857,
  [SMALL_STATE(1371)] = 67888,
  [SMALL_STATE(1372)] = 67945,
  [SMALL_STATE(1373)] = 67980,
  [SMALL_STATE(1374)] = 68015,
  [SMALL_STATE(1375)] = 68046,
  [SMALL_STATE(1376)] = 68077,
  [SMALL_STATE(1377)] = 68108,
  [SMALL_STATE(1378)] = 68155,
  [SMALL_STATE(1379)] = 68186,
  [SMALL_STATE(1380)] = 68217,
  [SMALL_STATE(1381)] = 68248,
  [SMALL_STATE(1382)] = 68283,
  [SMALL_STATE(1383)] = 68318,
  [SMALL_STATE(1384)] = 68363,
  [SMALL_STATE(1385)] = 68394,
  [SMALL_STATE(1386)] = 68424,
  [SMALL_STATE(1387)] = 68454,
  [SMALL_STATE(1388)] = 68484,
  [SMALL_STATE(1389)] = 68536,
  [SMALL_STATE(1390)] = 68570,
  [SMALL_STATE(1391)] = 68600,
  [SMALL_STATE(1392)] = 68630,
  [SMALL_STATE(1393)] = 68660,
  [SMALL_STATE(1394)] = 68690,
  [SMALL_STATE(1395)] = 68720,
  [SMALL_STATE(1396)] = 68750,
  [SMALL_STATE(1397)] = 68780,
  [SMALL_STATE(1398)] = 68814,
  [SMALL_STATE(1399)] = 68848,
  [SMALL_STATE(1400)] = 68878,
  [SMALL_STATE(1401)] = 68930,
  [SMALL_STATE(1402)] = 68960,
  [SMALL_STATE(1403)] = 69012,
  [SMALL_STATE(1404)] = 69042,
  [SMALL_STATE(1405)] = 69072,
  [SMALL_STATE(1406)] = 69102,
  [SMALL_STATE(1407)] = 69132,
  [SMALL_STATE(1408)] = 69162,
  [SMALL_STATE(1409)] = 69192,
  [SMALL_STATE(1410)] = 69244,
  [SMALL_STATE(1411)] = 69274,
  [SMALL_STATE(1412)] = 69304,
  [SMALL_STATE(1413)] = 69334,
  [SMALL_STATE(1414)] = 69364,
  [SMALL_STATE(1415)] = 69394,
  [SMALL_STATE(1416)] = 69424,
  [SMALL_STATE(1417)] = 69454,
  [SMALL_STATE(1418)] = 69484,
  [SMALL_STATE(1419)] = 69514,
  [SMALL_STATE(1420)] = 69544,
  [SMALL_STATE(1421)] = 69574,
  [SMALL_STATE(1422)] = 69608,
  [SMALL_STATE(1423)] = 69638,
  [SMALL_STATE(1424)] = 69690,
  [SMALL_STATE(1425)] = 69720,
  [SMALL_STATE(1426)] = 69772,
  [SMALL_STATE(1427)] = 69806,
  [SMALL_STATE(1428)] = 69836,
  [SMALL_STATE(1429)] = 69866,
  [SMALL_STATE(1430)] = 69900,
  [SMALL_STATE(1431)] = 69930,
  [SMALL_STATE(1432)] = 69960,
  [SMALL_STATE(1433)] = 70012,
  [SMALL_STATE(1434)] = 70042,
  [SMALL_STATE(1435)] = 70072,
  [SMALL_STATE(1436)] = 70106,
  [SMALL_STATE(1437)] = 70136,
  [SMALL_STATE(1438)] = 70166,
  [SMALL_STATE(1439)] = 70196,
  [SMALL_STATE(1440)] = 70226,
  [SMALL_STATE(1441)] = 70278,
  [SMALL_STATE(1442)] = 70308,
  [SMALL_STATE(1443)] = 70342,
  [SMALL_STATE(1444)] = 70376,
  [SMALL_STATE(1445)] = 70406,
  [SMALL_STATE(1446)] = 70436,
  [SMALL_STATE(1447)] = 70466,
  [SMALL_STATE(1448)] = 70518,
  [SMALL_STATE(1449)] = 70548,
  [SMALL_STATE(1450)] = 70582,
  [SMALL_STATE(1451)] = 70612,
  [SMALL_STATE(1452)] = 70654,
  [SMALL_STATE(1453)] = 70684,
  [SMALL_STATE(1454)] = 70718,
  [SMALL_STATE(1455)] = 70748,
  [SMALL_STATE(1456)] = 70778,
  [SMALL_STATE(1457)] = 70808,
  [SMALL_STATE(1458)] = 70838,
  [SMALL_STATE(1459)] = 70868,
  [SMALL_STATE(1460)] = 70898,
  [SMALL_STATE(1461)] = 70928,
  [SMALL_STATE(1462)] = 70958,
  [SMALL_STATE(1463)] = 70988,
  [SMALL_STATE(1464)] = 71018,
  [SMALL_STATE(1465)] = 71048,
  [SMALL_STATE(1466)] = 71078,
  [SMALL_STATE(1467)] = 71108,
  [SMALL_STATE(1468)] = 71138,
  [SMALL_STATE(1469)] = 71168,
  [SMALL_STATE(1470)] = 71198,
  [SMALL_STATE(1471)] = 71228,
  [SMALL_STATE(1472)] = 71258,
  [SMALL_STATE(1473)] = 71288,
  [SMALL_STATE(1474)] = 71318,
  [SMALL_STATE(1475)] = 71348,
  [SMALL_STATE(1476)] = 71400,
  [SMALL_STATE(1477)] = 71430,
  [SMALL_STATE(1478)] = 71460,
  [SMALL_STATE(1479)] = 71490,
  [SMALL_STATE(1480)] = 71520,
  [SMALL_STATE(1481)] = 71554,
  [SMALL_STATE(1482)] = 71584,
  [SMALL_STATE(1483)] = 71614,
  [SMALL_STATE(1484)] = 71648,
  [SMALL_STATE(1485)] = 71678,
  [SMALL_STATE(1486)] = 71706,
  [SMALL_STATE(1487)] = 71736,
  [SMALL_STATE(1488)] = 71766,
  [SMALL_STATE(1489)] = 71800,
  [SMALL_STATE(1490)] = 71852,
  [SMALL_STATE(1491)] = 71882,
  [SMALL_STATE(1492)] = 71912,
  [SMALL_STATE(1493)] = 71942,
  [SMALL_STATE(1494)] = 71994,
  [SMALL_STATE(1495)] = 72046,
  [SMALL_STATE(1496)] = 72076,
  [SMALL_STATE(1497)] = 72106,
  [SMALL_STATE(1498)] = 72136,
  [SMALL_STATE(1499)] = 72166,
  [SMALL_STATE(1500)] = 72196,
  [SMALL_STATE(1501)] = 72226,
  [SMALL_STATE(1502)] = 72260,
  [SMALL_STATE(1503)] = 72290,
  [SMALL_STATE(1504)] = 72320,
  [SMALL_STATE(1505)] = 72350,
  [SMALL_STATE(1506)] = 72402,
  [SMALL_STATE(1507)] = 72436,
  [SMALL_STATE(1508)] = 72470,
  [SMALL_STATE(1509)] = 72500,
  [SMALL_STATE(1510)] = 72530,
  [SMALL_STATE(1511)] = 72560,
  [SMALL_STATE(1512)] = 72612,
  [SMALL_STATE(1513)] = 72642,
  [SMALL_STATE(1514)] = 72672,
  [SMALL_STATE(1515)] = 72721,
  [SMALL_STATE(1516)] = 72754,
  [SMALL_STATE(1517)] = 72783,
  [SMALL_STATE(1518)] = 72814,
  [SMALL_STATE(1519)] = 72845,
  [SMALL_STATE(1520)] = 72874,
  [SMALL_STATE(1521)] = 72905,
  [SMALL_STATE(1522)] = 72934,
  [SMALL_STATE(1523)] = 72967,
  [SMALL_STATE(1524)] = 73000,
  [SMALL_STATE(1525)] = 73033,
  [SMALL_STATE(1526)] = 73066,
  [SMALL_STATE(1527)] = 73115,
  [SMALL_STATE(1528)] = 73148,
  [SMALL_STATE(1529)] = 73177,
  [SMALL_STATE(1530)] = 73206,
  [SMALL_STATE(1531)] = 73235,
  [SMALL_STATE(1532)] = 73268,
  [SMALL_STATE(1533)] = 73299,
  [SMALL_STATE(1534)] = 73332,
  [SMALL_STATE(1535)] = 73361,
  [SMALL_STATE(1536)] = 73394,
  [SMALL_STATE(1537)] = 73425,
  [SMALL_STATE(1538)] = 73456,
  [SMALL_STATE(1539)] = 73485,
  [SMALL_STATE(1540)] = 73534,
  [SMALL_STATE(1541)] = 73583,
  [SMALL_STATE(1542)] = 73612,
  [SMALL_STATE(1543)] = 73643,
  [SMALL_STATE(1544)] = 73674,
  [SMALL_STATE(1545)] = 73723,
  [SMALL_STATE(1546)] = 73754,
  [SMALL_STATE(1547)] = 73783,
  [SMALL_STATE(1548)] = 73812,
  [SMALL_STATE(1549)] = 73845,
  [SMALL_STATE(1550)] = 73878,
  [SMALL_STATE(1551)] = 73909,
  [SMALL_STATE(1552)] = 73958,
  [SMALL_STATE(1553)] = 73989,
  [SMALL_STATE(1554)] = 74020,
  [SMALL_STATE(1555)] = 74049,
  [SMALL_STATE(1556)] = 74078,
  [SMALL_STATE(1557)] = 74107,
  [SMALL_STATE(1558)] = 74136,
  [SMALL_STATE(1559)] = 74185,
  [SMALL_STATE(1560)] = 74214,
  [SMALL_STATE(1561)] = 74245,
  [SMALL_STATE(1562)] = 74278,
  [SMALL_STATE(1563)] = 74307,
  [SMALL_STATE(1564)] = 74340,
  [SMALL_STATE(1565)] = 74371,
  [SMALL_STATE(1566)] = 74400,
  [SMALL_STATE(1567)] = 74429,
  [SMALL_STATE(1568)] = 74462,
  [SMALL_STATE(1569)] = 74493,
  [SMALL_STATE(1570)] = 74542,
  [SMALL_STATE(1571)] = 74591,
  [SMALL_STATE(1572)] = 74620,
  [SMALL_STATE(1573)] = 74653,
  [SMALL_STATE(1574)] = 74682,
  [SMALL_STATE(1575)] = 74711,
  [SMALL_STATE(1576)] = 74760,
  [SMALL_STATE(1577)] = 74789,
  [SMALL_STATE(1578)] = 74818,
  [SMALL_STATE(1579)] = 74849,
  [SMALL_STATE(1580)] = 74882,
  [SMALL_STATE(1581)] = 74911,
  [SMALL_STATE(1582)] = 74960,
  [SMALL_STATE(1583)] = 74989,
  [SMALL_STATE(1584)] = 75020,
  [SMALL_STATE(1585)] = 75051,
  [SMALL_STATE(1586)] = 75082,
  [SMALL_STATE(1587)] = 75113,
  [SMALL_STATE(1588)] = 75144,
  [SMALL_STATE(1589)] = 75173,
  [SMALL_STATE(1590)] = 75222,
  [SMALL_STATE(1591)] = 75255,
  [SMALL_STATE(1592)] = 75288,
  [SMALL_STATE(1593)] = 75319,
  [SMALL_STATE(1594)] = 75350,
  [SMALL_STATE(1595)] = 75381,
  [SMALL_STATE(1596)] = 75430,
  [SMALL_STATE(1597)] = 75461,
  [SMALL_STATE(1598)] = 75490,
  [SMALL_STATE(1599)] = 75521,
  [SMALL_STATE(1600)] = 75570,
  [SMALL_STATE(1601)] = 75619,
  [SMALL_STATE(1602)] = 75668,
  [SMALL_STATE(1603)] = 75699,
  [SMALL_STATE(1604)] = 75730,
  [SMALL_STATE(1605)] = 75763,
  [SMALL_STATE(1606)] = 75794,
  [SMALL_STATE(1607)] = 75821,
  [SMALL_STATE(1608)] = 75852,
  [SMALL_STATE(1609)] = 75879,
  [SMALL_STATE(1610)] = 75912,
  [SMALL_STATE(1611)] = 75945,
  [SMALL_STATE(1612)] = 75972,
  [SMALL_STATE(1613)] = 76001,
  [SMALL_STATE(1614)] = 76028,
  [SMALL_STATE(1615)] = 76076,
  [SMALL_STATE(1616)] = 76104,
  [SMALL_STATE(1617)] = 76150,
  [SMALL_STATE(1618)] = 76178,
  [SMALL_STATE(1619)] = 76226,
  [SMALL_STATE(1620)] = 76274,
  [SMALL_STATE(1621)] = 76322,
  [SMALL_STATE(1622)] = 76350,
  [SMALL_STATE(1623)] = 76382,
  [SMALL_STATE(1624)] = 76410,
  [SMALL_STATE(1625)] = 76458,
  [SMALL_STATE(1626)] = 76506,
  [SMALL_STATE(1627)] = 76534,
  [SMALL_STATE(1628)] = 76562,
  [SMALL_STATE(1629)] = 76590,
  [SMALL_STATE(1630)] = 76618,
  [SMALL_STATE(1631)] = 76646,
  [SMALL_STATE(1632)] = 76694,
  [SMALL_STATE(1633)] = 76722,
  [SMALL_STATE(1634)] = 76770,
  [SMALL_STATE(1635)] = 76798,
  [SMALL_STATE(1636)] = 76826,
  [SMALL_STATE(1637)] = 76874,
  [SMALL_STATE(1638)] = 76902,
  [SMALL_STATE(1639)] = 76930,
  [SMALL_STATE(1640)] = 76958,
  [SMALL_STATE(1641)] = 76986,
  [SMALL_STATE(1642)] = 77014,
  [SMALL_STATE(1643)] = 77062,
  [SMALL_STATE(1644)] = 77090,
  [SMALL_STATE(1645)] = 77118,
  [SMALL_STATE(1646)] = 77166,
  [SMALL_STATE(1647)] = 77214,
  [SMALL_STATE(1648)] = 77242,
  [SMALL_STATE(1649)] = 77270,
  [SMALL_STATE(1650)] = 77318,
  [SMALL_STATE(1651)] = 77346,
  [SMALL_STATE(1652)] = 77374,
  [SMALL_STATE(1653)] = 77402,
  [SMALL_STATE(1654)] = 77430,
  [SMALL_STATE(1655)] = 77458,
  [SMALL_STATE(1656)] = 77506,
  [SMALL_STATE(1657)] = 77534,
  [SMALL_STATE(1658)] = 77566,
  [SMALL_STATE(1659)] = 77594,
  [SMALL_STATE(1660)] = 77622,
  [SMALL_STATE(1661)] = 77670,
  [SMALL_STATE(1662)] = 77698,
  [SMALL_STATE(1663)] = 77726,
  [SMALL_STATE(1664)] = 77774,
  [SMALL_STATE(1665)] = 77822,
  [SMALL_STATE(1666)] = 77850,
  [SMALL_STATE(1667)] = 77898,
  [SMALL_STATE(1668)] = 77946,
  [SMALL_STATE(1669)] = 77974,
  [SMALL_STATE(1670)] = 78022,
  [SMALL_STATE(1671)] = 78050,
  [SMALL_STATE(1672)] = 78098,
  [SMALL_STATE(1673)] = 78126,
  [SMALL_STATE(1674)] = 78154,
  [SMALL_STATE(1675)] = 78182,
  [SMALL_STATE(1676)] = 78210,
  [SMALL_STATE(1677)] = 78238,
  [SMALL_STATE(1678)] = 78266,
  [SMALL_STATE(1679)] = 78314,
  [SMALL_STATE(1680)] = 78346,
  [SMALL_STATE(1681)] = 78394,
  [SMALL_STATE(1682)] = 78422,
  [SMALL_STATE(1683)] = 78470,
  [SMALL_STATE(1684)] = 78498,
  [SMALL_STATE(1685)] = 78526,
  [SMALL_STATE(1686)] = 78554,
  [SMALL_STATE(1687)] = 78582,
  [SMALL_STATE(1688)] = 78630,
  [SMALL_STATE(1689)] = 78678,
  [SMALL_STATE(1690)] = 78706,
  [SMALL_STATE(1691)] = 78734,
  [SMALL_STATE(1692)] = 78762,
  [SMALL_STATE(1693)] = 78790,
  [SMALL_STATE(1694)] = 78822,
  [SMALL_STATE(1695)] = 78854,
  [SMALL_STATE(1696)] = 78882,
  [SMALL_STATE(1697)] = 78930,
  [SMALL_STATE(1698)] = 78978,
  [SMALL_STATE(1699)] = 79026,
  [SMALL_STATE(1700)] = 79054,
  [SMALL_STATE(1701)] = 79082,
  [SMALL_STATE(1702)] = 79110,
  [SMALL_STATE(1703)] = 79138,
  [SMALL_STATE(1704)] = 79166,
  [SMALL_STATE(1705)] = 79194,
  [SMALL_STATE(1706)] = 79222,
  [SMALL_STATE(1707)] = 79250,
  [SMALL_STATE(1708)] = 79278,
  [SMALL_STATE(1709)] = 79306,
  [SMALL_STATE(1710)] = 79334,
  [SMALL_STATE(1711)] = 79362,
  [SMALL_STATE(1712)] = 79410,
  [SMALL_STATE(1713)] = 79458,
  [SMALL_STATE(1714)] = 79490,
  [SMALL_STATE(1715)] = 79518,
  [SMALL_STATE(1716)] = 79546,
  [SMALL_STATE(1717)] = 79574,
  [SMALL_STATE(1718)] = 79602,
  [SMALL_STATE(1719)] = 79630,
  [SMALL_STATE(1720)] = 79658,
  [SMALL_STATE(1721)] = 79706,
  [SMALL_STATE(1722)] = 79734,
  [SMALL_STATE(1723)] = 79766,
  [SMALL_STATE(1724)] = 79814,
  [SMALL_STATE(1725)] = 79842,
  [SMALL_STATE(1726)] = 79870,
  [SMALL_STATE(1727)] = 79898,
  [SMALL_STATE(1728)] = 79930,
  [SMALL_STATE(1729)] = 79958,
  [SMALL_STATE(1730)] = 79986,
  [SMALL_STATE(1731)] = 80014,
  [SMALL_STATE(1732)] = 80042,
  [SMALL_STATE(1733)] = 80070,
  [SMALL_STATE(1734)] = 80098,
  [SMALL_STATE(1735)] = 80126,
  [SMALL_STATE(1736)] = 80154,
  [SMALL_STATE(1737)] = 80182,
  [SMALL_STATE(1738)] = 80230,
  [SMALL_STATE(1739)] = 80258,
  [SMALL_STATE(1740)] = 80286,
  [SMALL_STATE(1741)] = 80314,
  [SMALL_STATE(1742)] = 80342,
  [SMALL_STATE(1743)] = 80370,
  [SMALL_STATE(1744)] = 80398,
  [SMALL_STATE(1745)] = 80430,
  [SMALL_STATE(1746)] = 80458,
  [SMALL_STATE(1747)] = 80490,
  [SMALL_STATE(1748)] = 80518,
  [SMALL_STATE(1749)] = 80546,
  [SMALL_STATE(1750)] = 80574,
  [SMALL_STATE(1751)] = 80622,
  [SMALL_STATE(1752)] = 80670,
  [SMALL_STATE(1753)] = 80698,
  [SMALL_STATE(1754)] = 80726,
  [SMALL_STATE(1755)] = 80774,
  [SMALL_STATE(1756)] = 80822,
  [SMALL_STATE(1757)] = 80850,
  [SMALL_STATE(1758)] = 80878,
  [SMALL_STATE(1759)] = 80926,
  [SMALL_STATE(1760)] = 80958,
  [SMALL_STATE(1761)] = 81006,
  [SMALL_STATE(1762)] = 81054,
  [SMALL_STATE(1763)] = 81082,
  [SMALL_STATE(1764)] = 81110,
  [SMALL_STATE(1765)] = 81142,
  [SMALL_STATE(1766)] = 81170,
  [SMALL_STATE(1767)] = 81218,
  [SMALL_STATE(1768)] = 81246,
  [SMALL_STATE(1769)] = 81274,
  [SMALL_STATE(1770)] = 81322,
  [SMALL_STATE(1771)] = 81350,
  [SMALL_STATE(1772)] = 81378,
  [SMALL_STATE(1773)] = 81406,
  [SMALL_STATE(1774)] = 81438,
  [SMALL_STATE(1775)] = 81466,
  [SMALL_STATE(1776)] = 81514,
  [SMALL_STATE(1777)] = 81542,
  [SMALL_STATE(1778)] = 81570,
  [SMALL_STATE(1779)] = 81598,
  [SMALL_STATE(1780)] = 81626,
  [SMALL_STATE(1781)] = 81654,
  [SMALL_STATE(1782)] = 81682,
  [SMALL_STATE(1783)] = 81710,
  [SMALL_STATE(1784)] = 81738,
  [SMALL_STATE(1785)] = 81766,
  [SMALL_STATE(1786)] = 81812,
  [SMALL_STATE(1787)] = 81840,
  [SMALL_STATE(1788)] = 81868,
  [SMALL_STATE(1789)] = 81896,
  [SMALL_STATE(1790)] = 81924,
  [SMALL_STATE(1791)] = 81952,
  [SMALL_STATE(1792)] = 81980,
  [SMALL_STATE(1793)] = 82028,
  [SMALL_STATE(1794)] = 82056,
  [SMALL_STATE(1795)] = 82084,
  [SMALL_STATE(1796)] = 82132,
  [SMALL_STATE(1797)] = 82180,
  [SMALL_STATE(1798)] = 82212,
  [SMALL_STATE(1799)] = 82240,
  [SMALL_STATE(1800)] = 82288,
  [SMALL_STATE(1801)] = 82336,
  [SMALL_STATE(1802)] = 82364,
  [SMALL_STATE(1803)] = 82412,
  [SMALL_STATE(1804)] = 82440,
  [SMALL_STATE(1805)] = 82488,
  [SMALL_STATE(1806)] = 82516,
  [SMALL_STATE(1807)] = 82564,
  [SMALL_STATE(1808)] = 82592,
  [SMALL_STATE(1809)] = 82640,
  [SMALL_STATE(1810)] = 82668,
  [SMALL_STATE(1811)] = 82716,
  [SMALL_STATE(1812)] = 82744,
  [SMALL_STATE(1813)] = 82792,
  [SMALL_STATE(1814)] = 82819,
  [SMALL_STATE(1815)] = 82846,
  [SMALL_STATE(1816)] = 82891,
  [SMALL_STATE(1817)] = 82936,
  [SMALL_STATE(1818)] = 82981,
  [SMALL_STATE(1819)] = 83026,
  [SMALL_STATE(1820)] = 83071,
  [SMALL_STATE(1821)] = 83116,
  [SMALL_STATE(1822)] = 83143,
  [SMALL_STATE(1823)] = 83188,
  [SMALL_STATE(1824)] = 83215,
  [SMALL_STATE(1825)] = 83260,
  [SMALL_STATE(1826)] = 83305,
  [SMALL_STATE(1827)] = 83332,
  [SMALL_STATE(1828)] = 83359,
  [SMALL_STATE(1829)] = 83386,
  [SMALL_STATE(1830)] = 83413,
  [SMALL_STATE(1831)] = 83458,
  [SMALL_STATE(1832)] = 83503,
  [SMALL_STATE(1833)] = 83530,
  [SMALL_STATE(1834)] = 83575,
  [SMALL_STATE(1835)] = 83602,
  [SMALL_STATE(1836)] = 83647,
  [SMALL_STATE(1837)] = 83674,
  [SMALL_STATE(1838)] = 83701,
  [SMALL_STATE(1839)] = 83728,
  [SMALL_STATE(1840)] = 83773,
  [SMALL_STATE(1841)] = 83818,
  [SMALL_STATE(1842)] = 83845,
  [SMALL_STATE(1843)] = 83872,
  [SMALL_STATE(1844)] = 83899,
  [SMALL_STATE(1845)] = 83926,
  [SMALL_STATE(1846)] = 83953,
  [SMALL_STATE(1847)] = 83980,
  [SMALL_STATE(1848)] = 84007,
  [SMALL_STATE(1849)] = 84034,
  [SMALL_STATE(1850)] = 84079,
  [SMALL_STATE(1851)] = 84106,
  [SMALL_STATE(1852)] = 84133,
  [SMALL_STATE(1853)] = 84160,
  [SMALL_STATE(1854)] = 84187,
  [SMALL_STATE(1855)] = 84214,
  [SMALL_STATE(1856)] = 84241,
  [SMALL_STATE(1857)] = 84268,
  [SMALL_STATE(1858)] = 84295,
  [SMALL_STATE(1859)] = 84322,
  [SMALL_STATE(1860)] = 84349,
  [SMALL_STATE(1861)] = 84376,
  [SMALL_STATE(1862)] = 84403,
  [SMALL_STATE(1863)] = 84435,
  [SMALL_STATE(1864)] = 84467,
  [SMALL_STATE(1865)] = 84493,
  [SMALL_STATE(1866)] = 84519,
  [SMALL_STATE(1867)] = 84551,
  [SMALL_STATE(1868)] = 84577,
  [SMALL_STATE(1869)] = 84603,
  [SMALL_STATE(1870)] = 84629,
  [SMALL_STATE(1871)] = 84661,
  [SMALL_STATE(1872)] = 84693,
  [SMALL_STATE(1873)] = 84725,
  [SMALL_STATE(1874)] = 84757,
  [SMALL_STATE(1875)] = 84789,
  [SMALL_STATE(1876)] = 84821,
  [SMALL_STATE(1877)] = 84853,
  [SMALL_STATE(1878)] = 84885,
  [SMALL_STATE(1879)] = 84917,
  [SMALL_STATE(1880)] = 84949,
  [SMALL_STATE(1881)] = 84981,
  [SMALL_STATE(1882)] = 85013,
  [SMALL_STATE(1883)] = 85045,
  [SMALL_STATE(1884)] = 85077,
  [SMALL_STATE(1885)] = 85109,
  [SMALL_STATE(1886)] = 85145,
  [SMALL_STATE(1887)] = 85171,
  [SMALL_STATE(1888)] = 85213,
  [SMALL_STATE(1889)] = 85239,
  [SMALL_STATE(1890)] = 85265,
  [SMALL_STATE(1891)] = 85307,
  [SMALL_STATE(1892)] = 85339,
  [SMALL_STATE(1893)] = 85371,
  [SMALL_STATE(1894)] = 85403,
  [SMALL_STATE(1895)] = 85435,
  [SMALL_STATE(1896)] = 85472,
  [SMALL_STATE(1897)] = 85509,
  [SMALL_STATE(1898)] = 85546,
  [SMALL_STATE(1899)] = 85583,
  [SMALL_STATE(1900)] = 85620,
  [SMALL_STATE(1901)] = 85657,
  [SMALL_STATE(1902)] = 85694,
  [SMALL_STATE(1903)] = 85731,
  [SMALL_STATE(1904)] = 85768,
  [SMALL_STATE(1905)] = 85805,
  [SMALL_STATE(1906)] = 85834,
  [SMALL_STATE(1907)] = 85871,
  [SMALL_STATE(1908)] = 85908,
  [SMALL_STATE(1909)] = 85945,
  [SMALL_STATE(1910)] = 85982,
  [SMALL_STATE(1911)] = 86019,
  [SMALL_STATE(1912)] = 86056,
  [SMALL_STATE(1913)] = 86093,
  [SMALL_STATE(1914)] = 86130,
  [SMALL_STATE(1915)] = 86167,
  [SMALL_STATE(1916)] = 86204,
  [SMALL_STATE(1917)] = 86241,
  [SMALL_STATE(1918)] = 86278,
  [SMALL_STATE(1919)] = 86315,
  [SMALL_STATE(1920)] = 86352,
  [SMALL_STATE(1921)] = 86389,
  [SMALL_STATE(1922)] = 86426,
  [SMALL_STATE(1923)] = 86463,
  [SMALL_STATE(1924)] = 86500,
  [SMALL_STATE(1925)] = 86537,
  [SMALL_STATE(1926)] = 86574,
  [SMALL_STATE(1927)] = 86611,
  [SMALL_STATE(1928)] = 86648,
  [SMALL_STATE(1929)] = 86685,
  [SMALL_STATE(1930)] = 86722,
  [SMALL_STATE(1931)] = 86759,
  [SMALL_STATE(1932)] = 86796,
  [SMALL_STATE(1933)] = 86833,
  [SMALL_STATE(1934)] = 86862,
  [SMALL_STATE(1935)] = 86899,
  [SMALL_STATE(1936)] = 86936,
  [SMALL_STATE(1937)] = 86973,
  [SMALL_STATE(1938)] = 87010,
  [SMALL_STATE(1939)] = 87047,
  [SMALL_STATE(1940)] = 87084,
  [SMALL_STATE(1941)] = 87121,
  [SMALL_STATE(1942)] = 87158,
  [SMALL_STATE(1943)] = 87195,
  [SMALL_STATE(1944)] = 87224,
  [SMALL_STATE(1945)] = 87261,
  [SMALL_STATE(1946)] = 87298,
  [SMALL_STATE(1947)] = 87335,
  [SMALL_STATE(1948)] = 87372,
  [SMALL_STATE(1949)] = 87409,
  [SMALL_STATE(1950)] = 87438,
  [SMALL_STATE(1951)] = 87462,
  [SMALL_STATE(1952)] = 87490,
  [SMALL_STATE(1953)] = 87514,
  [SMALL_STATE(1954)] = 87542,
  [SMALL_STATE(1955)] = 87566,
  [SMALL_STATE(1956)] = 87590,
  [SMALL_STATE(1957)] = 87614,
  [SMALL_STATE(1958)] = 87638,
  [SMALL_STATE(1959)] = 87662,
  [SMALL_STATE(1960)] = 87686,
  [SMALL_STATE(1961)] = 87710,
  [SMALL_STATE(1962)] = 87734,
  [SMALL_STATE(1963)] = 87758,
  [SMALL_STATE(1964)] = 87782,
  [SMALL_STATE(1965)] = 87806,
  [SMALL_STATE(1966)] = 87830,
  [SMALL_STATE(1967)] = 87854,
  [SMALL_STATE(1968)] = 87878,
  [SMALL_STATE(1969)] = 87902,
  [SMALL_STATE(1970)] = 87926,
  [SMALL_STATE(1971)] = 87950,
  [SMALL_STATE(1972)] = 87974,
  [SMALL_STATE(1973)] = 87998,
  [SMALL_STATE(1974)] = 88022,
  [SMALL_STATE(1975)] = 88046,
  [SMALL_STATE(1976)] = 88070,
  [SMALL_STATE(1977)] = 88094,
  [SMALL_STATE(1978)] = 88117,
  [SMALL_STATE(1979)] = 88150,
  [SMALL_STATE(1980)] = 88183,
  [SMALL_STATE(1981)] = 88209,
  [SMALL_STATE(1982)] = 88241,
  [SMALL_STATE(1983)] = 88267,
  [SMALL_STATE(1984)] = 88293,
  [SMALL_STATE(1985)] = 88319,
  [SMALL_STATE(1986)] = 88348,
  [SMALL_STATE(1987)] = 88369,
  [SMALL_STATE(1988)] = 88390,
  [SMALL_STATE(1989)] = 88415,
  [SMALL_STATE(1990)] = 88444,
  [SMALL_STATE(1991)] = 88465,
  [SMALL_STATE(1992)] = 88486,
  [SMALL_STATE(1993)] = 88507,
  [SMALL_STATE(1994)] = 88536,
  [SMALL_STATE(1995)] = 88557,
  [SMALL_STATE(1996)] = 88578,
  [SMALL_STATE(1997)] = 88599,
  [SMALL_STATE(1998)] = 88628,
  [SMALL_STATE(1999)] = 88657,
  [SMALL_STATE(2000)] = 88678,
  [SMALL_STATE(2001)] = 88699,
  [SMALL_STATE(2002)] = 88728,
  [SMALL_STATE(2003)] = 88757,
  [SMALL_STATE(2004)] = 88778,
  [SMALL_STATE(2005)] = 88807,
  [SMALL_STATE(2006)] = 88836,
  [SMALL_STATE(2007)] = 88857,
  [SMALL_STATE(2008)] = 88878,
  [SMALL_STATE(2009)] = 88899,
  [SMALL_STATE(2010)] = 88928,
  [SMALL_STATE(2011)] = 88949,
  [SMALL_STATE(2012)] = 88970,
  [SMALL_STATE(2013)] = 88999,
  [SMALL_STATE(2014)] = 89020,
  [SMALL_STATE(2015)] = 89049,
  [SMALL_STATE(2016)] = 89078,
  [SMALL_STATE(2017)] = 89107,
  [SMALL_STATE(2018)] = 89128,
  [SMALL_STATE(2019)] = 89157,
  [SMALL_STATE(2020)] = 89186,
  [SMALL_STATE(2021)] = 89207,
  [SMALL_STATE(2022)] = 89236,
  [SMALL_STATE(2023)] = 89257,
  [SMALL_STATE(2024)] = 89286,
  [SMALL_STATE(2025)] = 89315,
  [SMALL_STATE(2026)] = 89336,
  [SMALL_STATE(2027)] = 89365,
  [SMALL_STATE(2028)] = 89394,
  [SMALL_STATE(2029)] = 89415,
  [SMALL_STATE(2030)] = 89444,
  [SMALL_STATE(2031)] = 89465,
  [SMALL_STATE(2032)] = 89494,
  [SMALL_STATE(2033)] = 89519,
  [SMALL_STATE(2034)] = 89540,
  [SMALL_STATE(2035)] = 89561,
  [SMALL_STATE(2036)] = 89590,
  [SMALL_STATE(2037)] = 89614,
  [SMALL_STATE(2038)] = 89638,
  [SMALL_STATE(2039)] = 89662,
  [SMALL_STATE(2040)] = 89684,
  [SMALL_STATE(2041)] = 89712,
  [SMALL_STATE(2042)] = 89736,
  [SMALL_STATE(2043)] = 89760,
  [SMALL_STATE(2044)] = 89784,
  [SMALL_STATE(2045)] = 89808,
  [SMALL_STATE(2046)] = 89830,
  [SMALL_STATE(2047)] = 89854,
  [SMALL_STATE(2048)] = 89878,
  [SMALL_STATE(2049)] = 89902,
  [SMALL_STATE(2050)] = 89926,
  [SMALL_STATE(2051)] = 89954,
  [SMALL_STATE(2052)] = 89982,
  [SMALL_STATE(2053)] = 90006,
  [SMALL_STATE(2054)] = 90034,
  [SMALL_STATE(2055)] = 90058,
  [SMALL_STATE(2056)] = 90082,
  [SMALL_STATE(2057)] = 90110,
  [SMALL_STATE(2058)] = 90134,
  [SMALL_STATE(2059)] = 90158,
  [SMALL_STATE(2060)] = 90186,
  [SMALL_STATE(2061)] = 90210,
  [SMALL_STATE(2062)] = 90238,
  [SMALL_STATE(2063)] = 90266,
  [SMALL_STATE(2064)] = 90290,
  [SMALL_STATE(2065)] = 90314,
  [SMALL_STATE(2066)] = 90338,
  [SMALL_STATE(2067)] = 90362,
  [SMALL_STATE(2068)] = 90386,
  [SMALL_STATE(2069)] = 90414,
  [SMALL_STATE(2070)] = 90438,
  [SMALL_STATE(2071)] = 90466,
  [SMALL_STATE(2072)] = 90488,
  [SMALL_STATE(2073)] = 90512,
  [SMALL_STATE(2074)] = 90540,
  [SMALL_STATE(2075)] = 90568,
  [SMALL_STATE(2076)] = 90592,
  [SMALL_STATE(2077)] = 90620,
  [SMALL_STATE(2078)] = 90644,
  [SMALL_STATE(2079)] = 90668,
  [SMALL_STATE(2080)] = 90696,
  [SMALL_STATE(2081)] = 90720,
  [SMALL_STATE(2082)] = 90744,
  [SMALL_STATE(2083)] = 90768,
  [SMALL_STATE(2084)] = 90796,
  [SMALL_STATE(2085)] = 90824,
  [SMALL_STATE(2086)] = 90848,
  [SMALL_STATE(2087)] = 90872,
  [SMALL_STATE(2088)] = 90900,
  [SMALL_STATE(2089)] = 90928,
  [SMALL_STATE(2090)] = 90952,
  [SMALL_STATE(2091)] = 90976,
  [SMALL_STATE(2092)] = 91000,
  [SMALL_STATE(2093)] = 91028,
  [SMALL_STATE(2094)] = 91052,
  [SMALL_STATE(2095)] = 91074,
  [SMALL_STATE(2096)] = 91094,
  [SMALL_STATE(2097)] = 91122,
  [SMALL_STATE(2098)] = 91146,
  [SMALL_STATE(2099)] = 91170,
  [SMALL_STATE(2100)] = 91194,
  [SMALL_STATE(2101)] = 91222,
  [SMALL_STATE(2102)] = 91246,
  [SMALL_STATE(2103)] = 91274,
  [SMALL_STATE(2104)] = 91302,
  [SMALL_STATE(2105)] = 91330,
  [SMALL_STATE(2106)] = 91354,
  [SMALL_STATE(2107)] = 91382,
  [SMALL_STATE(2108)] = 91406,
  [SMALL_STATE(2109)] = 91428,
  [SMALL_STATE(2110)] = 91452,
  [SMALL_STATE(2111)] = 91476,
  [SMALL_STATE(2112)] = 91498,
  [SMALL_STATE(2113)] = 91522,
  [SMALL_STATE(2114)] = 91550,
  [SMALL_STATE(2115)] = 91574,
  [SMALL_STATE(2116)] = 91598,
  [SMALL_STATE(2117)] = 91622,
  [SMALL_STATE(2118)] = 91641,
  [SMALL_STATE(2119)] = 91660,
  [SMALL_STATE(2120)] = 91679,
  [SMALL_STATE(2121)] = 91700,
  [SMALL_STATE(2122)] = 91719,
  [SMALL_STATE(2123)] = 91738,
  [SMALL_STATE(2124)] = 91757,
  [SMALL_STATE(2125)] = 91787,
  [SMALL_STATE(2126)] = 91811,
  [SMALL_STATE(2127)] = 91841,
  [SMALL_STATE(2128)] = 91871,
  [SMALL_STATE(2129)] = 91895,
  [SMALL_STATE(2130)] = 91925,
  [SMALL_STATE(2131)] = 91955,
  [SMALL_STATE(2132)] = 91979,
  [SMALL_STATE(2133)] = 92003,
  [SMALL_STATE(2134)] = 92027,
  [SMALL_STATE(2135)] = 92057,
  [SMALL_STATE(2136)] = 92087,
  [SMALL_STATE(2137)] = 92117,
  [SMALL_STATE(2138)] = 92147,
  [SMALL_STATE(2139)] = 92171,
  [SMALL_STATE(2140)] = 92201,
  [SMALL_STATE(2141)] = 92231,
  [SMALL_STATE(2142)] = 92261,
  [SMALL_STATE(2143)] = 92285,
  [SMALL_STATE(2144)] = 92315,
  [SMALL_STATE(2145)] = 92339,
  [SMALL_STATE(2146)] = 92369,
  [SMALL_STATE(2147)] = 92399,
  [SMALL_STATE(2148)] = 92429,
  [SMALL_STATE(2149)] = 92459,
  [SMALL_STATE(2150)] = 92489,
  [SMALL_STATE(2151)] = 92519,
  [SMALL_STATE(2152)] = 92543,
  [SMALL_STATE(2153)] = 92573,
  [SMALL_STATE(2154)] = 92597,
  [SMALL_STATE(2155)] = 92621,
  [SMALL_STATE(2156)] = 92645,
  [SMALL_STATE(2157)] = 92675,
  [SMALL_STATE(2158)] = 92699,
  [SMALL_STATE(2159)] = 92729,
  [SMALL_STATE(2160)] = 92759,
  [SMALL_STATE(2161)] = 92783,
  [SMALL_STATE(2162)] = 92813,
  [SMALL_STATE(2163)] = 92843,
  [SMALL_STATE(2164)] = 92873,
  [SMALL_STATE(2165)] = 92903,
  [SMALL_STATE(2166)] = 92933,
  [SMALL_STATE(2167)] = 92963,
  [SMALL_STATE(2168)] = 92993,
  [SMALL_STATE(2169)] = 93017,
  [SMALL_STATE(2170)] = 93041,
  [SMALL_STATE(2171)] = 93071,
  [SMALL_STATE(2172)] = 93101,
  [SMALL_STATE(2173)] = 93125,
  [SMALL_STATE(2174)] = 93153,
  [SMALL_STATE(2175)] = 93177,
  [SMALL_STATE(2176)] = 93201,
  [SMALL_STATE(2177)] = 93231,
  [SMALL_STATE(2178)] = 93259,
  [SMALL_STATE(2179)] = 93287,
  [SMALL_STATE(2180)] = 93317,
  [SMALL_STATE(2181)] = 93347,
  [SMALL_STATE(2182)] = 93377,
  [SMALL_STATE(2183)] = 93401,
  [SMALL_STATE(2184)] = 93431,
  [SMALL_STATE(2185)] = 93455,
  [SMALL_STATE(2186)] = 93485,
  [SMALL_STATE(2187)] = 93513,
  [SMALL_STATE(2188)] = 93543,
  [SMALL_STATE(2189)] = 93567,
  [SMALL_STATE(2190)] = 93597,
  [SMALL_STATE(2191)] = 93627,
  [SMALL_STATE(2192)] = 93651,
  [SMALL_STATE(2193)] = 93681,
  [SMALL_STATE(2194)] = 93711,
  [SMALL_STATE(2195)] = 93741,
  [SMALL_STATE(2196)] = 93771,
  [SMALL_STATE(2197)] = 93799,
  [SMALL_STATE(2198)] = 93819,
  [SMALL_STATE(2199)] = 93849,
  [SMALL_STATE(2200)] = 93873,
  [SMALL_STATE(2201)] = 93903,
  [SMALL_STATE(2202)] = 93933,
  [SMALL_STATE(2203)] = 93957,
  [SMALL_STATE(2204)] = 93987,
  [SMALL_STATE(2205)] = 94011,
  [SMALL_STATE(2206)] = 94031,
  [SMALL_STATE(2207)] = 94046,
  [SMALL_STATE(2208)] = 94061,
  [SMALL_STATE(2209)] = 94080,
  [SMALL_STATE(2210)] = 94099,
  [SMALL_STATE(2211)] = 94114,
  [SMALL_STATE(2212)] = 94129,
  [SMALL_STATE(2213)] = 94144,
  [SMALL_STATE(2214)] = 94165,
  [SMALL_STATE(2215)] = 94180,
  [SMALL_STATE(2216)] = 94199,
  [SMALL_STATE(2217)] = 94214,
  [SMALL_STATE(2218)] = 94229,
  [SMALL_STATE(2219)] = 94244,
  [SMALL_STATE(2220)] = 94259,
  [SMALL_STATE(2221)] = 94274,
  [SMALL_STATE(2222)] = 94295,
  [SMALL_STATE(2223)] = 94310,
  [SMALL_STATE(2224)] = 94331,
  [SMALL_STATE(2225)] = 94346,
  [SMALL_STATE(2226)] = 94361,
  [SMALL_STATE(2227)] = 94376,
  [SMALL_STATE(2228)] = 94391,
  [SMALL_STATE(2229)] = 94406,
  [SMALL_STATE(2230)] = 94421,
  [SMALL_STATE(2231)] = 94436,
  [SMALL_STATE(2232)] = 94451,
  [SMALL_STATE(2233)] = 94466,
  [SMALL_STATE(2234)] = 94481,
  [SMALL_STATE(2235)] = 94496,
  [SMALL_STATE(2236)] = 94511,
  [SMALL_STATE(2237)] = 94526,
  [SMALL_STATE(2238)] = 94541,
  [SMALL_STATE(2239)] = 94556,
  [SMALL_STATE(2240)] = 94571,
  [SMALL_STATE(2241)] = 94592,
  [SMALL_STATE(2242)] = 94612,
  [SMALL_STATE(2243)] = 94626,
  [SMALL_STATE(2244)] = 94640,
  [SMALL_STATE(2245)] = 94654,
  [SMALL_STATE(2246)] = 94668,
  [SMALL_STATE(2247)] = 94682,
  [SMALL_STATE(2248)] = 94696,
  [SMALL_STATE(2249)] = 94710,
  [SMALL_STATE(2250)] = 94724,
  [SMALL_STATE(2251)] = 94738,
  [SMALL_STATE(2252)] = 94752,
  [SMALL_STATE(2253)] = 94766,
  [SMALL_STATE(2254)] = 94780,
  [SMALL_STATE(2255)] = 94794,
  [SMALL_STATE(2256)] = 94808,
  [SMALL_STATE(2257)] = 94822,
  [SMALL_STATE(2258)] = 94836,
  [SMALL_STATE(2259)] = 94850,
  [SMALL_STATE(2260)] = 94864,
  [SMALL_STATE(2261)] = 94878,
  [SMALL_STATE(2262)] = 94892,
  [SMALL_STATE(2263)] = 94906,
  [SMALL_STATE(2264)] = 94920,
  [SMALL_STATE(2265)] = 94934,
  [SMALL_STATE(2266)] = 94948,
  [SMALL_STATE(2267)] = 94962,
  [SMALL_STATE(2268)] = 94976,
  [SMALL_STATE(2269)] = 94990,
  [SMALL_STATE(2270)] = 95004,
  [SMALL_STATE(2271)] = 95018,
  [SMALL_STATE(2272)] = 95030,
  [SMALL_STATE(2273)] = 95044,
  [SMALL_STATE(2274)] = 95058,
  [SMALL_STATE(2275)] = 95072,
  [SMALL_STATE(2276)] = 95092,
  [SMALL_STATE(2277)] = 95106,
  [SMALL_STATE(2278)] = 95120,
  [SMALL_STATE(2279)] = 95132,
  [SMALL_STATE(2280)] = 95146,
  [SMALL_STATE(2281)] = 95160,
  [SMALL_STATE(2282)] = 95174,
  [SMALL_STATE(2283)] = 95194,
  [SMALL_STATE(2284)] = 95208,
  [SMALL_STATE(2285)] = 95222,
  [SMALL_STATE(2286)] = 95236,
  [SMALL_STATE(2287)] = 95250,
  [SMALL_STATE(2288)] = 95264,
  [SMALL_STATE(2289)] = 95278,
  [SMALL_STATE(2290)] = 95292,
  [SMALL_STATE(2291)] = 95306,
  [SMALL_STATE(2292)] = 95326,
  [SMALL_STATE(2293)] = 95341,
  [SMALL_STATE(2294)] = 95356,
  [SMALL_STATE(2295)] = 95373,
  [SMALL_STATE(2296)] = 95388,
  [SMALL_STATE(2297)] = 95403,
  [SMALL_STATE(2298)] = 95420,
  [SMALL_STATE(2299)] = 95433,
  [SMALL_STATE(2300)] = 95450,
  [SMALL_STATE(2301)] = 95469,
  [SMALL_STATE(2302)] = 95488,
  [SMALL_STATE(2303)] = 95505,
  [SMALL_STATE(2304)] = 95518,
  [SMALL_STATE(2305)] = 95533,
  [SMALL_STATE(2306)] = 95550,
  [SMALL_STATE(2307)] = 95563,
  [SMALL_STATE(2308)] = 95580,
  [SMALL_STATE(2309)] = 95595,
  [SMALL_STATE(2310)] = 95612,
  [SMALL_STATE(2311)] = 95627,
  [SMALL_STATE(2312)] = 95642,
  [SMALL_STATE(2313)] = 95657,
  [SMALL_STATE(2314)] = 95674,
  [SMALL_STATE(2315)] = 95693,
  [SMALL_STATE(2316)] = 95712,
  [SMALL_STATE(2317)] = 95727,
  [SMALL_STATE(2318)] = 95742,
  [SMALL_STATE(2319)] = 95759,
  [SMALL_STATE(2320)] = 95774,
  [SMALL_STATE(2321)] = 95791,
  [SMALL_STATE(2322)] = 95808,
  [SMALL_STATE(2323)] = 95825,
  [SMALL_STATE(2324)] = 95842,
  [SMALL_STATE(2325)] = 95859,
  [SMALL_STATE(2326)] = 95876,
  [SMALL_STATE(2327)] = 95891,
  [SMALL_STATE(2328)] = 95906,
  [SMALL_STATE(2329)] = 95923,
  [SMALL_STATE(2330)] = 95937,
  [SMALL_STATE(2331)] = 95951,
  [SMALL_STATE(2332)] = 95965,
  [SMALL_STATE(2333)] = 95979,
  [SMALL_STATE(2334)] = 95993,
  [SMALL_STATE(2335)] = 96007,
  [SMALL_STATE(2336)] = 96021,
  [SMALL_STATE(2337)] = 96035,
  [SMALL_STATE(2338)] = 96049,
  [SMALL_STATE(2339)] = 96063,
  [SMALL_STATE(2340)] = 96075,
  [SMALL_STATE(2341)] = 96087,
  [SMALL_STATE(2342)] = 96099,
  [SMALL_STATE(2343)] = 96113,
  [SMALL_STATE(2344)] = 96125,
  [SMALL_STATE(2345)] = 96137,
  [SMALL_STATE(2346)] = 96153,
  [SMALL_STATE(2347)] = 96167,
  [SMALL_STATE(2348)] = 96181,
  [SMALL_STATE(2349)] = 96193,
  [SMALL_STATE(2350)] = 96207,
  [SMALL_STATE(2351)] = 96221,
  [SMALL_STATE(2352)] = 96233,
  [SMALL_STATE(2353)] = 96247,
  [SMALL_STATE(2354)] = 96259,
  [SMALL_STATE(2355)] = 96273,
  [SMALL_STATE(2356)] = 96287,
  [SMALL_STATE(2357)] = 96301,
  [SMALL_STATE(2358)] = 96313,
  [SMALL_STATE(2359)] = 96325,
  [SMALL_STATE(2360)] = 96341,
  [SMALL_STATE(2361)] = 96355,
  [SMALL_STATE(2362)] = 96369,
  [SMALL_STATE(2363)] = 96381,
  [SMALL_STATE(2364)] = 96395,
  [SMALL_STATE(2365)] = 96409,
  [SMALL_STATE(2366)] = 96425,
  [SMALL_STATE(2367)] = 96438,
  [SMALL_STATE(2368)] = 96451,
  [SMALL_STATE(2369)] = 96462,
  [SMALL_STATE(2370)] = 96475,
  [SMALL_STATE(2371)] = 96488,
  [SMALL_STATE(2372)] = 96501,
  [SMALL_STATE(2373)] = 96514,
  [SMALL_STATE(2374)] = 96527,
  [SMALL_STATE(2375)] = 96540,
  [SMALL_STATE(2376)] = 96553,
  [SMALL_STATE(2377)] = 96566,
  [SMALL_STATE(2378)] = 96579,
  [SMALL_STATE(2379)] = 96592,
  [SMALL_STATE(2380)] = 96605,
  [SMALL_STATE(2381)] = 96618,
  [SMALL_STATE(2382)] = 96631,
  [SMALL_STATE(2383)] = 96644,
  [SMALL_STATE(2384)] = 96657,
  [SMALL_STATE(2385)] = 96670,
  [SMALL_STATE(2386)] = 96683,
  [SMALL_STATE(2387)] = 96694,
  [SMALL_STATE(2388)] = 96707,
  [SMALL_STATE(2389)] = 96720,
  [SMALL_STATE(2390)] = 96733,
  [SMALL_STATE(2391)] = 96744,
  [SMALL_STATE(2392)] = 96757,
  [SMALL_STATE(2393)] = 96770,
  [SMALL_STATE(2394)] = 96783,
  [SMALL_STATE(2395)] = 96796,
  [SMALL_STATE(2396)] = 96809,
  [SMALL_STATE(2397)] = 96822,
  [SMALL_STATE(2398)] = 96835,
  [SMALL_STATE(2399)] = 96846,
  [SMALL_STATE(2400)] = 96859,
  [SMALL_STATE(2401)] = 96872,
  [SMALL_STATE(2402)] = 96885,
  [SMALL_STATE(2403)] = 96898,
  [SMALL_STATE(2404)] = 96911,
  [SMALL_STATE(2405)] = 96924,
  [SMALL_STATE(2406)] = 96937,
  [SMALL_STATE(2407)] = 96950,
  [SMALL_STATE(2408)] = 96963,
  [SMALL_STATE(2409)] = 96976,
  [SMALL_STATE(2410)] = 96989,
  [SMALL_STATE(2411)] = 97002,
  [SMALL_STATE(2412)] = 97015,
  [SMALL_STATE(2413)] = 97028,
  [SMALL_STATE(2414)] = 97041,
  [SMALL_STATE(2415)] = 97054,
  [SMALL_STATE(2416)] = 97067,
  [SMALL_STATE(2417)] = 97080,
  [SMALL_STATE(2418)] = 97093,
  [SMALL_STATE(2419)] = 97106,
  [SMALL_STATE(2420)] = 97119,
  [SMALL_STATE(2421)] = 97132,
  [SMALL_STATE(2422)] = 97145,
  [SMALL_STATE(2423)] = 97158,
  [SMALL_STATE(2424)] = 97171,
  [SMALL_STATE(2425)] = 97184,
  [SMALL_STATE(2426)] = 97197,
  [SMALL_STATE(2427)] = 97210,
  [SMALL_STATE(2428)] = 97223,
  [SMALL_STATE(2429)] = 97236,
  [SMALL_STATE(2430)] = 97249,
  [SMALL_STATE(2431)] = 97262,
  [SMALL_STATE(2432)] = 97275,
  [SMALL_STATE(2433)] = 97288,
  [SMALL_STATE(2434)] = 97301,
  [SMALL_STATE(2435)] = 97314,
  [SMALL_STATE(2436)] = 97325,
  [SMALL_STATE(2437)] = 97338,
  [SMALL_STATE(2438)] = 97349,
  [SMALL_STATE(2439)] = 97360,
  [SMALL_STATE(2440)] = 97373,
  [SMALL_STATE(2441)] = 97384,
  [SMALL_STATE(2442)] = 97397,
  [SMALL_STATE(2443)] = 97410,
  [SMALL_STATE(2444)] = 97423,
  [SMALL_STATE(2445)] = 97436,
  [SMALL_STATE(2446)] = 97449,
  [SMALL_STATE(2447)] = 97460,
  [SMALL_STATE(2448)] = 97473,
  [SMALL_STATE(2449)] = 97486,
  [SMALL_STATE(2450)] = 97499,
  [SMALL_STATE(2451)] = 97512,
  [SMALL_STATE(2452)] = 97525,
  [SMALL_STATE(2453)] = 97538,
  [SMALL_STATE(2454)] = 97551,
  [SMALL_STATE(2455)] = 97564,
  [SMALL_STATE(2456)] = 97577,
  [SMALL_STATE(2457)] = 97590,
  [SMALL_STATE(2458)] = 97603,
  [SMALL_STATE(2459)] = 97614,
  [SMALL_STATE(2460)] = 97627,
  [SMALL_STATE(2461)] = 97640,
  [SMALL_STATE(2462)] = 97651,
  [SMALL_STATE(2463)] = 97664,
  [SMALL_STATE(2464)] = 97677,
  [SMALL_STATE(2465)] = 97690,
  [SMALL_STATE(2466)] = 97703,
  [SMALL_STATE(2467)] = 97716,
  [SMALL_STATE(2468)] = 97729,
  [SMALL_STATE(2469)] = 97742,
  [SMALL_STATE(2470)] = 97755,
  [SMALL_STATE(2471)] = 97768,
  [SMALL_STATE(2472)] = 97781,
  [SMALL_STATE(2473)] = 97792,
  [SMALL_STATE(2474)] = 97805,
  [SMALL_STATE(2475)] = 97818,
  [SMALL_STATE(2476)] = 97831,
  [SMALL_STATE(2477)] = 97844,
  [SMALL_STATE(2478)] = 97857,
  [SMALL_STATE(2479)] = 97870,
  [SMALL_STATE(2480)] = 97883,
  [SMALL_STATE(2481)] = 97896,
  [SMALL_STATE(2482)] = 97909,
  [SMALL_STATE(2483)] = 97922,
  [SMALL_STATE(2484)] = 97935,
  [SMALL_STATE(2485)] = 97948,
  [SMALL_STATE(2486)] = 97961,
  [SMALL_STATE(2487)] = 97974,
  [SMALL_STATE(2488)] = 97987,
  [SMALL_STATE(2489)] = 98000,
  [SMALL_STATE(2490)] = 98013,
  [SMALL_STATE(2491)] = 98026,
  [SMALL_STATE(2492)] = 98039,
  [SMALL_STATE(2493)] = 98052,
  [SMALL_STATE(2494)] = 98065,
  [SMALL_STATE(2495)] = 98078,
  [SMALL_STATE(2496)] = 98091,
  [SMALL_STATE(2497)] = 98104,
  [SMALL_STATE(2498)] = 98114,
  [SMALL_STATE(2499)] = 98124,
  [SMALL_STATE(2500)] = 98134,
  [SMALL_STATE(2501)] = 98144,
  [SMALL_STATE(2502)] = 98154,
  [SMALL_STATE(2503)] = 98164,
  [SMALL_STATE(2504)] = 98174,
  [SMALL_STATE(2505)] = 98182,
  [SMALL_STATE(2506)] = 98192,
  [SMALL_STATE(2507)] = 98200,
  [SMALL_STATE(2508)] = 98210,
  [SMALL_STATE(2509)] = 98220,
  [SMALL_STATE(2510)] = 98230,
  [SMALL_STATE(2511)] = 98240,
  [SMALL_STATE(2512)] = 98250,
  [SMALL_STATE(2513)] = 98260,
  [SMALL_STATE(2514)] = 98270,
  [SMALL_STATE(2515)] = 98280,
  [SMALL_STATE(2516)] = 98288,
  [SMALL_STATE(2517)] = 98298,
  [SMALL_STATE(2518)] = 98308,
  [SMALL_STATE(2519)] = 98318,
  [SMALL_STATE(2520)] = 98328,
  [SMALL_STATE(2521)] = 98338,
  [SMALL_STATE(2522)] = 98348,
  [SMALL_STATE(2523)] = 98358,
  [SMALL_STATE(2524)] = 98366,
  [SMALL_STATE(2525)] = 98376,
  [SMALL_STATE(2526)] = 98386,
  [SMALL_STATE(2527)] = 98396,
  [SMALL_STATE(2528)] = 98406,
  [SMALL_STATE(2529)] = 98416,
  [SMALL_STATE(2530)] = 98424,
  [SMALL_STATE(2531)] = 98434,
  [SMALL_STATE(2532)] = 98444,
  [SMALL_STATE(2533)] = 98452,
  [SMALL_STATE(2534)] = 98460,
  [SMALL_STATE(2535)] = 98470,
  [SMALL_STATE(2536)] = 98480,
  [SMALL_STATE(2537)] = 98488,
  [SMALL_STATE(2538)] = 98496,
  [SMALL_STATE(2539)] = 98506,
  [SMALL_STATE(2540)] = 98516,
  [SMALL_STATE(2541)] = 98526,
  [SMALL_STATE(2542)] = 98534,
  [SMALL_STATE(2543)] = 98542,
  [SMALL_STATE(2544)] = 98550,
  [SMALL_STATE(2545)] = 98560,
  [SMALL_STATE(2546)] = 98568,
  [SMALL_STATE(2547)] = 98578,
  [SMALL_STATE(2548)] = 98588,
  [SMALL_STATE(2549)] = 98598,
  [SMALL_STATE(2550)] = 98608,
  [SMALL_STATE(2551)] = 98616,
  [SMALL_STATE(2552)] = 98626,
  [SMALL_STATE(2553)] = 98636,
  [SMALL_STATE(2554)] = 98646,
  [SMALL_STATE(2555)] = 98656,
  [SMALL_STATE(2556)] = 98664,
  [SMALL_STATE(2557)] = 98672,
  [SMALL_STATE(2558)] = 98682,
  [SMALL_STATE(2559)] = 98692,
  [SMALL_STATE(2560)] = 98700,
  [SMALL_STATE(2561)] = 98708,
  [SMALL_STATE(2562)] = 98718,
  [SMALL_STATE(2563)] = 98726,
  [SMALL_STATE(2564)] = 98734,
  [SMALL_STATE(2565)] = 98742,
  [SMALL_STATE(2566)] = 98750,
  [SMALL_STATE(2567)] = 98760,
  [SMALL_STATE(2568)] = 98768,
  [SMALL_STATE(2569)] = 98776,
  [SMALL_STATE(2570)] = 98784,
  [SMALL_STATE(2571)] = 98794,
  [SMALL_STATE(2572)] = 98802,
  [SMALL_STATE(2573)] = 98812,
  [SMALL_STATE(2574)] = 98822,
  [SMALL_STATE(2575)] = 98830,
  [SMALL_STATE(2576)] = 98838,
  [SMALL_STATE(2577)] = 98848,
  [SMALL_STATE(2578)] = 98856,
  [SMALL_STATE(2579)] = 98866,
  [SMALL_STATE(2580)] = 98876,
  [SMALL_STATE(2581)] = 98884,
  [SMALL_STATE(2582)] = 98894,
  [SMALL_STATE(2583)] = 98904,
  [SMALL_STATE(2584)] = 98914,
  [SMALL_STATE(2585)] = 98922,
  [SMALL_STATE(2586)] = 98930,
  [SMALL_STATE(2587)] = 98940,
  [SMALL_STATE(2588)] = 98950,
  [SMALL_STATE(2589)] = 98960,
  [SMALL_STATE(2590)] = 98968,
  [SMALL_STATE(2591)] = 98978,
  [SMALL_STATE(2592)] = 98986,
  [SMALL_STATE(2593)] = 98996,
  [SMALL_STATE(2594)] = 99004,
  [SMALL_STATE(2595)] = 99014,
  [SMALL_STATE(2596)] = 99022,
  [SMALL_STATE(2597)] = 99032,
  [SMALL_STATE(2598)] = 99042,
  [SMALL_STATE(2599)] = 99050,
  [SMALL_STATE(2600)] = 99060,
  [SMALL_STATE(2601)] = 99070,
  [SMALL_STATE(2602)] = 99080,
  [SMALL_STATE(2603)] = 99090,
  [SMALL_STATE(2604)] = 99100,
  [SMALL_STATE(2605)] = 99110,
  [SMALL_STATE(2606)] = 99118,
  [SMALL_STATE(2607)] = 99125,
  [SMALL_STATE(2608)] = 99132,
  [SMALL_STATE(2609)] = 99139,
  [SMALL_STATE(2610)] = 99146,
  [SMALL_STATE(2611)] = 99153,
  [SMALL_STATE(2612)] = 99160,
  [SMALL_STATE(2613)] = 99167,
  [SMALL_STATE(2614)] = 99174,
  [SMALL_STATE(2615)] = 99181,
  [SMALL_STATE(2616)] = 99188,
  [SMALL_STATE(2617)] = 99195,
  [SMALL_STATE(2618)] = 99202,
  [SMALL_STATE(2619)] = 99209,
  [SMALL_STATE(2620)] = 99216,
  [SMALL_STATE(2621)] = 99223,
  [SMALL_STATE(2622)] = 99230,
  [SMALL_STATE(2623)] = 99237,
  [SMALL_STATE(2624)] = 99244,
  [SMALL_STATE(2625)] = 99251,
  [SMALL_STATE(2626)] = 99258,
  [SMALL_STATE(2627)] = 99265,
  [SMALL_STATE(2628)] = 99272,
  [SMALL_STATE(2629)] = 99279,
  [SMALL_STATE(2630)] = 99286,
  [SMALL_STATE(2631)] = 99293,
  [SMALL_STATE(2632)] = 99300,
  [SMALL_STATE(2633)] = 99307,
  [SMALL_STATE(2634)] = 99314,
  [SMALL_STATE(2635)] = 99321,
  [SMALL_STATE(2636)] = 99328,
  [SMALL_STATE(2637)] = 99335,
  [SMALL_STATE(2638)] = 99342,
  [SMALL_STATE(2639)] = 99349,
  [SMALL_STATE(2640)] = 99356,
  [SMALL_STATE(2641)] = 99363,
  [SMALL_STATE(2642)] = 99370,
  [SMALL_STATE(2643)] = 99377,
  [SMALL_STATE(2644)] = 99384,
  [SMALL_STATE(2645)] = 99391,
  [SMALL_STATE(2646)] = 99398,
  [SMALL_STATE(2647)] = 99405,
  [SMALL_STATE(2648)] = 99412,
  [SMALL_STATE(2649)] = 99419,
  [SMALL_STATE(2650)] = 99426,
  [SMALL_STATE(2651)] = 99433,
  [SMALL_STATE(2652)] = 99440,
  [SMALL_STATE(2653)] = 99447,
  [SMALL_STATE(2654)] = 99454,
  [SMALL_STATE(2655)] = 99461,
  [SMALL_STATE(2656)] = 99468,
  [SMALL_STATE(2657)] = 99475,
  [SMALL_STATE(2658)] = 99482,
  [SMALL_STATE(2659)] = 99489,
  [SMALL_STATE(2660)] = 99496,
  [SMALL_STATE(2661)] = 99503,
  [SMALL_STATE(2662)] = 99510,
  [SMALL_STATE(2663)] = 99517,
  [SMALL_STATE(2664)] = 99524,
  [SMALL_STATE(2665)] = 99531,
  [SMALL_STATE(2666)] = 99538,
  [SMALL_STATE(2667)] = 99545,
  [SMALL_STATE(2668)] = 99552,
  [SMALL_STATE(2669)] = 99559,
  [SMALL_STATE(2670)] = 99566,
  [SMALL_STATE(2671)] = 99573,
  [SMALL_STATE(2672)] = 99580,
  [SMALL_STATE(2673)] = 99587,
  [SMALL_STATE(2674)] = 99594,
  [SMALL_STATE(2675)] = 99601,
  [SMALL_STATE(2676)] = 99608,
  [SMALL_STATE(2677)] = 99615,
  [SMALL_STATE(2678)] = 99622,
  [SMALL_STATE(2679)] = 99629,
  [SMALL_STATE(2680)] = 99636,
  [SMALL_STATE(2681)] = 99643,
  [SMALL_STATE(2682)] = 99650,
  [SMALL_STATE(2683)] = 99657,
  [SMALL_STATE(2684)] = 99664,
  [SMALL_STATE(2685)] = 99671,
  [SMALL_STATE(2686)] = 99678,
  [SMALL_STATE(2687)] = 99685,
  [SMALL_STATE(2688)] = 99692,
  [SMALL_STATE(2689)] = 99699,
  [SMALL_STATE(2690)] = 99706,
  [SMALL_STATE(2691)] = 99713,
  [SMALL_STATE(2692)] = 99720,
  [SMALL_STATE(2693)] = 99727,
  [SMALL_STATE(2694)] = 99734,
  [SMALL_STATE(2695)] = 99741,
  [SMALL_STATE(2696)] = 99748,
  [SMALL_STATE(2697)] = 99755,
  [SMALL_STATE(2698)] = 99762,
  [SMALL_STATE(2699)] = 99769,
  [SMALL_STATE(2700)] = 99776,
  [SMALL_STATE(2701)] = 99783,
  [SMALL_STATE(2702)] = 99790,
  [SMALL_STATE(2703)] = 99797,
  [SMALL_STATE(2704)] = 99804,
  [SMALL_STATE(2705)] = 99811,
  [SMALL_STATE(2706)] = 99818,
  [SMALL_STATE(2707)] = 99825,
  [SMALL_STATE(2708)] = 99832,
  [SMALL_STATE(2709)] = 99839,
  [SMALL_STATE(2710)] = 99846,
  [SMALL_STATE(2711)] = 99853,
  [SMALL_STATE(2712)] = 99860,
  [SMALL_STATE(2713)] = 99867,
  [SMALL_STATE(2714)] = 99874,
  [SMALL_STATE(2715)] = 99881,
  [SMALL_STATE(2716)] = 99888,
  [SMALL_STATE(2717)] = 99895,
  [SMALL_STATE(2718)] = 99902,
  [SMALL_STATE(2719)] = 99909,
  [SMALL_STATE(2720)] = 99916,
  [SMALL_STATE(2721)] = 99923,
  [SMALL_STATE(2722)] = 99930,
  [SMALL_STATE(2723)] = 99937,
  [SMALL_STATE(2724)] = 99944,
  [SMALL_STATE(2725)] = 99951,
  [SMALL_STATE(2726)] = 99958,
  [SMALL_STATE(2727)] = 99965,
  [SMALL_STATE(2728)] = 99972,
  [SMALL_STATE(2729)] = 99979,
  [SMALL_STATE(2730)] = 99986,
  [SMALL_STATE(2731)] = 99993,
  [SMALL_STATE(2732)] = 100000,
  [SMALL_STATE(2733)] = 100007,
  [SMALL_STATE(2734)] = 100014,
  [SMALL_STATE(2735)] = 100021,
  [SMALL_STATE(2736)] = 100028,
  [SMALL_STATE(2737)] = 100035,
  [SMALL_STATE(2738)] = 100042,
  [SMALL_STATE(2739)] = 100049,
  [SMALL_STATE(2740)] = 100056,
  [SMALL_STATE(2741)] = 100063,
  [SMALL_STATE(2742)] = 100070,
  [SMALL_STATE(2743)] = 100077,
  [SMALL_STATE(2744)] = 100084,
  [SMALL_STATE(2745)] = 100091,
  [SMALL_STATE(2746)] = 100098,
  [SMALL_STATE(2747)] = 100105,
  [SMALL_STATE(2748)] = 100112,
  [SMALL_STATE(2749)] = 100119,
  [SMALL_STATE(2750)] = 100126,
  [SMALL_STATE(2751)] = 100133,
  [SMALL_STATE(2752)] = 100140,
  [SMALL_STATE(2753)] = 100147,
  [SMALL_STATE(2754)] = 100154,
  [SMALL_STATE(2755)] = 100161,
  [SMALL_STATE(2756)] = 100168,
  [SMALL_STATE(2757)] = 100175,
  [SMALL_STATE(2758)] = 100182,
  [SMALL_STATE(2759)] = 100189,
  [SMALL_STATE(2760)] = 100196,
  [SMALL_STATE(2761)] = 100203,
  [SMALL_STATE(2762)] = 100210,
  [SMALL_STATE(2763)] = 100217,
  [SMALL_STATE(2764)] = 100224,
  [SMALL_STATE(2765)] = 100231,
  [SMALL_STATE(2766)] = 100238,
  [SMALL_STATE(2767)] = 100245,
  [SMALL_STATE(2768)] = 100252,
  [SMALL_STATE(2769)] = 100259,
  [SMALL_STATE(2770)] = 100266,
  [SMALL_STATE(2771)] = 100273,
  [SMALL_STATE(2772)] = 100280,
  [SMALL_STATE(2773)] = 100287,
  [SMALL_STATE(2774)] = 100294,
  [SMALL_STATE(2775)] = 100301,
  [SMALL_STATE(2776)] = 100308,
  [SMALL_STATE(2777)] = 100315,
  [SMALL_STATE(2778)] = 100322,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(228),
  [9] = {.count = 1, .reusable = false}, SHIFT(2500),
  [11] = {.count = 1, .reusable = true}, SHIFT(1276),
  [13] = {.count = 1, .reusable = false}, SHIFT(110),
  [15] = {.count = 1, .reusable = false}, SHIFT(112),
  [17] = {.count = 1, .reusable = false}, SHIFT(1815),
  [19] = {.count = 1, .reusable = false}, SHIFT(2754),
  [21] = {.count = 1, .reusable = false}, SHIFT(65),
  [23] = {.count = 1, .reusable = true}, SHIFT(64),
  [25] = {.count = 1, .reusable = false}, SHIFT(201),
  [27] = {.count = 1, .reusable = false}, SHIFT(1277),
  [29] = {.count = 1, .reusable = true}, SHIFT(1278),
  [31] = {.count = 1, .reusable = false}, SHIFT(133),
  [33] = {.count = 1, .reusable = false}, SHIFT(186),
  [35] = {.count = 1, .reusable = false}, SHIFT(1816),
  [37] = {.count = 1, .reusable = true}, SHIFT(1816),
  [39] = {.count = 1, .reusable = false}, SHIFT(2029),
  [41] = {.count = 1, .reusable = false}, SHIFT(237),
  [43] = {.count = 1, .reusable = true}, SHIFT(2170),
  [45] = {.count = 1, .reusable = true}, SHIFT(235),
  [47] = {.count = 1, .reusable = true}, SHIFT(2074),
  [49] = {.count = 1, .reusable = true}, SHIFT(26),
  [51] = {.count = 1, .reusable = true}, SHIFT(27),
  [53] = {.count = 1, .reusable = true}, SHIFT(28),
  [55] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [57] = {.count = 1, .reusable = true}, SHIFT(2229),
  [59] = {.count = 1, .reusable = true}, SHIFT(2368),
  [61] = {.count = 1, .reusable = false}, SHIFT(229),
  [63] = {.count = 1, .reusable = false}, SHIFT(2501),
  [65] = {.count = 1, .reusable = true}, SHIFT(1293),
  [67] = {.count = 1, .reusable = false}, SHIFT(108),
  [69] = {.count = 1, .reusable = false}, SHIFT(109),
  [71] = {.count = 1, .reusable = false}, SHIFT(1665),
  [73] = {.count = 1, .reusable = false}, SHIFT(116),
  [75] = {.count = 1, .reusable = false}, SHIFT(32),
  [77] = {.count = 1, .reusable = false}, SHIFT(1849),
  [79] = {.count = 1, .reusable = false}, SHIFT(2689),
  [81] = {.count = 1, .reusable = false}, SHIFT(100),
  [83] = {.count = 1, .reusable = true}, SHIFT(99),
  [85] = {.count = 1, .reusable = false}, SHIFT(194),
  [87] = {.count = 1, .reusable = false}, SHIFT(1291),
  [89] = {.count = 1, .reusable = true}, SHIFT(1290),
  [91] = {.count = 1, .reusable = false}, SHIFT(129),
  [93] = {.count = 1, .reusable = false}, SHIFT(173),
  [95] = {.count = 1, .reusable = false}, SHIFT(2023),
  [97] = {.count = 1, .reusable = false}, SHIFT(273),
  [99] = {.count = 1, .reusable = true}, SHIFT(2183),
  [101] = {.count = 1, .reusable = true}, SHIFT(259),
  [103] = {.count = 1, .reusable = true}, SHIFT(2050),
  [105] = {.count = 1, .reusable = true}, SHIFT(68),
  [107] = {.count = 1, .reusable = true}, SHIFT(70),
  [109] = {.count = 1, .reusable = true}, SHIFT(73),
  [111] = {.count = 1, .reusable = true}, SHIFT(2472),
  [113] = {.count = 1, .reusable = false}, SHIFT(1419),
  [115] = {.count = 1, .reusable = false}, SHIFT(1413),
  [117] = {.count = 1, .reusable = false}, SHIFT(1757),
  [119] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(229),
  [122] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2501),
  [125] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1293),
  [128] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(108),
  [131] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statements2, 2),
  [133] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(109),
  [136] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1849),
  [139] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2689),
  [142] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(100),
  [145] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(99),
  [148] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(194),
  [151] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1291),
  [154] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1290),
  [157] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(129),
  [160] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(173),
  [163] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1816),
  [166] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1816),
  [169] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2023),
  [172] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(273),
  [175] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2183),
  [178] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(259),
  [181] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2050),
  [184] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(68),
  [187] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(70),
  [190] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(73),
  [193] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2229),
  [196] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2472),
  [199] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 4),
  [201] = {.count = 1, .reusable = false}, SHIFT(219),
  [203] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 3, .production_id = 44),
  [205] = {.count = 1, .reusable = true}, SHIFT(2108),
  [207] = {.count = 1, .reusable = false}, SHIFT(199),
  [209] = {.count = 1, .reusable = false}, SHIFT(127),
  [211] = {.count = 1, .reusable = false}, SHIFT(180),
  [213] = {.count = 1, .reusable = false}, SHIFT(1993),
  [215] = {.count = 1, .reusable = false}, SHIFT(265),
  [217] = {.count = 1, .reusable = true}, SHIFT(2176),
  [219] = {.count = 1, .reusable = true}, SHIFT(272),
  [221] = {.count = 1, .reusable = true}, SHIFT(2083),
  [223] = {.count = 1, .reusable = true}, SHIFT(30),
  [225] = {.count = 1, .reusable = true}, SHIFT(29),
  [227] = {.count = 1, .reusable = true}, SHIFT(39),
  [229] = {.count = 1, .reusable = true}, SHIFT(2440),
  [231] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 2, .production_id = 35),
  [233] = {.count = 1, .reusable = true}, SHIFT(2045),
  [235] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 3, .production_id = 42),
  [237] = {.count = 1, .reusable = true}, SHIFT(2071),
  [239] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 2, .production_id = 36),
  [241] = {.count = 1, .reusable = true}, SHIFT(2039),
  [243] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 3),
  [245] = {.count = 1, .reusable = true}, SHIFT(2119),
  [247] = {.count = 1, .reusable = true}, SHIFT(2123),
  [249] = {.count = 1, .reusable = true}, SHIFT(2122),
  [251] = {.count = 1, .reusable = true}, SHIFT(2117),
  [253] = {.count = 1, .reusable = false}, SHIFT(195),
  [255] = {.count = 1, .reusable = false}, SHIFT(136),
  [257] = {.count = 1, .reusable = false}, SHIFT(197),
  [259] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 1),
  [261] = {.count = 1, .reusable = false}, SHIFT(1768),
  [263] = {.count = 1, .reusable = true}, SHIFT(1752),
  [265] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 2),
  [267] = {.count = 1, .reusable = false}, SHIFT(1662),
  [269] = {.count = 1, .reusable = true}, SHIFT(1765),
  [271] = {.count = 1, .reusable = false}, SHIFT(1414),
  [273] = {.count = 1, .reusable = false}, SHIFT(1420),
  [275] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statements2, 2),
  [277] = {.count = 1, .reusable = true}, SHIFT(1436),
  [279] = {.count = 1, .reusable = true}, SHIFT(1492),
  [281] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(229),
  [284] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2501),
  [287] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1293),
  [290] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(108),
  [293] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(109),
  [296] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1849),
  [299] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2689),
  [302] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(100),
  [305] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(99),
  [308] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(194),
  [311] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1291),
  [314] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1290),
  [317] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(129),
  [320] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(173),
  [323] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1816),
  [326] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1816),
  [329] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2023),
  [332] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(273),
  [335] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2183),
  [338] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(259),
  [341] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2050),
  [344] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(68),
  [347] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(70),
  [350] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(73),
  [353] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2229),
  [356] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2472),
  [359] = {.count = 1, .reusable = true}, SHIFT(2207),
  [361] = {.count = 1, .reusable = true}, SHIFT(2178),
  [363] = {.count = 1, .reusable = false}, SHIFT(241),
  [365] = {.count = 1, .reusable = true}, REDUCE(sym_declaration_command, 2),
  [367] = {.count = 1, .reusable = false}, REDUCE(sym_declaration_command, 2),
  [369] = {.count = 1, .reusable = false}, SHIFT(2016),
  [371] = {.count = 1, .reusable = false}, SHIFT(264),
  [373] = {.count = 1, .reusable = false}, SHIFT(2126),
  [375] = {.count = 1, .reusable = false}, SHIFT(2087),
  [377] = {.count = 1, .reusable = false}, SHIFT(79),
  [379] = {.count = 1, .reusable = false}, SHIFT(77),
  [381] = {.count = 1, .reusable = false}, SHIFT(80),
  [383] = {.count = 1, .reusable = false}, SHIFT(128),
  [385] = {.count = 1, .reusable = true}, SHIFT(2446),
  [387] = {.count = 1, .reusable = false}, SHIFT(266),
  [389] = {.count = 1, .reusable = true}, REDUCE(sym_declaration_command, 1),
  [391] = {.count = 1, .reusable = false}, REDUCE(sym_declaration_command, 1),
  [393] = {.count = 1, .reusable = false}, SHIFT(2035),
  [395] = {.count = 1, .reusable = false}, SHIFT(246),
  [397] = {.count = 1, .reusable = false}, SHIFT(2130),
  [399] = {.count = 1, .reusable = false}, SHIFT(2076),
  [401] = {.count = 1, .reusable = false}, SHIFT(24),
  [403] = {.count = 1, .reusable = false}, SHIFT(23),
  [405] = {.count = 1, .reusable = false}, SHIFT(31),
  [407] = {.count = 1, .reusable = false}, SHIFT(132),
  [409] = {.count = 1, .reusable = true}, SHIFT(2437),
  [411] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(241),
  [414] = {.count = 1, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [416] = {.count = 1, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [418] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2016),
  [421] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(264),
  [424] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2126),
  [427] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2087),
  [430] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(79),
  [433] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(77),
  [436] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(80),
  [439] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(128),
  [442] = {.count = 2, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2446),
  [445] = {.count = 1, .reusable = false}, SHIFT(126),
  [447] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(266),
  [450] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2035),
  [453] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(246),
  [456] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2130),
  [459] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2076),
  [462] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(24),
  [465] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(23),
  [468] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(31),
  [471] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(130),
  [474] = {.count = 2, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2437),
  [477] = {.count = 1, .reusable = false}, SHIFT(267),
  [479] = {.count = 1, .reusable = false}, SHIFT(1985),
  [481] = {.count = 1, .reusable = false}, SHIFT(244),
  [483] = {.count = 1, .reusable = false}, SHIFT(2179),
  [485] = {.count = 1, .reusable = false}, SHIFT(2056),
  [487] = {.count = 1, .reusable = false}, SHIFT(72),
  [489] = {.count = 1, .reusable = false}, SHIFT(74),
  [491] = {.count = 1, .reusable = false}, SHIFT(78),
  [493] = {.count = 1, .reusable = false}, SHIFT(134),
  [495] = {.count = 1, .reusable = true}, SHIFT(2458),
  [497] = {.count = 1, .reusable = false}, SHIFT(130),
  [499] = {.count = 1, .reusable = false}, SHIFT(131),
  [501] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(267),
  [504] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1985),
  [507] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(244),
  [510] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2179),
  [513] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2056),
  [516] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(72),
  [519] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(74),
  [522] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(78),
  [525] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(134),
  [528] = {.count = 2, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2458),
  [531] = {.count = 1, .reusable = false}, SHIFT(135),
  [533] = {.count = 1, .reusable = false}, REDUCE(sym_concatenation, 4),
  [535] = {.count = 1, .reusable = true}, REDUCE(sym_concatenation, 4),
  [537] = {.count = 1, .reusable = false}, SHIFT(349),
  [539] = {.count = 1, .reusable = false}, SHIFT(2183),
  [541] = {.count = 1, .reusable = false}, SHIFT(348),
  [543] = {.count = 1, .reusable = false}, SHIFT(347),
  [545] = {.count = 1, .reusable = false}, SHIFT(331),
  [547] = {.count = 1, .reusable = false}, SHIFT(2176),
  [549] = {.count = 1, .reusable = false}, SHIFT(295),
  [551] = {.count = 1, .reusable = false}, SHIFT(332),
  [553] = {.count = 1, .reusable = false}, SHIFT(463),
  [555] = {.count = 1, .reusable = false}, SHIFT(2170),
  [557] = {.count = 1, .reusable = false}, SHIFT(462),
  [559] = {.count = 1, .reusable = false}, SHIFT(461),
  [561] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2),
  [563] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2),
  [565] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 2),
  [567] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 2),
  [569] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 3),
  [571] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 3),
  [573] = {.count = 1, .reusable = true}, REDUCE(sym_command, 3, .production_id = 21),
  [575] = {.count = 1, .reusable = false}, SHIFT(260),
  [577] = {.count = 1, .reusable = false}, REDUCE(sym_command, 3, .production_id = 21),
  [579] = {.count = 1, .reusable = false}, SHIFT(1792),
  [581] = {.count = 1, .reusable = false}, SHIFT(2074),
  [583] = {.count = 1, .reusable = false}, SHIFT(26),
  [585] = {.count = 1, .reusable = false}, SHIFT(27),
  [587] = {.count = 1, .reusable = false}, SHIFT(28),
  [589] = {.count = 1, .reusable = true}, SHIFT(2303),
  [591] = {.count = 1, .reusable = true}, SHIFT(2177),
  [593] = {.count = 1, .reusable = false}, SHIFT(440),
  [595] = {.count = 1, .reusable = false}, SHIFT(468),
  [597] = {.count = 1, .reusable = false}, SHIFT(438),
  [599] = {.count = 1, .reusable = false}, SHIFT(245),
  [601] = {.count = 1, .reusable = true}, REDUCE(sym_command, 2, .production_id = 8),
  [603] = {.count = 1, .reusable = false}, REDUCE(sym_command, 2, .production_id = 8),
  [605] = {.count = 1, .reusable = false}, SHIFT(1633),
  [607] = {.count = 1, .reusable = false}, SHIFT(2083),
  [609] = {.count = 1, .reusable = false}, SHIFT(30),
  [611] = {.count = 1, .reusable = false}, SHIFT(29),
  [613] = {.count = 1, .reusable = false}, SHIFT(39),
  [615] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [617] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(260),
  [620] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [622] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1792),
  [625] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2029),
  [628] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(237),
  [631] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2170),
  [634] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2074),
  [637] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(26),
  [640] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(27),
  [643] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(28),
  [646] = {.count = 1, .reusable = true}, REDUCE(sym_command, 2, .production_id = 10),
  [648] = {.count = 1, .reusable = false}, REDUCE(sym_command, 2, .production_id = 10),
  [650] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(274),
  [653] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1687),
  [656] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2023),
  [659] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(273),
  [662] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2183),
  [665] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2050),
  [668] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(68),
  [671] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(70),
  [674] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(73),
  [677] = {.count = 1, .reusable = false}, SHIFT(646),
  [679] = {.count = 1, .reusable = false}, SHIFT(2185),
  [681] = {.count = 1, .reusable = false}, SHIFT(620),
  [683] = {.count = 1, .reusable = false}, SHIFT(663),
  [685] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statements2, 4),
  [687] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statements2, 4),
  [689] = {.count = 1, .reusable = false}, SHIFT(394),
  [691] = {.count = 1, .reusable = false}, SHIFT(303),
  [693] = {.count = 1, .reusable = false}, SHIFT(395),
  [695] = {.count = 1, .reusable = false}, SHIFT(523),
  [697] = {.count = 1, .reusable = false}, SHIFT(2198),
  [699] = {.count = 1, .reusable = false}, SHIFT(547),
  [701] = {.count = 1, .reusable = false}, SHIFT(524),
  [703] = {.count = 1, .reusable = false}, SHIFT(274),
  [705] = {.count = 1, .reusable = false}, SHIFT(1687),
  [707] = {.count = 1, .reusable = false}, SHIFT(2050),
  [709] = {.count = 1, .reusable = false}, SHIFT(68),
  [711] = {.count = 1, .reusable = false}, SHIFT(70),
  [713] = {.count = 1, .reusable = false}, SHIFT(73),
  [715] = {.count = 1, .reusable = false}, SHIFT(485),
  [717] = {.count = 1, .reusable = false}, SHIFT(2158),
  [719] = {.count = 1, .reusable = false}, SHIFT(543),
  [721] = {.count = 1, .reusable = false}, SHIFT(484),
  [723] = {.count = 1, .reusable = true}, REDUCE(sym_command, 1, .production_id = 1),
  [725] = {.count = 1, .reusable = false}, REDUCE(sym_command, 1, .production_id = 1),
  [727] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(245),
  [730] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1633),
  [733] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1993),
  [736] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(265),
  [739] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2176),
  [742] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2083),
  [745] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(30),
  [748] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(29),
  [751] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(39),
  [754] = {.count = 1, .reusable = false}, SHIFT(363),
  [756] = {.count = 1, .reusable = false}, SHIFT(364),
  [758] = {.count = 1, .reusable = false}, SHIFT(366),
  [760] = {.count = 1, .reusable = false}, SHIFT(421),
  [762] = {.count = 1, .reusable = true}, REDUCE(sym_unset_command, 1),
  [764] = {.count = 1, .reusable = false}, REDUCE(sym_unset_command, 1),
  [766] = {.count = 1, .reusable = false}, SHIFT(2004),
  [768] = {.count = 1, .reusable = false}, SHIFT(318),
  [770] = {.count = 1, .reusable = false}, SHIFT(2164),
  [772] = {.count = 1, .reusable = false}, SHIFT(2092),
  [774] = {.count = 1, .reusable = false}, SHIFT(71),
  [776] = {.count = 1, .reusable = false}, SHIFT(18),
  [778] = {.count = 1, .reusable = false}, SHIFT(75),
  [780] = {.count = 1, .reusable = false}, SHIFT(184),
  [782] = {.count = 1, .reusable = false}, SHIFT(472),
  [784] = {.count = 1, .reusable = false}, SHIFT(580),
  [786] = {.count = 1, .reusable = false}, SHIFT(635),
  [788] = {.count = 1, .reusable = false}, SHIFT(509),
  [790] = {.count = 1, .reusable = false}, SHIFT(2201),
  [792] = {.count = 1, .reusable = false}, SHIFT(608),
  [794] = {.count = 1, .reusable = false}, SHIFT(508),
  [796] = {.count = 1, .reusable = true}, REDUCE(sym_unset_command, 2),
  [798] = {.count = 1, .reusable = false}, SHIFT(465),
  [800] = {.count = 1, .reusable = false}, REDUCE(sym_unset_command, 2),
  [802] = {.count = 1, .reusable = false}, SHIFT(2019),
  [804] = {.count = 1, .reusable = false}, SHIFT(436),
  [806] = {.count = 1, .reusable = false}, SHIFT(2147),
  [808] = {.count = 1, .reusable = false}, SHIFT(2059),
  [810] = {.count = 1, .reusable = false}, SHIFT(90),
  [812] = {.count = 1, .reusable = false}, SHIFT(91),
  [814] = {.count = 1, .reusable = false}, SHIFT(92),
  [816] = {.count = 1, .reusable = false}, SHIFT(187),
  [818] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(353),
  [821] = {.count = 1, .reusable = true}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [823] = {.count = 1, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [825] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2012),
  [828] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(455),
  [831] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2201),
  [834] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2070),
  [837] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(20),
  [840] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(19),
  [843] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(25),
  [846] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(178),
  [849] = {.count = 1, .reusable = false}, SHIFT(619),
  [851] = {.count = 1, .reusable = false}, SHIFT(618),
  [853] = {.count = 1, .reusable = false}, SHIFT(617),
  [855] = {.count = 1, .reusable = false}, SHIFT(353),
  [857] = {.count = 1, .reusable = false}, SHIFT(2012),
  [859] = {.count = 1, .reusable = false}, SHIFT(455),
  [861] = {.count = 1, .reusable = false}, SHIFT(2070),
  [863] = {.count = 1, .reusable = false}, SHIFT(20),
  [865] = {.count = 1, .reusable = false}, SHIFT(19),
  [867] = {.count = 1, .reusable = false}, SHIFT(25),
  [869] = {.count = 1, .reusable = false}, SHIFT(190),
  [871] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(421),
  [874] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2004),
  [877] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(318),
  [880] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2164),
  [883] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2092),
  [886] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(71),
  [889] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(18),
  [892] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(75),
  [895] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(181),
  [898] = {.count = 1, .reusable = false}, SHIFT(181),
  [900] = {.count = 1, .reusable = false}, SHIFT(177),
  [902] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(465),
  [905] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2019),
  [908] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(436),
  [911] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2147),
  [914] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2059),
  [917] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(90),
  [920] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(91),
  [923] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(92),
  [926] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(187),
  [929] = {.count = 1, .reusable = false}, SHIFT(178),
  [931] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 4),
  [933] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 4),
  [935] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 5),
  [937] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 5),
  [939] = {.count = 1, .reusable = true}, SHIFT(2461),
  [941] = {.count = 1, .reusable = false}, SHIFT(202),
  [943] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 4),
  [945] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 4),
  [947] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 1),
  [949] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat1, 1),
  [951] = {.count = 1, .reusable = true}, SHIFT(145),
  [953] = {.count = 1, .reusable = false}, SHIFT(209),
  [955] = {.count = 1, .reusable = false}, SHIFT(118),
  [957] = {.count = 1, .reusable = false}, SHIFT(117),
  [959] = {.count = 1, .reusable = false}, SHIFT(2643),
  [961] = {.count = 1, .reusable = false}, SHIFT(1835),
  [963] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat1, 1),
  [965] = {.count = 1, .reusable = true}, REDUCE(sym_pipeline, 3),
  [967] = {.count = 1, .reusable = false}, REDUCE(sym_pipeline, 3),
  [969] = {.count = 1, .reusable = false}, REDUCE(sym_command_name, 1),
  [971] = {.count = 1, .reusable = true}, REDUCE(sym_command_name, 1),
  [973] = {.count = 1, .reusable = false}, SHIFT(2666),
  [975] = {.count = 1, .reusable = true}, SHIFT(1901),
  [977] = {.count = 1, .reusable = true}, SHIFT(142),
  [979] = {.count = 1, .reusable = false}, SHIFT(196),
  [981] = {.count = 1, .reusable = false}, SHIFT(120),
  [983] = {.count = 1, .reusable = false}, SHIFT(119),
  [985] = {.count = 1, .reusable = false}, SHIFT(2673),
  [987] = {.count = 1, .reusable = false}, SHIFT(1833),
  [989] = {.count = 1, .reusable = true}, SHIFT(149),
  [991] = {.count = 1, .reusable = false}, SHIFT(208),
  [993] = {.count = 1, .reusable = true}, REDUCE(sym_list, 3),
  [995] = {.count = 1, .reusable = false}, REDUCE(sym_list, 3),
  [997] = {.count = 1, .reusable = true}, SHIFT(140),
  [999] = {.count = 1, .reusable = false}, SHIFT(204),
  [1001] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 1),
  [1003] = {.count = 1, .reusable = false}, SHIFT(121),
  [1005] = {.count = 1, .reusable = false}, SHIFT(124),
  [1007] = {.count = 1, .reusable = false}, SHIFT(1820),
  [1009] = {.count = 1, .reusable = true}, SHIFT(141),
  [1011] = {.count = 1, .reusable = false}, SHIFT(191),
  [1013] = {.count = 1, .reusable = false}, SHIFT(2644),
  [1015] = {.count = 1, .reusable = true}, SHIFT(1913),
  [1017] = {.count = 1, .reusable = true}, SHIFT(1948),
  [1019] = {.count = 1, .reusable = true}, SHIFT(148),
  [1021] = {.count = 1, .reusable = false}, SHIFT(203),
  [1023] = {.count = 1, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1025] = {.count = 1, .reusable = false}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1027] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1941),
  [1030] = {.count = 1, .reusable = true}, SHIFT(2541),
  [1032] = {.count = 1, .reusable = false}, SHIFT(2541),
  [1034] = {.count = 1, .reusable = true}, SHIFT(169),
  [1036] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1948),
  [1039] = {.count = 1, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 1),
  [1041] = {.count = 1, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 1),
  [1043] = {.count = 1, .reusable = true}, SHIFT(185),
  [1045] = {.count = 1, .reusable = false}, SHIFT(212),
  [1047] = {.count = 1, .reusable = false}, REDUCE(sym_concatenation, 2),
  [1049] = {.count = 1, .reusable = true}, REDUCE(sym_concatenation, 2),
  [1051] = {.count = 1, .reusable = true}, SHIFT(1925),
  [1053] = {.count = 1, .reusable = true}, SHIFT(1927),
  [1055] = {.count = 1, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1057] = {.count = 1, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1059] = {.count = 1, .reusable = true}, SHIFT(1946),
  [1061] = {.count = 1, .reusable = true}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1063] = {.count = 1, .reusable = false}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1065] = {.count = 1, .reusable = true}, SHIFT(1941),
  [1067] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1069] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1071] = {.count = 1, .reusable = true}, SHIFT(1932),
  [1073] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1946),
  [1076] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1078] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1080] = {.count = 1, .reusable = true}, SHIFT(125),
  [1082] = {.count = 1, .reusable = false}, SHIFT(143),
  [1084] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1913),
  [1087] = {.count = 1, .reusable = true}, SHIFT(1930),
  [1089] = {.count = 1, .reusable = true}, SHIFT(170),
  [1091] = {.count = 1, .reusable = false}, SHIFT(122),
  [1093] = {.count = 1, .reusable = true}, SHIFT(1895),
  [1095] = {.count = 1, .reusable = true}, SHIFT(146),
  [1097] = {.count = 1, .reusable = false}, SHIFT(206),
  [1099] = {.count = 1, .reusable = true}, SHIFT(1922),
  [1101] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1932),
  [1104] = {.count = 1, .reusable = true}, SHIFT(183),
  [1106] = {.count = 1, .reusable = false}, SHIFT(211),
  [1108] = {.count = 1, .reusable = false}, SHIFT(123),
  [1110] = {.count = 1, .reusable = true}, SHIFT(1926),
  [1112] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1901),
  [1115] = {.count = 1, .reusable = true}, SHIFT(182),
  [1117] = {.count = 1, .reusable = false}, SHIFT(213),
  [1119] = {.count = 1, .reusable = true}, SHIFT(1908),
  [1121] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1123] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1125] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 5),
  [1127] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 5),
  [1129] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [1131] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [1133] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1135] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1137] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1139] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1141] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1143] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1145] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1147] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1149] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 4),
  [1151] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 4),
  [1153] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1155] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1157] = {.count = 1, .reusable = false}, REDUCE(sym_string, 4),
  [1159] = {.count = 1, .reusable = true}, REDUCE(sym_string, 4),
  [1161] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1163] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1165] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 6, .production_id = 37),
  [1167] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 6, .production_id = 37),
  [1169] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1171] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1173] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [1175] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [1177] = {.count = 1, .reusable = false}, REDUCE(sym_process_substitution, 3),
  [1179] = {.count = 1, .reusable = true}, REDUCE(sym_process_substitution, 3),
  [1181] = {.count = 1, .reusable = false}, REDUCE(sym_string_expansion, 2),
  [1183] = {.count = 1, .reusable = true}, REDUCE(sym_string_expansion, 2),
  [1185] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 6),
  [1187] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 6),
  [1189] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 7),
  [1191] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 7),
  [1193] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1195] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1197] = {.count = 1, .reusable = false}, SHIFT(587),
  [1199] = {.count = 1, .reusable = false}, SHIFT(1366),
  [1201] = {.count = 1, .reusable = false}, SHIFT(2161),
  [1203] = {.count = 1, .reusable = false}, SHIFT(1374),
  [1205] = {.count = 1, .reusable = false}, SHIFT(1365),
  [1207] = {.count = 1, .reusable = true}, SHIFT(1910),
  [1209] = {.count = 1, .reusable = true}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1211] = {.count = 1, .reusable = false}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1213] = {.count = 1, .reusable = false}, SHIFT(615),
  [1215] = {.count = 1, .reusable = false}, REDUCE(sym_command_substitution, 3),
  [1217] = {.count = 1, .reusable = true}, REDUCE(sym_command_substitution, 3),
  [1219] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 3),
  [1221] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 3),
  [1223] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1225] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1227] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1910),
  [1230] = {.count = 1, .reusable = true}, SHIFT(1907),
  [1232] = {.count = 1, .reusable = true}, SHIFT(1916),
  [1234] = {.count = 1, .reusable = false}, SHIFT(636),
  [1236] = {.count = 1, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2),
  [1238] = {.count = 1, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 2),
  [1240] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(636),
  [1243] = {.count = 1, .reusable = false}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1245] = {.count = 1, .reusable = true}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1247] = {.count = 1, .reusable = false}, REDUCE(sym_simple_expansion, 2),
  [1249] = {.count = 1, .reusable = true}, REDUCE(sym_simple_expansion, 2),
  [1251] = {.count = 1, .reusable = true}, SHIFT(1931),
  [1253] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(604),
  [1256] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1258] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1260] = {.count = 1, .reusable = true}, SHIFT(1923),
  [1262] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(587),
  [1265] = {.count = 1, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1267] = {.count = 1, .reusable = true}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1269] = {.count = 1, .reusable = true}, SHIFT(1944),
  [1271] = {.count = 1, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1273] = {.count = 1, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1275] = {.count = 1, .reusable = false}, SHIFT(539),
  [1277] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1944),
  [1280] = {.count = 1, .reusable = false}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1282] = {.count = 1, .reusable = true}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1284] = {.count = 1, .reusable = true}, SHIFT(1898),
  [1286] = {.count = 1, .reusable = false}, SHIFT(570),
  [1288] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1916),
  [1291] = {.count = 1, .reusable = true}, SHIFT(1935),
  [1293] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(539),
  [1296] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1898),
  [1299] = {.count = 1, .reusable = false}, SHIFT(604),
  [1301] = {.count = 1, .reusable = true}, SHIFT(1924),
  [1303] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(615),
  [1306] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1920),
  [1309] = {.count = 1, .reusable = true}, SHIFT(1920),
  [1311] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1908),
  [1314] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(570),
  [1317] = {.count = 1, .reusable = true}, SHIFT(1917),
  [1319] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(666),
  [1322] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(672),
  [1325] = {.count = 1, .reusable = false}, SHIFT(665),
  [1327] = {.count = 1, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1329] = {.count = 1, .reusable = true}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1331] = {.count = 1, .reusable = false}, SHIFT(675),
  [1333] = {.count = 1, .reusable = true}, SHIFT(273),
  [1335] = {.count = 1, .reusable = true}, SHIFT(237),
  [1337] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(678),
  [1340] = {.count = 1, .reusable = false}, SHIFT(1454),
  [1342] = {.count = 1, .reusable = false}, SHIFT(2167),
  [1344] = {.count = 1, .reusable = false}, SHIFT(1399),
  [1346] = {.count = 1, .reusable = false}, SHIFT(1455),
  [1348] = {.count = 1, .reusable = false}, SHIFT(674),
  [1350] = {.count = 1, .reusable = false}, SHIFT(678),
  [1352] = {.count = 1, .reusable = true}, SHIFT(265),
  [1354] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(674),
  [1357] = {.count = 1, .reusable = true}, REDUCE(sym_array, 3),
  [1359] = {.count = 1, .reusable = false}, REDUCE(sym_array, 3),
  [1361] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(675),
  [1364] = {.count = 1, .reusable = false}, SHIFT(1534),
  [1366] = {.count = 1, .reusable = false}, SHIFT(2181),
  [1368] = {.count = 1, .reusable = false}, SHIFT(1516),
  [1370] = {.count = 1, .reusable = false}, SHIFT(1538),
  [1372] = {.count = 1, .reusable = false}, SHIFT(672),
  [1374] = {.count = 1, .reusable = false}, REDUCE(sym_array, 2),
  [1376] = {.count = 1, .reusable = true}, REDUCE(sym_array, 2),
  [1378] = {.count = 1, .reusable = false}, SHIFT(666),
  [1380] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(665),
  [1383] = {.count = 1, .reusable = false}, SHIFT(1340),
  [1385] = {.count = 1, .reusable = false}, SHIFT(1246),
  [1387] = {.count = 1, .reusable = false}, SHIFT(1282),
  [1389] = {.count = 1, .reusable = false}, SHIFT(1280),
  [1391] = {.count = 1, .reusable = false}, SHIFT(2014),
  [1393] = {.count = 1, .reusable = false}, SHIFT(1313),
  [1395] = {.count = 1, .reusable = false}, SHIFT(2079),
  [1397] = {.count = 1, .reusable = false}, SHIFT(87),
  [1399] = {.count = 1, .reusable = false}, SHIFT(86),
  [1401] = {.count = 1, .reusable = false}, SHIFT(88),
  [1403] = {.count = 1, .reusable = false}, SHIFT(683),
  [1405] = {.count = 1, .reusable = false}, SHIFT(1229),
  [1407] = {.count = 1, .reusable = false}, SHIFT(1502),
  [1409] = {.count = 1, .reusable = true}, SHIFT(2149),
  [1411] = {.count = 1, .reusable = true}, SHIFT(1500),
  [1413] = {.count = 1, .reusable = true}, SHIFT(1502),
  [1415] = {.count = 1, .reusable = false}, SHIFT(1499),
  [1417] = {.count = 1, .reusable = false}, SHIFT(945),
  [1419] = {.count = 1, .reusable = false}, SHIFT(1670),
  [1421] = {.count = 1, .reusable = true}, SHIFT(1670),
  [1423] = {.count = 1, .reusable = true}, SHIFT(2200),
  [1425] = {.count = 1, .reusable = true}, SHIFT(1673),
  [1427] = {.count = 1, .reusable = false}, SHIFT(1675),
  [1429] = {.count = 1, .reusable = true}, SHIFT(1675),
  [1431] = {.count = 1, .reusable = false}, SHIFT(681),
  [1433] = {.count = 1, .reusable = false}, SHIFT(1110),
  [1435] = {.count = 1, .reusable = false}, SHIFT(1832),
  [1437] = {.count = 1, .reusable = true}, SHIFT(1832),
  [1439] = {.count = 1, .reusable = true}, SHIFT(2137),
  [1441] = {.count = 1, .reusable = true}, SHIFT(1813),
  [1443] = {.count = 1, .reusable = false}, SHIFT(1836),
  [1445] = {.count = 1, .reusable = true}, SHIFT(1836),
  [1447] = {.count = 1, .reusable = false}, SHIFT(1639),
  [1449] = {.count = 1, .reusable = true}, SHIFT(1639),
  [1451] = {.count = 1, .reusable = true}, SHIFT(2166),
  [1453] = {.count = 1, .reusable = true}, SHIFT(1621),
  [1455] = {.count = 1, .reusable = false}, SHIFT(1640),
  [1457] = {.count = 1, .reusable = true}, SHIFT(1640),
  [1459] = {.count = 1, .reusable = false}, SHIFT(1567),
  [1461] = {.count = 1, .reusable = true}, SHIFT(1962),
  [1463] = {.count = 1, .reusable = false}, SHIFT(1184),
  [1465] = {.count = 1, .reusable = false}, SHIFT(2021),
  [1467] = {.count = 1, .reusable = false}, SHIFT(1531),
  [1469] = {.count = 1, .reusable = true}, SHIFT(2203),
  [1471] = {.count = 1, .reusable = true}, SHIFT(1567),
  [1473] = {.count = 1, .reusable = true}, SHIFT(1184),
  [1475] = {.count = 1, .reusable = true}, SHIFT(2104),
  [1477] = {.count = 1, .reusable = true}, SHIFT(697),
  [1479] = {.count = 1, .reusable = true}, SHIFT(17),
  [1481] = {.count = 1, .reusable = true}, SHIFT(61),
  [1483] = {.count = 1, .reusable = true}, SHIFT(69),
  [1485] = {.count = 1, .reusable = true}, SHIFT(1776),
  [1487] = {.count = 1, .reusable = false}, SHIFT(897),
  [1489] = {.count = 1, .reusable = true}, SHIFT(897),
  [1491] = {.count = 1, .reusable = true}, SHIFT(694),
  [1493] = {.count = 1, .reusable = true}, SHIFT(1779),
  [1495] = {.count = 1, .reusable = false}, SHIFT(1021),
  [1497] = {.count = 1, .reusable = true}, SHIFT(1021),
  [1499] = {.count = 1, .reusable = true}, SHIFT(695),
  [1501] = {.count = 1, .reusable = true}, SHIFT(1778),
  [1503] = {.count = 1, .reusable = false}, SHIFT(1023),
  [1505] = {.count = 1, .reusable = true}, SHIFT(1023),
  [1507] = {.count = 1, .reusable = true}, SHIFT(696),
  [1509] = {.count = 1, .reusable = true}, SHIFT(1780),
  [1511] = {.count = 1, .reusable = false}, SHIFT(1031),
  [1513] = {.count = 1, .reusable = true}, SHIFT(1031),
  [1515] = {.count = 1, .reusable = true}, SHIFT(1029),
  [1517] = {.count = 1, .reusable = true}, SHIFT(1032),
  [1519] = {.count = 1, .reusable = true}, SHIFT(1784),
  [1521] = {.count = 1, .reusable = false}, SHIFT(1034),
  [1523] = {.count = 1, .reusable = true}, SHIFT(1034),
  [1525] = {.count = 1, .reusable = true}, SHIFT(1033),
  [1527] = {.count = 1, .reusable = true}, SHIFT(1782),
  [1529] = {.count = 1, .reusable = false}, SHIFT(1039),
  [1531] = {.count = 1, .reusable = true}, SHIFT(1039),
  [1533] = {.count = 1, .reusable = true}, SHIFT(1037),
  [1535] = {.count = 1, .reusable = true}, SHIFT(1956),
  [1537] = {.count = 1, .reusable = false}, SHIFT(1192),
  [1539] = {.count = 1, .reusable = true}, SHIFT(1192),
  [1541] = {.count = 1, .reusable = true}, SHIFT(1197),
  [1543] = {.count = 1, .reusable = true}, SHIFT(1541),
  [1545] = {.count = 1, .reusable = false}, SHIFT(1060),
  [1547] = {.count = 1, .reusable = true}, SHIFT(1060),
  [1549] = {.count = 1, .reusable = true}, SHIFT(702),
  [1551] = {.count = 1, .reusable = true}, SHIFT(1582),
  [1553] = {.count = 1, .reusable = false}, SHIFT(1062),
  [1555] = {.count = 1, .reusable = true}, SHIFT(1062),
  [1557] = {.count = 1, .reusable = true}, SHIFT(703),
  [1559] = {.count = 1, .reusable = true}, SHIFT(1555),
  [1561] = {.count = 1, .reusable = false}, SHIFT(1066),
  [1563] = {.count = 1, .reusable = true}, SHIFT(1066),
  [1565] = {.count = 1, .reusable = true}, SHIFT(705),
  [1567] = {.count = 1, .reusable = true}, SHIFT(1554),
  [1569] = {.count = 1, .reusable = false}, SHIFT(1071),
  [1571] = {.count = 1, .reusable = true}, SHIFT(1071),
  [1573] = {.count = 1, .reusable = true}, SHIFT(710),
  [1575] = {.count = 1, .reusable = true}, SHIFT(1556),
  [1577] = {.count = 1, .reusable = false}, SHIFT(1073),
  [1579] = {.count = 1, .reusable = true}, SHIFT(1073),
  [1581] = {.count = 1, .reusable = true}, SHIFT(1072),
  [1583] = {.count = 1, .reusable = true}, SHIFT(1078),
  [1585] = {.count = 1, .reusable = true}, SHIFT(1976),
  [1587] = {.count = 1, .reusable = false}, SHIFT(1199),
  [1589] = {.count = 1, .reusable = true}, SHIFT(1199),
  [1591] = {.count = 1, .reusable = true}, SHIFT(1198),
  [1593] = {.count = 1, .reusable = true}, SHIFT(1521),
  [1595] = {.count = 1, .reusable = false}, SHIFT(1085),
  [1597] = {.count = 1, .reusable = true}, SHIFT(1085),
  [1599] = {.count = 1, .reusable = true}, SHIFT(1084),
  [1601] = {.count = 1, .reusable = true}, SHIFT(1973),
  [1603] = {.count = 1, .reusable = false}, SHIFT(1206),
  [1605] = {.count = 1, .reusable = true}, SHIFT(1206),
  [1607] = {.count = 1, .reusable = true}, SHIFT(1200),
  [1609] = {.count = 1, .reusable = true}, SHIFT(662),
  [1611] = {.count = 1, .reusable = false}, SHIFT(1230),
  [1613] = {.count = 1, .reusable = true}, SHIFT(1230),
  [1615] = {.count = 1, .reusable = true}, SHIFT(719),
  [1617] = {.count = 1, .reusable = true}, SHIFT(661),
  [1619] = {.count = 1, .reusable = false}, SHIFT(1215),
  [1621] = {.count = 1, .reusable = true}, SHIFT(1215),
  [1623] = {.count = 1, .reusable = true}, SHIFT(726),
  [1625] = {.count = 1, .reusable = true}, SHIFT(657),
  [1627] = {.count = 1, .reusable = false}, SHIFT(1089),
  [1629] = {.count = 1, .reusable = true}, SHIFT(1089),
  [1631] = {.count = 1, .reusable = true}, SHIFT(734),
  [1633] = {.count = 1, .reusable = true}, SHIFT(1557),
  [1635] = {.count = 1, .reusable = false}, SHIFT(1087),
  [1637] = {.count = 1, .reusable = true}, SHIFT(1087),
  [1639] = {.count = 1, .reusable = true}, SHIFT(1086),
  [1641] = {.count = 1, .reusable = true}, SHIFT(2013),
  [1643] = {.count = 1, .reusable = false}, SHIFT(1139),
  [1645] = {.count = 1, .reusable = true}, SHIFT(1139),
  [1647] = {.count = 1, .reusable = true}, SHIFT(720),
  [1649] = {.count = 1, .reusable = true}, SHIFT(2523),
  [1651] = {.count = 1, .reusable = false}, SHIFT(902),
  [1653] = {.count = 1, .reusable = true}, SHIFT(902),
  [1655] = {.count = 1, .reusable = true}, SHIFT(922),
  [1657] = {.count = 1, .reusable = true}, SHIFT(658),
  [1659] = {.count = 1, .reusable = false}, SHIFT(980),
  [1661] = {.count = 1, .reusable = true}, SHIFT(980),
  [1663] = {.count = 1, .reusable = true}, SHIFT(739),
  [1665] = {.count = 1, .reusable = true}, SHIFT(301),
  [1667] = {.count = 1, .reusable = false}, SHIFT(955),
  [1669] = {.count = 1, .reusable = true}, SHIFT(955),
  [1671] = {.count = 1, .reusable = true}, SHIFT(960),
  [1673] = {.count = 1, .reusable = true}, SHIFT(2025),
  [1675] = {.count = 1, .reusable = false}, SHIFT(1151),
  [1677] = {.count = 1, .reusable = true}, SHIFT(1151),
  [1679] = {.count = 1, .reusable = true}, SHIFT(728),
  [1681] = {.count = 1, .reusable = true}, SHIFT(281),
  [1683] = {.count = 1, .reusable = false}, SHIFT(1109),
  [1685] = {.count = 1, .reusable = true}, SHIFT(1109),
  [1687] = {.count = 1, .reusable = true}, SHIFT(927),
  [1689] = {.count = 1, .reusable = true}, SHIFT(2007),
  [1691] = {.count = 1, .reusable = false}, SHIFT(1152),
  [1693] = {.count = 1, .reusable = true}, SHIFT(1152),
  [1695] = {.count = 1, .reusable = true}, SHIFT(729),
  [1697] = {.count = 1, .reusable = true}, SHIFT(346),
  [1699] = {.count = 1, .reusable = false}, SHIFT(952),
  [1701] = {.count = 1, .reusable = true}, SHIFT(952),
  [1703] = {.count = 1, .reusable = true}, SHIFT(953),
  [1705] = {.count = 1, .reusable = true}, SHIFT(656),
  [1707] = {.count = 1, .reusable = false}, SHIFT(936),
  [1709] = {.count = 1, .reusable = true}, SHIFT(936),
  [1711] = {.count = 1, .reusable = true}, SHIFT(976),
  [1713] = {.count = 1, .reusable = true}, SHIFT(1994),
  [1715] = {.count = 1, .reusable = false}, SHIFT(1160),
  [1717] = {.count = 1, .reusable = true}, SHIFT(1160),
  [1719] = {.count = 1, .reusable = true}, SHIFT(1158),
  [1721] = {.count = 1, .reusable = true}, SHIFT(638),
  [1723] = {.count = 1, .reusable = false}, SHIFT(919),
  [1725] = {.count = 1, .reusable = true}, SHIFT(919),
  [1727] = {.count = 1, .reusable = true}, SHIFT(731),
  [1729] = {.count = 1, .reusable = true}, SHIFT(639),
  [1731] = {.count = 1, .reusable = false}, SHIFT(918),
  [1733] = {.count = 1, .reusable = true}, SHIFT(918),
  [1735] = {.count = 1, .reusable = true}, SHIFT(732),
  [1737] = {.count = 1, .reusable = true}, SHIFT(287),
  [1739] = {.count = 1, .reusable = false}, SHIFT(925),
  [1741] = {.count = 1, .reusable = true}, SHIFT(925),
  [1743] = {.count = 1, .reusable = true}, SHIFT(921),
  [1745] = {.count = 1, .reusable = true}, SHIFT(497),
  [1747] = {.count = 1, .reusable = false}, SHIFT(913),
  [1749] = {.count = 1, .reusable = true}, SHIFT(913),
  [1751] = {.count = 1, .reusable = true}, SHIFT(735),
  [1753] = {.count = 1, .reusable = true}, SHIFT(1161),
  [1755] = {.count = 1, .reusable = true}, SHIFT(924),
  [1757] = {.count = 1, .reusable = true}, SHIFT(483),
  [1759] = {.count = 1, .reusable = false}, SHIFT(911),
  [1761] = {.count = 1, .reusable = true}, SHIFT(911),
  [1763] = {.count = 1, .reusable = true}, SHIFT(736),
  [1765] = {.count = 1, .reusable = true}, SHIFT(1999),
  [1767] = {.count = 1, .reusable = false}, SHIFT(1164),
  [1769] = {.count = 1, .reusable = true}, SHIFT(1164),
  [1771] = {.count = 1, .reusable = true}, SHIFT(1162),
  [1773] = {.count = 1, .reusable = true}, SHIFT(1995),
  [1775] = {.count = 1, .reusable = false}, SHIFT(1167),
  [1777] = {.count = 1, .reusable = true}, SHIFT(1167),
  [1779] = {.count = 1, .reusable = true}, SHIFT(1166),
  [1781] = {.count = 1, .reusable = true}, SHIFT(1968),
  [1783] = {.count = 1, .reusable = false}, SHIFT(1176),
  [1785] = {.count = 1, .reusable = true}, SHIFT(1176),
  [1787] = {.count = 1, .reusable = true}, SHIFT(740),
  [1789] = {.count = 1, .reusable = true}, SHIFT(505),
  [1791] = {.count = 1, .reusable = false}, SHIFT(900),
  [1793] = {.count = 1, .reusable = true}, SHIFT(900),
  [1795] = {.count = 1, .reusable = true}, SHIFT(909),
  [1797] = {.count = 1, .reusable = true}, SHIFT(1127),
  [1799] = {.count = 1, .reusable = true}, SHIFT(1957),
  [1801] = {.count = 1, .reusable = false}, SHIFT(1186),
  [1803] = {.count = 1, .reusable = true}, SHIFT(1186),
  [1805] = {.count = 1, .reusable = true}, SHIFT(704),
  [1807] = {.count = 1, .reusable = true}, SHIFT(653),
  [1809] = {.count = 1, .reusable = false}, SHIFT(903),
  [1811] = {.count = 1, .reusable = true}, SHIFT(903),
  [1813] = {.count = 1, .reusable = true}, SHIFT(915),
  [1815] = {.count = 1, .reusable = true}, SHIFT(518),
  [1817] = {.count = 1, .reusable = false}, SHIFT(990),
  [1819] = {.count = 1, .reusable = true}, SHIFT(990),
  [1821] = {.count = 1, .reusable = true}, SHIFT(989),
  [1823] = {.count = 1, .reusable = true}, SHIFT(507),
  [1825] = {.count = 1, .reusable = false}, SHIFT(994),
  [1827] = {.count = 1, .reusable = true}, SHIFT(994),
  [1829] = {.count = 1, .reusable = true}, SHIFT(991),
  [1831] = {.count = 1, .reusable = true}, SHIFT(1774),
  [1833] = {.count = 1, .reusable = false}, SHIFT(1004),
  [1835] = {.count = 1, .reusable = true}, SHIFT(1004),
  [1837] = {.count = 1, .reusable = true}, SHIFT(693),
  [1839] = {.count = 1, .reusable = true}, SHIFT(706),
  [1841] = {.count = 1, .reusable = true}, SHIFT(655),
  [1843] = {.count = 1, .reusable = false}, SHIFT(978),
  [1845] = {.count = 1, .reusable = true}, SHIFT(978),
  [1847] = {.count = 1, .reusable = true}, SHIFT(973),
  [1849] = {.count = 1, .reusable = true}, SHIFT(1959),
  [1851] = {.count = 1, .reusable = false}, SHIFT(1195),
  [1853] = {.count = 1, .reusable = true}, SHIFT(1195),
  [1855] = {.count = 1, .reusable = true}, SHIFT(1193),
  [1857] = {.count = 1, .reusable = true}, SHIFT(355),
  [1859] = {.count = 1, .reusable = false}, SHIFT(985),
  [1861] = {.count = 1, .reusable = true}, SHIFT(985),
  [1863] = {.count = 1, .reusable = true}, SHIFT(718),
  [1865] = {.count = 1, .reusable = true}, SHIFT(1355),
  [1867] = {.count = 1, .reusable = false}, SHIFT(1252),
  [1869] = {.count = 1, .reusable = true}, SHIFT(1252),
  [1871] = {.count = 1, .reusable = true}, SHIFT(752),
  [1873] = {.count = 1, .reusable = true}, SHIFT(962),
  [1875] = {.count = 1, .reusable = true}, SHIFT(350),
  [1877] = {.count = 1, .reusable = false}, SHIFT(977),
  [1879] = {.count = 1, .reusable = true}, SHIFT(977),
  [1881] = {.count = 1, .reusable = true}, SHIFT(979),
  [1883] = {.count = 1, .reusable = true}, SHIFT(1651),
  [1885] = {.count = 1, .reusable = false}, SHIFT(1025),
  [1887] = {.count = 1, .reusable = true}, SHIFT(1025),
  [1889] = {.count = 1, .reusable = true}, SHIFT(1027),
  [1891] = {.count = 1, .reusable = true}, SHIFT(1330),
  [1893] = {.count = 1, .reusable = false}, SHIFT(1250),
  [1895] = {.count = 1, .reusable = true}, SHIFT(1250),
  [1897] = {.count = 1, .reusable = true}, SHIFT(753),
  [1899] = {.count = 1, .reusable = true}, SHIFT(1367),
  [1901] = {.count = 1, .reusable = false}, SHIFT(1248),
  [1903] = {.count = 1, .reusable = true}, SHIFT(1248),
  [1905] = {.count = 1, .reusable = true}, SHIFT(754),
  [1907] = {.count = 1, .reusable = true}, SHIFT(1368),
  [1909] = {.count = 1, .reusable = false}, SHIFT(1235),
  [1911] = {.count = 1, .reusable = true}, SHIFT(1235),
  [1913] = {.count = 1, .reusable = true}, SHIFT(755),
  [1915] = {.count = 1, .reusable = true}, SHIFT(352),
  [1917] = {.count = 1, .reusable = false}, SHIFT(988),
  [1919] = {.count = 1, .reusable = true}, SHIFT(988),
  [1921] = {.count = 1, .reusable = true}, SHIFT(714),
  [1923] = {.count = 1, .reusable = true}, SHIFT(362),
  [1925] = {.count = 1, .reusable = false}, SHIFT(995),
  [1927] = {.count = 1, .reusable = true}, SHIFT(995),
  [1929] = {.count = 1, .reusable = true}, SHIFT(743),
  [1931] = {.count = 1, .reusable = true}, SHIFT(2011),
  [1933] = {.count = 1, .reusable = false}, SHIFT(1140),
  [1935] = {.count = 1, .reusable = true}, SHIFT(1140),
  [1937] = {.count = 1, .reusable = true}, SHIFT(725),
  [1939] = {.count = 1, .reusable = true}, SHIFT(1364),
  [1941] = {.count = 1, .reusable = false}, SHIFT(1222),
  [1943] = {.count = 1, .reusable = true}, SHIFT(1222),
  [1945] = {.count = 1, .reusable = true}, SHIFT(1233),
  [1947] = {.count = 1, .reusable = true}, SHIFT(1220),
  [1949] = {.count = 1, .reusable = true}, SHIFT(1329),
  [1951] = {.count = 1, .reusable = false}, SHIFT(1175),
  [1953] = {.count = 1, .reusable = true}, SHIFT(1175),
  [1955] = {.count = 1, .reusable = true}, SHIFT(1219),
  [1957] = {.count = 1, .reusable = true}, SHIFT(1363),
  [1959] = {.count = 1, .reusable = false}, SHIFT(1170),
  [1961] = {.count = 1, .reusable = true}, SHIFT(1170),
  [1963] = {.count = 1, .reusable = true}, SHIFT(1173),
  [1965] = {.count = 1, .reusable = true}, SHIFT(2565),
  [1967] = {.count = 1, .reusable = false}, SHIFT(1081),
  [1969] = {.count = 1, .reusable = true}, SHIFT(1081),
  [1971] = {.count = 1, .reusable = true}, SHIFT(762),
  [1973] = {.count = 1, .reusable = true}, SHIFT(1654),
  [1975] = {.count = 1, .reusable = false}, SHIFT(1017),
  [1977] = {.count = 1, .reusable = true}, SHIFT(1017),
  [1979] = {.count = 1, .reusable = true}, SHIFT(1018),
  [1981] = {.count = 1, .reusable = true}, SHIFT(1659),
  [1983] = {.count = 1, .reusable = false}, SHIFT(1019),
  [1985] = {.count = 1, .reusable = true}, SHIFT(1019),
  [1987] = {.count = 1, .reusable = true}, SHIFT(1020),
  [1989] = {.count = 1, .reusable = true}, SHIFT(2564),
  [1991] = {.count = 1, .reusable = false}, SHIFT(1080),
  [1993] = {.count = 1, .reusable = true}, SHIFT(1080),
  [1995] = {.count = 1, .reusable = true}, SHIFT(712),
  [1997] = {.count = 1, .reusable = true}, SHIFT(2560),
  [1999] = {.count = 1, .reusable = false}, SHIFT(1055),
  [2001] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2003] = {.count = 1, .reusable = true}, SHIFT(765),
  [2005] = {.count = 1, .reusable = true}, SHIFT(766),
  [2007] = {.count = 1, .reusable = true}, SHIFT(2559),
  [2009] = {.count = 1, .reusable = false}, SHIFT(917),
  [2011] = {.count = 1, .reusable = true}, SHIFT(917),
  [2013] = {.count = 1, .reusable = true}, SHIFT(904),
  [2015] = {.count = 1, .reusable = true}, SHIFT(1648),
  [2017] = {.count = 1, .reusable = false}, SHIFT(1028),
  [2019] = {.count = 1, .reusable = true}, SHIFT(1028),
  [2021] = {.count = 1, .reusable = true}, SHIFT(1024),
  [2023] = {.count = 1, .reusable = true}, SHIFT(474),
  [2025] = {.count = 1, .reusable = false}, SHIFT(1203),
  [2027] = {.count = 1, .reusable = true}, SHIFT(1203),
  [2029] = {.count = 1, .reusable = true}, SHIFT(1185),
  [2031] = {.count = 1, .reusable = true}, SHIFT(2550),
  [2033] = {.count = 1, .reusable = false}, SHIFT(926),
  [2035] = {.count = 1, .reusable = true}, SHIFT(926),
  [2037] = {.count = 1, .reusable = true}, SHIFT(923),
  [2039] = {.count = 1, .reusable = true}, SHIFT(2556),
  [2041] = {.count = 1, .reusable = false}, SHIFT(931),
  [2043] = {.count = 1, .reusable = true}, SHIFT(931),
  [2045] = {.count = 1, .reusable = true}, SHIFT(930),
  [2047] = {.count = 1, .reusable = true}, SHIFT(2247),
  [2049] = {.count = 1, .reusable = false}, SHIFT(956),
  [2051] = {.count = 1, .reusable = true}, SHIFT(956),
  [2053] = {.count = 1, .reusable = true}, SHIFT(774),
  [2055] = {.count = 1, .reusable = true}, SHIFT(2249),
  [2057] = {.count = 1, .reusable = false}, SHIFT(958),
  [2059] = {.count = 1, .reusable = true}, SHIFT(958),
  [2061] = {.count = 1, .reusable = true}, SHIFT(775),
  [2063] = {.count = 1, .reusable = true}, SHIFT(2287),
  [2065] = {.count = 1, .reusable = false}, SHIFT(929),
  [2067] = {.count = 1, .reusable = true}, SHIFT(929),
  [2069] = {.count = 1, .reusable = true}, SHIFT(876),
  [2071] = {.count = 1, .reusable = true}, SHIFT(757),
  [2073] = {.count = 1, .reusable = true}, SHIFT(1650),
  [2075] = {.count = 1, .reusable = false}, SHIFT(1030),
  [2077] = {.count = 1, .reusable = true}, SHIFT(1030),
  [2079] = {.count = 1, .reusable = true}, SHIFT(758),
  [2081] = {.count = 1, .reusable = true}, SHIFT(2255),
  [2083] = {.count = 1, .reusable = false}, SHIFT(961),
  [2085] = {.count = 1, .reusable = true}, SHIFT(961),
  [2087] = {.count = 1, .reusable = true}, SHIFT(776),
  [2089] = {.count = 1, .reusable = true}, SHIFT(2254),
  [2091] = {.count = 1, .reusable = false}, SHIFT(964),
  [2093] = {.count = 1, .reusable = true}, SHIFT(964),
  [2095] = {.count = 1, .reusable = true}, SHIFT(778),
  [2097] = {.count = 1, .reusable = true}, SHIFT(2256),
  [2099] = {.count = 1, .reusable = false}, SHIFT(966),
  [2101] = {.count = 1, .reusable = true}, SHIFT(966),
  [2103] = {.count = 1, .reusable = true}, SHIFT(965),
  [2105] = {.count = 1, .reusable = true}, SHIFT(967),
  [2107] = {.count = 1, .reusable = true}, SHIFT(2259),
  [2109] = {.count = 1, .reusable = false}, SHIFT(969),
  [2111] = {.count = 1, .reusable = true}, SHIFT(969),
  [2113] = {.count = 1, .reusable = true}, SHIFT(968),
  [2115] = {.count = 1, .reusable = true}, SHIFT(1643),
  [2117] = {.count = 1, .reusable = false}, SHIFT(1035),
  [2119] = {.count = 1, .reusable = true}, SHIFT(1035),
  [2121] = {.count = 1, .reusable = true}, SHIFT(763),
  [2123] = {.count = 1, .reusable = true}, SHIFT(2257),
  [2125] = {.count = 1, .reusable = false}, SHIFT(971),
  [2127] = {.count = 1, .reusable = true}, SHIFT(971),
  [2129] = {.count = 1, .reusable = true}, SHIFT(970),
  [2131] = {.count = 1, .reusable = true}, SHIFT(365),
  [2133] = {.count = 1, .reusable = false}, SHIFT(981),
  [2135] = {.count = 1, .reusable = true}, SHIFT(981),
  [2137] = {.count = 1, .reusable = true}, SHIFT(786),
  [2139] = {.count = 1, .reusable = true}, SHIFT(371),
  [2141] = {.count = 1, .reusable = false}, SHIFT(982),
  [2143] = {.count = 1, .reusable = true}, SHIFT(982),
  [2145] = {.count = 1, .reusable = true}, SHIFT(788),
  [2147] = {.count = 1, .reusable = true}, SHIFT(1641),
  [2149] = {.count = 1, .reusable = false}, SHIFT(1036),
  [2151] = {.count = 1, .reusable = true}, SHIFT(1036),
  [2153] = {.count = 1, .reusable = true}, SHIFT(745),
  [2155] = {.count = 1, .reusable = true}, SHIFT(1466),
  [2157] = {.count = 1, .reusable = false}, SHIFT(1048),
  [2159] = {.count = 1, .reusable = true}, SHIFT(1048),
  [2161] = {.count = 1, .reusable = true}, SHIFT(1049),
  [2163] = {.count = 1, .reusable = true}, SHIFT(378),
  [2165] = {.count = 1, .reusable = false}, SHIFT(984),
  [2167] = {.count = 1, .reusable = true}, SHIFT(984),
  [2169] = {.count = 1, .reusable = true}, SHIFT(789),
  [2171] = {.count = 1, .reusable = true}, SHIFT(1468),
  [2173] = {.count = 1, .reusable = false}, SHIFT(1051),
  [2175] = {.count = 1, .reusable = true}, SHIFT(1051),
  [2177] = {.count = 1, .reusable = true}, SHIFT(1052),
  [2179] = {.count = 1, .reusable = true}, SHIFT(376),
  [2181] = {.count = 1, .reusable = false}, SHIFT(987),
  [2183] = {.count = 1, .reusable = true}, SHIFT(987),
  [2185] = {.count = 1, .reusable = true}, SHIFT(790),
  [2187] = {.count = 1, .reusable = true}, SHIFT(379),
  [2189] = {.count = 1, .reusable = false}, SHIFT(993),
  [2191] = {.count = 1, .reusable = true}, SHIFT(993),
  [2193] = {.count = 1, .reusable = true}, SHIFT(992),
  [2195] = {.count = 1, .reusable = true}, SHIFT(1463),
  [2197] = {.count = 1, .reusable = false}, SHIFT(1059),
  [2199] = {.count = 1, .reusable = true}, SHIFT(1059),
  [2201] = {.count = 1, .reusable = true}, SHIFT(1056),
  [2203] = {.count = 1, .reusable = true}, SHIFT(1000),
  [2205] = {.count = 1, .reusable = true}, SHIFT(382),
  [2207] = {.count = 1, .reusable = false}, SHIFT(1005),
  [2209] = {.count = 1, .reusable = true}, SHIFT(1005),
  [2211] = {.count = 1, .reusable = true}, SHIFT(1001),
  [2213] = {.count = 1, .reusable = true}, SHIFT(380),
  [2215] = {.count = 1, .reusable = false}, SHIFT(1009),
  [2217] = {.count = 1, .reusable = true}, SHIFT(1009),
  [2219] = {.count = 1, .reusable = true}, SHIFT(1008),
  [2221] = {.count = 1, .reusable = true}, SHIFT(407),
  [2223] = {.count = 1, .reusable = false}, SHIFT(1068),
  [2225] = {.count = 1, .reusable = true}, SHIFT(1068),
  [2227] = {.count = 1, .reusable = true}, SHIFT(796),
  [2229] = {.count = 1, .reusable = true}, SHIFT(410),
  [2231] = {.count = 1, .reusable = false}, SHIFT(1069),
  [2233] = {.count = 1, .reusable = true}, SHIFT(1069),
  [2235] = {.count = 1, .reusable = true}, SHIFT(797),
  [2237] = {.count = 1, .reusable = true}, SHIFT(426),
  [2239] = {.count = 1, .reusable = false}, SHIFT(1082),
  [2241] = {.count = 1, .reusable = true}, SHIFT(1082),
  [2243] = {.count = 1, .reusable = true}, SHIFT(798),
  [2245] = {.count = 1, .reusable = true}, SHIFT(1465),
  [2247] = {.count = 1, .reusable = false}, SHIFT(1057),
  [2249] = {.count = 1, .reusable = true}, SHIFT(1057),
  [2251] = {.count = 1, .reusable = true}, SHIFT(1058),
  [2253] = {.count = 1, .reusable = true}, SHIFT(424),
  [2255] = {.count = 1, .reusable = false}, SHIFT(1083),
  [2257] = {.count = 1, .reusable = true}, SHIFT(1083),
  [2259] = {.count = 1, .reusable = true}, SHIFT(799),
  [2261] = {.count = 1, .reusable = true}, SHIFT(429),
  [2263] = {.count = 1, .reusable = false}, SHIFT(1090),
  [2265] = {.count = 1, .reusable = true}, SHIFT(1090),
  [2267] = {.count = 1, .reusable = true}, SHIFT(1088),
  [2269] = {.count = 1, .reusable = true}, SHIFT(1104),
  [2271] = {.count = 1, .reusable = true}, SHIFT(445),
  [2273] = {.count = 1, .reusable = false}, SHIFT(1107),
  [2275] = {.count = 1, .reusable = true}, SHIFT(1107),
  [2277] = {.count = 1, .reusable = true}, SHIFT(1105),
  [2279] = {.count = 1, .reusable = true}, SHIFT(430),
  [2281] = {.count = 1, .reusable = false}, SHIFT(1116),
  [2283] = {.count = 1, .reusable = true}, SHIFT(1116),
  [2285] = {.count = 1, .reusable = true}, SHIFT(898),
  [2287] = {.count = 1, .reusable = true}, SHIFT(782),
  [2289] = {.count = 1, .reusable = true}, SHIFT(504),
  [2291] = {.count = 1, .reusable = false}, SHIFT(1130),
  [2293] = {.count = 1, .reusable = true}, SHIFT(1130),
  [2295] = {.count = 1, .reusable = true}, SHIFT(809),
  [2297] = {.count = 1, .reusable = true}, SHIFT(319),
  [2299] = {.count = 1, .reusable = false}, SHIFT(1244),
  [2301] = {.count = 1, .reusable = true}, SHIFT(1244),
  [2303] = {.count = 1, .reusable = true}, SHIFT(1223),
  [2305] = {.count = 1, .reusable = true}, SHIFT(503),
  [2307] = {.count = 1, .reusable = false}, SHIFT(1132),
  [2309] = {.count = 1, .reusable = true}, SHIFT(1132),
  [2311] = {.count = 1, .reusable = true}, SHIFT(810),
  [2313] = {.count = 1, .reusable = true}, SHIFT(499),
  [2315] = {.count = 1, .reusable = false}, SHIFT(1150),
  [2317] = {.count = 1, .reusable = true}, SHIFT(1150),
  [2319] = {.count = 1, .reusable = true}, SHIFT(811),
  [2321] = {.count = 1, .reusable = true}, SHIFT(308),
  [2323] = {.count = 1, .reusable = false}, SHIFT(1242),
  [2325] = {.count = 1, .reusable = true}, SHIFT(1242),
  [2327] = {.count = 1, .reusable = true}, SHIFT(1273),
  [2329] = {.count = 1, .reusable = true}, SHIFT(500),
  [2331] = {.count = 1, .reusable = false}, SHIFT(1153),
  [2333] = {.count = 1, .reusable = true}, SHIFT(1153),
  [2335] = {.count = 1, .reusable = true}, SHIFT(815),
  [2337] = {.count = 1, .reusable = true}, SHIFT(716),
  [2339] = {.count = 1, .reusable = true}, SHIFT(317),
  [2341] = {.count = 1, .reusable = false}, SHIFT(1225),
  [2343] = {.count = 1, .reusable = true}, SHIFT(1225),
  [2345] = {.count = 1, .reusable = true}, SHIFT(723),
  [2347] = {.count = 1, .reusable = true}, SHIFT(498),
  [2349] = {.count = 1, .reusable = false}, SHIFT(1241),
  [2351] = {.count = 1, .reusable = true}, SHIFT(1241),
  [2353] = {.count = 1, .reusable = true}, SHIFT(1174),
  [2355] = {.count = 1, .reusable = true}, SHIFT(1243),
  [2357] = {.count = 1, .reusable = true}, SHIFT(493),
  [2359] = {.count = 1, .reusable = false}, SHIFT(1255),
  [2361] = {.count = 1, .reusable = true}, SHIFT(1255),
  [2363] = {.count = 1, .reusable = true}, SHIFT(1254),
  [2365] = {.count = 1, .reusable = true}, SHIFT(1464),
  [2367] = {.count = 1, .reusable = false}, SHIFT(1061),
  [2369] = {.count = 1, .reusable = true}, SHIFT(1061),
  [2371] = {.count = 1, .reusable = true}, SHIFT(784),
  [2373] = {.count = 1, .reusable = true}, SHIFT(1459),
  [2375] = {.count = 1, .reusable = false}, SHIFT(1063),
  [2377] = {.count = 1, .reusable = true}, SHIFT(1063),
  [2379] = {.count = 1, .reusable = true}, SHIFT(787),
  [2381] = {.count = 1, .reusable = true}, SHIFT(1458),
  [2383] = {.count = 1, .reusable = false}, SHIFT(1067),
  [2385] = {.count = 1, .reusable = true}, SHIFT(1067),
  [2387] = {.count = 1, .reusable = true}, SHIFT(794),
  [2389] = {.count = 1, .reusable = true}, SHIFT(496),
  [2391] = {.count = 1, .reusable = false}, SHIFT(905),
  [2393] = {.count = 1, .reusable = true}, SHIFT(905),
  [2395] = {.count = 1, .reusable = true}, SHIFT(1268),
  [2397] = {.count = 1, .reusable = true}, SHIFT(550),
  [2399] = {.count = 1, .reusable = false}, SHIFT(1094),
  [2401] = {.count = 1, .reusable = true}, SHIFT(1094),
  [2403] = {.count = 1, .reusable = true}, SHIFT(1095),
  [2405] = {.count = 1, .reusable = true}, SHIFT(552),
  [2407] = {.count = 1, .reusable = false}, SHIFT(1096),
  [2409] = {.count = 1, .reusable = true}, SHIFT(1096),
  [2411] = {.count = 1, .reusable = true}, SHIFT(1097),
  [2413] = {.count = 1, .reusable = true}, SHIFT(481),
  [2415] = {.count = 1, .reusable = false}, SHIFT(933),
  [2417] = {.count = 1, .reusable = true}, SHIFT(933),
  [2419] = {.count = 1, .reusable = true}, SHIFT(832),
  [2421] = {.count = 1, .reusable = true}, SHIFT(546),
  [2423] = {.count = 1, .reusable = false}, SHIFT(1106),
  [2425] = {.count = 1, .reusable = true}, SHIFT(1106),
  [2427] = {.count = 1, .reusable = true}, SHIFT(1101),
  [2429] = {.count = 1, .reusable = true}, SHIFT(480),
  [2431] = {.count = 1, .reusable = false}, SHIFT(937),
  [2433] = {.count = 1, .reusable = true}, SHIFT(937),
  [2435] = {.count = 1, .reusable = true}, SHIFT(848),
  [2437] = {.count = 1, .reusable = true}, SHIFT(476),
  [2439] = {.count = 1, .reusable = false}, SHIFT(983),
  [2441] = {.count = 1, .reusable = true}, SHIFT(983),
  [2443] = {.count = 1, .reusable = true}, SHIFT(850),
  [2445] = {.count = 1, .reusable = true}, SHIFT(549),
  [2447] = {.count = 1, .reusable = false}, SHIFT(1102),
  [2449] = {.count = 1, .reusable = true}, SHIFT(1102),
  [2451] = {.count = 1, .reusable = true}, SHIFT(1103),
  [2453] = {.count = 1, .reusable = true}, SHIFT(816),
  [2455] = {.count = 1, .reusable = true}, SHIFT(477),
  [2457] = {.count = 1, .reusable = false}, SHIFT(1026),
  [2459] = {.count = 1, .reusable = true}, SHIFT(1026),
  [2461] = {.count = 1, .reusable = true}, SHIFT(764),
  [2463] = {.count = 1, .reusable = true}, SHIFT(548),
  [2465] = {.count = 1, .reusable = false}, SHIFT(1108),
  [2467] = {.count = 1, .reusable = true}, SHIFT(1108),
  [2469] = {.count = 1, .reusable = true}, SHIFT(817),
  [2471] = {.count = 1, .reusable = true}, SHIFT(526),
  [2473] = {.count = 1, .reusable = false}, SHIFT(1111),
  [2475] = {.count = 1, .reusable = true}, SHIFT(1111),
  [2477] = {.count = 1, .reusable = true}, SHIFT(819),
  [2479] = {.count = 1, .reusable = true}, SHIFT(525),
  [2481] = {.count = 1, .reusable = false}, SHIFT(1113),
  [2483] = {.count = 1, .reusable = true}, SHIFT(1113),
  [2485] = {.count = 1, .reusable = true}, SHIFT(822),
  [2487] = {.count = 1, .reusable = true}, SHIFT(2235),
  [2489] = {.count = 1, .reusable = false}, SHIFT(1146),
  [2491] = {.count = 1, .reusable = true}, SHIFT(1146),
  [2493] = {.count = 1, .reusable = true}, SHIFT(1147),
  [2495] = {.count = 1, .reusable = true}, SHIFT(2230),
  [2497] = {.count = 1, .reusable = false}, SHIFT(1148),
  [2499] = {.count = 1, .reusable = true}, SHIFT(1148),
  [2501] = {.count = 1, .reusable = true}, SHIFT(1149),
  [2503] = {.count = 1, .reusable = true}, SHIFT(2236),
  [2505] = {.count = 1, .reusable = false}, SHIFT(1157),
  [2507] = {.count = 1, .reusable = true}, SHIFT(1157),
  [2509] = {.count = 1, .reusable = true}, SHIFT(1154),
  [2511] = {.count = 1, .reusable = true}, SHIFT(2238),
  [2513] = {.count = 1, .reusable = false}, SHIFT(1155),
  [2515] = {.count = 1, .reusable = true}, SHIFT(1155),
  [2517] = {.count = 1, .reusable = true}, SHIFT(1156),
  [2519] = {.count = 1, .reusable = true}, SHIFT(475),
  [2521] = {.count = 1, .reusable = false}, SHIFT(1065),
  [2523] = {.count = 1, .reusable = true}, SHIFT(1065),
  [2525] = {.count = 1, .reusable = true}, SHIFT(1064),
  [2527] = {.count = 1, .reusable = true}, SHIFT(828),
  [2529] = {.count = 1, .reusable = true}, SHIFT(2237),
  [2531] = {.count = 1, .reusable = false}, SHIFT(1159),
  [2533] = {.count = 1, .reusable = true}, SHIFT(1159),
  [2535] = {.count = 1, .reusable = true}, SHIFT(829),
  [2537] = {.count = 1, .reusable = true}, SHIFT(2228),
  [2539] = {.count = 1, .reusable = false}, SHIFT(1163),
  [2541] = {.count = 1, .reusable = true}, SHIFT(1163),
  [2543] = {.count = 1, .reusable = true}, SHIFT(830),
  [2545] = {.count = 1, .reusable = true}, SHIFT(2231),
  [2547] = {.count = 1, .reusable = false}, SHIFT(1165),
  [2549] = {.count = 1, .reusable = true}, SHIFT(1165),
  [2551] = {.count = 1, .reusable = true}, SHIFT(831),
  [2553] = {.count = 1, .reusable = true}, SHIFT(1452),
  [2555] = {.count = 1, .reusable = false}, SHIFT(1180),
  [2557] = {.count = 1, .reusable = true}, SHIFT(1180),
  [2559] = {.count = 1, .reusable = true}, SHIFT(1181),
  [2561] = {.count = 1, .reusable = true}, SHIFT(1448),
  [2563] = {.count = 1, .reusable = false}, SHIFT(1182),
  [2565] = {.count = 1, .reusable = true}, SHIFT(1182),
  [2567] = {.count = 1, .reusable = true}, SHIFT(1183),
  [2569] = {.count = 1, .reusable = true}, SHIFT(1462),
  [2571] = {.count = 1, .reusable = false}, SHIFT(1190),
  [2573] = {.count = 1, .reusable = true}, SHIFT(1190),
  [2575] = {.count = 1, .reusable = true}, SHIFT(1187),
  [2577] = {.count = 1, .reusable = true}, SHIFT(1456),
  [2579] = {.count = 1, .reusable = false}, SHIFT(1188),
  [2581] = {.count = 1, .reusable = true}, SHIFT(1188),
  [2583] = {.count = 1, .reusable = true}, SHIFT(1189),
  [2585] = {.count = 1, .reusable = true}, SHIFT(837),
  [2587] = {.count = 1, .reusable = true}, SHIFT(1457),
  [2589] = {.count = 1, .reusable = false}, SHIFT(1191),
  [2591] = {.count = 1, .reusable = true}, SHIFT(1191),
  [2593] = {.count = 1, .reusable = true}, SHIFT(838),
  [2595] = {.count = 1, .reusable = true}, SHIFT(1476),
  [2597] = {.count = 1, .reusable = false}, SHIFT(1194),
  [2599] = {.count = 1, .reusable = true}, SHIFT(1194),
  [2601] = {.count = 1, .reusable = true}, SHIFT(839),
  [2603] = {.count = 1, .reusable = true}, SHIFT(1385),
  [2605] = {.count = 1, .reusable = false}, SHIFT(1196),
  [2607] = {.count = 1, .reusable = true}, SHIFT(1196),
  [2609] = {.count = 1, .reusable = true}, SHIFT(840),
  [2611] = {.count = 1, .reusable = true}, SHIFT(595),
  [2613] = {.count = 1, .reusable = false}, SHIFT(1232),
  [2615] = {.count = 1, .reusable = true}, SHIFT(1232),
  [2617] = {.count = 1, .reusable = true}, SHIFT(1238),
  [2619] = {.count = 1, .reusable = true}, SHIFT(593),
  [2621] = {.count = 1, .reusable = false}, SHIFT(1239),
  [2623] = {.count = 1, .reusable = true}, SHIFT(1239),
  [2625] = {.count = 1, .reusable = true}, SHIFT(1240),
  [2627] = {.count = 1, .reusable = true}, SHIFT(600),
  [2629] = {.count = 1, .reusable = false}, SHIFT(1272),
  [2631] = {.count = 1, .reusable = true}, SHIFT(1272),
  [2633] = {.count = 1, .reusable = true}, SHIFT(1249),
  [2635] = {.count = 1, .reusable = true}, SHIFT(1123),
  [2637] = {.count = 1, .reusable = true}, SHIFT(597),
  [2639] = {.count = 1, .reusable = false}, SHIFT(1266),
  [2641] = {.count = 1, .reusable = true}, SHIFT(1266),
  [2643] = {.count = 1, .reusable = true}, SHIFT(1269),
  [2645] = {.count = 1, .reusable = true}, SHIFT(648),
  [2647] = {.count = 1, .reusable = false}, SHIFT(1172),
  [2649] = {.count = 1, .reusable = true}, SHIFT(1172),
  [2651] = {.count = 1, .reusable = true}, SHIFT(1137),
  [2653] = {.count = 1, .reusable = true}, SHIFT(845),
  [2655] = {.count = 1, .reusable = true}, SHIFT(599),
  [2657] = {.count = 1, .reusable = false}, SHIFT(1264),
  [2659] = {.count = 1, .reusable = true}, SHIFT(1264),
  [2661] = {.count = 1, .reusable = true}, SHIFT(846),
  [2663] = {.count = 1, .reusable = true}, SHIFT(609),
  [2665] = {.count = 1, .reusable = false}, SHIFT(1201),
  [2667] = {.count = 1, .reusable = true}, SHIFT(1201),
  [2669] = {.count = 1, .reusable = true}, SHIFT(847),
  [2671] = {.count = 1, .reusable = true}, SHIFT(610),
  [2673] = {.count = 1, .reusable = false}, SHIFT(1112),
  [2675] = {.count = 1, .reusable = true}, SHIFT(1112),
  [2677] = {.count = 1, .reusable = true}, SHIFT(849),
  [2679] = {.count = 1, .reusable = true}, SHIFT(408),
  [2681] = {.count = 1, .reusable = false}, SHIFT(1260),
  [2683] = {.count = 1, .reusable = true}, SHIFT(1260),
  [2685] = {.count = 1, .reusable = true}, SHIFT(1271),
  [2687] = {.count = 1, .reusable = true}, SHIFT(414),
  [2689] = {.count = 1, .reusable = false}, SHIFT(1274),
  [2691] = {.count = 1, .reusable = true}, SHIFT(1274),
  [2693] = {.count = 1, .reusable = true}, SHIFT(1270),
  [2695] = {.count = 1, .reusable = true}, SHIFT(400),
  [2697] = {.count = 1, .reusable = false}, SHIFT(1258),
  [2699] = {.count = 1, .reusable = true}, SHIFT(1258),
  [2701] = {.count = 1, .reusable = true}, SHIFT(1262),
  [2703] = {.count = 1, .reusable = true}, SHIFT(406),
  [2705] = {.count = 1, .reusable = false}, SHIFT(1261),
  [2707] = {.count = 1, .reusable = true}, SHIFT(1261),
  [2709] = {.count = 1, .reusable = true}, SHIFT(1259),
  [2711] = {.count = 1, .reusable = true}, SHIFT(855),
  [2713] = {.count = 1, .reusable = true}, SHIFT(402),
  [2715] = {.count = 1, .reusable = false}, SHIFT(1257),
  [2717] = {.count = 1, .reusable = true}, SHIFT(1257),
  [2719] = {.count = 1, .reusable = true}, SHIFT(856),
  [2721] = {.count = 1, .reusable = true}, SHIFT(409),
  [2723] = {.count = 1, .reusable = false}, SHIFT(1126),
  [2725] = {.count = 1, .reusable = true}, SHIFT(1126),
  [2727] = {.count = 1, .reusable = true}, SHIFT(802),
  [2729] = {.count = 1, .reusable = true}, SHIFT(418),
  [2731] = {.count = 1, .reusable = false}, SHIFT(1128),
  [2733] = {.count = 1, .reusable = true}, SHIFT(1128),
  [2735] = {.count = 1, .reusable = true}, SHIFT(805),
  [2737] = {.count = 1, .reusable = true}, SHIFT(390),
  [2739] = {.count = 1, .reusable = false}, SHIFT(1253),
  [2741] = {.count = 1, .reusable = true}, SHIFT(1253),
  [2743] = {.count = 1, .reusable = true}, SHIFT(857),
  [2745] = {.count = 1, .reusable = true}, SHIFT(387),
  [2747] = {.count = 1, .reusable = false}, SHIFT(1251),
  [2749] = {.count = 1, .reusable = true}, SHIFT(1251),
  [2751] = {.count = 1, .reusable = true}, SHIFT(858),
  [2753] = {.count = 1, .reusable = true}, SHIFT(1853),
  [2755] = {.count = 1, .reusable = false}, SHIFT(1209),
  [2757] = {.count = 1, .reusable = true}, SHIFT(1209),
  [2759] = {.count = 1, .reusable = true}, SHIFT(1208),
  [2761] = {.count = 1, .reusable = true}, SHIFT(1851),
  [2763] = {.count = 1, .reusable = false}, SHIFT(1205),
  [2765] = {.count = 1, .reusable = true}, SHIFT(1205),
  [2767] = {.count = 1, .reusable = true}, SHIFT(1202),
  [2769] = {.count = 1, .reusable = true}, SHIFT(1856),
  [2771] = {.count = 1, .reusable = false}, SHIFT(1135),
  [2773] = {.count = 1, .reusable = true}, SHIFT(1135),
  [2775] = {.count = 1, .reusable = true}, SHIFT(1143),
  [2777] = {.count = 1, .reusable = true}, SHIFT(1814),
  [2779] = {.count = 1, .reusable = false}, SHIFT(1142),
  [2781] = {.count = 1, .reusable = true}, SHIFT(1142),
  [2783] = {.count = 1, .reusable = true}, SHIFT(1136),
  [2785] = {.count = 1, .reusable = true}, SHIFT(865),
  [2787] = {.count = 1, .reusable = true}, SHIFT(1855),
  [2789] = {.count = 1, .reusable = false}, SHIFT(1134),
  [2791] = {.count = 1, .reusable = true}, SHIFT(1134),
  [2793] = {.count = 1, .reusable = true}, SHIFT(866),
  [2795] = {.count = 1, .reusable = true}, SHIFT(1858),
  [2797] = {.count = 1, .reusable = false}, SHIFT(1124),
  [2799] = {.count = 1, .reusable = true}, SHIFT(1124),
  [2801] = {.count = 1, .reusable = true}, SHIFT(867),
  [2803] = {.count = 1, .reusable = true}, SHIFT(1854),
  [2805] = {.count = 1, .reusable = false}, SHIFT(1121),
  [2807] = {.count = 1, .reusable = true}, SHIFT(1121),
  [2809] = {.count = 1, .reusable = true}, SHIFT(868),
  [2811] = {.count = 1, .reusable = true}, SHIFT(2265),
  [2813] = {.count = 1, .reusable = false}, SHIFT(1013),
  [2815] = {.count = 1, .reusable = true}, SHIFT(1013),
  [2817] = {.count = 1, .reusable = true}, SHIFT(1256),
  [2819] = {.count = 1, .reusable = true}, SHIFT(2261),
  [2821] = {.count = 1, .reusable = false}, SHIFT(899),
  [2823] = {.count = 1, .reusable = true}, SHIFT(899),
  [2825] = {.count = 1, .reusable = true}, SHIFT(901),
  [2827] = {.count = 1, .reusable = true}, SHIFT(2272),
  [2829] = {.count = 1, .reusable = false}, SHIFT(916),
  [2831] = {.count = 1, .reusable = true}, SHIFT(916),
  [2833] = {.count = 1, .reusable = true}, SHIFT(907),
  [2835] = {.count = 1, .reusable = true}, SHIFT(2273),
  [2837] = {.count = 1, .reusable = false}, SHIFT(908),
  [2839] = {.count = 1, .reusable = true}, SHIFT(908),
  [2841] = {.count = 1, .reusable = true}, SHIFT(914),
  [2843] = {.count = 1, .reusable = true}, SHIFT(873),
  [2845] = {.count = 1, .reusable = true}, SHIFT(2268),
  [2847] = {.count = 1, .reusable = false}, SHIFT(920),
  [2849] = {.count = 1, .reusable = true}, SHIFT(920),
  [2851] = {.count = 1, .reusable = true}, SHIFT(874),
  [2853] = {.count = 1, .reusable = true}, SHIFT(2286),
  [2855] = {.count = 1, .reusable = false}, SHIFT(928),
  [2857] = {.count = 1, .reusable = true}, SHIFT(928),
  [2859] = {.count = 1, .reusable = true}, SHIFT(875),
  [2861] = {.count = 1, .reusable = true}, SHIFT(368),
  [2863] = {.count = 1, .reusable = false}, SHIFT(997),
  [2865] = {.count = 1, .reusable = true}, SHIFT(997),
  [2867] = {.count = 1, .reusable = true}, SHIFT(744),
  [2869] = {.count = 1, .reusable = true}, SHIFT(277),
  [2871] = {.count = 1, .reusable = false}, SHIFT(941),
  [2873] = {.count = 1, .reusable = true}, SHIFT(941),
  [2875] = {.count = 1, .reusable = true}, SHIFT(942),
  [2877] = {.count = 1, .reusable = true}, SHIFT(299),
  [2879] = {.count = 1, .reusable = false}, SHIFT(943),
  [2881] = {.count = 1, .reusable = true}, SHIFT(943),
  [2883] = {.count = 1, .reusable = true}, SHIFT(944),
  [2885] = {.count = 1, .reusable = true}, SHIFT(286),
  [2887] = {.count = 1, .reusable = false}, SHIFT(954),
  [2889] = {.count = 1, .reusable = true}, SHIFT(954),
  [2891] = {.count = 1, .reusable = true}, SHIFT(947),
  [2893] = {.count = 1, .reusable = true}, SHIFT(284),
  [2895] = {.count = 1, .reusable = false}, SHIFT(950),
  [2897] = {.count = 1, .reusable = true}, SHIFT(950),
  [2899] = {.count = 1, .reusable = true}, SHIFT(951),
  [2901] = {.count = 1, .reusable = true}, SHIFT(881),
  [2903] = {.count = 1, .reusable = true}, SHIFT(285),
  [2905] = {.count = 1, .reusable = false}, SHIFT(957),
  [2907] = {.count = 1, .reusable = true}, SHIFT(957),
  [2909] = {.count = 1, .reusable = true}, SHIFT(882),
  [2911] = {.count = 1, .reusable = true}, SHIFT(310),
  [2913] = {.count = 1, .reusable = false}, SHIFT(959),
  [2915] = {.count = 1, .reusable = true}, SHIFT(959),
  [2917] = {.count = 1, .reusable = true}, SHIFT(883),
  [2919] = {.count = 1, .reusable = true}, SHIFT(311),
  [2921] = {.count = 1, .reusable = false}, SHIFT(963),
  [2923] = {.count = 1, .reusable = true}, SHIFT(963),
  [2925] = {.count = 1, .reusable = true}, SHIFT(884),
  [2927] = {.count = 1, .reusable = true}, SHIFT(1730),
  [2929] = {.count = 1, .reusable = false}, SHIFT(1016),
  [2931] = {.count = 1, .reusable = true}, SHIFT(1016),
  [2933] = {.count = 1, .reusable = true}, SHIFT(1022),
  [2935] = {.count = 1, .reusable = true}, SHIFT(1733),
  [2937] = {.count = 1, .reusable = false}, SHIFT(1042),
  [2939] = {.count = 1, .reusable = true}, SHIFT(1042),
  [2941] = {.count = 1, .reusable = true}, SHIFT(1044),
  [2943] = {.count = 1, .reusable = true}, SHIFT(1719),
  [2945] = {.count = 1, .reusable = false}, SHIFT(1076),
  [2947] = {.count = 1, .reusable = true}, SHIFT(1076),
  [2949] = {.count = 1, .reusable = true}, SHIFT(1070),
  [2951] = {.count = 1, .reusable = true}, SHIFT(1725),
  [2953] = {.count = 1, .reusable = false}, SHIFT(1074),
  [2955] = {.count = 1, .reusable = true}, SHIFT(1074),
  [2957] = {.count = 1, .reusable = true}, SHIFT(1075),
  [2959] = {.count = 1, .reusable = true}, SHIFT(889),
  [2961] = {.count = 1, .reusable = true}, SHIFT(1721),
  [2963] = {.count = 1, .reusable = false}, SHIFT(1077),
  [2965] = {.count = 1, .reusable = true}, SHIFT(1077),
  [2967] = {.count = 1, .reusable = true}, SHIFT(890),
  [2969] = {.count = 1, .reusable = true}, SHIFT(1704),
  [2971] = {.count = 1, .reusable = false}, SHIFT(1118),
  [2973] = {.count = 1, .reusable = true}, SHIFT(1118),
  [2975] = {.count = 1, .reusable = true}, SHIFT(891),
  [2977] = {.count = 1, .reusable = true}, SHIFT(1703),
  [2979] = {.count = 1, .reusable = false}, SHIFT(1119),
  [2981] = {.count = 1, .reusable = true}, SHIFT(1119),
  [2983] = {.count = 1, .reusable = true}, SHIFT(892),
  [2985] = {.count = 1, .reusable = false}, SHIFT(1226),
  [2987] = {.count = 1, .reusable = true}, SHIFT(1226),
  [2989] = {.count = 1, .reusable = true}, SHIFT(447),
  [2991] = {.count = 1, .reusable = false}, SHIFT(1125),
  [2993] = {.count = 1, .reusable = true}, SHIFT(1125),
  [2995] = {.count = 1, .reusable = true}, SHIFT(2248),
  [2997] = {.count = 1, .reusable = true}, SHIFT(531),
  [2999] = {.count = 1, .reusable = false}, SHIFT(1053),
  [3001] = {.count = 1, .reusable = true}, SHIFT(1053),
  [3003] = {.count = 1, .reusable = true}, SHIFT(647),
  [3005] = {.count = 1, .reusable = true}, SHIFT(2545),
  [3007] = {.count = 1, .reusable = false}, SHIFT(932),
  [3009] = {.count = 1, .reusable = true}, SHIFT(932),
  [3011] = {.count = 1, .reusable = true}, SHIFT(491),
  [3013] = {.count = 1, .reusable = true}, SHIFT(488),
  [3015] = {.count = 1, .reusable = true}, SHIFT(2260),
  [3017] = {.count = 1, .reusable = false}, SHIFT(996),
  [3019] = {.count = 1, .reusable = true}, SHIFT(996),
  [3021] = {.count = 1, .reusable = true}, SHIFT(487),
  [3023] = {.count = 1, .reusable = true}, SHIFT(486),
  [3025] = {.count = 1, .reusable = false}, SHIFT(1050),
  [3027] = {.count = 1, .reusable = true}, SHIFT(1050),
  [3029] = {.count = 1, .reusable = false}, SHIFT(1265),
  [3031] = {.count = 1, .reusable = true}, SHIFT(1265),
  [3033] = {.count = 1, .reusable = true}, SHIFT(325),
  [3035] = {.count = 1, .reusable = false}, SHIFT(1114),
  [3037] = {.count = 1, .reusable = true}, SHIFT(1114),
  [3039] = {.count = 1, .reusable = true}, SHIFT(2536),
  [3041] = {.count = 1, .reusable = false}, SHIFT(934),
  [3043] = {.count = 1, .reusable = true}, SHIFT(934),
  [3045] = {.count = 1, .reusable = true}, SHIFT(323),
  [3047] = {.count = 1, .reusable = false}, SHIFT(1115),
  [3049] = {.count = 1, .reusable = true}, SHIFT(1115),
  [3051] = {.count = 1, .reusable = true}, SHIFT(2543),
  [3053] = {.count = 1, .reusable = false}, SHIFT(935),
  [3055] = {.count = 1, .reusable = true}, SHIFT(935),
  [3057] = {.count = 1, .reusable = true}, SHIFT(2533),
  [3059] = {.count = 1, .reusable = true}, SHIFT(2532),
  [3061] = {.count = 1, .reusable = true}, SHIFT(2529),
  [3063] = {.count = 1, .reusable = true}, SHIFT(652),
  [3065] = {.count = 1, .reusable = true}, SHIFT(297),
  [3067] = {.count = 1, .reusable = true}, SHIFT(280),
  [3069] = {.count = 1, .reusable = true}, SHIFT(283),
  [3071] = {.count = 1, .reusable = true}, SHIFT(296),
  [3073] = {.count = 1, .reusable = false}, SHIFT(938),
  [3075] = {.count = 1, .reusable = true}, SHIFT(938),
  [3077] = {.count = 1, .reusable = true}, SHIFT(289),
  [3079] = {.count = 1, .reusable = false}, SHIFT(939),
  [3081] = {.count = 1, .reusable = true}, SHIFT(939),
  [3083] = {.count = 1, .reusable = false}, SHIFT(1563),
  [3085] = {.count = 1, .reusable = true}, SHIFT(2318),
  [3087] = {.count = 1, .reusable = true}, SHIFT(1279),
  [3089] = {.count = 1, .reusable = false}, SHIFT(1286),
  [3091] = {.count = 1, .reusable = false}, SHIFT(2005),
  [3093] = {.count = 1, .reusable = true}, SHIFT(1549),
  [3095] = {.count = 1, .reusable = true}, SHIFT(1563),
  [3097] = {.count = 1, .reusable = true}, SHIFT(2040),
  [3099] = {.count = 1, .reusable = true}, SHIFT(101),
  [3101] = {.count = 1, .reusable = true}, SHIFT(105),
  [3103] = {.count = 1, .reusable = true}, SHIFT(103),
  [3105] = {.count = 1, .reusable = true}, SHIFT(1286),
  [3107] = {.count = 1, .reusable = true}, SHIFT(335),
  [3109] = {.count = 1, .reusable = true}, SHIFT(336),
  [3111] = {.count = 1, .reusable = true}, SHIFT(338),
  [3113] = {.count = 1, .reusable = true}, SHIFT(298),
  [3115] = {.count = 1, .reusable = false}, SHIFT(940),
  [3117] = {.count = 1, .reusable = true}, SHIFT(940),
  [3119] = {.count = 1, .reusable = true}, SHIFT(341),
  [3121] = {.count = 1, .reusable = false}, SHIFT(946),
  [3123] = {.count = 1, .reusable = true}, SHIFT(946),
  [3125] = {.count = 1, .reusable = true}, SHIFT(339),
  [3127] = {.count = 1, .reusable = false}, SHIFT(948),
  [3129] = {.count = 1, .reusable = true}, SHIFT(948),
  [3131] = {.count = 1, .reusable = true}, SHIFT(2263),
  [3133] = {.count = 1, .reusable = false}, SHIFT(972),
  [3135] = {.count = 1, .reusable = true}, SHIFT(972),
  [3137] = {.count = 1, .reusable = true}, SHIFT(2270),
  [3139] = {.count = 1, .reusable = false}, SHIFT(974),
  [3141] = {.count = 1, .reusable = true}, SHIFT(974),
  [3143] = {.count = 1, .reusable = true}, SHIFT(2264),
  [3145] = {.count = 1, .reusable = false}, SHIFT(975),
  [3147] = {.count = 1, .reusable = true}, SHIFT(975),
  [3149] = {.count = 1, .reusable = true}, SHIFT(2274),
  [3151] = {.count = 1, .reusable = true}, SHIFT(650),
  [3153] = {.count = 1, .reusable = false}, SHIFT(1263),
  [3155] = {.count = 1, .reusable = true}, SHIFT(1263),
  [3157] = {.count = 1, .reusable = true}, SHIFT(2276),
  [3159] = {.count = 1, .reusable = true}, SHIFT(2280),
  [3161] = {.count = 1, .reusable = false}, SHIFT(1214),
  [3163] = {.count = 1, .reusable = true}, SHIFT(1214),
  [3165] = {.count = 1, .reusable = true}, SHIFT(342),
  [3167] = {.count = 1, .reusable = false}, SHIFT(949),
  [3169] = {.count = 1, .reusable = true}, SHIFT(949),
  [3171] = {.count = 1, .reusable = true}, SHIFT(328),
  [3173] = {.count = 1, .reusable = true}, SHIFT(566),
  [3175] = {.count = 1, .reusable = false}, SHIFT(998),
  [3177] = {.count = 1, .reusable = true}, SHIFT(998),
  [3179] = {.count = 1, .reusable = true}, SHIFT(542),
  [3181] = {.count = 1, .reusable = false}, SHIFT(999),
  [3183] = {.count = 1, .reusable = true}, SHIFT(999),
  [3185] = {.count = 1, .reusable = true}, SHIFT(383),
  [3187] = {.count = 1, .reusable = false}, SHIFT(1010),
  [3189] = {.count = 1, .reusable = true}, SHIFT(1010),
  [3191] = {.count = 1, .reusable = true}, SHIFT(567),
  [3193] = {.count = 1, .reusable = true}, SHIFT(571),
  [3195] = {.count = 1, .reusable = true}, SHIFT(572),
  [3197] = {.count = 1, .reusable = true}, SHIFT(386),
  [3199] = {.count = 1, .reusable = false}, SHIFT(1011),
  [3201] = {.count = 1, .reusable = true}, SHIFT(1011),
  [3203] = {.count = 1, .reusable = true}, SHIFT(1745),
  [3205] = {.count = 1, .reusable = true}, SHIFT(1743),
  [3207] = {.count = 1, .reusable = true}, SHIFT(1691),
  [3209] = {.count = 1, .reusable = true}, SHIFT(1690),
  [3211] = {.count = 1, .reusable = true}, SHIFT(384),
  [3213] = {.count = 1, .reusable = false}, SHIFT(1012),
  [3215] = {.count = 1, .reusable = true}, SHIFT(1012),
  [3217] = {.count = 1, .reusable = true}, SHIFT(388),
  [3219] = {.count = 1, .reusable = true}, SHIFT(389),
  [3221] = {.count = 1, .reusable = true}, SHIFT(391),
  [3223] = {.count = 1, .reusable = true}, SHIFT(2252),
  [3225] = {.count = 1, .reusable = true}, SHIFT(1689),
  [3227] = {.count = 1, .reusable = true}, SHIFT(1742),
  [3229] = {.count = 1, .reusable = true}, SHIFT(1738),
  [3231] = {.count = 1, .reusable = true}, SHIFT(1676),
  [3233] = {.count = 1, .reusable = false}, SHIFT(1006),
  [3235] = {.count = 1, .reusable = true}, SHIFT(1006),
  [3237] = {.count = 1, .reusable = true}, SHIFT(1686),
  [3239] = {.count = 1, .reusable = false}, SHIFT(1007),
  [3241] = {.count = 1, .reusable = true}, SHIFT(1007),
  [3243] = {.count = 1, .reusable = false}, SHIFT(1002),
  [3245] = {.count = 1, .reusable = true}, SHIFT(1002),
  [3247] = {.count = 1, .reusable = true}, SHIFT(1672),
  [3249] = {.count = 1, .reusable = false}, SHIFT(1014),
  [3251] = {.count = 1, .reusable = true}, SHIFT(1014),
  [3253] = {.count = 1, .reusable = true}, SHIFT(1786),
  [3255] = {.count = 1, .reusable = false}, SHIFT(1040),
  [3257] = {.count = 1, .reusable = true}, SHIFT(1040),
  [3259] = {.count = 1, .reusable = true}, SHIFT(1789),
  [3261] = {.count = 1, .reusable = false}, SHIFT(1041),
  [3263] = {.count = 1, .reusable = true}, SHIFT(1041),
  [3265] = {.count = 1, .reusable = true}, SHIFT(1787),
  [3267] = {.count = 1, .reusable = false}, SHIFT(1043),
  [3269] = {.count = 1, .reusable = true}, SHIFT(1043),
  [3271] = {.count = 1, .reusable = true}, SHIFT(2294),
  [3273] = {.count = 1, .reusable = true}, SHIFT(1790),
  [3275] = {.count = 1, .reusable = true}, SHIFT(1791),
  [3277] = {.count = 1, .reusable = true}, SHIFT(1740),
  [3279] = {.count = 1, .reusable = true}, SHIFT(1793),
  [3281] = {.count = 1, .reusable = false}, SHIFT(1003),
  [3283] = {.count = 1, .reusable = true}, SHIFT(1003),
  [3285] = {.count = 1, .reusable = true}, SHIFT(1479),
  [3287] = {.count = 1, .reusable = true}, SHIFT(1474),
  [3289] = {.count = 1, .reusable = true}, SHIFT(1473),
  [3291] = {.count = 1, .reusable = true}, SHIFT(1470),
  [3293] = {.count = 1, .reusable = false}, SHIFT(1045),
  [3295] = {.count = 1, .reusable = true}, SHIFT(1045),
  [3297] = {.count = 1, .reusable = true}, SHIFT(2246),
  [3299] = {.count = 1, .reusable = true}, SHIFT(1472),
  [3301] = {.count = 1, .reusable = false}, SHIFT(1046),
  [3303] = {.count = 1, .reusable = true}, SHIFT(1046),
  [3305] = {.count = 1, .reusable = true}, SHIFT(2243),
  [3307] = {.count = 1, .reusable = true}, SHIFT(2266),
  [3309] = {.count = 1, .reusable = true}, SHIFT(1469),
  [3311] = {.count = 1, .reusable = false}, SHIFT(1047),
  [3313] = {.count = 1, .reusable = true}, SHIFT(1047),
  [3315] = {.count = 1, .reusable = true}, SHIFT(511),
  [3317] = {.count = 1, .reusable = false}, SHIFT(1204),
  [3319] = {.count = 1, .reusable = true}, SHIFT(1204),
  [3321] = {.count = 1, .reusable = true}, SHIFT(1565),
  [3323] = {.count = 1, .reusable = false}, SHIFT(1098),
  [3325] = {.count = 1, .reusable = true}, SHIFT(1098),
  [3327] = {.count = 1, .reusable = true}, SHIFT(1734),
  [3329] = {.count = 1, .reusable = false}, SHIFT(1015),
  [3331] = {.count = 1, .reusable = true}, SHIFT(1015),
  [3333] = {.count = 1, .reusable = true}, SHIFT(1282),
  [3335] = {.count = 1, .reusable = true}, SHIFT(1313),
  [3337] = {.count = 1, .reusable = true}, SHIFT(2167),
  [3339] = {.count = 1, .reusable = true}, SHIFT(1340),
  [3341] = {.count = 1, .reusable = true}, SHIFT(2079),
  [3343] = {.count = 1, .reusable = true}, SHIFT(87),
  [3345] = {.count = 1, .reusable = true}, SHIFT(86),
  [3347] = {.count = 1, .reusable = true}, SHIFT(88),
  [3349] = {.count = 1, .reusable = true}, SHIFT(1280),
  [3351] = {.count = 1, .reusable = true}, SHIFT(1606),
  [3353] = {.count = 1, .reusable = true}, SHIFT(1573),
  [3355] = {.count = 1, .reusable = false}, SHIFT(1099),
  [3357] = {.count = 1, .reusable = true}, SHIFT(1099),
  [3359] = {.count = 1, .reusable = true}, SHIFT(1566),
  [3361] = {.count = 1, .reusable = false}, SHIFT(1100),
  [3363] = {.count = 1, .reusable = true}, SHIFT(1100),
  [3365] = {.count = 1, .reusable = true}, SHIFT(446),
  [3367] = {.count = 1, .reusable = false}, SHIFT(1117),
  [3369] = {.count = 1, .reusable = true}, SHIFT(1117),
  [3371] = {.count = 1, .reusable = true}, SHIFT(560),
  [3373] = {.count = 1, .reusable = true}, SHIFT(558),
  [3375] = {.count = 1, .reusable = true}, SHIFT(557),
  [3377] = {.count = 1, .reusable = true}, SHIFT(554),
  [3379] = {.count = 1, .reusable = false}, SHIFT(1091),
  [3381] = {.count = 1, .reusable = true}, SHIFT(1091),
  [3383] = {.count = 1, .reusable = true}, SHIFT(556),
  [3385] = {.count = 1, .reusable = false}, SHIFT(1092),
  [3387] = {.count = 1, .reusable = true}, SHIFT(1092),
  [3389] = {.count = 1, .reusable = true}, SHIFT(1574),
  [3391] = {.count = 1, .reusable = true}, SHIFT(1576),
  [3393] = {.count = 1, .reusable = true}, SHIFT(1577),
  [3395] = {.count = 1, .reusable = true}, SHIFT(553),
  [3397] = {.count = 1, .reusable = false}, SHIFT(1093),
  [3399] = {.count = 1, .reusable = true}, SHIFT(1093),
  [3401] = {.count = 1, .reusable = true}, SHIFT(449),
  [3403] = {.count = 1, .reusable = false}, SHIFT(1120),
  [3405] = {.count = 1, .reusable = true}, SHIFT(1120),
  [3407] = {.count = 1, .reusable = true}, SHIFT(2313),
  [3409] = {.count = 1, .reusable = true}, SHIFT(360),
  [3411] = {.count = 1, .reusable = true}, SHIFT(361),
  [3413] = {.count = 1, .reusable = true}, SHIFT(450),
  [3415] = {.count = 1, .reusable = true}, SHIFT(452),
  [3417] = {.count = 1, .reusable = false}, SHIFT(1281),
  [3419] = {.count = 1, .reusable = true}, SHIFT(1525),
  [3421] = {.count = 1, .reusable = true}, SHIFT(1281),
  [3423] = {.count = 1, .reusable = true}, SHIFT(1828),
  [3425] = {.count = 1, .reusable = true}, SHIFT(454),
  [3427] = {.count = 1, .reusable = true}, SHIFT(1379),
  [3429] = {.count = 1, .reusable = true}, SHIFT(1380),
  [3431] = {.count = 1, .reusable = true}, SHIFT(1353),
  [3433] = {.count = 1, .reusable = true}, SHIFT(1850),
  [3435] = {.count = 1, .reusable = false}, SHIFT(1211),
  [3437] = {.count = 1, .reusable = true}, SHIFT(1211),
  [3439] = {.count = 1, .reusable = true}, SHIFT(516),
  [3441] = {.count = 1, .reusable = false}, SHIFT(1210),
  [3443] = {.count = 1, .reusable = true}, SHIFT(1210),
  [3445] = {.count = 1, .reusable = true}, SHIFT(2307),
  [3447] = {.count = 1, .reusable = true}, SHIFT(2216),
  [3449] = {.count = 1, .reusable = true}, SHIFT(2217),
  [3451] = {.count = 1, .reusable = true}, SHIFT(2219),
  [3453] = {.count = 1, .reusable = true}, SHIFT(2224),
  [3455] = {.count = 1, .reusable = false}, SHIFT(1141),
  [3457] = {.count = 1, .reusable = true}, SHIFT(1141),
  [3459] = {.count = 1, .reusable = true}, SHIFT(2220),
  [3461] = {.count = 1, .reusable = false}, SHIFT(1144),
  [3463] = {.count = 1, .reusable = true}, SHIFT(1144),
  [3465] = {.count = 1, .reusable = true}, SHIFT(2227),
  [3467] = {.count = 1, .reusable = false}, SHIFT(1145),
  [3469] = {.count = 1, .reusable = true}, SHIFT(1145),
  [3471] = {.count = 1, .reusable = true}, SHIFT(2000),
  [3473] = {.count = 1, .reusable = false}, SHIFT(1168),
  [3475] = {.count = 1, .reusable = true}, SHIFT(1168),
  [3477] = {.count = 1, .reusable = true}, SHIFT(1987),
  [3479] = {.count = 1, .reusable = false}, SHIFT(1169),
  [3481] = {.count = 1, .reusable = true}, SHIFT(1169),
  [3483] = {.count = 1, .reusable = true}, SHIFT(2003),
  [3485] = {.count = 1, .reusable = false}, SHIFT(1171),
  [3487] = {.count = 1, .reusable = true}, SHIFT(1171),
  [3489] = {.count = 1, .reusable = true}, SHIFT(1990),
  [3491] = {.count = 1, .reusable = true}, SHIFT(1991),
  [3493] = {.count = 1, .reusable = true}, SHIFT(1357),
  [3495] = {.count = 1, .reusable = true}, SHIFT(1992),
  [3497] = {.count = 1, .reusable = false}, SHIFT(1129),
  [3499] = {.count = 1, .reusable = true}, SHIFT(1129),
  [3501] = {.count = 1, .reusable = true}, SHIFT(492),
  [3503] = {.count = 1, .reusable = false}, SHIFT(906),
  [3505] = {.count = 1, .reusable = true}, SHIFT(906),
  [3507] = {.count = 1, .reusable = true}, SHIFT(1354),
  [3509] = {.count = 1, .reusable = true}, SHIFT(1430),
  [3511] = {.count = 1, .reusable = true}, SHIFT(1431),
  [3513] = {.count = 1, .reusable = true}, SHIFT(1433),
  [3515] = {.count = 1, .reusable = true}, SHIFT(1445),
  [3517] = {.count = 1, .reusable = false}, SHIFT(1177),
  [3519] = {.count = 1, .reusable = true}, SHIFT(1177),
  [3521] = {.count = 1, .reusable = true}, SHIFT(1434),
  [3523] = {.count = 1, .reusable = false}, SHIFT(1178),
  [3525] = {.count = 1, .reusable = true}, SHIFT(1178),
  [3527] = {.count = 1, .reusable = true}, SHIFT(512),
  [3529] = {.count = 1, .reusable = false}, SHIFT(1213),
  [3531] = {.count = 1, .reusable = true}, SHIFT(1213),
  [3533] = {.count = 1, .reusable = true}, SHIFT(1446),
  [3535] = {.count = 1, .reusable = false}, SHIFT(1179),
  [3537] = {.count = 1, .reusable = true}, SHIFT(1179),
  [3539] = {.count = 1, .reusable = true}, SHIFT(1970),
  [3541] = {.count = 1, .reusable = false}, SHIFT(1207),
  [3543] = {.count = 1, .reusable = true}, SHIFT(1207),
  [3545] = {.count = 1, .reusable = true}, SHIFT(1969),
  [3547] = {.count = 1, .reusable = false}, SHIFT(1212),
  [3549] = {.count = 1, .reusable = true}, SHIFT(1212),
  [3551] = {.count = 1, .reusable = true}, SHIFT(1966),
  [3553] = {.count = 1, .reusable = false}, SHIFT(1221),
  [3555] = {.count = 1, .reusable = true}, SHIFT(1221),
  [3557] = {.count = 1, .reusable = true}, SHIFT(1826),
  [3559] = {.count = 1, .reusable = false}, SHIFT(1217),
  [3561] = {.count = 1, .reusable = true}, SHIFT(1217),
  [3563] = {.count = 1, .reusable = true}, SHIFT(471),
  [3565] = {.count = 1, .reusable = true}, SHIFT(1961),
  [3567] = {.count = 1, .reusable = true}, SHIFT(1823),
  [3569] = {.count = 1, .reusable = false}, SHIFT(1218),
  [3571] = {.count = 1, .reusable = true}, SHIFT(1218),
  [3573] = {.count = 1, .reusable = true}, SHIFT(519),
  [3575] = {.count = 1, .reusable = true}, SHIFT(1847),
  [3577] = {.count = 1, .reusable = true}, SHIFT(1950),
  [3579] = {.count = 1, .reusable = true}, SHIFT(520),
  [3581] = {.count = 1, .reusable = true}, SHIFT(645),
  [3583] = {.count = 1, .reusable = false}, SHIFT(1657),
  [3585] = {.count = 1, .reusable = true}, SHIFT(1288),
  [3587] = {.count = 1, .reusable = false}, SHIFT(1275),
  [3589] = {.count = 1, .reusable = false}, SHIFT(2001),
  [3591] = {.count = 1, .reusable = true}, SHIFT(1561),
  [3593] = {.count = 1, .reusable = true}, SHIFT(1657),
  [3595] = {.count = 1, .reusable = true}, SHIFT(2053),
  [3597] = {.count = 1, .reusable = true}, SHIFT(35),
  [3599] = {.count = 1, .reusable = true}, SHIFT(36),
  [3601] = {.count = 1, .reusable = true}, SHIFT(41),
  [3603] = {.count = 1, .reusable = true}, SHIFT(1275),
  [3605] = {.count = 1, .reusable = true}, SHIFT(1869),
  [3607] = {.count = 1, .reusable = true}, SHIFT(1846),
  [3609] = {.count = 1, .reusable = true}, SHIFT(1845),
  [3611] = {.count = 1, .reusable = false}, SHIFT(1131),
  [3613] = {.count = 1, .reusable = true}, SHIFT(1131),
  [3615] = {.count = 1, .reusable = true}, SHIFT(1975),
  [3617] = {.count = 1, .reusable = true}, SHIFT(1358),
  [3619] = {.count = 1, .reusable = false}, SHIFT(1773),
  [3621] = {.count = 1, .reusable = true}, SHIFT(1284),
  [3623] = {.count = 1, .reusable = false}, SHIFT(1292),
  [3625] = {.count = 1, .reusable = false}, SHIFT(2024),
  [3627] = {.count = 1, .reusable = true}, SHIFT(1533),
  [3629] = {.count = 1, .reusable = true}, SHIFT(1773),
  [3631] = {.count = 1, .reusable = true}, SHIFT(2084),
  [3633] = {.count = 1, .reusable = true}, SHIFT(82),
  [3635] = {.count = 1, .reusable = true}, SHIFT(81),
  [3637] = {.count = 1, .reusable = true}, SHIFT(85),
  [3639] = {.count = 1, .reusable = true}, SHIFT(1292),
  [3641] = {.count = 1, .reusable = true}, SHIFT(1886),
  [3643] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1567),
  [3646] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2),
  [3648] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1226),
  [3651] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2021),
  [3654] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1531),
  [3657] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2203),
  [3660] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1567),
  [3663] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1226),
  [3666] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2104),
  [3669] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(17),
  [3672] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(61),
  [3675] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(69),
  [3678] = {.count = 1, .reusable = true}, SHIFT(583),
  [3680] = {.count = 1, .reusable = true}, SHIFT(586),
  [3682] = {.count = 1, .reusable = true}, SHIFT(2309),
  [3684] = {.count = 1, .reusable = true}, SHIFT(588),
  [3686] = {.count = 1, .reusable = true}, SHIFT(591),
  [3688] = {.count = 1, .reusable = false}, SHIFT(1133),
  [3690] = {.count = 1, .reusable = true}, SHIFT(1133),
  [3692] = {.count = 1, .reusable = true}, SHIFT(2322),
  [3694] = {.count = 1, .reusable = true}, SHIFT(427),
  [3696] = {.count = 1, .reusable = false}, SHIFT(1227),
  [3698] = {.count = 1, .reusable = true}, SHIFT(1227),
  [3700] = {.count = 1, .reusable = true}, SHIFT(589),
  [3702] = {.count = 1, .reusable = false}, SHIFT(1228),
  [3704] = {.count = 1, .reusable = true}, SHIFT(1228),
  [3706] = {.count = 1, .reusable = true}, SHIFT(291),
  [3708] = {.count = 1, .reusable = true}, SHIFT(425),
  [3710] = {.count = 1, .reusable = true}, SHIFT(2323),
  [3712] = {.count = 1, .reusable = true}, SHIFT(423),
  [3714] = {.count = 1, .reusable = true}, SHIFT(489),
  [3716] = {.count = 1, .reusable = false}, SHIFT(910),
  [3718] = {.count = 1, .reusable = true}, SHIFT(910),
  [3720] = {.count = 1, .reusable = false}, SHIFT(1054),
  [3722] = {.count = 1, .reusable = true}, SHIFT(1054),
  [3724] = {.count = 1, .reusable = true}, SHIFT(415),
  [3726] = {.count = 1, .reusable = false}, SHIFT(1247),
  [3728] = {.count = 1, .reusable = true}, SHIFT(1247),
  [3730] = {.count = 1, .reusable = true}, SHIFT(416),
  [3732] = {.count = 1, .reusable = true}, SHIFT(643),
  [3734] = {.count = 1, .reusable = true}, SHIFT(644),
  [3736] = {.count = 1, .reusable = true}, SHIFT(592),
  [3738] = {.count = 1, .reusable = true}, SHIFT(2324),
  [3740] = {.count = 1, .reusable = false}, SHIFT(912),
  [3742] = {.count = 1, .reusable = true}, SHIFT(912),
  [3744] = {.count = 1, .reusable = false}, SHIFT(1231),
  [3746] = {.count = 1, .reusable = true}, SHIFT(1231),
  [3748] = {.count = 1, .reusable = true}, SHIFT(422),
  [3750] = {.count = 1, .reusable = false}, SHIFT(1245),
  [3752] = {.count = 1, .reusable = true}, SHIFT(1245),
  [3754] = {.count = 1, .reusable = false}, SHIFT(1236),
  [3756] = {.count = 1, .reusable = true}, SHIFT(1236),
  [3758] = {.count = 1, .reusable = false}, SHIFT(986),
  [3760] = {.count = 1, .reusable = true}, SHIFT(986),
  [3762] = {.count = 1, .reusable = false}, SHIFT(1770),
  [3764] = {.count = 1, .reusable = true}, SHIFT(1700),
  [3766] = {.count = 1, .reusable = true}, SHIFT(1770),
  [3768] = {.count = 1, .reusable = false}, SHIFT(1772),
  [3770] = {.count = 1, .reusable = true}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3772] = {.count = 1, .reusable = false}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3774] = {.count = 1, .reusable = false}, SHIFT(1819),
  [3776] = {.count = 1, .reusable = true}, SHIFT(2218),
  [3778] = {.count = 1, .reusable = true}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3780] = {.count = 1, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3782] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1819),
  [3785] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2673),
  [3788] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1833),
  [3791] = {.count = 2, .reusable = true}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2218),
  [3794] = {.count = 1, .reusable = false}, SHIFT(1971),
  [3796] = {.count = 1, .reusable = false}, SHIFT(2145),
  [3798] = {.count = 1, .reusable = false}, SHIFT(1955),
  [3800] = {.count = 1, .reusable = false}, SHIFT(1972),
  [3802] = {.count = 1, .reusable = false}, SHIFT(1840),
  [3804] = {.count = 1, .reusable = true}, SHIFT(2239),
  [3806] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1376),
  [3809] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1914),
  [3812] = {.count = 1, .reusable = false}, SHIFT(1824),
  [3814] = {.count = 1, .reusable = true}, SHIFT(2212),
  [3816] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat1, 2),
  [3818] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1816),
  [3821] = {.count = 2, .reusable = true}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1816),
  [3824] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat1, 2),
  [3826] = {.count = 2, .reusable = true}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2229),
  [3829] = {.count = 2, .reusable = true}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2461),
  [3832] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1840),
  [3835] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2643),
  [3838] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1835),
  [3841] = {.count = 2, .reusable = true}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2239),
  [3844] = {.count = 1, .reusable = true}, SHIFT(1945),
  [3846] = {.count = 1, .reusable = true}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3848] = {.count = 1, .reusable = false}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3850] = {.count = 1, .reusable = false}, SHIFT(1376),
  [3852] = {.count = 1, .reusable = true}, SHIFT(1914),
  [3854] = {.count = 1, .reusable = false}, SHIFT(1949),
  [3856] = {.count = 1, .reusable = true}, SHIFT(2600),
  [3858] = {.count = 1, .reusable = false}, SHIFT(2600),
  [3860] = {.count = 1, .reusable = false}, SHIFT(2031),
  [3862] = {.count = 1, .reusable = false}, SHIFT(1905),
  [3864] = {.count = 1, .reusable = false}, SHIFT(2102),
  [3866] = {.count = 1, .reusable = false}, SHIFT(51),
  [3868] = {.count = 1, .reusable = false}, SHIFT(50),
  [3870] = {.count = 1, .reusable = false}, SHIFT(52),
  [3872] = {.count = 1, .reusable = true}, SHIFT(2499),
  [3874] = {.count = 1, .reusable = false}, SHIFT(2499),
  [3876] = {.count = 1, .reusable = true}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3878] = {.count = 1, .reusable = false}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3880] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1949),
  [3883] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3885] = {.count = 1, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3887] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2031),
  [3890] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1905),
  [3893] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2145),
  [3896] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2102),
  [3899] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(51),
  [3902] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(50),
  [3905] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(52),
  [3908] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1824),
  [3911] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1820),
  [3914] = {.count = 2, .reusable = true}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2212),
  [3917] = {.count = 1, .reusable = true}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3919] = {.count = 1, .reusable = false}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3921] = {.count = 1, .reusable = true}, SHIFT(1906),
  [3923] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1945),
  [3926] = {.count = 1, .reusable = true}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3928] = {.count = 1, .reusable = false}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3930] = {.count = 1, .reusable = true}, SHIFT(1915),
  [3932] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1485),
  [3935] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1915),
  [3938] = {.count = 1, .reusable = true}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3940] = {.count = 1, .reusable = false}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3942] = {.count = 1, .reusable = false}, SHIFT(2301),
  [3944] = {.count = 1, .reusable = false}, SHIFT(1794),
  [3946] = {.count = 1, .reusable = true}, SHIFT(2292),
  [3948] = {.count = 1, .reusable = true}, SHIFT(2301),
  [3950] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [3952] = {.count = 1, .reusable = true}, SHIFT(1897),
  [3954] = {.count = 1, .reusable = false}, SHIFT(1747),
  [3956] = {.count = 1, .reusable = false}, SHIFT(1401),
  [3958] = {.count = 1, .reusable = false}, SHIFT(1408),
  [3960] = {.count = 1, .reusable = false}, SHIFT(1411),
  [3962] = {.count = 1, .reusable = false}, SHIFT(1412),
  [3964] = {.count = 1, .reusable = false}, SHIFT(1710),
  [3966] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 2),
  [3968] = {.count = 1, .reusable = false}, SHIFT(1485),
  [3970] = {.count = 1, .reusable = false}, SHIFT(1684),
  [3972] = {.count = 1, .reusable = true}, SHIFT(1911),
  [3974] = {.count = 1, .reusable = true}, SHIFT(1902),
  [3976] = {.count = 1, .reusable = true}, REDUCE(sym_herestring_redirect, 2),
  [3978] = {.count = 1, .reusable = false}, REDUCE(sym_herestring_redirect, 2),
  [3980] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 8, .production_id = 45),
  [3982] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 8, .production_id = 45),
  [3984] = {.count = 1, .reusable = true}, SHIFT(251),
  [3986] = {.count = 1, .reusable = true}, SHIFT(1539),
  [3988] = {.count = 1, .reusable = true}, SHIFT(246),
  [3990] = {.count = 1, .reusable = true}, SHIFT(2130),
  [3992] = {.count = 1, .reusable = true}, SHIFT(2076),
  [3994] = {.count = 1, .reusable = true}, SHIFT(24),
  [3996] = {.count = 1, .reusable = true}, SHIFT(23),
  [3998] = {.count = 1, .reusable = true}, SHIFT(31),
  [4000] = {.count = 1, .reusable = true}, SHIFT(614),
  [4002] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4004] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4006] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4008] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4010] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4012] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4014] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4016] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4018] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [4020] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [4022] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [4024] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [4026] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 7, .production_id = 38),
  [4028] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 7, .production_id = 38),
  [4030] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4032] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4034] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4036] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4038] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4040] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4042] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4044] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4046] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4048] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4050] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4052] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4054] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4056] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4058] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4060] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4062] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4064] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4066] = {.count = 1, .reusable = true}, REDUCE(sym_do_group, 3),
  [4068] = {.count = 1, .reusable = false}, REDUCE(sym_do_group, 3),
  [4070] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4072] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4074] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4076] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4078] = {.count = 1, .reusable = true}, REDUCE(sym_do_group, 2),
  [4080] = {.count = 1, .reusable = false}, REDUCE(sym_do_group, 2),
  [4082] = {.count = 2, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1597),
  [4085] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4087] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4089] = {.count = 1, .reusable = true}, SHIFT(275),
  [4091] = {.count = 1, .reusable = true}, SHIFT(1589),
  [4093] = {.count = 1, .reusable = false}, SHIFT(1998),
  [4095] = {.count = 1, .reusable = true}, SHIFT(469),
  [4097] = {.count = 1, .reusable = true}, SHIFT(2198),
  [4099] = {.count = 1, .reusable = true}, SHIFT(2073),
  [4101] = {.count = 1, .reusable = true}, SHIFT(94),
  [4103] = {.count = 1, .reusable = true}, SHIFT(89),
  [4105] = {.count = 1, .reusable = true}, SHIFT(95),
  [4107] = {.count = 1, .reusable = true}, SHIFT(677),
  [4109] = {.count = 1, .reusable = true}, SHIFT(1904),
  [4111] = {.count = 1, .reusable = true}, REDUCE(sym_heredoc_redirect, 2),
  [4113] = {.count = 1, .reusable = false}, REDUCE(sym_heredoc_redirect, 2),
  [4115] = {.count = 1, .reusable = true}, SHIFT(369),
  [4117] = {.count = 1, .reusable = true}, SHIFT(1599),
  [4119] = {.count = 1, .reusable = false}, SHIFT(2002),
  [4121] = {.count = 1, .reusable = true}, SHIFT(460),
  [4123] = {.count = 1, .reusable = true}, SHIFT(2158),
  [4125] = {.count = 1, .reusable = true}, SHIFT(2061),
  [4127] = {.count = 1, .reusable = true}, SHIFT(66),
  [4129] = {.count = 1, .reusable = true}, SHIFT(67),
  [4131] = {.count = 1, .reusable = true}, SHIFT(22),
  [4133] = {.count = 1, .reusable = true}, SHIFT(669),
  [4135] = {.count = 1, .reusable = true}, SHIFT(1597),
  [4137] = {.count = 1, .reusable = true}, REDUCE(sym_compound_statement, 3),
  [4139] = {.count = 1, .reusable = false}, REDUCE(sym_compound_statement, 3),
  [4141] = {.count = 1, .reusable = true}, REDUCE(sym_subshell, 3),
  [4143] = {.count = 1, .reusable = false}, REDUCE(sym_subshell, 3),
  [4145] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4147] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4149] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4151] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4153] = {.count = 1, .reusable = true}, SHIFT(243),
  [4155] = {.count = 1, .reusable = true}, SHIFT(1595),
  [4157] = {.count = 1, .reusable = true}, SHIFT(244),
  [4159] = {.count = 1, .reusable = true}, SHIFT(2179),
  [4161] = {.count = 1, .reusable = true}, SHIFT(2056),
  [4163] = {.count = 1, .reusable = true}, SHIFT(72),
  [4165] = {.count = 1, .reusable = true}, SHIFT(74),
  [4167] = {.count = 1, .reusable = true}, SHIFT(78),
  [4169] = {.count = 1, .reusable = true}, SHIFT(651),
  [4171] = {.count = 1, .reusable = true}, REDUCE(sym_test_command, 3),
  [4173] = {.count = 1, .reusable = false}, REDUCE(sym_test_command, 3),
  [4175] = {.count = 1, .reusable = false}, SHIFT(1580),
  [4177] = {.count = 1, .reusable = true}, SHIFT(451),
  [4179] = {.count = 1, .reusable = true}, SHIFT(1558),
  [4181] = {.count = 1, .reusable = false}, SHIFT(1989),
  [4183] = {.count = 1, .reusable = true}, SHIFT(304),
  [4185] = {.count = 1, .reusable = true}, SHIFT(2185),
  [4187] = {.count = 1, .reusable = true}, SHIFT(2113),
  [4189] = {.count = 1, .reusable = true}, SHIFT(48),
  [4191] = {.count = 1, .reusable = true}, SHIFT(47),
  [4193] = {.count = 1, .reusable = true}, SHIFT(49),
  [4195] = {.count = 1, .reusable = true}, SHIFT(673),
  [4197] = {.count = 1, .reusable = false}, SHIFT(2020),
  [4199] = {.count = 1, .reusable = true}, SHIFT(2194),
  [4201] = {.count = 1, .reusable = true}, SHIFT(2028),
  [4203] = {.count = 1, .reusable = true}, SHIFT(2020),
  [4205] = {.count = 1, .reusable = false}, SHIFT(2017),
  [4207] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1580),
  [4210] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 8, .production_id = 46),
  [4212] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 8, .production_id = 46),
  [4214] = {.count = 1, .reusable = true}, SHIFT(1429),
  [4216] = {.count = 1, .reusable = true}, SHIFT(1575),
  [4218] = {.count = 1, .reusable = false}, SHIFT(2026),
  [4220] = {.count = 1, .reusable = true}, SHIFT(1334),
  [4222] = {.count = 1, .reusable = true}, SHIFT(2062),
  [4224] = {.count = 1, .reusable = true}, SHIFT(93),
  [4226] = {.count = 1, .reusable = true}, SHIFT(104),
  [4228] = {.count = 1, .reusable = true}, SHIFT(102),
  [4230] = {.count = 1, .reusable = true}, SHIFT(1749),
  [4232] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 8, .production_id = 48),
  [4234] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 8, .production_id = 48),
  [4236] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 8, .production_id = 47),
  [4238] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 8, .production_id = 47),
  [4240] = {.count = 1, .reusable = true}, REDUCE(sym_negated_command, 2),
  [4242] = {.count = 1, .reusable = false}, REDUCE(sym_negated_command, 2),
  [4244] = {.count = 1, .reusable = true}, REDUCE(sym_compound_statement, 2),
  [4246] = {.count = 1, .reusable = false}, REDUCE(sym_compound_statement, 2),
  [4248] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 8, .production_id = 49),
  [4250] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 8, .production_id = 49),
  [4252] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 10, .production_id = 55),
  [4254] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 10, .production_id = 55),
  [4256] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1902),
  [4259] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 9, .production_id = 54),
  [4261] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 9, .production_id = 54),
  [4263] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4265] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [4267] = {.count = 1, .reusable = true}, SHIFT(262),
  [4269] = {.count = 1, .reusable = true}, SHIFT(1551),
  [4271] = {.count = 1, .reusable = true}, SHIFT(264),
  [4273] = {.count = 1, .reusable = true}, SHIFT(2126),
  [4275] = {.count = 1, .reusable = true}, SHIFT(2087),
  [4277] = {.count = 1, .reusable = true}, SHIFT(79),
  [4279] = {.count = 1, .reusable = true}, SHIFT(77),
  [4281] = {.count = 1, .reusable = true}, SHIFT(80),
  [4283] = {.count = 1, .reusable = true}, SHIFT(637),
  [4285] = {.count = 1, .reusable = true}, SHIFT(1921),
  [4287] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 9, .production_id = 53),
  [4289] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 9, .production_id = 53),
  [4291] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 9, .production_id = 52),
  [4293] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 9, .production_id = 52),
  [4295] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4297] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [4299] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4301] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [4303] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 9, .production_id = 51),
  [4305] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 9, .production_id = 51),
  [4307] = {.count = 1, .reusable = true}, SHIFT(1984),
  [4309] = {.count = 1, .reusable = true}, SHIFT(630),
  [4311] = {.count = 1, .reusable = false}, SHIFT(2015),
  [4313] = {.count = 1, .reusable = true}, SHIFT(1982),
  [4315] = {.count = 1, .reusable = true}, SHIFT(2106),
  [4317] = {.count = 1, .reusable = true}, SHIFT(54),
  [4319] = {.count = 1, .reusable = true}, SHIFT(53),
  [4321] = {.count = 1, .reusable = true}, SHIFT(55),
  [4323] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1919),
  [4326] = {.count = 1, .reusable = true}, SHIFT(1460),
  [4328] = {.count = 1, .reusable = true}, SHIFT(412),
  [4330] = {.count = 1, .reusable = true}, SHIFT(1546),
  [4332] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1918),
  [4335] = {.count = 1, .reusable = true}, SHIFT(1896),
  [4337] = {.count = 1, .reusable = false}, SHIFT(679),
  [4339] = {.count = 1, .reusable = false}, SHIFT(1285),
  [4341] = {.count = 1, .reusable = false}, SHIFT(1079),
  [4343] = {.count = 1, .reusable = false}, SHIFT(1613),
  [4345] = {.count = 1, .reusable = true}, SHIFT(1909),
  [4347] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2315),
  [4350] = {.count = 2, .reusable = false}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2024),
  [4353] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2292),
  [4356] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2166),
  [4359] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2084),
  [4362] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(82),
  [4365] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(81),
  [4368] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(85),
  [4371] = {.count = 2, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1692),
  [4374] = {.count = 1, .reusable = true}, SHIFT(1918),
  [4376] = {.count = 1, .reusable = true}, SHIFT(479),
  [4378] = {.count = 1, .reusable = true}, SHIFT(1919),
  [4380] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2),
  [4382] = {.count = 1, .reusable = true}, SHIFT(357),
  [4384] = {.count = 1, .reusable = true}, SHIFT(1803),
  [4386] = {.count = 1, .reusable = true}, SHIFT(603),
  [4388] = {.count = 1, .reusable = true}, SHIFT(676),
  [4390] = {.count = 1, .reusable = true}, SHIFT(607),
  [4392] = {.count = 1, .reusable = true}, SHIFT(1861),
  [4394] = {.count = 1, .reusable = true}, SHIFT(596),
  [4396] = {.count = 1, .reusable = true}, SHIFT(1644),
  [4398] = {.count = 1, .reusable = false}, SHIFT(1038),
  [4400] = {.count = 1, .reusable = true}, SHIFT(372),
  [4402] = {.count = 1, .reusable = true}, SHIFT(633),
  [4404] = {.count = 1, .reusable = true}, SHIFT(2563),
  [4406] = {.count = 1, .reusable = true}, SHIFT(2010),
  [4408] = {.count = 1, .reusable = true}, SHIFT(667),
  [4410] = {.count = 1, .reusable = true}, SHIFT(309),
  [4412] = {.count = 1, .reusable = true}, SHIFT(1899),
  [4414] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [4416] = {.count = 1, .reusable = true}, SHIFT(502),
  [4418] = {.count = 1, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4420] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4422] = {.count = 1, .reusable = true}, SHIFT(1706),
  [4424] = {.count = 1, .reusable = true}, SHIFT(1771),
  [4426] = {.count = 1, .reusable = true}, SHIFT(664),
  [4428] = {.count = 1, .reusable = true}, SHIFT(1934),
  [4430] = {.count = 1, .reusable = true}, SHIFT(1762),
  [4432] = {.count = 1, .reusable = true}, SHIFT(532),
  [4434] = {.count = 1, .reusable = false}, SHIFT(1138),
  [4436] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1984),
  [4439] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2015),
  [4442] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1982),
  [4445] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2194),
  [4448] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2106),
  [4451] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(54),
  [4454] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(53),
  [4457] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(55),
  [4460] = {.count = 1, .reusable = true}, SHIFT(2225),
  [4462] = {.count = 1, .reusable = true}, SHIFT(405),
  [4464] = {.count = 1, .reusable = true}, SHIFT(1960),
  [4466] = {.count = 1, .reusable = true}, SHIFT(1487),
  [4468] = {.count = 1, .reusable = true}, SHIFT(2251),
  [4470] = {.count = 1, .reusable = true}, SHIFT(668),
  [4472] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1909),
  [4475] = {.count = 1, .reusable = false}, SHIFT(686),
  [4477] = {.count = 1, .reusable = true}, SHIFT(2283),
  [4479] = {.count = 1, .reusable = true}, SHIFT(660),
  [4481] = {.count = 1, .reusable = true}, SHIFT(392),
  [4483] = {.count = 1, .reusable = true}, SHIFT(632),
  [4485] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4487] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4489] = {.count = 1, .reusable = true}, SHIFT(1728),
  [4491] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4493] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4495] = {.count = 1, .reusable = true}, SHIFT(1729),
  [4497] = {.count = 1, .reusable = true}, SHIFT(670),
  [4499] = {.count = 1, .reusable = true}, SHIFT(578),
  [4501] = {.count = 1, .reusable = true}, SHIFT(671),
  [4503] = {.count = 1, .reusable = true}, SHIFT(640),
  [4505] = {.count = 1, .reusable = true}, SHIFT(1384),
  [4507] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4509] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4511] = {.count = 1, .reusable = true}, SHIFT(1736),
  [4513] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4515] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4517] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4519] = {.count = 1, .reusable = true}, SHIFT(1735),
  [4521] = {.count = 1, .reusable = false}, SHIFT(1234),
  [4523] = {.count = 1, .reusable = false}, SHIFT(1267),
  [4525] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [4527] = {.count = 1, .reusable = false}, REDUCE(sym_postfix_expression, 2),
  [4529] = {.count = 1, .reusable = true}, SHIFT(2476),
  [4531] = {.count = 1, .reusable = false}, SHIFT(2018),
  [4533] = {.count = 1, .reusable = false}, SHIFT(2359),
  [4535] = {.count = 1, .reusable = true}, SHIFT(2152),
  [4537] = {.count = 1, .reusable = true}, SHIFT(2096),
  [4539] = {.count = 1, .reusable = true}, SHIFT(42),
  [4541] = {.count = 1, .reusable = true}, SHIFT(40),
  [4543] = {.count = 1, .reusable = true}, SHIFT(43),
  [4545] = {.count = 1, .reusable = true}, SHIFT(1949),
  [4547] = {.count = 1, .reusable = true}, SHIFT(1905),
  [4549] = {.count = 1, .reusable = true}, SHIFT(2145),
  [4551] = {.count = 1, .reusable = true}, SHIFT(2102),
  [4553] = {.count = 1, .reusable = true}, SHIFT(51),
  [4555] = {.count = 1, .reusable = true}, SHIFT(50),
  [4557] = {.count = 1, .reusable = true}, SHIFT(52),
  [4559] = {.count = 1, .reusable = true}, SHIFT(2376),
  [4561] = {.count = 1, .reusable = true}, SHIFT(2369),
  [4563] = {.count = 1, .reusable = true}, SHIFT(2414),
  [4565] = {.count = 1, .reusable = true}, SHIFT(1937),
  [4567] = {.count = 1, .reusable = true}, SHIFT(2403),
  [4569] = {.count = 1, .reusable = true}, SHIFT(2400),
  [4571] = {.count = 1, .reusable = true}, SHIFT(2380),
  [4573] = {.count = 1, .reusable = true}, SHIFT(257),
  [4575] = {.count = 1, .reusable = true}, SHIFT(631),
  [4577] = {.count = 1, .reusable = true}, SHIFT(2412),
  [4579] = {.count = 1, .reusable = true}, SHIFT(2375),
  [4581] = {.count = 1, .reusable = true}, SHIFT(2383),
  [4583] = {.count = 1, .reusable = true}, SHIFT(2372),
  [4585] = {.count = 1, .reusable = true}, SHIFT(2373),
  [4587] = {.count = 1, .reusable = true}, SHIFT(2443),
  [4589] = {.count = 1, .reusable = true}, SHIFT(2410),
  [4591] = {.count = 1, .reusable = true}, SHIFT(2432),
  [4593] = {.count = 1, .reusable = true}, SHIFT(2454),
  [4595] = {.count = 1, .reusable = true}, SHIFT(2423),
  [4597] = {.count = 1, .reusable = true}, SHIFT(2384),
  [4599] = {.count = 1, .reusable = true}, SHIFT(2447),
  [4601] = {.count = 1, .reusable = true}, SHIFT(2451),
  [4603] = {.count = 1, .reusable = true}, SHIFT(2388),
  [4605] = {.count = 1, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4607] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4609] = {.count = 1, .reusable = false}, SHIFT(1829),
  [4611] = {.count = 1, .reusable = true}, SHIFT(2457),
  [4613] = {.count = 1, .reusable = true}, SHIFT(2487),
  [4615] = {.count = 1, .reusable = true}, SHIFT(256),
  [4617] = {.count = 1, .reusable = true}, SHIFT(494),
  [4619] = {.count = 1, .reusable = true}, SHIFT(2496),
  [4621] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1843),
  [4624] = {.count = 2, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1841),
  [4627] = {.count = 1, .reusable = true}, SHIFT(2393),
  [4629] = {.count = 1, .reusable = true}, SHIFT(2392),
  [4631] = {.count = 1, .reusable = true}, SHIFT(2396),
  [4633] = {.count = 1, .reusable = true}, SHIFT(2480),
  [4635] = {.count = 1, .reusable = true}, SHIFT(2495),
  [4637] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1899),
  [4640] = {.count = 1, .reusable = true}, SHIFT(2493),
  [4642] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1838),
  [4645] = {.count = 1, .reusable = true}, SHIFT(2367),
  [4647] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 2),
  [4649] = {.count = 1, .reusable = false}, SHIFT(1838),
  [4651] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4653] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4655] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4657] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4659] = {.count = 1, .reusable = true}, SHIFT(2404),
  [4661] = {.count = 1, .reusable = true}, SHIFT(1942),
  [4663] = {.count = 1, .reusable = false}, SHIFT(1843),
  [4665] = {.count = 1, .reusable = true}, SHIFT(2492),
  [4667] = {.count = 1, .reusable = true}, SHIFT(2399),
  [4669] = {.count = 1, .reusable = true}, SHIFT(2482),
  [4671] = {.count = 1, .reusable = true}, SHIFT(2475),
  [4673] = {.count = 1, .reusable = true}, SHIFT(2374),
  [4675] = {.count = 1, .reusable = true}, SHIFT(1692),
  [4677] = {.count = 1, .reusable = true}, SHIFT(2485),
  [4679] = {.count = 1, .reusable = true}, SHIFT(2411),
  [4681] = {.count = 1, .reusable = true}, SHIFT(1841),
  [4683] = {.count = 1, .reusable = true}, SHIFT(2468),
  [4685] = {.count = 1, .reusable = true}, SHIFT(2381),
  [4687] = {.count = 1, .reusable = true}, SHIFT(2473),
  [4689] = {.count = 1, .reusable = true}, SHIFT(248),
  [4691] = {.count = 1, .reusable = true}, SHIFT(622),
  [4693] = {.count = 1, .reusable = true}, SHIFT(2420),
  [4695] = {.count = 1, .reusable = true}, SHIFT(2455),
  [4697] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1829),
  [4700] = {.count = 1, .reusable = true}, SHIFT(2422),
  [4702] = {.count = 1, .reusable = true}, SHIFT(2426),
  [4704] = {.count = 1, .reusable = true}, SHIFT(2459),
  [4706] = {.count = 1, .reusable = true}, SHIFT(2431),
  [4708] = {.count = 1, .reusable = true}, SHIFT(2449),
  [4710] = {.count = 1, .reusable = true}, SHIFT(2428),
  [4712] = {.count = 1, .reusable = true}, SHIFT(2439),
  [4714] = {.count = 1, .reusable = true}, SHIFT(2434),
  [4716] = {.count = 1, .reusable = true}, SHIFT(2223),
  [4718] = {.count = 1, .reusable = false}, SHIFT(2009),
  [4720] = {.count = 1, .reusable = true}, SHIFT(2205),
  [4722] = {.count = 1, .reusable = true}, SHIFT(2146),
  [4724] = {.count = 1, .reusable = true}, SHIFT(2051),
  [4726] = {.count = 1, .reusable = true}, SHIFT(62),
  [4728] = {.count = 1, .reusable = true}, SHIFT(21),
  [4730] = {.count = 1, .reusable = true}, SHIFT(33),
  [4732] = {.count = 1, .reusable = true}, SHIFT(1348),
  [4734] = {.count = 1, .reusable = true}, SHIFT(1373),
  [4736] = {.count = 1, .reusable = true}, SHIFT(2436),
  [4738] = {.count = 1, .reusable = true}, SHIFT(2347),
  [4740] = {.count = 1, .reusable = true}, SHIFT(1338),
  [4742] = {.count = 1, .reusable = false}, SHIFT(2027),
  [4744] = {.count = 1, .reusable = true}, SHIFT(1315),
  [4746] = {.count = 1, .reusable = true}, SHIFT(2161),
  [4748] = {.count = 1, .reusable = true}, SHIFT(2103),
  [4750] = {.count = 1, .reusable = true}, SHIFT(45),
  [4752] = {.count = 1, .reusable = true}, SHIFT(44),
  [4754] = {.count = 1, .reusable = true}, SHIFT(46),
  [4756] = {.count = 1, .reusable = true}, SHIFT(1398),
  [4758] = {.count = 1, .reusable = true}, SHIFT(1360),
  [4760] = {.count = 1, .reusable = true}, REDUCE(sym_postfix_expression, 2),
  [4762] = {.count = 1, .reusable = true}, SHIFT(1333),
  [4764] = {.count = 1, .reusable = true}, SHIFT(1397),
  [4766] = {.count = 1, .reusable = true}, SHIFT(2470),
  [4768] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4770] = {.count = 1, .reusable = true}, SHIFT(1389),
  [4772] = {.count = 1, .reusable = true}, SHIFT(2356),
  [4774] = {.count = 1, .reusable = true}, SHIFT(1382),
  [4776] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [4778] = {.count = 1, .reusable = true}, SHIFT(1506),
  [4780] = {.count = 1, .reusable = false}, SHIFT(1997),
  [4782] = {.count = 1, .reusable = true}, SHIFT(1381),
  [4784] = {.count = 1, .reusable = true}, SHIFT(2181),
  [4786] = {.count = 1, .reusable = true}, SHIFT(2100),
  [4788] = {.count = 1, .reusable = true}, SHIFT(58),
  [4790] = {.count = 1, .reusable = true}, SHIFT(56),
  [4792] = {.count = 1, .reusable = true}, SHIFT(60),
  [4794] = {.count = 1, .reusable = true}, SHIFT(1443),
  [4796] = {.count = 1, .reusable = true}, SHIFT(1483),
  [4798] = {.count = 1, .reusable = true}, SHIFT(2213),
  [4800] = {.count = 1, .reusable = true}, SHIFT(2297),
  [4802] = {.count = 1, .reusable = true}, SHIFT(1283),
  [4804] = {.count = 1, .reusable = true}, SHIFT(1237),
  [4806] = {.count = 1, .reusable = false}, SHIFT(1283),
  [4808] = {.count = 1, .reusable = true}, SHIFT(1821),
  [4810] = {.count = 1, .reusable = true}, SHIFT(2299),
  [4812] = {.count = 1, .reusable = true}, SHIFT(2321),
  [4814] = {.count = 1, .reusable = true}, SHIFT(2305),
  [4816] = {.count = 1, .reusable = true}, SHIFT(1289),
  [4818] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2),
  [4820] = {.count = 1, .reusable = true}, SHIFT(1216),
  [4822] = {.count = 1, .reusable = false}, SHIFT(1289),
  [4824] = {.count = 1, .reusable = true}, SHIFT(1865),
  [4826] = {.count = 1, .reusable = true}, SHIFT(1441),
  [4828] = {.count = 1, .reusable = true}, SHIFT(2302),
  [4830] = {.count = 1, .reusable = true}, SHIFT(1295),
  [4832] = {.count = 1, .reusable = true}, SHIFT(1122),
  [4834] = {.count = 1, .reusable = false}, SHIFT(1295),
  [4836] = {.count = 1, .reusable = true}, SHIFT(1867),
  [4838] = {.count = 1, .reusable = true}, SHIFT(1287),
  [4840] = {.count = 1, .reusable = true}, SHIFT(1224),
  [4842] = {.count = 1, .reusable = false}, SHIFT(1287),
  [4844] = {.count = 1, .reusable = true}, SHIFT(1864),
  [4846] = {.count = 1, .reusable = true}, SHIFT(2320),
  [4848] = {.count = 1, .reusable = true}, SHIFT(2325),
  [4850] = {.count = 1, .reusable = true}, SHIFT(1781),
  [4852] = {.count = 1, .reusable = true}, SHIFT(1834),
  [4854] = {.count = 1, .reusable = true}, SHIFT(2328),
  [4856] = {.count = 1, .reusable = false}, SHIFT(2281),
  [4858] = {.count = 1, .reusable = false}, SHIFT(2146),
  [4860] = {.count = 1, .reusable = false}, SHIFT(2284),
  [4862] = {.count = 1, .reusable = false}, SHIFT(2285),
  [4864] = {.count = 1, .reusable = true}, SHIFT(1842),
  [4866] = {.count = 1, .reusable = true}, SHIFT(1607),
  [4868] = {.count = 1, .reusable = false}, SHIFT(1842),
  [4870] = {.count = 1, .reusable = true}, SHIFT(2438),
  [4872] = {.count = 1, .reusable = true}, SHIFT(1611),
  [4874] = {.count = 1, .reusable = true}, SHIFT(1889),
  [4876] = {.count = 1, .reusable = true}, SHIFT(316),
  [4878] = {.count = 1, .reusable = false}, SHIFT(137),
  [4880] = {.count = 1, .reusable = true}, SHIFT(1716),
  [4882] = {.count = 1, .reusable = false}, SHIFT(1294),
  [4884] = {.count = 1, .reusable = true}, SHIFT(1495),
  [4886] = {.count = 1, .reusable = false}, SHIFT(682),
  [4888] = {.count = 1, .reusable = true}, SHIFT(537),
  [4890] = {.count = 1, .reusable = true}, SHIFT(2033),
  [4892] = {.count = 1, .reusable = false}, SHIFT(1451),
  [4894] = {.count = 1, .reusable = true}, SHIFT(279),
  [4896] = {.count = 1, .reusable = true}, SHIFT(1562),
  [4898] = {.count = 1, .reusable = true}, SHIFT(1954),
  [4900] = {.count = 1, .reusable = true}, SHIFT(1361),
  [4902] = {.count = 1, .reusable = false}, SHIFT(521),
  [4904] = {.count = 1, .reusable = true}, SHIFT(1903),
  [4906] = {.count = 1, .reusable = true}, SHIFT(1415),
  [4908] = {.count = 1, .reusable = false}, SHIFT(565),
  [4910] = {.count = 1, .reusable = true}, SHIFT(624),
  [4912] = {.count = 1, .reusable = false}, SHIFT(154),
  [4914] = {.count = 1, .reusable = true}, SHIFT(536),
  [4916] = {.count = 1, .reusable = true}, SHIFT(1699),
  [4918] = {.count = 1, .reusable = false}, SHIFT(302),
  [4920] = {.count = 1, .reusable = true}, SHIFT(2242),
  [4922] = {.count = 1, .reusable = false}, SHIFT(1885),
  [4924] = {.count = 1, .reusable = true}, SHIFT(433),
  [4926] = {.count = 1, .reusable = true}, SHIFT(612),
  [4928] = {.count = 1, .reusable = true}, SHIFT(2164),
  [4930] = {.count = 1, .reusable = true}, SHIFT(2092),
  [4932] = {.count = 1, .reusable = true}, SHIFT(71),
  [4934] = {.count = 1, .reusable = true}, SHIFT(18),
  [4936] = {.count = 1, .reusable = true}, SHIFT(75),
  [4938] = {.count = 1, .reusable = false}, SHIFT(157),
  [4940] = {.count = 1, .reusable = true}, SHIFT(1626),
  [4942] = {.count = 1, .reusable = true}, SHIFT(613),
  [4944] = {.count = 1, .reusable = true}, SHIFT(2147),
  [4946] = {.count = 1, .reusable = true}, SHIFT(2059),
  [4948] = {.count = 1, .reusable = true}, SHIFT(90),
  [4950] = {.count = 1, .reusable = true}, SHIFT(91),
  [4952] = {.count = 1, .reusable = true}, SHIFT(92),
  [4954] = {.count = 1, .reusable = false}, SHIFT(581),
  [4956] = {.count = 1, .reusable = false}, SHIFT(138),
  [4958] = {.count = 1, .reusable = false}, SHIFT(175),
  [4960] = {.count = 1, .reusable = false}, SHIFT(179),
  [4962] = {.count = 1, .reusable = true}, SHIFT(320),
  [4964] = {.count = 1, .reusable = false}, SHIFT(156),
  [4966] = {.count = 1, .reusable = true}, SHIFT(370),
  [4968] = {.count = 1, .reusable = false}, SHIFT(171),
  [4970] = {.count = 1, .reusable = false}, SHIFT(139),
  [4972] = {.count = 1, .reusable = false}, SHIFT(1978),
  [4974] = {.count = 1, .reusable = false}, SHIFT(1979),
  [4976] = {.count = 1, .reusable = true}, SHIFT(458),
  [4978] = {.count = 1, .reusable = false}, SHIFT(147),
  [4980] = {.count = 1, .reusable = true}, SHIFT(585),
  [4982] = {.count = 1, .reusable = false}, SHIFT(176),
  [4984] = {.count = 1, .reusable = true}, SHIFT(2201),
  [4986] = {.count = 1, .reusable = true}, SHIFT(2070),
  [4988] = {.count = 1, .reusable = true}, SHIFT(20),
  [4990] = {.count = 1, .reusable = true}, SHIFT(19),
  [4992] = {.count = 1, .reusable = true}, SHIFT(25),
  [4994] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1903),
  [4997] = {.count = 1, .reusable = false}, SHIFT(684),
  [4999] = {.count = 1, .reusable = false}, SHIFT(161),
  [5001] = {.count = 1, .reusable = true}, SHIFT(2577),
  [5003] = {.count = 1, .reusable = false}, SHIFT(1981),
  [5005] = {.count = 1, .reusable = false}, SHIFT(688),
  [5007] = {.count = 1, .reusable = false}, SHIFT(1299),
  [5009] = {.count = 1, .reusable = false}, SHIFT(687),
  [5011] = {.count = 1, .reusable = true}, SHIFT(1938),
  [5013] = {.count = 1, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5015] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5017] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1977),
  [5020] = {.count = 1, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5022] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5024] = {.count = 1, .reusable = false}, SHIFT(1977),
  [5026] = {.count = 1, .reusable = true}, SHIFT(1900),
  [5028] = {.count = 1, .reusable = true}, SHIFT(2568),
  [5030] = {.count = 1, .reusable = true}, SHIFT(2593),
  [5032] = {.count = 1, .reusable = false}, SHIFT(2567),
  [5034] = {.count = 1, .reusable = true}, SHIFT(2567),
  [5036] = {.count = 1, .reusable = true}, SHIFT(1947),
  [5038] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1947),
  [5041] = {.count = 1, .reusable = true}, SHIFT(363),
  [5043] = {.count = 1, .reusable = true}, SHIFT(364),
  [5045] = {.count = 1, .reusable = true}, SHIFT(366),
  [5047] = {.count = 2, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2095),
  [5050] = {.count = 1, .reusable = true}, SHIFT(646),
  [5052] = {.count = 1, .reusable = true}, SHIFT(620),
  [5054] = {.count = 1, .reusable = true}, SHIFT(663),
  [5056] = {.count = 1, .reusable = true}, SHIFT(331),
  [5058] = {.count = 1, .reusable = true}, SHIFT(295),
  [5060] = {.count = 1, .reusable = true}, SHIFT(332),
  [5062] = {.count = 1, .reusable = true}, SHIFT(1534),
  [5064] = {.count = 1, .reusable = true}, SHIFT(1516),
  [5066] = {.count = 1, .reusable = true}, SHIFT(1538),
  [5068] = {.count = 1, .reusable = true}, SHIFT(523),
  [5070] = {.count = 1, .reusable = true}, SHIFT(547),
  [5072] = {.count = 1, .reusable = true}, SHIFT(524),
  [5074] = {.count = 1, .reusable = true}, SHIFT(485),
  [5076] = {.count = 1, .reusable = true}, SHIFT(543),
  [5078] = {.count = 1, .reusable = true}, SHIFT(484),
  [5080] = {.count = 1, .reusable = true}, SHIFT(472),
  [5082] = {.count = 1, .reusable = true}, SHIFT(580),
  [5084] = {.count = 1, .reusable = true}, SHIFT(635),
  [5086] = {.count = 1, .reusable = true}, SHIFT(2281),
  [5088] = {.count = 1, .reusable = true}, SHIFT(2284),
  [5090] = {.count = 1, .reusable = true}, SHIFT(2285),
  [5092] = {.count = 1, .reusable = true}, SHIFT(509),
  [5094] = {.count = 1, .reusable = true}, SHIFT(608),
  [5096] = {.count = 1, .reusable = true}, SHIFT(508),
  [5098] = {.count = 1, .reusable = true}, SHIFT(1454),
  [5100] = {.count = 1, .reusable = true}, SHIFT(1399),
  [5102] = {.count = 1, .reusable = true}, SHIFT(1455),
  [5104] = {.count = 1, .reusable = true}, SHIFT(2017),
  [5106] = {.count = 1, .reusable = true}, SHIFT(440),
  [5108] = {.count = 1, .reusable = true}, SHIFT(468),
  [5110] = {.count = 1, .reusable = true}, SHIFT(438),
  [5112] = {.count = 1, .reusable = true}, SHIFT(619),
  [5114] = {.count = 1, .reusable = true}, SHIFT(618),
  [5116] = {.count = 1, .reusable = true}, SHIFT(617),
  [5118] = {.count = 1, .reusable = true}, SHIFT(1772),
  [5120] = {.count = 1, .reusable = true}, SHIFT(349),
  [5122] = {.count = 1, .reusable = true}, SHIFT(348),
  [5124] = {.count = 1, .reusable = true}, SHIFT(347),
  [5126] = {.count = 1, .reusable = true}, SHIFT(1499),
  [5128] = {.count = 1, .reusable = true}, SHIFT(1366),
  [5130] = {.count = 1, .reusable = true}, SHIFT(1374),
  [5132] = {.count = 1, .reusable = true}, SHIFT(1365),
  [5134] = {.count = 1, .reusable = true}, SHIFT(463),
  [5136] = {.count = 1, .reusable = true}, SHIFT(462),
  [5138] = {.count = 1, .reusable = true}, SHIFT(461),
  [5140] = {.count = 1, .reusable = true}, SHIFT(1971),
  [5142] = {.count = 1, .reusable = true}, SHIFT(1955),
  [5144] = {.count = 1, .reusable = true}, SHIFT(1972),
  [5146] = {.count = 1, .reusable = true}, SHIFT(2095),
  [5148] = {.count = 1, .reusable = true}, SHIFT(394),
  [5150] = {.count = 1, .reusable = true}, SHIFT(303),
  [5152] = {.count = 1, .reusable = true}, SHIFT(395),
  [5154] = {.count = 1, .reusable = false}, SHIFT(2206),
  [5156] = {.count = 1, .reusable = false}, SHIFT(292),
  [5158] = {.count = 1, .reusable = false}, SHIFT(2226),
  [5160] = {.count = 1, .reusable = false}, SHIFT(2232),
  [5162] = {.count = 1, .reusable = false}, SHIFT(322),
  [5164] = {.count = 1, .reusable = false}, SHIFT(1717),
  [5166] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 3, .production_id = 36),
  [5168] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [5170] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 3, .production_id = 36),
  [5172] = {.count = 1, .reusable = true}, SHIFT(2132),
  [5174] = {.count = 1, .reusable = true}, SHIFT(896),
  [5176] = {.count = 1, .reusable = false}, SHIFT(895),
  [5178] = {.count = 1, .reusable = true}, SHIFT(895),
  [5180] = {.count = 1, .reusable = true}, SHIFT(2547),
  [5182] = {.count = 1, .reusable = false}, SHIFT(1362),
  [5184] = {.count = 1, .reusable = false}, SHIFT(611),
  [5186] = {.count = 1, .reusable = false}, SHIFT(1490),
  [5188] = {.count = 1, .reusable = false}, SHIFT(1375),
  [5190] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 3, .production_id = 35),
  [5192] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 3, .production_id = 35),
  [5194] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 3, .production_id = 35),
  [5196] = {.count = 1, .reusable = false}, SHIFT(2575),
  [5198] = {.count = 1, .reusable = false}, SHIFT(1857),
  [5200] = {.count = 1, .reusable = false}, SHIFT(321),
  [5202] = {.count = 1, .reusable = false}, SHIFT(2569),
  [5204] = {.count = 1, .reusable = true}, SHIFT(2204),
  [5206] = {.count = 1, .reusable = true}, SHIFT(888),
  [5208] = {.count = 1, .reusable = false}, SHIFT(887),
  [5210] = {.count = 1, .reusable = true}, SHIFT(887),
  [5212] = {.count = 1, .reusable = true}, SHIFT(2586),
  [5214] = {.count = 1, .reusable = true}, SHIFT(2202),
  [5216] = {.count = 1, .reusable = true}, SHIFT(769),
  [5218] = {.count = 1, .reusable = false}, SHIFT(879),
  [5220] = {.count = 1, .reusable = true}, SHIFT(879),
  [5222] = {.count = 1, .reusable = true}, SHIFT(2597),
  [5224] = {.count = 1, .reusable = false}, SHIFT(1741),
  [5226] = {.count = 1, .reusable = true}, SHIFT(2199),
  [5228] = {.count = 1, .reusable = true}, SHIFT(872),
  [5230] = {.count = 1, .reusable = false}, SHIFT(871),
  [5232] = {.count = 1, .reusable = true}, SHIFT(871),
  [5234] = {.count = 1, .reusable = true}, SHIFT(2603),
  [5236] = {.count = 1, .reusable = false}, SHIFT(399),
  [5238] = {.count = 1, .reusable = false}, SHIFT(528),
  [5240] = {.count = 1, .reusable = true}, SHIFT(2188),
  [5242] = {.count = 1, .reusable = true}, SHIFT(864),
  [5244] = {.count = 1, .reusable = false}, SHIFT(863),
  [5246] = {.count = 1, .reusable = true}, SHIFT(863),
  [5248] = {.count = 1, .reusable = true}, SHIFT(2594),
  [5250] = {.count = 1, .reusable = false}, SHIFT(642),
  [5252] = {.count = 1, .reusable = false}, SHIFT(1702),
  [5254] = {.count = 1, .reusable = true}, SHIFT(2184),
  [5256] = {.count = 1, .reusable = true}, SHIFT(854),
  [5258] = {.count = 1, .reusable = false}, SHIFT(853),
  [5260] = {.count = 1, .reusable = true}, SHIFT(853),
  [5262] = {.count = 1, .reusable = true}, SHIFT(2587),
  [5264] = {.count = 1, .reusable = false}, SHIFT(626),
  [5266] = {.count = 1, .reusable = true}, SHIFT(2191),
  [5268] = {.count = 1, .reusable = true}, SHIFT(818),
  [5270] = {.count = 1, .reusable = false}, SHIFT(820),
  [5272] = {.count = 1, .reusable = true}, SHIFT(820),
  [5274] = {.count = 1, .reusable = true}, SHIFT(2503),
  [5276] = {.count = 1, .reusable = true}, SHIFT(2175),
  [5278] = {.count = 1, .reusable = true}, SHIFT(844),
  [5280] = {.count = 1, .reusable = false}, SHIFT(843),
  [5282] = {.count = 1, .reusable = true}, SHIFT(843),
  [5284] = {.count = 1, .reusable = true}, SHIFT(2582),
  [5286] = {.count = 1, .reusable = false}, SHIFT(517),
  [5288] = {.count = 1, .reusable = false}, SHIFT(1718),
  [5290] = {.count = 1, .reusable = false}, SHIFT(377),
  [5292] = {.count = 1, .reusable = false}, SHIFT(312),
  [5294] = {.count = 1, .reusable = false}, SHIFT(1528),
  [5296] = {.count = 1, .reusable = true}, SHIFT(2169),
  [5298] = {.count = 1, .reusable = true}, SHIFT(836),
  [5300] = {.count = 1, .reusable = false}, SHIFT(835),
  [5302] = {.count = 1, .reusable = true}, SHIFT(835),
  [5304] = {.count = 1, .reusable = true}, SHIFT(2573),
  [5306] = {.count = 1, .reusable = false}, SHIFT(629),
  [5308] = {.count = 1, .reusable = true}, SHIFT(2182),
  [5310] = {.count = 1, .reusable = true}, SHIFT(801),
  [5312] = {.count = 1, .reusable = false}, SHIFT(803),
  [5314] = {.count = 1, .reusable = true}, SHIFT(803),
  [5316] = {.count = 1, .reusable = true}, SHIFT(2507),
  [5318] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 4, .production_id = 35),
  [5320] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 4, .production_id = 35),
  [5322] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 4, .production_id = 35),
  [5324] = {.count = 1, .reusable = false}, SHIFT(527),
  [5326] = {.count = 1, .reusable = true}, SHIFT(2155),
  [5328] = {.count = 1, .reusable = true}, SHIFT(827),
  [5330] = {.count = 1, .reusable = false}, SHIFT(826),
  [5332] = {.count = 1, .reusable = true}, SHIFT(826),
  [5334] = {.count = 1, .reusable = true}, SHIFT(2570),
  [5336] = {.count = 1, .reusable = true}, SHIFT(2154),
  [5338] = {.count = 1, .reusable = true}, SHIFT(862),
  [5340] = {.count = 1, .reusable = false}, SHIFT(861),
  [5342] = {.count = 1, .reusable = true}, SHIFT(861),
  [5344] = {.count = 1, .reusable = true}, SHIFT(2553),
  [5346] = {.count = 1, .reusable = false}, SHIFT(1530),
  [5348] = {.count = 1, .reusable = true}, SHIFT(2174),
  [5350] = {.count = 1, .reusable = true}, SHIFT(791),
  [5352] = {.count = 1, .reusable = false}, SHIFT(792),
  [5354] = {.count = 1, .reusable = true}, SHIFT(792),
  [5356] = {.count = 1, .reusable = true}, SHIFT(2510),
  [5358] = {.count = 1, .reusable = false}, SHIFT(1417),
  [5360] = {.count = 1, .reusable = false}, SHIFT(288),
  [5362] = {.count = 1, .reusable = true}, SHIFT(2157),
  [5364] = {.count = 1, .reusable = true}, SHIFT(814),
  [5366] = {.count = 1, .reusable = false}, SHIFT(813),
  [5368] = {.count = 1, .reusable = true}, SHIFT(813),
  [5370] = {.count = 1, .reusable = true}, SHIFT(2558),
  [5372] = {.count = 1, .reusable = false}, SHIFT(294),
  [5374] = {.count = 1, .reusable = false}, SHIFT(625),
  [5376] = {.count = 1, .reusable = false}, SHIFT(535),
  [5378] = {.count = 1, .reusable = true}, SHIFT(2168),
  [5380] = {.count = 1, .reusable = true}, SHIFT(779),
  [5382] = {.count = 1, .reusable = false}, SHIFT(780),
  [5384] = {.count = 1, .reusable = true}, SHIFT(780),
  [5386] = {.count = 1, .reusable = true}, SHIFT(2512),
  [5388] = {.count = 1, .reusable = true}, SHIFT(2153),
  [5390] = {.count = 1, .reusable = true}, SHIFT(781),
  [5392] = {.count = 1, .reusable = false}, SHIFT(777),
  [5394] = {.count = 1, .reusable = true}, SHIFT(777),
  [5396] = {.count = 1, .reusable = true}, SHIFT(2552),
  [5398] = {.count = 1, .reusable = false}, SHIFT(1964),
  [5400] = {.count = 1, .reusable = false}, SHIFT(1424),
  [5402] = {.count = 1, .reusable = true}, SHIFT(2144),
  [5404] = {.count = 1, .reusable = true}, SHIFT(880),
  [5406] = {.count = 1, .reusable = false}, SHIFT(750),
  [5408] = {.count = 1, .reusable = true}, SHIFT(750),
  [5410] = {.count = 1, .reusable = true}, SHIFT(2549),
  [5412] = {.count = 1, .reusable = true}, SHIFT(2160),
  [5414] = {.count = 1, .reusable = true}, SHIFT(767),
  [5416] = {.count = 1, .reusable = false}, SHIFT(768),
  [5418] = {.count = 1, .reusable = true}, SHIFT(768),
  [5420] = {.count = 1, .reusable = true}, SHIFT(2514),
  [5422] = {.count = 1, .reusable = false}, SHIFT(602),
  [5424] = {.count = 1, .reusable = false}, SHIFT(1958),
  [5426] = {.count = 1, .reusable = false}, SHIFT(432),
  [5428] = {.count = 1, .reusable = true}, SHIFT(2138),
  [5430] = {.count = 1, .reusable = true}, SHIFT(721),
  [5432] = {.count = 1, .reusable = false}, SHIFT(722),
  [5434] = {.count = 1, .reusable = true}, SHIFT(722),
  [5436] = {.count = 1, .reusable = true}, SHIFT(2544),
  [5438] = {.count = 1, .reusable = false}, SHIFT(327),
  [5440] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 5, .production_id = 44),
  [5442] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 5, .production_id = 44),
  [5444] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 5, .production_id = 44),
  [5446] = {.count = 1, .reusable = true}, SHIFT(2151),
  [5448] = {.count = 1, .reusable = true}, SHIFT(756),
  [5450] = {.count = 1, .reusable = false}, SHIFT(759),
  [5452] = {.count = 1, .reusable = true}, SHIFT(759),
  [5454] = {.count = 1, .reusable = true}, SHIFT(2517),
  [5456] = {.count = 1, .reusable = false}, SHIFT(1629),
  [5458] = {.count = 1, .reusable = false}, SHIFT(577),
  [5460] = {.count = 1, .reusable = false}, SHIFT(2289),
  [5462] = {.count = 1, .reusable = true}, SHIFT(2133),
  [5464] = {.count = 1, .reusable = true}, SHIFT(698),
  [5466] = {.count = 1, .reusable = false}, SHIFT(699),
  [5468] = {.count = 1, .reusable = true}, SHIFT(699),
  [5470] = {.count = 1, .reusable = true}, SHIFT(2535),
  [5472] = {.count = 1, .reusable = false}, SHIFT(442),
  [5474] = {.count = 1, .reusable = true}, SHIFT(2128),
  [5476] = {.count = 1, .reusable = true}, SHIFT(730),
  [5478] = {.count = 1, .reusable = false}, SHIFT(689),
  [5480] = {.count = 1, .reusable = true}, SHIFT(689),
  [5482] = {.count = 1, .reusable = true}, SHIFT(2527),
  [5484] = {.count = 1, .reusable = true}, SHIFT(2142),
  [5486] = {.count = 1, .reusable = true}, SHIFT(742),
  [5488] = {.count = 1, .reusable = false}, SHIFT(746),
  [5490] = {.count = 1, .reusable = true}, SHIFT(746),
  [5492] = {.count = 1, .reusable = true}, SHIFT(2519),
  [5494] = {.count = 1, .reusable = true}, SHIFT(2125),
  [5496] = {.count = 1, .reusable = true}, SHIFT(737),
  [5498] = {.count = 1, .reusable = false}, SHIFT(690),
  [5500] = {.count = 1, .reusable = true}, SHIFT(690),
  [5502] = {.count = 1, .reusable = true}, SHIFT(2540),
  [5504] = {.count = 1, .reusable = false}, SHIFT(1638),
  [5506] = {.count = 1, .reusable = true}, SHIFT(2131),
  [5508] = {.count = 1, .reusable = true}, SHIFT(711),
  [5510] = {.count = 1, .reusable = false}, SHIFT(751),
  [5512] = {.count = 1, .reusable = true}, SHIFT(751),
  [5514] = {.count = 1, .reusable = true}, SHIFT(2531),
  [5516] = {.count = 1, .reusable = false}, SHIFT(2034),
  [5518] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 4, .production_id = 36),
  [5520] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 4, .production_id = 36),
  [5522] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 4, .production_id = 36),
  [5524] = {.count = 1, .reusable = false}, SHIFT(457),
  [5526] = {.count = 1, .reusable = false}, SHIFT(1481),
  [5528] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 5, .production_id = 42),
  [5530] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 5, .production_id = 42),
  [5532] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 5, .production_id = 42),
  [5534] = {.count = 1, .reusable = false}, SHIFT(559),
  [5536] = {.count = 1, .reusable = true}, SHIFT(2172),
  [5538] = {.count = 1, .reusable = true}, SHIFT(707),
  [5540] = {.count = 1, .reusable = false}, SHIFT(708),
  [5542] = {.count = 1, .reusable = true}, SHIFT(708),
  [5544] = {.count = 1, .reusable = true}, SHIFT(2498),
  [5546] = {.count = 1, .reusable = false}, SHIFT(2267),
  [5548] = {.count = 1, .reusable = false}, SHIFT(2022),
  [5550] = {.count = 1, .reusable = false}, SHIFT(1844),
  [5552] = {.count = 1, .reusable = false}, SHIFT(2086),
  [5554] = {.count = 1, .reusable = false}, SHIFT(2233),
  [5556] = {.count = 1, .reusable = false}, SHIFT(2068),
  [5558] = {.count = 1, .reusable = false}, SHIFT(97),
  [5560] = {.count = 1, .reusable = false}, SHIFT(96),
  [5562] = {.count = 1, .reusable = true}, SHIFT(691),
  [5564] = {.count = 1, .reusable = false}, SHIFT(692),
  [5566] = {.count = 1, .reusable = true}, SHIFT(692),
  [5568] = {.count = 1, .reusable = true}, SHIFT(2539),
  [5570] = {.count = 1, .reusable = false}, SHIFT(2109),
  [5572] = {.count = 1, .reusable = false}, SHIFT(464),
  [5574] = {.count = 1, .reusable = false}, SHIFT(2093),
  [5576] = {.count = 1, .reusable = true}, SHIFT(733),
  [5578] = {.count = 1, .reusable = false}, SHIFT(738),
  [5580] = {.count = 1, .reusable = true}, SHIFT(738),
  [5582] = {.count = 1, .reusable = true}, SHIFT(2526),
  [5584] = {.count = 1, .reusable = false}, SHIFT(2052),
  [5586] = {.count = 1, .reusable = false}, SHIFT(2037),
  [5588] = {.count = 1, .reusable = false}, SHIFT(314),
  [5590] = {.count = 1, .reusable = true}, SHIFT(715),
  [5592] = {.count = 1, .reusable = false}, SHIFT(717),
  [5594] = {.count = 1, .reusable = true}, SHIFT(717),
  [5596] = {.count = 1, .reusable = true}, SHIFT(2528),
  [5598] = {.count = 1, .reusable = true}, SHIFT(894),
  [5600] = {.count = 1, .reusable = false}, SHIFT(893),
  [5602] = {.count = 1, .reusable = true}, SHIFT(893),
  [5604] = {.count = 1, .reusable = true}, SHIFT(2554),
  [5606] = {.count = 1, .reusable = true}, SHIFT(700),
  [5608] = {.count = 1, .reusable = false}, SHIFT(701),
  [5610] = {.count = 1, .reusable = true}, SHIFT(701),
  [5612] = {.count = 1, .reusable = true}, SHIFT(2534),
  [5614] = {.count = 1, .reusable = false}, SHIFT(2112),
  [5616] = {.count = 1, .reusable = false}, SHIFT(2105),
  [5618] = {.count = 1, .reusable = false}, SHIFT(2072),
  [5620] = {.count = 1, .reusable = false}, SHIFT(2116),
  [5622] = {.count = 1, .reusable = false}, SHIFT(1837),
  [5624] = {.count = 1, .reusable = true}, SHIFT(724),
  [5626] = {.count = 1, .reusable = false}, SHIFT(727),
  [5628] = {.count = 1, .reusable = true}, SHIFT(727),
  [5630] = {.count = 1, .reusable = true}, SHIFT(2497),
  [5632] = {.count = 1, .reusable = false}, SHIFT(2047),
  [5634] = {.count = 1, .reusable = false}, SHIFT(2089),
  [5636] = {.count = 1, .reusable = false}, SHIFT(2114),
  [5638] = {.count = 1, .reusable = true}, SHIFT(747),
  [5640] = {.count = 1, .reusable = false}, SHIFT(748),
  [5642] = {.count = 1, .reusable = true}, SHIFT(748),
  [5644] = {.count = 1, .reusable = true}, SHIFT(2518),
  [5646] = {.count = 1, .reusable = false}, SHIFT(2078),
  [5648] = {.count = 1, .reusable = true}, SHIFT(749),
  [5650] = {.count = 1, .reusable = false}, SHIFT(741),
  [5652] = {.count = 1, .reusable = true}, SHIFT(741),
  [5654] = {.count = 1, .reusable = true}, SHIFT(2546),
  [5656] = {.count = 1, .reusable = false}, SHIFT(2090),
  [5658] = {.count = 1, .reusable = false}, SHIFT(1967),
  [5660] = {.count = 1, .reusable = false}, SHIFT(2099),
  [5662] = {.count = 1, .reusable = false}, SHIFT(2288),
  [5664] = {.count = 1, .reusable = false}, SHIFT(2042),
  [5666] = {.count = 1, .reusable = false}, SHIFT(616),
  [5668] = {.count = 1, .reusable = false}, SHIFT(2085),
  [5670] = {.count = 1, .reusable = false}, SHIFT(2043),
  [5672] = {.count = 1, .reusable = false}, SHIFT(1497),
  [5674] = {.count = 1, .reusable = false}, SHIFT(2048),
  [5676] = {.count = 1, .reusable = true}, SHIFT(760),
  [5678] = {.count = 1, .reusable = false}, SHIFT(761),
  [5680] = {.count = 1, .reusable = true}, SHIFT(761),
  [5682] = {.count = 1, .reusable = true}, SHIFT(2516),
  [5684] = {.count = 1, .reusable = false}, SHIFT(2046),
  [5686] = {.count = 1, .reusable = false}, SHIFT(2585),
  [5688] = {.count = 1, .reusable = true}, SHIFT(771),
  [5690] = {.count = 1, .reusable = false}, SHIFT(770),
  [5692] = {.count = 1, .reusable = true}, SHIFT(770),
  [5694] = {.count = 1, .reusable = true}, SHIFT(2551),
  [5696] = {.count = 1, .reusable = true}, SHIFT(808),
  [5698] = {.count = 1, .reusable = false}, SHIFT(807),
  [5700] = {.count = 1, .reusable = true}, SHIFT(807),
  [5702] = {.count = 1, .reusable = true}, SHIFT(2530),
  [5704] = {.count = 1, .reusable = true}, SHIFT(825),
  [5706] = {.count = 1, .reusable = false}, SHIFT(823),
  [5708] = {.count = 1, .reusable = true}, SHIFT(823),
  [5710] = {.count = 1, .reusable = true}, SHIFT(2561),
  [5712] = {.count = 1, .reusable = false}, SHIFT(2110),
  [5714] = {.count = 1, .reusable = true}, SHIFT(812),
  [5716] = {.count = 1, .reusable = false}, SHIFT(800),
  [5718] = {.count = 1, .reusable = true}, SHIFT(800),
  [5720] = {.count = 1, .reusable = true}, SHIFT(2557),
  [5722] = {.count = 1, .reusable = false}, SHIFT(2082),
  [5724] = {.count = 1, .reusable = false}, SHIFT(540),
  [5726] = {.count = 1, .reusable = false}, SHIFT(2041),
  [5728] = {.count = 1, .reusable = true}, SHIFT(772),
  [5730] = {.count = 1, .reusable = false}, SHIFT(773),
  [5732] = {.count = 1, .reusable = true}, SHIFT(773),
  [5734] = {.count = 1, .reusable = true}, SHIFT(2513),
  [5736] = {.count = 1, .reusable = false}, SHIFT(2044),
  [5738] = {.count = 1, .reusable = false}, SHIFT(1369),
  [5740] = {.count = 1, .reusable = false}, SHIFT(2049),
  [5742] = {.count = 1, .reusable = false}, SHIFT(2069),
  [5744] = {.count = 1, .reusable = false}, SHIFT(2081),
  [5746] = {.count = 1, .reusable = false}, SHIFT(582),
  [5748] = {.count = 1, .reusable = false}, SHIFT(2115),
  [5750] = {.count = 1, .reusable = false}, SHIFT(2097),
  [5752] = {.count = 1, .reusable = false}, SHIFT(1623),
  [5754] = {.count = 1, .reusable = false}, SHIFT(2077),
  [5756] = {.count = 1, .reusable = false}, SHIFT(1407),
  [5758] = {.count = 1, .reusable = true}, SHIFT(783),
  [5760] = {.count = 1, .reusable = false}, SHIFT(785),
  [5762] = {.count = 1, .reusable = true}, SHIFT(785),
  [5764] = {.count = 1, .reusable = true}, SHIFT(2511),
  [5766] = {.count = 1, .reusable = true}, SHIFT(834),
  [5768] = {.count = 1, .reusable = false}, SHIFT(833),
  [5770] = {.count = 1, .reusable = true}, SHIFT(833),
  [5772] = {.count = 1, .reusable = true}, SHIFT(2572),
  [5774] = {.count = 1, .reusable = false}, SHIFT(2091),
  [5776] = {.count = 1, .reusable = false}, SHIFT(459),
  [5778] = {.count = 1, .reusable = false}, SHIFT(2080),
  [5780] = {.count = 1, .reusable = true}, SHIFT(709),
  [5782] = {.count = 1, .reusable = false}, SHIFT(713),
  [5784] = {.count = 1, .reusable = true}, SHIFT(713),
  [5786] = {.count = 1, .reusable = true}, SHIFT(2521),
  [5788] = {.count = 1, .reusable = false}, SHIFT(2197),
  [5790] = {.count = 1, .reusable = true}, SHIFT(2088),
  [5792] = {.count = 1, .reusable = true}, SHIFT(38),
  [5794] = {.count = 1, .reusable = true}, SHIFT(34),
  [5796] = {.count = 1, .reusable = true}, SHIFT(2186),
  [5798] = {.count = 1, .reusable = true}, SHIFT(2214),
  [5800] = {.count = 1, .reusable = true}, SHIFT(793),
  [5802] = {.count = 1, .reusable = false}, SHIFT(795),
  [5804] = {.count = 1, .reusable = true}, SHIFT(795),
  [5806] = {.count = 1, .reusable = true}, SHIFT(2508),
  [5808] = {.count = 1, .reusable = true}, SHIFT(842),
  [5810] = {.count = 1, .reusable = false}, SHIFT(841),
  [5812] = {.count = 1, .reusable = true}, SHIFT(841),
  [5814] = {.count = 1, .reusable = true}, SHIFT(2581),
  [5816] = {.count = 1, .reusable = false}, SHIFT(2036),
  [5818] = {.count = 1, .reusable = false}, SHIFT(278),
  [5820] = {.count = 1, .reusable = true}, SHIFT(2196),
  [5822] = {.count = 1, .reusable = true}, SHIFT(2306),
  [5824] = {.count = 1, .reusable = true}, SHIFT(2173),
  [5826] = {.count = 1, .reusable = true}, SHIFT(2210),
  [5828] = {.count = 1, .reusable = false}, SHIFT(2065),
  [5830] = {.count = 1, .reusable = false}, SHIFT(367),
  [5832] = {.count = 1, .reusable = false}, SHIFT(2075),
  [5834] = {.count = 1, .reusable = false}, SHIFT(2067),
  [5836] = {.count = 1, .reusable = false}, SHIFT(1519),
  [5838] = {.count = 1, .reusable = true}, SHIFT(804),
  [5840] = {.count = 1, .reusable = false}, SHIFT(806),
  [5842] = {.count = 1, .reusable = true}, SHIFT(806),
  [5844] = {.count = 1, .reusable = true}, SHIFT(2505),
  [5846] = {.count = 1, .reusable = false}, SHIFT(2066),
  [5848] = {.count = 1, .reusable = false}, SHIFT(345),
  [5850] = {.count = 1, .reusable = true}, SHIFT(852),
  [5852] = {.count = 1, .reusable = false}, SHIFT(851),
  [5854] = {.count = 1, .reusable = true}, SHIFT(851),
  [5856] = {.count = 1, .reusable = true}, SHIFT(2583),
  [5858] = {.count = 1, .reusable = false}, SHIFT(2060),
  [5860] = {.count = 1, .reusable = false}, SHIFT(621),
  [5862] = {.count = 2, .reusable = false}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2197),
  [5865] = {.count = 2, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2088),
  [5868] = {.count = 2, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(38),
  [5871] = {.count = 2, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(34),
  [5874] = {.count = 2, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2186),
  [5877] = {.count = 1, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [5879] = {.count = 1, .reusable = false}, SHIFT(2057),
  [5881] = {.count = 1, .reusable = true}, SHIFT(860),
  [5883] = {.count = 1, .reusable = false}, SHIFT(859),
  [5885] = {.count = 1, .reusable = true}, SHIFT(859),
  [5887] = {.count = 1, .reusable = true}, SHIFT(2592),
  [5889] = {.count = 1, .reusable = false}, SHIFT(2064),
  [5891] = {.count = 1, .reusable = false}, SHIFT(2054),
  [5893] = {.count = 1, .reusable = true}, SHIFT(821),
  [5895] = {.count = 1, .reusable = false}, SHIFT(824),
  [5897] = {.count = 1, .reusable = true}, SHIFT(824),
  [5899] = {.count = 1, .reusable = true}, SHIFT(2502),
  [5901] = {.count = 1, .reusable = false}, SHIFT(2101),
  [5903] = {.count = 1, .reusable = false}, SHIFT(2063),
  [5905] = {.count = 1, .reusable = false}, SHIFT(2107),
  [5907] = {.count = 1, .reusable = false}, SHIFT(2030),
  [5909] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2120),
  [5912] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2),
  [5914] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2233),
  [5917] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2068),
  [5920] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(97),
  [5923] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(96),
  [5926] = {.count = 1, .reusable = true}, SHIFT(2298),
  [5928] = {.count = 1, .reusable = true}, SHIFT(2244),
  [5930] = {.count = 1, .reusable = false}, SHIFT(2245),
  [5932] = {.count = 1, .reusable = true}, SHIFT(2245),
  [5934] = {.count = 1, .reusable = false}, SHIFT(2055),
  [5936] = {.count = 1, .reusable = false}, SHIFT(544),
  [5938] = {.count = 1, .reusable = true}, SHIFT(870),
  [5940] = {.count = 1, .reusable = false}, SHIFT(869),
  [5942] = {.count = 1, .reusable = true}, SHIFT(869),
  [5944] = {.count = 1, .reusable = true}, SHIFT(2601),
  [5946] = {.count = 1, .reusable = false}, SHIFT(2058),
  [5948] = {.count = 1, .reusable = false}, SHIFT(1681),
  [5950] = {.count = 1, .reusable = false}, SHIFT(2098),
  [5952] = {.count = 1, .reusable = false}, SHIFT(601),
  [5954] = {.count = 1, .reusable = true}, SHIFT(878),
  [5956] = {.count = 1, .reusable = false}, SHIFT(877),
  [5958] = {.count = 1, .reusable = true}, SHIFT(877),
  [5960] = {.count = 1, .reusable = true}, SHIFT(2599),
  [5962] = {.count = 1, .reusable = false}, SHIFT(2038),
  [5964] = {.count = 1, .reusable = false}, SHIFT(1701),
  [5966] = {.count = 1, .reusable = true}, SHIFT(886),
  [5968] = {.count = 1, .reusable = false}, SHIFT(885),
  [5970] = {.count = 1, .reusable = true}, SHIFT(885),
  [5972] = {.count = 1, .reusable = true}, SHIFT(2588),
  [5974] = {.count = 1, .reusable = true}, SHIFT(1940),
  [5976] = {.count = 1, .reusable = true}, REDUCE(sym_heredoc_body, 1),
  [5978] = {.count = 1, .reusable = false}, REDUCE(sym_heredoc_body, 1),
  [5980] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1940),
  [5983] = {.count = 1, .reusable = true}, SHIFT(1912),
  [5985] = {.count = 1, .reusable = true}, REDUCE(sym_heredoc_body, 2),
  [5987] = {.count = 1, .reusable = false}, REDUCE(sym_heredoc_body, 2),
  [5989] = {.count = 1, .reusable = false}, SHIFT(1830),
  [5991] = {.count = 1, .reusable = true}, SHIFT(1830),
  [5993] = {.count = 1, .reusable = true}, SHIFT(2765),
  [5995] = {.count = 1, .reusable = false}, SHIFT(2344),
  [5997] = {.count = 1, .reusable = false}, SHIFT(2765),
  [5999] = {.count = 1, .reusable = true}, REDUCE(sym_heredoc_body, 3),
  [6001] = {.count = 1, .reusable = false}, REDUCE(sym_heredoc_body, 3),
  [6003] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2290),
  [6006] = {.count = 1, .reusable = false}, SHIFT(1822),
  [6008] = {.count = 1, .reusable = true}, SHIFT(1822),
  [6010] = {.count = 1, .reusable = true}, SHIFT(2766),
  [6012] = {.count = 1, .reusable = false}, SHIFT(2343),
  [6014] = {.count = 1, .reusable = false}, SHIFT(2766),
  [6016] = {.count = 1, .reusable = false}, SHIFT(2290),
  [6018] = {.count = 1, .reusable = true}, SHIFT(2680),
  [6020] = {.count = 1, .reusable = false}, SHIFT(2348),
  [6022] = {.count = 1, .reusable = false}, SHIFT(2680),
  [6024] = {.count = 1, .reusable = true}, SHIFT(2278),
  [6026] = {.count = 1, .reusable = false}, SHIFT(1817),
  [6028] = {.count = 1, .reusable = true}, SHIFT(1817),
  [6030] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 1),
  [6032] = {.count = 1, .reusable = true}, SHIFT(2271),
  [6034] = {.count = 1, .reusable = false}, SHIFT(1839),
  [6036] = {.count = 1, .reusable = true}, SHIFT(1839),
  [6038] = {.count = 1, .reusable = true}, SHIFT(2687),
  [6040] = {.count = 1, .reusable = false}, SHIFT(2340),
  [6042] = {.count = 1, .reusable = false}, SHIFT(2687),
  [6044] = {.count = 1, .reusable = true}, SHIFT(1709),
  [6046] = {.count = 1, .reusable = true}, SHIFT(116),
  [6048] = {.count = 1, .reusable = true}, SHIFT(32),
  [6050] = {.count = 1, .reusable = true}, SHIFT(1757),
  [6052] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 3),
  [6054] = {.count = 1, .reusable = true}, SHIFT(1404),
  [6056] = {.count = 1, .reusable = true}, SHIFT(1413),
  [6058] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [6060] = {.count = 2, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(116),
  [6063] = {.count = 1, .reusable = true}, SHIFT(2342),
  [6065] = {.count = 1, .reusable = true}, SHIFT(63),
  [6067] = {.count = 1, .reusable = true}, SHIFT(214),
  [6069] = {.count = 1, .reusable = false}, SHIFT(214),
  [6071] = {.count = 1, .reusable = true}, SHIFT(2349),
  [6073] = {.count = 1, .reusable = true}, SHIFT(2352),
  [6075] = {.count = 1, .reusable = true}, SHIFT(1831),
  [6077] = {.count = 1, .reusable = true}, SHIFT(11),
  [6079] = {.count = 1, .reusable = true}, SHIFT(9),
  [6081] = {.count = 1, .reusable = true}, SHIFT(2346),
  [6083] = {.count = 1, .reusable = true}, SHIFT(210),
  [6085] = {.count = 1, .reusable = false}, SHIFT(210),
  [6087] = {.count = 1, .reusable = true}, SHIFT(2337),
  [6089] = {.count = 1, .reusable = true}, SHIFT(2355),
  [6091] = {.count = 1, .reusable = true}, SHIFT(2604),
  [6093] = {.count = 1, .reusable = false}, SHIFT(1785),
  [6095] = {.count = 1, .reusable = false}, SHIFT(2604),
  [6097] = {.count = 1, .reusable = true}, SHIFT(2329),
  [6099] = {.count = 1, .reusable = true}, SHIFT(83),
  [6101] = {.count = 1, .reusable = true}, SHIFT(198),
  [6103] = {.count = 1, .reusable = false}, SHIFT(198),
  [6105] = {.count = 1, .reusable = true}, SHIFT(207),
  [6107] = {.count = 1, .reusable = false}, SHIFT(207),
  [6109] = {.count = 1, .reusable = true}, SHIFT(192),
  [6111] = {.count = 1, .reusable = false}, SHIFT(192),
  [6113] = {.count = 1, .reusable = true}, SHIFT(2363),
  [6115] = {.count = 1, .reusable = true}, SHIFT(15),
  [6117] = {.count = 1, .reusable = true}, SHIFT(16),
  [6119] = {.count = 1, .reusable = true}, SHIFT(215),
  [6121] = {.count = 1, .reusable = false}, SHIFT(215),
  [6123] = {.count = 1, .reusable = true}, SHIFT(2576),
  [6125] = {.count = 1, .reusable = false}, SHIFT(1616),
  [6127] = {.count = 1, .reusable = false}, SHIFT(2576),
  [6129] = {.count = 1, .reusable = true}, SHIFT(2360),
  [6131] = {.count = 1, .reusable = true}, SHIFT(2338),
  [6133] = {.count = 1, .reusable = true}, SHIFT(2333),
  [6135] = {.count = 1, .reusable = true}, SHIFT(2332),
  [6137] = {.count = 1, .reusable = true}, SHIFT(2330),
  [6139] = {.count = 1, .reusable = true}, SHIFT(2336),
  [6141] = {.count = 1, .reusable = true}, SHIFT(2335),
  [6143] = {.count = 1, .reusable = true}, SHIFT(200),
  [6145] = {.count = 1, .reusable = false}, SHIFT(200),
  [6147] = {.count = 1, .reusable = true}, SHIFT(193),
  [6149] = {.count = 1, .reusable = false}, SHIFT(193),
  [6151] = {.count = 1, .reusable = true}, SHIFT(2334),
  [6153] = {.count = 1, .reusable = true}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 30),
  [6155] = {.count = 1, .reusable = true}, SHIFT(1343),
  [6157] = {.count = 1, .reusable = false}, SHIFT(1343),
  [6159] = {.count = 1, .reusable = true}, SHIFT(1371),
  [6161] = {.count = 1, .reusable = false}, SHIFT(1371),
  [6163] = {.count = 1, .reusable = true}, SHIFT(1345),
  [6165] = {.count = 1, .reusable = false}, SHIFT(1345),
  [6167] = {.count = 1, .reusable = true}, SHIFT(1349),
  [6169] = {.count = 1, .reusable = false}, SHIFT(1349),
  [6171] = {.count = 1, .reusable = true}, SHIFT(1350),
  [6173] = {.count = 1, .reusable = false}, SHIFT(1350),
  [6175] = {.count = 1, .reusable = true}, SHIFT(2390),
  [6177] = {.count = 1, .reusable = false}, SHIFT(2386),
  [6179] = {.count = 1, .reusable = true}, SHIFT(2730),
  [6181] = {.count = 1, .reusable = true}, SHIFT(1351),
  [6183] = {.count = 1, .reusable = false}, SHIFT(1351),
  [6185] = {.count = 1, .reusable = true}, SHIFT(205),
  [6187] = {.count = 1, .reusable = false}, SHIFT(205),
  [6189] = {.count = 1, .reusable = true}, SHIFT(1342),
  [6191] = {.count = 1, .reusable = false}, SHIFT(1342),
  [6193] = {.count = 1, .reusable = true}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 29),
  [6195] = {.count = 1, .reusable = true}, SHIFT(1339),
  [6197] = {.count = 1, .reusable = false}, SHIFT(1339),
  [6199] = {.count = 1, .reusable = true}, SHIFT(155),
  [6201] = {.count = 1, .reusable = false}, SHIFT(155),
  [6203] = {.count = 1, .reusable = true}, SHIFT(1939),
  [6205] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2386),
  [6208] = {.count = 1, .reusable = true}, SHIFT(216),
  [6210] = {.count = 1, .reusable = false}, SHIFT(216),
  [6212] = {.count = 1, .reusable = true}, SHIFT(1928),
  [6214] = {.count = 1, .reusable = true}, SHIFT(1598),
  [6216] = {.count = 1, .reusable = true}, SHIFT(2620),
  [6218] = {.count = 1, .reusable = true}, SHIFT(1936),
  [6220] = {.count = 1, .reusable = true}, SHIFT(1818),
  [6222] = {.count = 1, .reusable = true}, SHIFT(1425),
  [6224] = {.count = 1, .reusable = true}, SHIFT(515),
  [6226] = {.count = 1, .reusable = false}, SHIFT(2524),
  [6228] = {.count = 1, .reusable = true}, SHIFT(290),
  [6230] = {.count = 1, .reusable = true}, SHIFT(2258),
  [6232] = {.count = 1, .reusable = true}, SHIFT(276),
  [6234] = {.count = 1, .reusable = true}, SHIFT(563),
  [6236] = {.count = 1, .reusable = true}, SHIFT(344),
  [6238] = {.count = 1, .reusable = true}, SHIFT(2269),
  [6240] = {.count = 1, .reusable = true}, SHIFT(1783),
  [6242] = {.count = 1, .reusable = true}, SHIFT(2571),
  [6244] = {.count = 1, .reusable = true}, SHIFT(1677),
  [6246] = {.count = 1, .reusable = true}, SHIFT(1788),
  [6248] = {.count = 1, .reusable = true}, SHIFT(1658),
  [6250] = {.count = 1, .reusable = true}, SHIFT(1386),
  [6252] = {.count = 1, .reusable = true}, SHIFT(2591),
  [6254] = {.count = 1, .reusable = true}, SHIFT(1467),
  [6256] = {.count = 1, .reusable = true}, SHIFT(2262),
  [6258] = {.count = 1, .reusable = true}, SHIFT(381),
  [6260] = {.count = 1, .reusable = true}, SHIFT(2537),
  [6262] = {.count = 1, .reusable = true}, SHIFT(2728),
  [6264] = {.count = 1, .reusable = true}, SHIFT(1559),
  [6266] = {.count = 1, .reusable = true}, SHIFT(10),
  [6268] = {.count = 1, .reusable = true}, SHIFT(1571),
  [6270] = {.count = 1, .reusable = true}, SHIFT(8),
  [6272] = {.count = 1, .reusable = true}, SHIFT(385),
  [6274] = {.count = 1, .reusable = true}, SHIFT(2250),
  [6276] = {.count = 1, .reusable = true}, SHIFT(2555),
  [6278] = {.count = 1, .reusable = true}, SHIFT(555),
  [6280] = {.count = 1, .reusable = true}, SHIFT(551),
  [6282] = {.count = 1, .reusable = true}, SHIFT(13),
  [6284] = {.count = 1, .reusable = true}, SHIFT(324),
  [6286] = {.count = 1, .reusable = true}, SHIFT(1996),
  [6288] = {.count = 1, .reusable = true}, SHIFT(1739),
  [6290] = {.count = 1, .reusable = true}, SHIFT(2234),
  [6292] = {.count = 1, .reusable = true}, SHIFT(1986),
  [6294] = {.count = 1, .reusable = true}, SHIFT(2506),
  [6296] = {.count = 1, .reusable = true}, SHIFT(2398),
  [6298] = {.count = 1, .reusable = true}, SHIFT(1890),
  [6300] = {.count = 1, .reusable = true}, SHIFT(1388),
  [6302] = {.count = 1, .reusable = true}, SHIFT(2504),
  [6304] = {.count = 1, .reusable = true}, SHIFT(1432),
  [6306] = {.count = 1, .reusable = true}, SHIFT(14),
  [6308] = {.count = 1, .reusable = true}, SHIFT(1974),
  [6310] = {.count = 1, .reusable = true}, SHIFT(1444),
  [6312] = {.count = 1, .reusable = true}, SHIFT(439),
  [6314] = {.count = 1, .reusable = true}, SHIFT(1505),
  [6316] = {.count = 1, .reusable = true}, SHIFT(1732),
  [6318] = {.count = 1, .reusable = true}, SHIFT(1450),
  [6320] = {.count = 1, .reusable = true}, SHIFT(1852),
  [6322] = {.count = 1, .reusable = true}, SHIFT(340),
  [6324] = {.count = 1, .reusable = true}, SHIFT(448),
  [6326] = {.count = 1, .reusable = true}, SHIFT(1440),
  [6328] = {.count = 1, .reusable = true}, SHIFT(1965),
  [6330] = {.count = 1, .reusable = true}, SHIFT(1475),
  [6332] = {.count = 1, .reusable = true}, SHIFT(411),
  [6334] = {.count = 1, .reusable = true}, SHIFT(1848),
  [6336] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1939),
  [6339] = {.count = 1, .reusable = true}, SHIFT(1929),
  [6341] = {.count = 1, .reusable = true}, SHIFT(590),
  [6343] = {.count = 1, .reusable = true}, SHIFT(1356),
  [6345] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 43), SHIFT_REPEAT(1831),
  [6348] = {.count = 1, .reusable = true}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 43),
  [6350] = {.count = 1, .reusable = true}, SHIFT(1596),
  [6352] = {.count = 1, .reusable = true}, SHIFT(1887),
  [6354] = {.count = 1, .reusable = true}, SHIFT(594),
  [6356] = {.count = 1, .reusable = true}, SHIFT(1447),
  [6358] = {.count = 1, .reusable = true}, SHIFT(654),
  [6360] = {.count = 1, .reusable = true}, SHIFT(2222),
  [6362] = {.count = 1, .reusable = true}, SHIFT(495),
  [6364] = {.count = 1, .reusable = true}, SHIFT(513),
  [6366] = {.count = 1, .reusable = true}, SHIFT(2658),
  [6368] = {.count = 1, .reusable = true}, SHIFT(282),
  [6370] = {.count = 1, .reusable = true}, SHIFT(649),
  [6372] = {.count = 1, .reusable = true}, SHIFT(473),
  [6374] = {.count = 1, .reusable = true}, SHIFT(490),
  [6376] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2524),
  [6379] = {.count = 1, .reusable = true}, SHIFT(1359),
  [6381] = {.count = 1, .reusable = true}, SHIFT(419),
  [6383] = {.count = 1, .reusable = true}, SHIFT(1825),
  [6385] = {.count = 1, .reusable = true}, SHIFT(1618),
  [6387] = {.count = 1, .reusable = true}, SHIFT(1775),
  [6389] = {.count = 1, .reusable = true}, SHIFT(680),
  [6391] = {.count = 1, .reusable = true}, SHIFT(2308),
  [6393] = {.count = 1, .reusable = true}, SHIFT(685),
  [6395] = {.count = 1, .reusable = true}, SHIFT(2317),
  [6397] = {.count = 1, .reusable = true}, SHIFT(1754),
  [6399] = {.count = 1, .reusable = true}, SHIFT(1750),
  [6401] = {.count = 1, .reusable = true}, SHIFT(1682),
  [6403] = {.count = 1, .reusable = true}, SHIFT(1614),
  [6405] = {.count = 1, .reusable = true}, SHIFT(1664),
  [6407] = {.count = 1, .reusable = true}, SHIFT(1655),
  [6409] = {.count = 1, .reusable = true}, SHIFT(1620),
  [6411] = {.count = 1, .reusable = true}, SHIFT(1624),
  [6413] = {.count = 1, .reusable = true}, SHIFT(1645),
  [6415] = {.count = 1, .reusable = true}, SHIFT(1642),
  [6417] = {.count = 1, .reusable = true}, SHIFT(1660),
  [6419] = {.count = 1, .reusable = true}, SHIFT(1666),
  [6421] = {.count = 1, .reusable = true}, SHIFT(1711),
  [6423] = {.count = 1, .reusable = true}, SHIFT(1720),
  [6425] = {.count = 1, .reusable = true}, SHIFT(1760),
  [6427] = {.count = 1, .reusable = true}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [6429] = {.count = 1, .reusable = true}, SHIFT(1802),
  [6431] = {.count = 1, .reusable = true}, SHIFT(1810),
  [6433] = {.count = 1, .reusable = true}, SHIFT(1804),
  [6435] = {.count = 1, .reusable = true}, SHIFT(1758),
  [6437] = {.count = 1, .reusable = true}, SHIFT(1800),
  [6439] = {.count = 1, .reusable = true}, SHIFT(1761),
  [6441] = {.count = 1, .reusable = true}, SHIFT(1737),
  [6443] = {.count = 1, .reusable = true}, REDUCE(sym_last_case_item, 4, .production_id = 44),
  [6445] = {.count = 1, .reusable = true}, SHIFT(2094),
  [6447] = {.count = 1, .reusable = true}, SHIFT(1696),
  [6449] = {.count = 1, .reusable = true}, SHIFT(1678),
  [6451] = {.count = 1, .reusable = true}, REDUCE(sym__terminated_statement, 2),
  [6453] = {.count = 1, .reusable = true}, SHIFT(1619),
  [6455] = {.count = 1, .reusable = true}, SHIFT(1646),
  [6457] = {.count = 1, .reusable = true}, SHIFT(1671),
  [6459] = {.count = 1, .reusable = true}, SHIFT(2624),
  [6461] = {.count = 1, .reusable = true}, SHIFT(1667),
  [6463] = {.count = 1, .reusable = true}, SHIFT(1697),
  [6465] = {.count = 1, .reusable = true}, SHIFT(1698),
  [6467] = {.count = 1, .reusable = true}, SHIFT(1688),
  [6469] = {.count = 1, .reusable = true}, SHIFT(1663),
  [6471] = {.count = 1, .reusable = true}, SHIFT(1751),
  [6473] = {.count = 1, .reusable = true}, SHIFT(1769),
  [6475] = {.count = 1, .reusable = true}, SHIFT(1795),
  [6477] = {.count = 1, .reusable = true}, REDUCE(sym_last_case_item, 3, .production_id = 35),
  [6479] = {.count = 1, .reusable = true}, SHIFT(1799),
  [6481] = {.count = 1, .reusable = true}, SHIFT(1808),
  [6483] = {.count = 1, .reusable = true}, SHIFT(1812),
  [6485] = {.count = 1, .reusable = true}, SHIFT(1806),
  [6487] = {.count = 1, .reusable = true}, SHIFT(1796),
  [6489] = {.count = 1, .reusable = true}, SHIFT(1766),
  [6491] = {.count = 1, .reusable = true}, SHIFT(1631),
  [6493] = {.count = 1, .reusable = true}, SHIFT(1755),
  [6495] = {.count = 1, .reusable = true}, SHIFT(1649),
  [6497] = {.count = 1, .reusable = true}, SHIFT(2755),
  [6499] = {.count = 1, .reusable = true}, SHIFT(1723),
  [6501] = {.count = 1, .reusable = true}, SHIFT(1712),
  [6503] = {.count = 1, .reusable = true}, SHIFT(1625),
  [6505] = {.count = 1, .reusable = true}, SHIFT(1636),
  [6507] = {.count = 1, .reusable = true}, SHIFT(1680),
  [6509] = {.count = 1, .reusable = true}, REDUCE(sym_last_case_item, 4, .production_id = 42),
  [6511] = {.count = 1, .reusable = true}, SHIFT(2111),
  [6513] = {.count = 1, .reusable = true}, SHIFT(1669),
  [6515] = {.count = 1, .reusable = true}, SHIFT(1512),
  [6517] = {.count = 1, .reusable = true}, SHIFT(628),
  [6519] = {.count = 1, .reusable = true}, SHIFT(1952),
  [6521] = {.count = 1, .reusable = true}, SHIFT(2562),
  [6523] = {.count = 1, .reusable = true}, SHIFT(1605),
  [6525] = {.count = 1, .reusable = true}, SHIFT(1408),
  [6527] = {.count = 1, .reusable = true}, SHIFT(1401),
  [6529] = {.count = 1, .reusable = true}, SHIFT(1674),
  [6531] = {.count = 1, .reusable = true}, SHIFT(2211),
  [6533] = {.count = 1, .reusable = true}, SHIFT(510),
  [6535] = {.count = 1, .reusable = true}, SHIFT(293),
  [6537] = {.count = 1, .reusable = true}, SHIFT(529),
  [6539] = {.count = 1, .reusable = true}, SHIFT(404),
  [6541] = {.count = 1, .reusable = true}, SHIFT(417),
  [6543] = {.count = 1, .reusable = true}, SHIFT(1482),
  [6545] = {.count = 1, .reusable = true}, SHIFT(1484),
  [6547] = {.count = 1, .reusable = true}, SHIFT(1656),
  [6549] = {.count = 1, .reusable = true}, SHIFT(2578),
  [6551] = {.count = 1, .reusable = true}, SHIFT(403),
  [6553] = {.count = 1, .reusable = true}, SHIFT(1860),
  [6555] = {.count = 1, .reusable = true}, SHIFT(659),
  [6557] = {.count = 1, .reusable = true}, SHIFT(541),
  [6559] = {.count = 1, .reusable = true}, SHIFT(1370),
  [6561] = {.count = 1, .reusable = true}, SHIFT(2596),
  [6563] = {.count = 1, .reusable = true}, SHIFT(501),
  [6565] = {.count = 1, .reusable = true}, SHIFT(1963),
  [6567] = {.count = 1, .reusable = true}, SHIFT(2008),
  [6569] = {.count = 1, .reusable = true}, SHIFT(2579),
  [6571] = {.count = 1, .reusable = true}, SHIFT(3),
  [6573] = {.count = 1, .reusable = true}, SHIFT(1392),
  [6575] = {.count = 1, .reusable = true}, SHIFT(1391),
  [6577] = {.count = 1, .reusable = true}, SHIFT(1390),
  [6579] = {.count = 1, .reusable = true}, SHIFT(1428),
  [6581] = {.count = 1, .reusable = true}, SHIFT(1461),
  [6583] = {.count = 1, .reusable = true}, SHIFT(2353),
  [6585] = {.count = 1, .reusable = true}, SHIFT(1635),
  [6587] = {.count = 1, .reusable = true}, SHIFT(1652),
  [6589] = {.count = 1, .reusable = true}, SHIFT(1807),
  [6591] = {.count = 1, .reusable = true}, SHIFT(12),
  [6593] = {.count = 1, .reusable = true}, SHIFT(2357),
  [6595] = {.count = 1, .reusable = true}, SHIFT(1510),
  [6597] = {.count = 1, .reusable = true}, SHIFT(2483),
  [6599] = {.count = 1, .reusable = true}, SHIFT(1707),
  [6601] = {.count = 1, .reusable = true}, SHIFT(1753),
  [6603] = {.count = 1, .reusable = true}, SHIFT(1418),
  [6605] = {.count = 1, .reusable = true}, SHIFT(1809),
  [6607] = {.count = 1, .reusable = true}, SHIFT(2),
  [6609] = {.count = 1, .reusable = true}, SHIFT(2006),
  [6611] = {.count = 1, .reusable = true}, SHIFT(1547),
  [6613] = {.count = 1, .reusable = true}, SHIFT(1437),
  [6615] = {.count = 1, .reusable = true}, SHIFT(1859),
  [6617] = {.count = 1, .reusable = true}, SHIFT(1378),
  [6619] = {.count = 1, .reusable = true}, SHIFT(1647),
  [6621] = {.count = 1, .reusable = true}, SHIFT(444),
  [6623] = {.count = 1, .reusable = true}, SHIFT(2277),
  [6625] = {.count = 1, .reusable = true}, SHIFT(393),
  [6627] = {.count = 1, .reusable = true}, SHIFT(1748),
  [6629] = {.count = 1, .reusable = true}, SHIFT(2279),
  [6631] = {.count = 1, .reusable = true}, SHIFT(561),
  [6633] = {.count = 1, .reusable = true}, SHIFT(605),
  [6635] = {.count = 1, .reusable = true}, SHIFT(373),
  [6637] = {.count = 1, .reusable = true}, SHIFT(398),
  [6639] = {.count = 1, .reusable = true}, SHIFT(1747),
  [6641] = {.count = 1, .reusable = true}, SHIFT(2509),
  [6643] = {.count = 1, .reusable = true}, SHIFT(2435),
  [6645] = {.count = 1, .reusable = true}, SHIFT(2118),
  [6647] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [6649] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [6651] = {.count = 1, .reusable = true}, SHIFT(606),
  [6653] = {.count = 1, .reusable = true}, SHIFT(2121),
  [6655] = {.count = 1, .reusable = true}, SHIFT(356),
  [6657] = {.count = 1, .reusable = true}, SHIFT(1529),
  [6659] = {.count = 1, .reusable = true}, SHIFT(1777),
  [6661] = {.count = 1, .reusable = true}, SHIFT(627),
  [6663] = {.count = 1, .reusable = true}, SHIFT(1794),
  [6665] = {.count = 1, .reusable = true}, SHIFT(1637),
  [6667] = {.count = 1, .reusable = true}, SHIFT(2574),
  [6669] = {.count = 1, .reusable = true}, SHIFT(307),
  [6671] = {.count = 1, .reusable = true}, SHIFT(2407),
  [6673] = {.count = 1, .reusable = true}, SHIFT(478),
  [6675] = {.count = 1, .reusable = true}, SHIFT(306),
  [6677] = {.count = 1, .reusable = true}, SHIFT(1731),
  [6679] = {.count = 1, .reusable = true}, SHIFT(2341),
  [6681] = {.count = 1, .reusable = true}, SHIFT(2339),
  [6683] = {.count = 1, .reusable = true}, SHIFT(634),
  [6685] = {.count = 1, .reusable = true}, SHIFT(326),
  [6687] = {.count = 1, .reusable = true}, SHIFT(2253),
};

void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
  };
  return &language;
}
